<?php
class Resources extends CI_Controller  
{
	
	function resources()
	{
		parent::__construct();	
		$this->load->model('site_resources_model','obj_model',TRUE);
		$this->load->library('pagination'); 
		$this->load->helper('cookie');
                $this->load->helper(array('form', 'url'));
                session_start();
		
	}
	/*CONTROLLER METHODS*/
	function index()
	{ 			
		$data['resources']		=	$this->obj_model->getResources();	
		$this->load->view('resources/site_resources',$data);
	}
	function resourcePage()
	{
		$this->load->view('resources/site_resources_page');
	}
	function search()
	{ 
                $keyword                =   "";//$_POST['key'];
		$category               =   $this->uri->segment(3);
		$topic                  =   $this->uri->segment(4);
            
                $page_num                    	=	$this->uri->segment(5)?$this->uri->segment(5):0;  		
        	$config['base_url']         	=	base_url().'index.php/resources/search/'.$category.'/'.$topic;
        	$config['use_page_numbers'] 	=	TRUE;
        	$config['per_page']		=	9;		
        	$config['next_link']		= 	'&rsaquo;';
        	$config['prev_link']		= 	'&lsaquo;';
        	$config["uri_segment"] 		= 	5;	
                
		$config['total_rows'] 		= 	$this->obj_model->getSearchcount($keyword,$category,$topic);	
		$data['total_rows'] 		= 	$config['total_rows'];	
		$data['per_page']		=       $config['per_page'];
		$data['page_no']		= 	$page_num;  
                
                $data['search_result']          =	$this->obj_model->getSearchResult($keyword,$category,$topic,$config['per_page'],$page_num);	
		$this->pagination->initialize($config);		
			
		
		$data['resources']		=	$this->obj_model->getResources();
               
		$this->load->view('resources/site_resources_inner',$data);
	}
	function keywordSearch()
	{ 		
		$keyword                =       $this->input->post('keyword');	
                if($keyword)
                {
                    $_SESSION["keyword"] = $keyword;
                }
                $category               =       "";
		$topic                  =       "";
		 $page_num                    	=	$this->uri->segment(3)?$this->uri->segment(3):0;  		
        	$config['base_url']         	=	base_url().'index.php/resources/keywordSearch/';
        	$config['use_page_numbers'] 	=	TRUE;
        	$config['per_page']		=	9;		
        	$config['next_link']		= 	'&rsaquo;';
        	$config['prev_link']		= 	'&lsaquo;';
        	$config["uri_segment"] 		= 	3;	
                
		$config['total_rows'] 		= 	$this->obj_model->getSearchcount( $_SESSION["keyword"],$category,$topic);	
		$data['total_rows'] 		= 	$config['total_rows'];	
		$data['per_page']		=       $config['per_page'];
		$data['page_no']		= 	$page_num;  
                
                $data['search_result']          =	$this->obj_model->getSearchResult( $_SESSION["keyword"],$category,$topic,$config['per_page'],$page_num);	
		$this->pagination->initialize($config);		
			
		
		$data['resources']		=	$this->obj_model->getResources();
               
		$this->load->view('resources/site_resources_inner',$data);
	}
	function resourcesDetails()
	{
		$id = $this->uri->segment(3);
		$data['result']	=	$this->obj_model->getResourcesbyid($id);
		//$data['attachment_image']	=	$this->obj_model->getAttachmentbyid($id,1);
		//$data['attachment_audio']	=	$this->obj_model->getAttachmentbyid($id,2);
		//$data['attachment_video']	=	$this->obj_model->getAttachmentbyid($id,3);
		$this->load->view('resources/site_resources_detail',$data);
	}
	

}?>
