<?php 


function get_user_pagination()
{
	$config=array();
	$config['full_tag_open'] = '<span class="upagination"> Pages:';
	$config['full_tag_close'] = '</span>';
	$config['first_tag_open'] = '<strong>';
	$config['first_tag_close'] = '</strong>';
	$config['last_tag_open'] = '<strong>';
	$config['last_tag_close'] = '</strong>';
	$config['next_link'] = ' Next ';
	$config['next_tag_open'] = '<strong>';
	$config['next_tag_close'] = '</strong>';
	$config['prev_link'] = ' Previous ';
	$config['prev_tag_open'] = '<strong>';
	$config['prev_tag_close'] = '</strong>';
	$config['cur_tag_open'] = ' <span> ';
	$config['cur_tag_close'] = ' </span> ';
	return $config;
}

function getVData($field,$default='')
{
        
		$controller =&  get_instance();
		// can call getIfSet from here
		if ( !isset($controller->validation->$field) || trim($controller->validation->$field)=='')
		{
			return $default;

		}
		else
		{
			return  $controller->validation->$field;
		}
}
function get_post($field,$default='')
{
		if ( !isset($_POST[$field]) )
		{
			return $default;
		}
		return $_POST[$field];
}

function get_option_number($begin,$end,$step=1,$sel_value=''){
	$options='';
	for($i=$begin;$i<=$end;$i+=$step)
	{
		$selected=($sel_value==$i)?'selected="selected"':'';

		$options.="<option value=\"$i\" $selected >$i</option>";
	}
	return $options;
    
}

function get_option($option_values,$sel_value=''){
	$options='';
	foreach($option_values as $key=>$value)
	{
		$selected=(strcmp($sel_value,$key)==0)?'selected="selected"':'';

		$options.="<option value=\"$key\" $selected >$value</option>";
	}
	return $options;
    
}

function get_option_name($option_values,$sel_value){
	$name='';
	foreach($option_values as $key=>$value)
	{
		if($sel_value==$key){
		  return $value;
		}
	}
	return $name;
    
}
function getUniqueID($length=10){
		$random= ""; 
		srand((double)microtime()*1000000); 
		$data = "AbcDE123IJKLMN67QRSTUVWXYZ"; 
		$data .= "aBCdefghijklmn123opq45rs67tuv89wxyz"; 
		$data .= "0FGH45OP89"; 
		for($i = 0; $i < $length; $i++) 
		{ 
		 $random .= substr($data, (rand()%(strlen($data))), 1); 
		} 
		return $random; 
} 

function popup_window($link,$text){
 return anchor_popup($link,$text,array('width'=>500,'height'=>600,'screenx'=>300,'screeny'=>300));
}

function write_simple_editor_script($textareas){
	$data='';
	$data.='<script language="javascript" type="text/javascript" src="'.base_url().'/tiny_mce/tiny_mce.js"></script>';
	$data.='<script language="javascript" type="text/javascript">';
	$data.='tinyMCE.init({';
	$data.='	mode : "exact",';
	$data.='	elements : "'.$textareas.'",';
	$data.='	theme : "advanced",';
	$data.='	plugins : "advlink,paste",';
	$data.='	theme_advanced_buttons1 : "bold,italic,underline,separator,forecolor,strikethrough,justifyleft,justifycenter,justifyright, justifyfull,bullist,numlist,undo,redo,link,unlink",';
	$data.='	theme_advanced_buttons2 : "cut,copy,paste,pastetext,styleselect,fontselect,fontsizeselect,tablecontrols,code",';
	$data.='	theme_advanced_buttons3 : "",';
	$data.='	theme_advanced_toolbar_location : "top",';
	$data.='	theme_advanced_toolbar_align : "left",';
	$data.='	theme_advanced_path_location : "bottom",';
	$data.='	content_css : "styles/style_mce.css",';
	$data.='	theme_advanced_resizing : true,';
	$data.='	apply_source_formatting : true,';
	$data.='	extended_valid_elements : "a[name|href|target|title|onclick],img[class|src|border=0|alt|title|hspace|vspace|width|height|align|onmouseover|onmouseout|name],hr[class|width|size|noshade],font[face|size|color|style],span[class|align|style]"';
	$data.='});';
	$data.='</script>';
	return $data;
 
}
function write_advanced_editor_script($textareas){
	$data='';
	$data.='<script language="javascript" type="text/javascript" src="'.base_url().'/tiny_mce/tiny_mce.js"></script>';
    $data.='<script language="javascript" type="text/javascript">';
    $data.='tinyMCE.init({';
	$data.='	    mode : "exact",';
	$data.='	    elements : "'.$textareas.'",';
	$data.='		theme : "advanced",';
	$data.='		plugins : "table,save,advhr,advlink,preview,zoom,searchreplace,contextmenu,paste,fullscreen",';
	$data.='		theme_advanced_buttons1_add : "fontselect,fontsizeselect",';
	$data.='		theme_advanced_buttons2_add : "separator,preview,separator,forecolor,backcolor",';
	$data.='		theme_advanced_buttons2:"zoom",';
	$data.='		theme_advanced_buttons2_add_before: "cut,copy,paste,pastetext,separator,search,replace,separator",';
	$data.='		theme_advanced_buttons3_add_before : "tablecontrols,separator",';
	$data.='		theme_advanced_buttons3_add : "fullscreen",';
	$data.='		theme_advanced_toolbar_location : "top",';
	$data.='		theme_advanced_toolbar_align : "left",';
	$data.='		theme_advanced_statusbar_location : "bottom",';
	$data.='		paste_use_dialog : false,';
	$data.='		theme_advanced_resizing : true,';
	$data.='		theme_advanced_resize_horizontal : false,';
	$data.='		paste_auto_cleanup_on_paste : true,';
	$data.='		paste_convert_headers_to_strong : false,';
	$data.='		paste_strip_class_attributes : "all",';
	$data.='		paste_remove_spans : false,';
	$data.='		paste_remove_styles : false	';	
	$data.='	});';
	$data.='</script>';
	return $data;
}
function get_post_array($key,$index,$default_val=''){
   static $post = array();
   if(count($_POST)==0){
     return $default_val;
   }
   if(count($post)==0){
     $post=$_POST;
   }
   if(!isset($post[$key])){
     return $default_val;
   }
   $post_vars=$post[$key];
   if(!isset($post_vars[$index])){
     return $default_val;
   }
   return $post_vars[$index];
 
}
function get_error($errors,$key,$index,$default_val=''){
   if(!isset($errors[$key][$index])){
     return $default_val;
   }
   return $errors[$key][$index];
}

function redirect_page($url='home',$msg_level='',$msg_value='',$redirect=true){
      $ci=&get_instance();
	  $data['title']='Message';
	  $data['redirect']=$redirect;
	  $data['redirect_url']=site_url($url);
	  $data['msg_level']=$msg_level;
	  $data['msg_value']=$msg_value;
	  $ci->load->view('redirect_page',$data);
}


  function discount($price,$discount=0)
  {
    return  (($price/100)*$discount);
  } 

  function discount_price($price,$discount=0)
  {
    return  $price-(($price/100)*$discount);
  } 

  function is_order_approved($status){
    if($status == 2)
	{
	   return true;
	}else
	{ 
	   return false;
	}
  }
  
   function get_product_image($product){
	   $image_name='no_image.gif';
	   if(isset($product['PRODUCT_IMAGE_1'])&& $product['PRODUCT_IMAGE_1']!=''){
		 $image_name=$product['PRODUCT_IMAGE_1'];
	   }else  if(isset($product['PRODUCT_IMAGE_2'])&& $product['PRODUCT_IMAGE_2']!=''){
		 $image_name=$product['PRODUCT_IMAGE_2'];
	   }else  if(isset($product['PRODUCT_IMAGE_3'])&& $product['PRODUCT_IMAGE_3']!=''){
		 $image_name=$product['PRODUCT_IMAGE_3'];
	   }
	   return $image_name;
   }


    function show_navigation($nav=array())
	{
	  $navigaion='';
	  $navigaion.='<span class="contacttoplink">';
	  foreach($nav as $key=>$val){
	   $navigaion.=' &raquo; <a href="'.$val.'" class="navigation" > '.$key.' </a>';
	  }
	  $navigaion.='</span>';
	  return $navigaion;
	}  

function get_multi_select_option($option_values,$sel_values=array()){
	$options=array();
	if(!is_array($sel_values)){
	 $sel_values=array();
	}
	foreach($option_values as $key=>$value)
	{
		   $selected=(in_array($key,$sel_values))?'selected="selected"':'';
		   $options.="<option value=\"$key\" $selected >$value</option>";					
	}
	return $options;
}

function get_multi_select_option_name($option_values,$sel_values=array()){
	$results=array();
	if(!is_array($sel_values)){
	 $sel_values=array();
	}
	foreach($option_values as $key=>$value)
	{
		if((in_array($key,$sel_values)))
		{
		  $results[].=$value;
		}	
	}
	return $results;
}

function filter_field($field)
{
	return trim(addslashes($field));
}

function createKeywords($search_text,$symbol=','){
  		
		  $filter_keywords=array('OR','AND','or','and','the','if','else','can','aa','bb','cc','in','a');
		  if(isset($search_text) &&  $search_text!=''){
		        // $search_text=strtolower($search_text);
		        $keywords=preg_split("/[\s,]+/",$search_text);
				$result=array();
				$key_array=array();
				$key_str='';
				$n=count($keywords);
				$first=true;
				for ($i = 0; $i < $n; $i++) 
				{   
					if(trim($keywords[$i])!=''){
						if(!in_array($keywords[$i],$filter_keywords)){
							 array_push($key_array,$keywords[$i]);
							 if($first){
							   $key_str .= $keywords[$i];
							   $first=false;
							 }else{
							   $key_str .= ','.$keywords[$i];
							 }
						 }
					 }  

				 }
				 $result['array']=$key_array;
				 $result['str']=$key_str;
				 return $result;
			   
			}else{
			  return false;
			}
			
	
			
}

function createKeywords_All($search_text,$symbol=','){
  		
		  $filter_keywords=array('OR','AND','or','and','the','if','else','can','aa','bb','cc','in','a','&');
		  if(isset($search_text) &&  $search_text!=''){
		        // $search_text=strtolower($search_text);
		        $keywords=preg_split("/[\s,]+/",$search_text);
				$result=array();
				$key_array=array();
				$key_str='';
				$n=count($keywords);
				$first=true;
				for ($i = 0; $i < $n; $i++) 
				{   
					if(trim($keywords[$i])!=''){
						if(!in_array($keywords[$i],$filter_keywords)){
							 array_push($key_array,$keywords[$i]);
							 if($first){
							   $key_str .= $keywords[$i];
							   $first=false;
							 }else{
							   $key_str .= ' '.'+'.$keywords[$i];
							 }
						 }
					 }  

				 }
				 $result['array']=$key_array;
				 $result['str']=$key_str;
				 return $result;
			   
			}else{
			  return false;
			}
}		


?>