<?php
function get_categories()
{	
	$ci= & get_instance();
	$ci->load->database();
	$ci->db->from('category');
   	$ci->db->order_by('SORT_ORDER');
	//echo $ci->db->_compile_select();	
	$query=$ci->db->get();
	return $query->result_array();		
}

function get_sub_categories($cat_id)
{	
	$ci= & get_instance();
	$ci->load->database();
	$ci->db->from('subcategory');
	$ci->db->where('CATEGORY_ID',$cat_id);
   	$ci->db->order_by('SUB_CATEGORY_NAME');
	//echo $ci->db->_compile_select();	
	$query=$ci->db->get();
	return $query->result_array();		
}



function get_all_classifieds_user($user_id,$listing_id)
{
	$ci= & get_instance();
	$ci->load->database();
	$ci->db->select("count(*) as count");
	$ci->db->from('listing');
	$ci->db->where('USER_ID',$user_id);
	$ci->db->where('LISTING_ID !=',$listing_id);
   	 $query=$ci->db->get();
	if ($query->num_rows() > 0)
	{
		   $row = $query->row(); 
		   $count=$row->count;
	}
	return $count;
}


function get_name_from_id($listing_id)
{
   	 $ci= & get_instance();
	$ci->load->database();
	$ci->db->select('USER_NAME');
	$ci->db->from('LISTINGS');
	$ci->db->where('LISTING_ID',$listing_id);
	$query=$ci->db->get();
	if($query->num_rows()>0)
	{
	$row=$query->row();
	return $row->USER_NAME;
	}
	return true;
}
function get_login_name($listing_id)
{
    $ci= & get_instance();
	$ci->load->database();
	$ci->db->select('LOGIN_NAME');
	$ci->db->from('LISTINGS');
	$ci->db->where('LISTING_ID',$listing_id);
	$query=$ci->db->get();
	if($query->num_rows()>0)
	{
	$row=$query->row();
	return $row->LOGIN_NAME;
	}
	return true;
}
//general function for all uploads in resources
function get_fileuploads_resources($id)
{
        $ci= & get_instance();
	$ci->load->database();
	//$ci->db->select('USER_NAME');
	$ci->db->from('resource_attachment');
	$ci->db->where('resource_attachment.resource_detail_id',$id);
	//$ci->db->where('resource_attachment.attachment_type',1);//for photo
	$query=$ci->db->get();
	//echo $ci->db->last_query();
	if($query->num_rows() >0)
	{
		return $query->result_array();
	}
	else
	{
		return array();
		// return a blank areray to keep the calling function happy because it expects an array
	}
}
function get_fileuploads_resources_interviews($id)
{
        $ci= & get_instance();
	$ci->load->database();
	//$ci->db->select('USER_NAME');
	$ci->db->from('resource_attachment');
	$ci->db->where('resource_attachment.resource_detail_id',$id);
	//$ci->db->where('resource_attachment.attachment_type',1);//for photo
	$query=$ci->db->get();
	//echo $ci->db->last_query();
	if($query->num_rows() >0)
	{
		return $query->result_array();
	}
	else
	{
		return array();
		// return a blank areray to keep the calling function happy because it expects an array
	}
}

function get_fileuploads_resources_articles($id)
{
        $ci= & get_instance();
	$ci->load->database();
	//$ci->db->select('USER_NAME');
	$ci->db->from('resource_attachment');
	$ci->db->where('resource_attachment.resource_detail_id',$id);
	//$ci->db->where('resource_attachment.attachment_type',1);//for photo
	$query=$ci->db->get();
	//echo $ci->db->last_query();
	if($query->num_rows() >0)
	{
		return $query->result_array();
	}
	else
	{
		return array();
		// return a blank areray to keep the calling function happy because it expects an array
	}
}
function get_latest_listings()
{
    $ci= & get_instance();
	$ci->load->database();
	$ci->db->from('listing');
	//$ci->db->where('LISTING_ID',$listing_id);
	$ci->db->join('listing_images','listing_images.LISTING_ID=listing.LISTING_ID','left');
	$ci->db->group_by('listing_images.LISTING_ID');
	$ci->db->order_by('listing.LISTING_ID DESC');
	$ci->db->limit(5);
	$query=$ci->db->get();
	if($query->num_rows()>0)
	{
	
		return $query->result_array();
	}
	else
		return array();
}

function get_user_name($login_name)
{
    $ci= & get_instance();
	$ci->load->database();
	$ci->db->select('USER_NAME');
	$ci->db->from('LISTINGS');
	$ci->db->where('LOGIN_NAME',$login_name);
	$query=$ci->db->get();
	if($query->num_rows()>0)
	{
	$row=$query->row();
	return $row->USER_NAME;
	}
	return true;
}

function get_image($id)
{
    $ci= & get_instance();
	$ci->load->database();
	//$ci->db->select('USER_NAME');
	$ci->db->from('listing_images');
	$ci->db->where('LISTING_ID',$id);
	$query=$ci->db->get();
	if($query->num_rows()>0)
	{
	$row=$query->row();
	return $row;
	}
	else
	return false;
}

function get_images($id)
{
    	$ci= & get_instance();
	$ci->load->database();
	//$ci->db->select('USER_NAME');
	$ci->db->from('listing_images');
	$ci->db->where('LISTING_ID',$id);
	$query=$ci->db->get();
	if($query->num_rows() >0)
	{
		return $query->result_array();
	}
	else
	{
		return array();
		// return a blank areray to keep the calling function happy because it expects an array
	}
}

///////////////round table 
function get_moderator_comments($moderator_id,$topic_id)
{
        $ci= & get_instance();
	$ci->load->database();
	//$ci->db->select('USER_NAME');
	$ci->db->from('moderator_comments');
	$ci->db->join('user','user.user_id = moderator_comments.moderator_id','inner');
	$ci->db->where('user.user_type',2);//2 for moderator
 	$ci->db->where('user.status',2);// 2 for activated 
	$ci->db->where('user.block_status',1);//not blocked
	$ci->db->where('moderator_comments.moderator_id',$moderator_id);
	$ci->db->where('moderator_comments.roundtable_topic_id',$topic_id);
	$query=$ci->db->get();
	//echo $ci->db->last_query();
	if($query->num_rows() >0)
	{
		return $query->result_array();
	}
	else
	{
		return array();
		// return a blank areray to keep the calling function happy because it expects an array
	}
}
////////////////////// roundtable  
function get_panelist_comments($topic_id)
{
        $ci= & get_instance();
	$ci->load->database();
	//$ci->db->select('USER_NAME');
	$ci->db->from('panalist_comments');
	$ci->db->join('user','user.user_id = panalist_comments.panelist_id','inner');
	$ci->db->where('user.user_type',3);
	$ci->db->where('user.status',2);// 2 for activated 
	$ci->db->where('user.block_status',1);//not blocked
	
	$ci->db->where('roundtable_topic_id',$topic_id);
	$query=$ci->db->get();
	//echo $ci->db->last_query();
	if($query->num_rows() >0)
	{
		return $query->result_array();
	}
	else
	{
		return array();
		// return a blank areray to keep the calling function happy because it expects an array
	}
}

function get_public_comments($topic_id)
{
        $ci= & get_instance();
	$ci->load->database();
	//$ci->db->select('USER_NAME');
	$ci->db->from('roundtable_comments');
	$ci->db->join('user','user.user_id = roundtable_comments.roundtable_user_id','inner');
	$ci->db->where('user.user_type',4);// for public user
	$ci->db->where('user.status',2);//active user
	$ci->db->where('user.block_status',1);//not blocked
	$ci->db->where('roundtable_comments.roundtable_comment_status',2);//active comments
	$ci->db->where('roundtable_comments.roundtable_topic_id',$topic_id);
	$ci->db->where('(roundtable_comments.roundtable_comment_status = 1   or roundtable_comments.roundtable_comment_status = 2)' );
	//$ci->db->where('roundtable_comments.roundtable_comment_status'!=3);
	$query=$ci->db->get();
	//echo $ci->db->last_query();
	if($query->num_rows() >0)
	{
		return $query->result_array();
	}
	else
	{
		return array();
		// return a blank areray to keep the calling function happy because it expects an array
	}
}
//////////////

function get_fileuploads_complaintbox($id)
{
        $ci= & get_instance();
	$ci->load->database();
	//$ci->db->select('USER_NAME');
	$ci->db->from('complaintbox_attachments');
	$ci->db->where('complaint_id',$id);
	$query=$ci->db->get();
	//echo $ci->db->last_query();
	if($query->num_rows() >0)
	{
		return $query->result_array();
	}
	else
	{
		return array();
		// return a blank areray to keep the calling function happy because it expects an array
	}
}

function get_fileuploads_viewpoint($id)
{
       $ci= & get_instance();
	$ci->load->database();
	//$ci->db->select('USER_NAME');
	$ci->db->from('viewpoint_attachments');
	$ci->db->where('viewpoint_id',$id);
	$query=$ci->db->get();
	//echo $ci->db->last_query();
	if($query->num_rows() >0)
	{
		return $query->result_array();
	}
	else
	{
		return array();
		// return a blank areray to keep the calling function happy because it expects an array
	}
}


function get_fileuploads_questions($id)
{
      $ci= & get_instance();
	$ci->load->database();
	//$ci->db->select('USER_NAME');
	$ci->db->from('question_attachment');
	$ci->db->where('question_id',$id);
	$query=$ci->db->get();
	//echo $ci->db->last_query();
	if($query->num_rows() >0)
	{
		return $query->result_array();
	}
	else
	{
		return array();
		// return a blank areray to keep the calling function happy because it expects an array
	}
}

function get_bookmark_count($listing_id)
{
        $ci= & get_instance();
	    $ci->load->database();
	    $count=0;		
		$ci->db->select("count(*) as count");		
		$ci->db->where("LISTING_ID_LOGGED_IN",$listing_id);
		$ci->db->where("LISTING_ID_BOOKMARKED IN(SELECT LISTING_ID FROM LISTINGS WHERE IS_DELETED = 0 AND LISTING_STATUS IN(1,2,4,5))");
		
		$query = $ci->db->get('BOOKMARK');
		if ($query->num_rows() > 0)
		{
		   $row = $query->row(); 
		   $count=$row->count;
		}
		return $count;
}


function get_location(){
	    $options=array();
		$ci= & get_instance();
		$ci->load->database();
		$ci->db->select('LOCATION_ID');
		$ci->db->select('LOCATION_NAME');
		$ci->db->from('LOCATIONS');
		$query = $ci->db->get();
		$results=$query->result_array();
		foreach($results as $result){
		  $options[$result['LOCATION_ID']]=$result['LOCATION_NAME'];
		}
		return $options;
	}

/*function get_count_allcommentshelper(){
	    $options=array();
		$ci= & get_instance();
		$ci->load->database();
		$ci->db->select('roundtable_topic_id');
		$ci->db->select('panelist_id');
		$ci->db->from('panalist_comments');
		$query = $ci->db->get();
		$results=$query->result_array();
		foreach($results as $result){
		  $options[$result['roundtable_topic_id']]=$result['panelist_id'];
		}
		return $options;
	}*/



	
	function get_count_allcommentshelper($panelist_id,$topic_id)
{
        $ci= & get_instance();
	    $ci->load->database();
	    $count=0;		
		$ci->db->select("count(*) as count");		
		$ci->db->where("panelist_id",$panelist_id);
		$ci->db->where("roundtable_topic_id",$topic_id);
		
		
		$query = $ci->db->get('panalist_comments');
		//echo $ci->db->last_query();
		if ($query->num_rows() > 0)
		{
		   $row = $query->row(); 
		   $count=$row->count;
		}
		return $count;
}
function get_type_options()
	{
		return array(
		             '0'=>'Sale',
		             '1'=>'Rent'
					);
	}
		
/////////////add featured_items tables  ////////////////////////////////
		   function featured_add_new($fields,$insert_id)
	{
		

		
          $ci= & get_instance();
	      $ci->load->database();
		  $ci->db->insert('featured_items', $fields);
		  
		 // echo $ci->db->last_query();

		   if($insert_id){
                 return  $ci->db->insert_id();
                 }
		return true;
	}
	
 /////////////add featured_items tables  end  ///////////////////////////
		
 /////////////add featured_items tables  end  //////////////////////////////////////////////used now 
 
 
 function featured_delete_new($type,$id)
 {
	 
			
          $ci= & get_instance();
	      $ci->load->database();
		
		 $ci->db->where("featured_items.reference_id", $id );// reference id 
		 $ci->db->where("featured_items.type", $type );// type depends on  functions featured 14 nos 
		 $ci->db->delete("featured_items");// table featured
	   	// echo $ci->db->last_query();
		return true; 
	 
 }
 /////////////////////////////////////////////////////////////////////////////////not used  now for future flexibility
 
 function get_options_degitalpoint_delete_status($type,$id)
	{
		   $ci= & get_instance();
	      $ci->load->database();
		
		$ci->db->from('featured_items');
	    $ci->db->where("featured_items.reference_id", $id );// reference id 
	    $ci->db->where("featured_items.type", $type );// type depends on  functions featured 14 nos 
		$query = $ci->db->get();
		//$results=$query->result_array();
		//return $results;
	 	// echo $ci->db->last_query();
		
		 $row = $query->row(); 
	     return $row;
	}
/////////////////////////////////////////////////////////////////////////////////////used
function get_status_delete($type,$id,$datastatus)
	{
		$ci= & get_instance();
	      $ci->load->database();
		
		 $ci->db->where("featured_items.reference_id", $id );// reference id 
		 $ci->db->where("featured_items.type", $type );// type depends on  functions featured 14 nos 
		 $ci->db->update('featured_items', $datastatus);
		//	echo $this->db->last_query(); 
			return true;
    }
	
	
	
	
	
	
	
	
	
	
	
	
	
	
?>
