<?php
class Bookstock_model extends CI_Model 
{
	var $table_name="book_stock";
	var $primary_key="book_stock_id";
	var $unique_field="book_stock_id";
	var $unique_field1="book_details_id"; 
    var $sort_field="date_of_post";
    //////////////////comment table 
    var $table_bookcomment="book_comments";
	var $primary_bookcomment="book_comment_id"; 

	//var $file_name="";
	
    function Bookstock_model()
    {
        // Call the Model constructor
        parent::__construct();
    }

	function add_new($fields,$insert_id)
	{
		$this->db->insert($this->table_name, $fields);
		if($insert_id){
                 return $this->db->insert_id();
                 }
		return true;
	}
/////////////////////////add to track table //////////for tracking the updated details in different logins/////////////////////////////////

	
	function add_new_track_table($table_data_track,$ret_insert_id)
	{
		$this->db->insert('book_stock_track', $table_data_track);
		if($ret_insert_id){
		  return $this->db->insert_id();
		  }
		return true;
	}
	function getbook_det_id($id)
	{
		// get the information for given id
	    $this->db->from($this->table_name);
		$this->db->where('book_stock_id',$id);
		//$this->db->where("roundtable_topic_status",2);
		$query = $this->db->get();
		// echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
    	}
	
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	//single field 
	function unique_exists($unique_value,$exclude_id=-1)
	{
		$query=$this->db->query("SELECT $this->unique_field FROM $this->table_name WHERE $this->unique_field='$unique_value' AND $this->primary_key!=$exclude_id");
		//echo $this->db->last_query();
	   return $query->result();
	}
	/*/function unique_exists($unique_value,$unique_value1,$exclude_id=-1)
	{
		
		//$this->db->join('topic_panelist_mapping','topic_panelist_mapping.roundtable_topic_id = roundtable_book.roundtable_topic_id','inner');
	//	$this->db->join('user','user.user_id = roundtable_book.roundtable_moderator_id','inner');//usertable user login
		//$this->db->where('user.user_type' ,3);//is the panelist  is  in user table ie registered one (panelist)
	  //  $this->db->where('user.user_status' ,1);
		
		$query=$this->db->query("SELECT $this->unique_field, $this->unique_field1 FROM $this->table_name inner join topic_panelist_mapping on  roundtable_book.roundtable_topic_id=topic_panelist_mapping.roundtable_topic_id inner join user on user.user_id=topic_panelist_mapping.panelist_id
		 WHERE $this->unique_field='$unique_value' AND $this->unique_field1='$unique_value1'  AND roundtable_book.roundtable_topic_id!=$exclude_id ");
	   
	    //echo $this->db->last_query();
	   
	    return $query->result();
	}*/

	function get_count($search_fields)
	{
		$count=0;
		$this->db->select("count(*) as count");
		//$this->db->where("roundtable_topic_status= 2");
		//this->db->where("roundtable_topic",);
	        $this->db->join('book_details','book_details.book_details_id = book_stock.book_details_id','inner');//usertable user login
		if($search_fields)
		{
			foreach($search_fields as $val)
			{
				$this->db->where($val);	
			}
		}
		$query = $this->db->get($this->table_name);
//echo $this->db->last_query();
		if ($query->num_rows() > 0)
		{
		   $row = $query->row(); 
		   $count=$row->count;
		}
		return $count;
	}
////////////////////////////////used/////////////////////////////////////////////////
	function get($order_sql,$search_fields,$limit,$offset)
	{
		if($order_sql==$this->sort_field)
		{
			$this->db->order_by($order_sql,'desc');
	    	}else
	    	{
			$this->db->order_by($order_sql);


		}
		$this->db->order_by("book_stock.book_stock_id","desc");
		//$this->db->where('user.user_type',2);
		$this->db->select("book_details.*,book_stock.*,book_stock.active_status as active_status,book_stock.publish_status as publish_status");
		$this->db->from($this->table_name);
		$this->db->join('book_details','book_details.book_details_id = book_stock.book_details_id','inner');//usertable user login
	   	//$this->db->join('user','user.user_id = book_details.moderator_id','inner');//usertable user login
		if($search_fields)
		{		
			foreach($search_fields as $val)
			{
				$this->db->where($val);	
			}
		}			
		$query = $this->db->get('',$limit,$offset);
		if($query->num_rows() >0)
		{
			return $query->result_array();
		}
		else
		{
			return array();
			// return a blank areray to keep the calling function happy because it expects an array
		}
	}
/////////////////////////////////////used////////////////////////////////////////
	function get_by_id($id)
	{
		// get the information for given id
	    $this->db->from($this->table_name);
		//$this->db->join('book_comments','book_comments.book_id =book_details.book_id','left');//book_deatils and it comment table left join 
		$this->db->where("book_stock.book_stock_id",$id);
		$this->db->join('book_details','book_details.book_details_id =book_stock.book_details_id','left');//book_deatils and it comment table left join
		//$this->db->where($this->primary_key,$id);
		//$this->db->where("roundtable_topic_status",2);
		$query = $this->db->get();
		//echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
     	 }
	function get_by_id_book_user_comments($id)
	{
		 $this->db->from($this->table_name);
		$this->db->join('book_comments','book_comments.book_id =book_details.book_id','left');//book_deatils and it comment table left join 
		$this->db->where("book_details.book_id",$id);
		//$this->db->where($this->primary_key,$id);
		//$this->db->where("roundtable_topic_status",2);
		$query = $this->db->get();
		//echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
     	 }
	function get_by_book($book)
	{
		// get the information for given id
	    $this->db->from($this->table_name);
		$this->db->where('book_details',$book);
		//$this->db->where("roundtable_topic_status",2);
		$query = $this->db->get();
		// echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
    	}
    
    function get_book_title(){
	        $options=array();
		$this->db->order_by($this->sort_field);
		//$this->db->select($this->primary_key);
		//$this->db->select($this->unique_field);
		$this->db->from($this->table_name);
		//$this->db->where('region_id',$id);
		$query = $this->db->get();
 		//echo $this->db->last_query();
		$results=$query->result_array();
		foreach($results as $result){
		 $options[$result[$this->primary_key]]=$result[$this->unique_field];
		}
				
		return $options;
	}
////////function used in  controller for getting modeartor comments posting details

	function get_by_id_whole_comments($user_id,$book_id)
	{
		// get the information for given id
		$this->db->from($this->table_name);
		$this->db->join('book_comments','book_comments.book_detals_id =book_details.book_id','left');//book_deatils and it comment table left join 
	   	$this->db->join('user','user.user_id = book_comments.book_user_id','inner');//usertable user login
		$this->db->where("book_comments.book_user_id",$user_id);
		$this->db->where("book_details.book_id",$book_id);
		$this->db->where('user.user_type' ,4);//public user
		//$this->db->where("roundtable_topic_status",2);
		$query = $this->db->get();
 		//echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
    }
    function get_by_id_book($book_id)
	{
		// get the information for given id
	    $this->db->from("book_details");
	  
		//$this->db->join('book_details','book_details.book_id =book_comments.book_id','left');//usertable user login
		//$this->db->join('user','user.user_id =book_comments.book_user_id','inner');//usertable user login
		//$this->db->where("user.user_id",$user_id);
		$this->db->where("book_details.book_id",$book_id);
		//$this->db->where('user.user_type' ,4);//public user 
		//$this->db->where("roundtable_topic_status",2);
		$query = $this->db->get();
 		//echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
    }
	/*function get_by_id_book($user_id,$book_id)
	{
		// get the information for given id
	    $this->db->from("book_comments");
		$this->db->join('user','user.user_id =book_comments.book_user_id','inner');//usertable user login
		$this->db->where("user.user_id",$user_id);
		$this->db->where("book_comments.book_id",$book_id);
		$this->db->where('user.user_type' ,4);//public user 
		//$this->db->where("roundtable_topic_status",2);
		$query = $this->db->get();
 		//echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
    }*/
 
function get_by_id_public($book_id)
	{
		//echo"jaya";
		$this->db->from("book_comments");
		$this->db->join('user','user.user_id = book_comments.book_user_id','inner');//usertable user login
		$this->db->where("book_comments.book_id",$book_id);
		$this->db->where('user.user_type' ,4);//public user type=4
		//$this->db->where('roundtable_comments.roundtable_comment_status',2);//active comments
		//$this->db->where('user.status',2);//active user
		//$this->db->where("roundtable_topic_status",2);
		//$this->db->where('roundtable_comments.roundtable_comment_status3);
		$this->db->where('(book_comments.book_comment_status = 1   or book_comments.book_comment_status = 2  or book_comments.book_comment_status= 3)' );
		$query = $this->db->get();
 		//echo $this->db->last_query();
		//$row = $query->row(); 
		//return $row;
		$result = $query->result_array(); 
		return $result;
       }
     ///////////////////same moderator posting different comment for the same topic cheque  
        function get_topic($booktitle,$moderator_id)
	{
		$count=0;
		
		  // echo"panelistid=$panelist_id</br>";
		$this->db->select("count(*) as count");
		$this->db->join('book_comments','book_comments.book_id = book_details.book','left');
		$this->db->where("book_details.moderator_id",$moderator_id);
	    $this->db->where("book_details.book_title",$booktitle);
		//$this->db->where("roundtable_topic_status= 2");
		//this->db->where("roundtable_topic",);	
		$query = $this->db->get($this->table_name);
		// echo $this->db->last_query();
		if ($query->num_rows() > 0)
		{
		   $row = $query->row(); 
		   $count=$row->count;
		}
		return $count;
	}
	///////////////////////////////////
    function get_count_booktitle($booktitle)
	{
		$count=0;
		
		
		$this->db->select("count(*) as count");
		 $this->db->join('user','user.user_id = book_comments.user_id','inner');//usertable user login
	     $this->db->where("book_details.book_title",$booktitle);
	     $this->db->where('user.user_type' ,4);//is the user is  in user table ie registered one (panelist)
	      $this->db->where('user.status',1);
		//$this->db->where("roundtable_topic_status= 2");
		//this->db->where("roundtable_topic",);	
		$query = $this->db->get($this->table_name);
		 //echo $this->db->last_query();
		if ($query->num_rows() > 0)
		{
		   $row = $query->row(); 
		   $count=$row->count;
		}
		return $count;
	}
	/*function check($user_login_name,$user_password)
    {
        $this->db->from('user');
		$this->db->where("user_login_name",$user_login_name);
	
		$this->db->where("user_password",$user_password);
		//echo $this->db->_compile_select() ;
		$query = $this->db->get();
	     //echo $this->db->last_query();
		return $query->row();
    }*/
    
	function update($fields,$id)
	{
		$this->db->where($this->primary_key, $id);
		$this->db->update($this->table_name, $fields);
		//echo $this->db->last_query();
		return true;
	}
	
	function update_bookcomments($fields,$id)
	{
		$this->db->where($this->primary_bookcomment, $id);
		$this->db->update($this->table_bookcomment, $fields);
		//echo $this->db->last_query();
		return true;
	}
	
		function delete($id)
	{
		$this->db->where($this->primary_key, $id);
		$this->db->delete($this->table_name);
		return true;
	}
	
	
	function get_all(){
	
	        $this->db->from($this->table_name);
		$query = $this->db->get();
		$result = $query->result_array(); 
		return $result;
		
	}
 	function get_options(){
	        $options=array();
		$this->db->order_by($this->sort_field);
		$this->db->select($this->primary_key);
		$this->db->select($this->unique_field);
		$this->db->from($this->table_name);
		$query = $this->db->get();
		$results=$query->result_array();
		foreach($results as $result){
		$options[$result[$this->primary_key]]=$result[$this->unique_field];
		}
		return $options;
	}
	
	function delete_upload($fields,$id)
	{
		$this->db->where($this->primary_key, $id);
		$this->db->update($this->table_name, $fields);
		return true;
	}
	/////////////
function get_options_book_publishstatus($book_id)
	{
	   // $options=array();
		//$this->db->order_by($this->scheme_amount_sort_field);
		$this->db->from($this->table_name);
		$this->db->where('book_stock.book_stock_id',$book_id);
	    $this->db->where("book_stock.active_status",2); 
		$this->db->where("book_stock.publish_status",1); 
		
		$query = $this->db->get();
		//$results=$query->result_array();
		//return $results;
	        //echo $this->db->last_query();
		 $row = $query->row(); 
	         return $row;
	}
function get_options_book_publishstatus2($book_id)
	{
	   // $options=array();
	 //$this->db->order_by($this->scheme_amount_sort_field);
		$this->db->from($this->table_name);
		$this->db->where('book_stock.book_stock_id',$book_id);
	    $this->db->where("book_stock.active_status",2); 
		$this->db->where("book_stock.publish_status",2); 
		$query = $this->db->get();
		//$results=$query->result_array();
		//return $results;
	      // echo $this->db->last_query();
		 $row = $query->row(); 
	         return $row;
	}
	//////////////////////////
      function get_status_notpublish($book_id,$datastatus)
	{

		
		$this->db->where($this->primary_key,$book_id);
		$this->db->update($this->table_name,$datastatus);
		
		//echo $this->db->last_query();
		return true;
    	}
	
	////////////////////////////////

	function get_status_publish($book_id,$datastatus)
	{

		
		$this->db->where($this->primary_key,$book_id);
		$this->db->update($this->table_name,$datastatus);
		
		//echo $this->db->last_query();
		return true;
    	}
	
	////////////////////////////////
	function get_type_options()
	{
		return array(
		             '1'=>'Admin',
					 '2'=>'Moderator',
		             '3'=>'Panelist',
					 '0'=>'Nil Type'
					 
					);
	}
	function get_gender_options()
	{
		return array(
		             '1'=>'Female',
					 '2'=>'Male',
		           
					 '0'=>'Nil Gender'
					 
					);
	}
	function get_book_options()
	{
		return array(
		             '1'=>'Inactive',
					 '2'=>'Active',
		           
					 '0'=>'Nil Status'
					 
					);
	}
	function get_priority_options()
	{
		return array(
		             '1'=>'1',
					 '2'=>'2',
		   
					 '3'=>'3',
					 '4'=>'4',
					 '5'=>'5',
		    
					 '6'=>'6',
					 '7'=>'7',
					 '8'=>'8',
		     
					 '9'=>'9',
					 '10'=>'10',
					 '11'=>'11',
		      
					 '12'=>'12',
					 '13'=>'13',
					 '14'=>'14',
		      
					 '15'=>'15',
					 '16'=>'16',
					 '17'=>'17',
		      
					 '18'=>'18',
					 '19'=>'19',
					 '20'=>'20',
				
					 '21'=>'21',
					 '22'=>'22',
					 '23'=>'23',
		      
					 '24'=>'24',
					 '25'=>'25'
					  
					);
	}
	
	
	function get_by_user_login_name($user_login_name)
	{
		// get the information for given id
	    $this->db->from($this->table_name);
		$this->db->where('user_login_name',$user_login_name);
		$query = $this->db->get();
		//echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
    }
/////////////////////// new functionality 
	function add_new_book_table($table_book_comments,$ret_insert_id)
	{
		$this->db->insert('book_comments', $table_book_comments);

		if($ret_insert_id){
		  return $this->db->insert_id();

		  }
		return true;
	//echo"book table</br.";

	}
	

	
    
/////////////////////////////////////////////////////used/////////////
function get_options_book_status($book_id)
	{
	   // $options=array();
		//$this->db->order_by($this->scheme_amount_sort_field);
		$this->db->from($this->table_name);
		$this->db->where('book_stock.book_stock_id',$book_id);
		//$this->db->where('user.status',1);
		$query = $this->db->get();
		$results=$query->result_array();
		//return $results;
	   //echo $this->db->last_query();
		$row = $query->row(); 
	    return $row;
	}
///////////////////////////////////////////////////////////////////
function get_status_delete($book_id,$datastatus)
	{

		
		$this->db->where($this->primary_key,$book_id);
		$this->db->update($this->table_name,$datastatus);
		
		//echo $this->db->last_query();
		return true;
    }
	////////////////////////////////
	//////////////////////////
	function get_status_approve($book_id,$datastatus)
	{

		
		$this->db->where($this->primary_key,$book_id);
		$this->db->update($this->table_name,$datastatus);
		
		//echo $this->db->last_query();
		return true;
    }
	////////////////////////////////
function get_status_reject($book_id,$datastatus)
	{
 //  echo"book_idgrrrrrrr=$book_id</br>";
		$this->db->where($this->primary_key,$book_id);
		$this->db->update($this->table_name,$datastatus);
		
		//echo $this->db->last_query();
		return true;
    }

	function get_options_racks()
	{
		return array(
					 '1'=>'1st',
					 '2'=>'2nd',
		           
					 '3'=>'3rd',
					 '4'=>'4th',
		           
					 '5'=>'5th',
					 '6'=>'6th',
		           
					 '7'=>'7th',
					 '8'=>'8th',
		           
					 '9'=>'9th',
					 '10'=>'10th',
		           
					 '11'=>'11th',
					 '12'=>'12th',
		           
					 '13'=>'13th'
					 
					);
	}

}




?>
