<?php
class Opinion_model extends CI_Model 
{
	var $table_name="opinion";
	var $primary_key="opinion_id";
	var $unique_field="opinion_id";
       // var $sort_field="viewpoint_desc";
	var $sort_field="opinion_posted_date";
	//var $default_sort_field="viewpoint_posted_date";
	//var $file_name="";
	
    function Opinion_model()
    {
        // Call the Model constructor
        parent::__construct();
    }
	function add_new($fields)
	{
		
		//print_r($fields);

		$this->db->insert($this->table_name, $fields);
		return true;
	}
	
	function unique_exists($unique_value,$exclude_id=-1)
	{
	 $query=$this->db->query("SELECT $this->unique_field FROM $this->table_name WHERE $this->unique_field='$unique_value' AND $this->primary_key!=$exclude_id");
	 return $query->result();
	}
	
	
	 /* function checking_unique_exists_comments($topic_id ,$panelistid)
	{
		//$count=0;
		$this->db->where("topic_panelist_mapping.panelist_id",$panelistid);
		$this->db->where("panalist_comments.roundtable_topic_id",$topicid);
		//$this->db->select("count(*) as count");
		$this->db->join('topic_panelist_mapping','panalist_comments.roundtable_topic_id=topic_panelist_mapping.roundtable_topic_id','left');		

		//$this->db->join('user','user.user_id=roundtable_comments.roundtable_user_id');
		//$this->db->where('user.user_type' ,4);
		
		$query = $this->db->get($this->table_name);
		
		//echo $this->db->last_query();
		
		
		
		if ($query->num_rows() > 0)
		{
		   $row = $query->row(); 
		   $count=$row->count;
		}
		$count = $query->row(); 
		return $count;
	}*/

	function get_count($search_fields)
	{
		$count=0;
		$this->db->select("count(*) as count");
		$this->db->join('youngpoint_category','youngpoint_category.category_id = opinion.category_id','inner');
		//$this->db->join('viewpoint_attachments','viewpoint_attachments.viewpoint_id = viewpoint.viewpoint_id','inner');
		//$this->db->join('user','user.user_id = viewpoint.viewpoint_user_id','inner');
		//$this->db->where('user.user_type' ,4);
                $this->db->where('youngpoint_category.category_type' ,1);//viewpoint box type
                // $this->db->where("viewpoint.viewpoint_status",1);  //status ok
      		$this->db->where("youngpoint_category.is_active",1);
		$this->db->where('(opinion.opinion_status = 1  or opinion.opinion_status= 2  or opinion.opinion_status= 3)' );
    		
		//$this->db->where('viewpoint_attachments.show_status',1);

		if($search_fields)
		{
			foreach($search_fields as $val)
			{
				$this->db->where($val);	
			}
		}
		$query = $this->db->get($this->table_name);
                 // echo $this->db->last_query();
		if ($query->num_rows() > 0)
		{
		   $row = $query->row(); 
		   $count=$row->count;
		}
		return $count;
	}

	function get($order_sql,$search_fields,$limit,$offset)
	{ 
		if($order_sql==$this->sort_field)
		{
			$this->db->order_by($order_sql,'desc');
	    	}else
	    	{
			$this->db->order_by($order_sql);
		}
		//$this->db->order_by($order_sql);
		$this->db->from($this->table_name);
		//$this->db->join('user','user.user_id= viewpoint.viewpoint_user_id','inner');
		//$this->db->where('user.user_type' ,4);
		$this->db->join('youngpoint_category','youngpoint_category.category_id = opinion.category_id','inner');
		//$this->db->join('viewpoint_attachments','viewpoint_attachments.viewpoint_id = viewpoint.viewpoint_id','inner');
                $this->db->where('youngpoint_category.category_type' ,1);//viewpoint box type
		//$this->db->where('viewpoint_attachments.show_status',1);//
                $this->db->where('(opinion.opinion_status = 1  or opinion.opinion_status= 2  or opinion.opinion_status= 3)' );
 		$this->db->where("youngpoint_category.is_active",1);
                 	
		if($search_fields)
		{		
			foreach($search_fields as $val)
			{
				$this->db->where($val);	
			}
		}			
		$query = $this->db->get('',$limit,$offset);
		//echo $this->db->last_query();
		if($query->num_rows() >0)
		{
			return $query->result_array();
		}
		else
		{
			return array();
			// return a blank areray to keep the calling function happy becget_by_idause it expects an array
		}
	}
function get_by_id($id)
	{
		

 //echo"id=$id</br>";
//exit;
// get the information for given id
	        $this->db->from($this->table_name);
                $this->db->join('youngpoint_category','youngpoint_category.category_id = opinion.category_id','inner');
		//$this->db->join('viewpoint_attachments','viewpoint_attachments.viewpoint_id = viewpoint.viewpoint_id','inner');
		//$this->db->where("viewpoint.viewpoint_status",1);
		$this->db->where("youngpoint_category.is_active",1);
		//$this->db->where("viewpoint.viewpoint_status = 1 or viewpoint.viewpoint_status = 2");
		//$this->db->where('viewpoint_attachments.show_status',1);
                $this->db->where('youngpoint_category.category_type' ,1);//viewpoint box type
		$this->db->where($this->primary_key,$id);

		//$this->db->where("viewpoint.viewpoint_status",1);
		$query = $this->db->get();
		//echo $this->db->last_query();
		//exit;
		$row = $query->row(); 
		return $row;
    }
	
	
	function get_by_id1($id)
	{
		// get the information for given id
	        $this->db->from($this->table_name);
                $this->db->join('category','category.category_id = viewpoint.category_id','inner');
		//$this->db->join('viewpoint_attachments','viewpoint_attachments.viewpoint_id = viewpoint.viewpoint_id','inner');
		//$this->db->where("viewpoint.viewpoint_status",1);
		$this->db->where("category.is_active",1);
		//$this->db->where("viewpoint.viewpoint_status = 1 or viewpoint.viewpoint_status = 2");
		$this->db->where('viewpoint_attachments.show_status',2);
                $this->db->where('category.category_type' ,1);//viewpoint box type
		$this->db->where($this->primary_key,$id);

		//$this->db->where("viewpoint.viewpoint_status",1);
		$query = $this->db->get();
		//echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
    }
	
	/*function check($user_login_name,$user_password)
    {
        	$this->db->from('user');
		$this->db->where("user_login_name",$user_login_name);
		$this->db->where("user_password",$user_password);
		//echo $this->db->_compile_select() ;
	        $query = $this->db->get();
	        //echo $this->db->last_query();
		return $query->row();
    }*/
    function update($fields,$id)
	{
		$this->db->where($this->primary_key, $id);
		$this->db->update($this->table_name, $fields);
		//echo $this->db->last_query();
		return true;
	}
	
	function delete($id)
	{
		$this->db->where($this->primary_key, $id );
		
		$this->db->delete($this->table_name);
		return true;
	}
	
	
	function get_all(){
	
	        $this->db->from($this->table_name);
		$query = $this->db->get();
		$result = $query->result_array(); 
		return $result;
		
	}
 	function get_options(){
	        $options=array();
		$this->db->order_by($this->sort_field);
		$this->db->select($this->primary_key);
		$this->db->select($this->unique_field);
		$this->db->from($this->table_name);
		$query = $this->db->get();
		$results=$query->result_array();
		foreach($results as $result){
		  $options[$result[$this->primary_key]]=$result[$this->unique_field];
		}
		return $options;
	}
	
	function delete_upload($fields,$id)
	{
		$this->db->where($this->primary_key, $id);
		$this->db->update($this->table_name, $fields);
		return true;
	}
	
	
	
	function get_count_all()
	{
		
		$count=0;

		
		$this->db->select("count(*) as count");
		//$this->db->join('user','user.user_id = viewpoint.viewpoint_user_id','inner');
		//$this->db->where('user.user_type' ,4);
		$this->db->join('category','category.category_id = viewpoint.category_id','inner');
		//$this->db->join('viewpoint_attachments','viewpoint_attachments.viewpoint_id = viewpoint.viewpoint_id','inner');
		//$this->db->where("viewpoint.viewpoint_status",1);
		//$this->db->where('viewpoint_attachments.show_status',1);
		$this->db->where("category.is_active",1);
		$this->db->where('category.category_type' ,1);//viewpoint box type
		$this->db->where('(viewpoint.viewpoint_status = 1  or viewpoint.viewpoint_status= 2  or viewpoint.viewpoint_status= 3)' );
		$query = $this->db->get($this->table_name);
		
		//echo $this->db->last_query();
		
		
		
		if ($query->num_rows() > 0)
		{
		   $row = $query->row(); 
		   $count=$row->count;
		}
		$count = $query->row(); 
		return $count;
	}
	


         function get_options_category($id){
	        $options=array();
		//$this->db->order_by('viewpoint.viewpoint_id');
		//$this->db->select('viewpoint_id');
		$this->db->order_by($this->sort_field);
		$this->db->from($this->table_name);
		$this->db->join('youngpoint_category','youngpoint_category.category_id = opinion.category_id','inner');
		//$this->db->join('viewpoint_attachments','viewpoint_attachments.viewpoint_id = viewpoint.viewpoint_id','inner');
		//$this->db->where("viewpoint.viewpoint_status",1);
		//$this->db->where('viewpoint_attachments.show_status',1);
		$this->db->where("youngpoint_category.is_active",1);
		$this->db->where('youngpoint_category.category_type' ,1);//viewpoint box type
		$this->db->where('(opinion.opinion_status = 1  or opinion.opinion_status= 2  or opinion.opinion_status= 3)' );
                $this->db->where("opinion.opinion_id",$id);
                $query = $this->db->get();

		//echo $this->db->last_query();
		$results=$query->result_array();
		foreach($results as $result){
		  $options[$result['category_id']]=$result['category_name'];

		}
				
		return $options;
	}


	
	function get_by_id_email($id)
	{
	    // get the information for given id
	    $this->db->from($this->table_name);
		$this->db->where('viewpoint.viewpoint_id',$viewpoint_id);
		$this->db->where('viewpoint.viewpoint_status',3);
	    $query = $this->db->get();
	   // echo $this->db->last_query();
	    $row = $query->row(); 
		return $row;
    }

	function get_options_opinion_status($opinion_id)
	{
	        // $options=array();
		//$this->db->order_by($this->scheme_amount_sort_field);
		$this->db->from($this->table_name);
		$this->db->where('opinion.opinion_id',$opinion_id);
		//$this->db->where('viewpoint.viewpoint_status',1);
		$query = $this->db->get();
		//$results=$query->result_array();
		//return $results;
	        // echo $this->db->last_query();
		 $row = $query->row(); 
	         return $row;
	}
	//////////////////////////
	function get_status_approve($opinion_id,$datastatus)
	{

		
		$this->db->where($this->primary_key,$opinion_id);
		$this->db->update($this->table_name,$datastatus);
		
		//echo $this->db->last_query();
		return true;
    }
	////////////////////////////////
function get_options_publishstatus($opinion_id)
	{
	        // $options=array();
		//$this->db->order_by($this->scheme_amount_sort_field);
		$this->db->from($this->table_name);
		$this->db->where('opinion.opinion_id',$opinion_id);
		//$this->db->where('viewpoint.viewpoint_status',2);//for activate viewpoint 
		//$this->db->where('viewpoint.viewpoint_showstatus',1); // user choice /show or not 
		$this->db->where('opinion.publish_status',1);
		$query = $this->db->get();
		//$results=$query->result_array();
		//return $results;
	        // echo $this->db->last_query();
		 $row = $query->row(); 
	         return $row;
	}
function get_options_publishstatus2($viewpoint_id)
	{
	        // $options=array();
		//$this->db->order_by($this->scheme_amount_sort_field);
		$this->db->from($this->table_name);
		$this->db->where('opinion.opinion_id',$viewpoint_id);
		//$this->db->where('viewpoint.viewpoint_status',2);// for activate viewpoint 
		//$this->db->where('viewpoint.viewpoint_showstatus',2);/  user choice /show or not 
		$this->db->where('opinion.publish_status',2);		
		$query = $this->db->get();
		//$results=$query->result_array();
		//return $results;
	        //echo $this->db->last_query();
		 $row = $query->row(); 
	         return $row;
	}
	//////////////////////////
      function get_status_notpublish($viewpoint_id,$datastatus)
	{

		
		$this->db->where($this->primary_key,$viewpoint_id);
		$this->db->update($this->table_name,$datastatus);
		
		//echo $this->db->last_query();
		return true;
    	}
	
	////////////////////////////////

	function get_status_publish($viewpoint_id,$datastatus)
	{

		
		$this->db->where($this->primary_key,$viewpoint_id);
		$this->db->update($this->table_name,$datastatus);
		
		//echo $this->db->last_query();
		return true;
    	}

	////////////////////////////////


function get_status_reject($opinion_id,$datastatus)
	{
   
		
		$this->db->where($this->primary_key,$opinion_id);
		$this->db->update($this->table_name,$datastatus);
		
		//echo $this->db->last_query();
		return true;
    }
    
    function get_type_options()
	{
		return array(
		             '1'=>'Admin',
					 '2'=>'Moderator',
		             '3'=>'Panelist',
					 '0'=>'Nil Type'
					 
					);
	}
	function get_gender_options()
	{
		return array(
		             '1'=>'Female',
					 '2'=>'Male',
		           
					 '0'=>'Nil Gender'
					 
					);
	}
	
	
	function get_comments_options()
	{
		return array(
		             '1'=>'Pending',
					 '2'=>'Approved',
		          
					 '3'=>'Cancelled'
					 
					);
	}
	
    function get_category_options()
	{
		return array(
		             '1'=>'Female',
					 '2'=>'Male',
		           
					 '0'=>'Nil Gender'
					 
					);
	}
}
?>
