<?php
class Panelistcomments_model extends CI_Model 
{
	var $table_name="panalist_comments";
	var $primary_key="panelist_comments_id";
	var $unique_field="panelist_id";
	var $unique_field1="roundtable_topic_id";
    var $sort_field="panelist_comments";
	//var $file_name="";
	
    function Panelistcomments_model()
    {
        // Call the Model constructor
        parent::__construct();
    }

	function add_new($fields)
	{
		
		//print_r($fields);

		$this->db->insert($this->table_name, $fields);
		return true;
	}
	
	/*function unique_exists($unique_value,$exclude_id=-1)
	{
	 $query=$this->db->query("SELECT $this->unique_field FROM $this->table_name WHERE $this->unique_field='$unique_value' AND $this->primary_key!=$exclude_id");
	   return $query->result();
	}
	
	function checking_unique_exists_comments($topic_id ,$panelistid)
	{
		//$count=0;
		$this->db->where("topic_panelist_mapping.panelist_id",$panelistid);
		$this->db->where("panalist_comments.roundtable_topic_id",$topicid);
		//$this->db->select("count(*) as count");
		$this->db->join('topic_panelist_mapping','panalist_comments.roundtable_topic_id=topic_panelist_mapping.roundtable_topic_id','left');		

		//$this->db->join('user','user.user_id=roundtable_comments.roundtable_user_id');
		//$this->db->where('user.user_type' ,4);
		
		$query = $this->db->get($this->table_name);
		
		//echo $this->db->last_query();
		
		
		
		if ($query->num_rows() > 0)
		{
		   $row = $query->row(); 
		   $count=$row->count;
		}
		$count = $query->row(); 
		return $count;
	}*/
function get_count($search_fields)
	{
		$count=0;
		$this->db->select("count(*) as count");
		$this->db->join('user','user.user_id = questions.user_id','inner');
		$this->db->where('user.user_type' ,3);
        $this->db->where("user_status",1); 
		
		if($search_fields)
		{
			foreach($search_fields as $val)
			{
				$this->db->where($val);	
			}
		}
		$query = $this->db->get($this->table_name);
		//echo $this->db->last_query();
		if ($query->num_rows() > 0)
		{
		   $row = $query->row(); 
		   	
		   $count=$row->count;
		}
		return $count;
	}
	//old query
	/*function get_count($search_fields)
	{
		$count=0;
		$this->db->select("count(*) as count");
		//$this->db->where("roundtable_topic_status= 2");
		//this->db->where("roundtable_topic",);
		
		if($search_fields)
		{
			foreach($search_fields as $val)
			{
				$this->db->where($val);	
			}
		}
		$query = $this->db->get($this->table_name);
		if ($query->num_rows() > 0)
		{
		   $row = $query->row(); 
		   $count=$row->count;
		}
		return $count;
	}*/

	function get($order_sql,$search_fields,$limit,$offset)
	{
		$this->db->order_by($order_sql);
		$this->db->from($this->table_name);
		if($search_fields)
		{		
			foreach($search_fields as $val)
			{
				$this->db->where($val);	
			}
		}			
		$query = $this->db->get('',$limit,$offset);
		if($query->num_rows() >0)
		{
			return $query->result_array();
		}
		else
		{
			return array();
			// return a blank areray to keep the calling function happy because it expects an array
		}
	}

	function get_by_id( $topic_id ,$panelistid )
	{
		
		//echo"panelist_id=$panelistid</br>";
		//echo"topic_id=$topic_id</br>";
				
		// get the information for given id
	    $this->db->from($this->table_name);
		$this->db->where("roundtable_topic_id",$topic_id);
		$this->db->where("panelist_id",$panelistid);
		//$this->db->where("roundtable_topic_status",2);
		$query = $this->db->get();
		//echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
    }
	
	
	/*function check($user_login_name,$user_password)
    {
        $this->db->from('user');
		$this->db->where("user_login_name",$user_login_name);
	
		$this->db->where("user_password",$user_password);
		//echo $this->db->_compile_select() ;
		$query = $this->db->get();
	     //echo $this->db->last_query();
		return $query->row();
    }*/
    
	function update($fields,$topic_id ,$panelistid)
	{
		//$this->db->where($this->primary_key, $id);
		$this->db->where("roundtable_topic_id",$topic_id);
		$this->db->where("panelist_id",$panelistid);
		$this->db->update($this->table_name, $fields);
		//echo $this->db->last_query();
		return true;
	}
	function delete($topic_id ,$panelistid)
	{
		$this->db->where($this->primary_key, $topic_id );
		$this->db->where($this->primary_key, $panelistid);
		$this->db->delete($this->table_name);
		return true;
	}
	
	
	function get_all(){
	
	    $this->db->from($this->table_name);
		$query = $this->db->get();
		$result = $query->result_array(); 
		return $result;
		
	}
 	function get_options(){
	    $options=array();
		$this->db->order_by($this->sort_field);
		$this->db->select($this->primary_key);
		$this->db->select($this->unique_field);
		$this->db->from($this->table_name);
		$query = $this->db->get();
		$results=$query->result_array();
		foreach($results as $result){
		  $options[$result[$this->primary_key]]=$result[$this->unique_field];
		}
		return $options;
	}
	
	function delete_upload($fields,$id)
	{
		$this->db->where($this->primary_key, $id);
		$this->db->update($this->table_name, $fields);
		return true;
	}
	
	function get_type_options()
	{
		return array(
		             '1'=>'Admin',
					 '2'=>'Moderator',
		             '3'=>'Panelist',
					 '0'=>'Nil Type'
					 
					);
	}
	function get_gender_options()
	{
		return array(
		             '1'=>'Female',
					 '2'=>'Male',
		           
					 '0'=>'Nil Gender'
					 
					);
	}
	function get_topics_options()
	{
		return array(
		             '1'=>'Inactive',
					 '2'=>'Active',
		           
					 '0'=>'Nil Status'
					 
					);
	}
	
	function get_comments_options()
	{
		return array(
		             '1'=>'Pending',
					 '2'=>'Approved',
		          
					 '3'=>'Cancelled'
					 
					);
	}
	
	
	
	function get_count_all($panelistid)
	{
		
		$count=0;
		$this->db->where("topic_panelist_mapping.panelist_id",$panelistid);
		//$this->db->where("panalist_comments.roundtable_topic_id",$topicid);
		$this->db->select("count(*) as count");
		$this->db->join('topic_panelist_mapping','panalist_comments.roundtable_topic_id=topic_panelist_mapping.roundtable_topic_id','left');		

		//$this->db->join('user','user.user_id=roundtable_comments.roundtable_user_id');
		//$this->db->where('user.user_type' ,4);
		
		$query = $this->db->get($this->table_name);
		
		//echo $this->db->last_query();
		
		
		/*
		if ($query->num_rows() > 0)
		{
		   $row = $query->row(); 
		   $count=$row->count;
		}*/
		$count = $query->row(); 
		return $count;
	}
	
}
?>
