<?php
class Site_resources_model extends CI_Model 
{
	var $table_name ="viewpoint";
	var $primary_key="viewpoint_id";
	
	
    function site_resources_model()
    {
        // Call the Model constructor
        parent::__construct();
    }
    function getResources()
    {
            //$this->db->where("publish_status",2);
            //$this->db->where("topic_status",2);
            $query 	= $this->db->get('resource_topic'); 
            $result  	= $query->result_array(); 
            return $result ;

    }
    function getSearchResult($keyword,$category,$topic,$limit,$offset)
    { 
            $query 	= "    SELECT resource_details.resource_detail_id as id,resource_details.* ,resource_topic.*,resource_category.*,resource_attachment.* FROM resource_details 						   
                                       LEFT JOIN resource_topic ON resource_topic.resource_topic_id = resource_details.resource_topic_id
                                       LEFT JOIN resource_attachment ON resource_attachment.resource_detail_id = resource_details.resource_detail_id
                                       LEFT JOIN resource_category ON resource_category.resource_category_id = resource_details.resource_category_id WHERE resource_details.publish_status=2 ";

            if($keyword)
            {
                $query .= "AND resource_title LIKE '%$keyword%' OR resource_description LIKE '%$keyword%' ";
            }
            if($category)
            {
                $query .= "AND resource_details.resource_category_id = $category ";
            }
            if($topic)
            {
                $query .= "AND resource_details.resource_topic_id = $topic ";
            }
				$query .= "GROUP BY resource_details.resource_detail_id ORDER BY resource_details.date_of_posting desc LIMIT $limit OFFSET $offset ";
            
            $query      = $this->db->query($query);
            $result  	= $query->result_array(); 
            return $result ;

    }
    function getSearchCount($keyword,$category,$topic)
    { 
            $query 	= "    SELECT resource_details.resource_detail_id as id,resource_details.* ,resource_topic.*,resource_category.*,resource_attachment.* FROM resource_details 						   
                                       LEFT JOIN resource_topic ON resource_topic.resource_topic_id = resource_details.resource_topic_id
                                       LEFT JOIN resource_attachment ON resource_attachment.resource_detail_id = resource_details.resource_detail_id
                                       LEFT JOIN resource_category ON resource_category.resource_category_id = resource_details.resource_category_id WHERE resource_details.publish_status=2 ";

            if($keyword)
            {
                $query .= "AND resource_title LIKE '%$keyword%' OR resource_description LIKE '%$keyword%' ";
            }
            if($category)
            {
                $query .= "AND resource_details.resource_category_id = $category ";
            }
            if($topic)
            {
                $query .= "AND resource_details.resource_topic_id = $topic ";
            }
				$query .= "GROUP BY resource_details.resource_detail_id ";
            
            $query      = $this->db->query($query);
            $result  	= $query->num_rows(); 
            return $result ;

    }
    function getResourcesbyid($id)
    {
	    $query 	= "    SELECT resource_details.resource_detail_id as id,resource_details.* ,resource_topic.*,resource_category.*,resource_attachment.* FROM resource_details						   
						   LEFT JOIN resource_topic ON resource_topic.resource_topic_id = resource_details.resource_topic_id
                                                   LEFT JOIN resource_attachment ON resource_attachment.resource_detail_id = resource_details.resource_detail_id
						   LEFT JOIN resource_category ON resource_category.resource_category_id = resource_details.resource_category_id WHERE resource_details.publish_status=2 AND resource_details.resource_detail_id = ".$id;                          
            
            $query      = $this->db->query($query);
            $result  	= $query->row_array(); 
            return $result ;

	}
	function getAttachmentbyid($id)
	{
		    $query 	= "    SELECT * FROM resource_attachment WHERE resource_attachment.resource_detail_id = ".$id;                       
            
            $query      = $this->db->query($query);
            $result  	= $query->result_array(); 
            return $result ;
	}
        
				
}
?>
