<?php
class Topics_model extends CI_Model 
{
	var $table_name="roundtable_topics";
	var $primary_key="roundtable_topic_id";
	var $unique_field="roundtable_topic";
	var $unique_field1="user.user_id"; //topic panelist mapping table
        var $sort_field="roundtable_topic";
	//var $file_name="";
	
    function Topics_model()
    {
        // Call the Model constructor
        parent::__construct();
    }

	function add_new($fields,$insert_id)
	{
		$this->db->insert($this->table_name, $fields);
		if($insert_id){
                 return $this->db->insert_id();
                 }
		return true;
	}

	//single field 
	function unique_exists($unique_value,$exclude_id=-1)
	{
		$query=$this->db->query("SELECT $this->unique_field FROM $this->table_name WHERE $this->unique_field='$unique_value' AND $this->primary_key!=$exclude_id");
	   return $query->result();
	}
	/*/function unique_exists($unique_value,$unique_value1,$exclude_id=-1)
	{
		
		//$this->db->join('topic_panelist_mapping','topic_panelist_mapping.roundtable_topic_id = roundtable_topics.roundtable_topic_id','inner');
	//	$this->db->join('user','user.user_id = roundtable_topics.roundtable_moderator_id','inner');//usertable user login
		//$this->db->where('user.user_type' ,3);//is the panelist  is  in user table ie registered one (panelist)
	  //  $this->db->where('user.user_status' ,1);
		
		$query=$this->db->query("SELECT $this->unique_field, $this->unique_field1 FROM $this->table_name inner join topic_panelist_mapping on  roundtable_topics.roundtable_topic_id=topic_panelist_mapping.roundtable_topic_id inner join user on user.user_id=topic_panelist_mapping.panelist_id
		 WHERE $this->unique_field='$unique_value' AND $this->unique_field1='$unique_value1'  AND roundtable_topics.roundtable_topic_id!=$exclude_id ");
	   
	    //echo $this->db->last_query();
	   
	    return $query->result();
	}*/

	function get_count($search_fields)
	{
		$count=0;
		$this->db->select("count(*) as count");
		//$this->db->where("roundtable_topic_status= 2");
		//this->db->where("roundtable_topic",);
		
		if($search_fields)
		{
			foreach($search_fields as $val)
			{
				$this->db->where($val);	
			}
		}
		$query = $this->db->get($this->table_name);
//echo $this->db->last_query();
		if ($query->num_rows() > 0)
		{
		   $row = $query->row(); 
		   $count=$row->count;
		}
		return $count;
	}

	function get($order_sql,$search_fields,$limit,$offset)
	{
		$this->db->order_by($order_sql);
		$this->db->from($this->table_name);
		if($search_fields)
		{		
			foreach($search_fields as $val)
			{
				$this->db->where($val);	
			}
		}			
		$query = $this->db->get('',$limit,$offset);
		if($query->num_rows() >0)
		{
			return $query->result_array();
		}
		else
		{
			return array();
			// return a blank areray to keep the calling function happy because it expects an array
		}
	}

	function get_by_id($id)
	{
		// get the information for given id
	        $this->db->from($this->table_name);
		$this->db->join('moderator_comments','moderator_comments.moderator_id =roundtable_topics.roundtable_moderator_id','inner');//usertable user login
		$this->db->where("roundtable_topics.roundtable_topic_id",$id);
		//$this->db->where($this->primary_key,$id);
		//$this->db->where("roundtable_topic_status",2);


		$query = $this->db->get();
		//echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
     	 }
	function get_by_id_topic_moderator_comments($id)
	{
		// get the information for given id
	        $this->db->from($this->table_name);
		// $this->db->join('roundtable_topics','roundtable_topics.roundtable_moderator_id =moderator_comments.moderator_id','inner');//usertable user login
 		$this->db->join('moderator_comments','moderator_comments.moderator_id =roundtable_topics.roundtable_moderator_id','inner');//usertable user login
		$this->db->where($this->primary_key,$id);
		//$this->db->where("roundtable_topic_status",2);
		$query = $this->db->get();
		//echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
     	 }
		function get_by_topic($topic)
	{
		// get the information for given id
	        $this->db->from($this->table_name);
		$this->db->where('roundtable_topic',$topic);
		//$this->db->where("roundtable_topic_status",2);
		$query = $this->db->get();
		// echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
    	}
    
    function get_topic_title(){
	        $options=array();
		$this->db->order_by($this->sort_field);
		//$this->db->select($this->primary_key);
		//$this->db->select($this->unique_field);
		$this->db->from($this->table_name);
		//$this->db->where('region_id',$id);
		$query = $this->db->get();
 		//echo $this->db->last_query();
		$results=$query->result_array();
		foreach($results as $result){
		 $options[$result[$this->primary_key]]=$result[$this->unique_field];
		}
				
		return $options;
	}
////////function used in  controller for getting modeartor comments posting details

	function get_by_id_whole_comments($moderator_id,$topic_id)
	{
		// get the information for given id
		$this->db->from("roundtable_topics");
		$this->db->join('moderator_comments','roundtable_topics.roundtable_topic_id = moderator_comments.roundtable_topic_id','inner');//usertable user login
	   	$this->db->join('user','user.user_id = moderator_comments.moderator_id','inner');//usertable user login
		$this->db->where("roundtable_topics.roundtable_moderator_id",$moderator_id);
		$this->db->where("roundtable_topics.roundtable_topic_id",$topic_id);
		$this->db->where('user.user_type' ,2);//moderator 
		//$this->db->where("roundtable_topic_status",2);
		$query = $this->db->get();
 		//echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
    }
    
	function get_by_id_moderator($moderator_id,$topic_id)
	{
		// get the information for given id
	        $this->db->from("moderator_comments");
		$this->db->join('user','user.user_id =moderator_comments.moderator_id','inner');//usertable user login
		$this->db->where("moderator_id",$moderator_id);
		$this->db->where("roundtable_topic_id",$topic_id);
		$this->db->where('user.user_type' ,2);//moderator 
		//$this->db->where("roundtable_topic_status",2);
		$query = $this->db->get();
 		//echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
    }
    
////////function used in  controller for getting panelist comments posting details

function get_by_id_panelist($topic_id)
	{
		
		//echo"topicis=$topic_id";
		
		// get the information for given id
	        $this->db->from("panalist_comments");
		$this->db->join('user','user.user_id = panalist_comments.panelist_id','inner');//usertable user login
		//$this->db->where("panelist_id",$moderator_id);
		$this->db->where("panalist_comments.roundtable_topic_id",$topic_id);
		$this->db->where('user.user_type' ,3);//panelist
		//$this->db->where("roundtable_topic_status",2);
		$query = $this->db->get();
 		//echo $this->db->last_query();
		//exit;
		//$row = $query->row(); 
		//return $row;
		$result = $query->result_array(); 
		return $result;
       }

function get_by_id_public($topic_id)
	{
		
		//echo"topicis=$topic_id";
			//exit;
		// get the information for given id
	        $this->db->from("roundtable_comments");
		$this->db->join('user','user.user_id = roundtable_comments.roundtable_user_id','inner');//usertable user login
		$this->db->where("roundtable_comments.roundtable_topic_id",$topic_id);
		$this->db->where('user.user_type' ,4);//public user type=4
		//$this->db->where('roundtable_comments.roundtable_comment_status',2);//active comments
		$this->db->where('user.status',2);//active user
		//$this->db->where("roundtable_topic_status",2);
		//$this->db->where('roundtable_comments.roundtable_comment_status3);
		$this->db->where('(roundtable_comments.roundtable_comment_status = 1   or roundtable_comments.roundtable_comment_status = 2)' );
		$query = $this->db->get();
 		//echo $this->db->last_query();
		//$row = $query->row(); 
		//return $row;
		$result = $query->result_array(); 
		return $result;
       }
    function get_count_topic($topic)
	{
		$count=0;
		
		
		$this->db->select("count(*) as count");
		$this->db->join('topic_panelist_mapping','topic_panelist_mapping.roundtable_topic_id = roundtable_topics.roundtable_topic_id','inner');
		//$this->db->join('moderator_comments','moderator_comments.moderator_id = roundtable_topics.roundtable_moderator_id','inner');
	        $this->db->join('user','user.user_id = topic_panelist_mapping.panelist_id','inner');//usertable user login
	        $this->db->where("roundtable_topics.roundtable_topic",$topic);
	        $this->db->where('user.user_type' ,3);//is the panelist  is  in user table ie registered one (panelist)
	        $this->db->where('user.status',1);
		//$this->db->where("roundtable_topic_status= 2");
		//this->db->where("roundtable_topic",);	
		$query = $this->db->get($this->table_name);
		 //echo $this->db->last_query();
		if ($query->num_rows() > 0)
		{
		   $row = $query->row(); 
		   $count=$row->count;
		}
		return $count;
	}
	/*function check($user_login_name,$user_password)
    {
        $this->db->from('user');
		$this->db->where("user_login_name",$user_login_name);
	
		$this->db->where("user_password",$user_password);
		//echo $this->db->_compile_select() ;
		$query = $this->db->get();
	     //echo $this->db->last_query();
		return $query->row();
    }*/
    
	function update($fields,$id)
	{
		$this->db->where($this->primary_key, $id);
		$this->db->update($this->table_name, $fields);
		//echo $this->db->last_query();
		return true;
	}
	function delete($id)
	{
		$this->db->where($this->primary_key, $id);
		$this->db->delete($this->table_name);
		return true;
	}
	function delete_mapping_table($id)
	{
		$this->db->where("roundtable_topic_id", $id);
		$this->db->delete("topic_panelist_mapping");
        //echo $this->db->last_query();
		return true;
	}
	
	function get_all(){
	
	        $this->db->from($this->table_name);
		$query = $this->db->get();
		$result = $query->result_array(); 
		return $result;
		
	}
 	function get_options(){
	        $options=array();
		$this->db->order_by($this->sort_field);
		$this->db->select($this->primary_key);
		$this->db->select($this->unique_field);
		$this->db->from($this->table_name);
		$query = $this->db->get();
		$results=$query->result_array();
		foreach($results as $result){
		$options[$result[$this->primary_key]]=$result[$this->unique_field];
		}
		return $options;
	}
	
	function delete_upload($fields,$id)
	{
		$this->db->where($this->primary_key, $id);
		$this->db->update($this->table_name, $fields);
		return true;
	}
	/////////////
function get_options_topics_publishstatus($roundtable_topic_id)
	{
	   // $options=array();
		//$this->db->order_by($this->scheme_amount_sort_field);
		$this->db->from($this->table_name);
		$this->db->where('roundtable_topics.roundtable_topic_id',$roundtable_topic_id);
	    	$this->db->where("roundtable_topics.roundtable_topic_status",2); 
		$this->db->where("roundtable_topics.publish_status",1); 
		
		$query = $this->db->get();
		//$results=$query->result_array();
		//return $results;
	        //echo $this->db->last_query();
		 $row = $query->row(); 
	         return $row;
	}
function get_options_topics_publishstatus2($roundtable_topic_id)
	{
	   // $options=array();
		//$this->db->order_by($this->scheme_amount_sort_field);
		$this->db->from($this->table_name);
		$this->db->where('roundtable_topics.roundtable_topic_id',$roundtable_topic_id);
	    	$this->db->where("roundtable_topics.roundtable_topic_status",2); 
		$this->db->where("roundtable_topics.publish_status",2); 
		$query = $this->db->get();
		//$results=$query->result_array();
		//return $results;
	       // echo $this->db->last_query();
		 $row = $query->row(); 
	         return $row;
	}
	//////////////////////////
      function get_status_notpublish($roundtable_topic_id,$datastatus)
	{

		
		$this->db->where($this->primary_key,$roundtable_topic_id);
		$this->db->update($this->table_name,$datastatus);
		
		//echo $this->db->last_query();
		return true;
    	}
	
	////////////////////////////////

	function get_status_publish($roundtable_topic_id,$datastatus)
	{

		
		$this->db->where($this->primary_key,$roundtable_topic_id);
		$this->db->update($this->table_name,$datastatus);
		
		//echo $this->db->last_query();
		return true;
    	}
	
	////////////////////////////////
	function get_type_options()
	{
		return array(
		             '1'=>'Admin',
					 '2'=>'Moderator',
		             '3'=>'Panelist',
					 '0'=>'Nil Type'
					 
					);
	}
	function get_gender_options()
	{
		return array(
		             '1'=>'Female',
					 '2'=>'Male',
		           
					 '0'=>'Nil Gender'
					 
					);
	}
	function get_topics_options()
	{
		return array(
		             '1'=>'Inactive',
					 '2'=>'Active',
		           
					 '0'=>'Nil Status'
					 
					);
	}
	function get_priority_options()
	{
		return array(
		             '1'=>'1',
					 '2'=>'2',
		   
					 '3'=>'3',
					 '4'=>'4',
					 '5'=>'5',
		    
					 '6'=>'6',
					 '7'=>'7',
					 '8'=>'8',
		     
					 '9'=>'9',
					 '10'=>'10',
					 '11'=>'11',
		      
					 '12'=>'12',
					 '13'=>'13',
					 '14'=>'14',
		      
					 '15'=>'15',
					 '16'=>'16',
					 '17'=>'17',
		      
					 '18'=>'18',
					 '19'=>'19',
					 '20'=>'20',
				
					 '21'=>'21',
					 '22'=>'22',
					 '23'=>'23',
		      
					 '24'=>'24',
					 '25'=>'25'
					  
					);
	}
	
	
	function get_by_user_login_name($user_login_name)
	{
		// get the information for given id
	    $this->db->from($this->table_name);
		$this->db->where('user_login_name',$user_login_name);
		$query = $this->db->get();
		//echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
    }
function add_new_mapping_table($table_mapping,$ret_insert_id)
	{
		$this->db->insert('topic_panelist_mapping', $table_mapping);

		if($ret_insert_id){
		  return $this->db->insert_id();

		  }
		return true;
	}
/////////////////////// new functionality 
	function add_new_moderator_table($table_moderator_comments,$ret_insert_id)
	{
		$this->db->insert('moderator_comments', $table_moderator_comments);

		if($ret_insert_id){
		  return $this->db->insert_id();

		  }
		return true;
	//echo"moderator table</br.";

	}
	function add_new_panelist_table($table_panelist_comments,$insert_id)
	{
		$this->db->insert('panalist_comments', $table_panelist_comments);
		if($insert_id){
                 return $this->db->insert_id();
                 }

		//echo"add_new_panelist_table</br.";
		return true;
	}

///////////////////////
	function update_new_mapping_table($table_mapping,$id)
	{
		$this->db->where("topicpanelist_mapping_id", $id);
		//$this->db->where("topicpanelist_mapping_id", $id);
		$this->db->update("topic_panelist_mapping",$id);
		//echo $this->db->last_query();
		return true;

	}
	
    function get_options_panelist()

     {
	    $options=array();
		$this->db->order_by($this->sort_field);
		//$this->db->select($this->primary_key);
		//$this->db->select($this->unique_key);
		$this->db->from($this->table_name);
		$this->db->where("user_type",3);
               $this->db->where('user.status',1);
		$query = $this->db->get();
		//echo $this->db->last_query();
		$results=$query->result_array();
		foreach($results as $result){
		  $options[$result[$this->primary_key]]=$result[$this->unique_key];
		}
				
		return $options;
	}
///////////
function get_options_topics_status($roundtable_topic_id)
	{
	   // $options=array();
		//$this->db->order_by($this->scheme_amount_sort_field);
		$this->db->from($this->table_name);
		$this->db->where('roundtable_topics.roundtable_topic_id',$roundtable_topic_id);
		//$this->db->where('user.status',1);
		$query = $this->db->get();
		$results=$query->result_array();
		//return $results;
	  // echo $this->db->last_query();
		$row = $query->row(); 
	    return $row;
	}


	//////////////////////////
	function get_status_approve($roundtable_topic_id,$datastatus)
	{

		
		$this->db->where($this->primary_key,$roundtable_topic_id);
		$this->db->update($this->table_name,$datastatus);
		
		//echo $this->db->last_query();
		return true;
    }
	////////////////////////////////
function get_status_reject($roundtable_topic_id,$datastatus)
	{
   
		
		$this->db->where($this->primary_key,$roundtable_topic_id);
		$this->db->update($this->table_name,$datastatus);
		
		//echo $this->db->last_query();
		return true;
    }

}




?>
