<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <title>Womenpoint</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Bootstrap -->
    <link href="../css/bootstrap.css" rel="stylesheet">
    <link href="../font-awesome/css/font-awesome.min.css" rel="stylesheet">
    
    <!-- menu -->
    <link rel='stylesheet' id='theme-style-all-css'  href='../css/style.css?ver=3.5.1' type='text/css' media='all' />
    <link rel='stylesheet' id='theme-responsive-layout-css'  href='../css/responsive.css?ver=3.5.1' type='text/css' media='all' />
    <script type='text/javascript' src='../js/jquery_111.js?ver=1.8.3'></script>
    <script type='text/javascript' src='../js/menu_min.js?ver=3.5.1'></script>
    <!-- menu -->

    <link href="../css/custom.css" rel="stylesheet">
    <script src="../js/respond.js"></script>
</head>

<body>

<div class="fluid-container">


<?php include("../includes/inner_head.php"); ?>


<div class="row cont_cont">

<?php include("../includes/left_menu.php"); ?>

<div class="col-md-7 col-sm-7 col-md-offset-1 col-sm-offset-1">
<!--content-->

<font style="color:#6f171d; font-size:20px;">Editorial</font>
<h3>Mother’s Day: Love and Tears</h3>
<br><br>
<div class="col-md-12 col-xs-12"><img src="../img/mothersday.jpg" class="img-responsive" alt=""></div><br>

<p>
	The beginning of May signals the end of the school year, the start of spring, and of course Mother’s Day.  As with most American holidays, with their emphasis on spectacle and consumerism, my relationship with Mother’s Day is complex.  Yet, my conflicting feelings surrounding Mother’s Day (like Father’s Day) have more to do with a feeling of both celebration and sadness that surrounds this holiday.
<br><br>
Of course, it’s a day to celebrate my own Mom. As I look in the mirror, and think about my role as a teacher and a writer, as partner and a father, I see her influence in so many ways. Having grown up watching her teach nursery school, and then ultimately teaching alongside her and my grandmother for several years, her influences are felt each and every day. Mother’s Day is a moment to reflect on the love, the lessons, and the sacrifices. It is a day to think about her unconditional support.
<br><br>
Growing up, I struggled in school. These struggles, my learning disability, and my own insecurity made school difficult. Rather than confront, I retreated. Through all these struggles, through less than stellar grades, and troubles when I started college, my mom always supported me. She encouraged me, she nurtured my curiosity and supported my every decision. When I lacked confidence, she held me up; when I lacked the drive, she waited for me; when I found my passions, she stood with me. I don’t say this enough to her, but any accomplishment as a teacher, writer, commentator, parent, or in life is a testament to her </p>
<br>
<div class="col-md-12">
<a class="btn btn-social-icon socia  btn-twitter"><i class="fa fa-twitter fa-3x"></i></a>
<a class="btn btn-social-icon socia btn-facebook"><i class="fa fa-facebook fa-3x"></i></a>
<a class="btn btn-social-icon socia  btn-blogblogger"><i class="fa icon-blogblogger fa-3x"></i></a>
<a class="btn btn-social-icon socia  btn-google"><i class="fa fa-google fa-3x"></i></a>
<a class="btn btn-social-icon socia  btn-google"><i class="fa fa-envelope fa-3x"></i></a>
</div>
<br><br>
<div class="row box_cont">
<div class="col-md-3 col-sm-3"><a href="editors_archive.php"><img src="../img/editoial.jpg" class="img-responsive" alt=""></a></div>
<div class="col-md-9 col-sm-9">
<h5>Editorial Archive</h5>
All the previous editorials are listed here.
</div>
</div>

<!--content-->
</div>
<div class="col-md-2 col-sm-2" style="padding-left:6%;">
<?php include("../includes/inner_advt.php"); ?>
</div>
</div>

<?php include("../includes/inner_footer.php"); ?>

</div>

    <!-- javascript -->
    <script src="../js/bootstrap.min.js"></script>
    <!-- menu -->
    <script type='text/javascript' src='../js/script.js?ver=3.5.1'></script>
</body>
</html>
