<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <title>Womenpoint</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Bootstrap -->
    <link href="../css/bootstrap.css" rel="stylesheet">
    <link href="../font-awesome/css/font-awesome.min.css" rel="stylesheet">
    
    <!-- menu -->
    <link rel='stylesheet' id='theme-style-all-css'  href='../css/style.css?ver=3.5.1' type='text/css' media='all' />
    <link rel='stylesheet' id='theme-responsive-layout-css'  href='../css/responsive.css?ver=3.5.1' type='text/css' media='all' />
    <script type='text/javascript' src='../js/jquery_111.js?ver=1.8.3'></script>
    <script type='text/javascript' src='../js/menu_min.js?ver=3.5.1'></script>
    <!-- menu -->

    <link href="../css/custom.css" rel="stylesheet">
    <script src="../js/respond.js"></script>
</head>

<body>

<div class="fluid-container">


<?php include("../includes/inner_head.php"); ?>


<div class="row cont_cont">

<?php include("../includes/left_menu.php"); ?>

<div class="col-md-7 col-sm-7 col-md-offset-1 col-sm-offset-1">
<!--content-->

<font style="color:#6f171d; font-size:20px;">Kerala</font>
<h3>Eve Ensler's 'V-Day, One Billion Rising' Comes to Bay Street Theatre</h3>

<div class="col-md-9 col-xs-9">By Thankamma </div>
<div class="col-md-3 col-xs-9 text-right"><img src="../img/video.png" alt=""></div><br><br>
<div class="col-md-12 col-xs-12"><img src="../img/onebillionrising_vday.jpg" class="img-responsive" alt=""></div><br>

<p>
	ONE BILLION RISING FOR JUSTICE is a global call to women survivors of violence and those who love them to gather safely in community outside places where they are entitled to justice - courthouses, police stations, government offices, school administration buildings, work places, sites of environmental injustice, military courts, embassies, places of worship, homes, or simply public gathering places where women deserve to feel safe but too often do not. It is a call to survivors to break the silence and release their stories - politically, spiritually, outrageously - through art, dance, marches, ritual, song, spoken word, testimonies and whatever way feels right.
<br><br>
Kate Mueth and the Neo-Political Cowgirls partner again with The Retreat and Bay Street Theatre to speak up about violence against women through Eve Ensler's "V-Day, One Billion Rising" event. Thursday, February 27, all are welcome to meet at Bay Street Theatre to learn the dance that's being done around the world to show our power by standing up together to fight against violence. A "happening" that will be presented at 7 pm with music, spoken word and of course, THE DANCE.
<br><br>
If you want to move with us, meet in the theater at 5 pm for an hour - long dance rehearsal (no experience necessary, men, women and children all are welcome!) Or at 7 pm join us as an audience member to witness the transformative fun and share in the energetic, inspiring message! $20 suggested donation goes to the Retreat in support of V-Day.
</p>
<br>
<div class="col-md-12">
<a class="btn btn-social-icon socia  btn-twitter"><i class="fa fa-twitter fa-3x"></i></a>
<a class="btn btn-social-icon socia btn-facebook"><i class="fa fa-facebook fa-3x"></i></a>
<a class="btn btn-social-icon socia  btn-blogblogger"><i class="fa icon-blogblogger fa-3x"></i></a>
<a class="btn btn-social-icon socia  btn-google"><i class="fa fa-google fa-3x"></i></a>
<a class="btn btn-social-icon socia  btn-google"><i class="fa fa-envelope fa-3x"></i></a>
</div>

<!--content-->
</div>
<div class="col-md-2 col-sm-2" style="padding-left:6%;">
<?php include("../includes/inner_advt.php"); ?>
</div>
</div>

<?php include("../includes/inner_footer.php"); ?>

</div>

    <!-- javascript -->
    <script src="../js/bootstrap.min.js"></script>
    <!-- menu -->
    <script type='text/javascript' src='../js/script.js?ver=3.5.1'></script>
</body>
</html>
