<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <title>Womenpoint</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Bootstrap -->
    <link href="../css/bootstrap.css" rel="stylesheet">
    <link href="../font-awesome/css/font-awesome.min.css" rel="stylesheet">
    
    <!-- menu -->
    <link rel='stylesheet' id='theme-style-all-css'  href='../css/style.css?ver=3.5.1' type='text/css' media='all' />
    <link rel='stylesheet' id='theme-responsive-layout-css'  href='../css/responsive.css?ver=3.5.1' type='text/css' media='all' />
    <script type='text/javascript' src='../js/jquery_111.js?ver=1.8.3'></script>
    <script type='text/javascript' src='../js/menu_min.js?ver=3.5.1'></script>
    <!-- menu -->

    <link href="../css/custom.css" rel="stylesheet">
    <script src="../js/respond.js"></script>
</head>

<body>

<div class="fluid-container">


<?php include("../includes/inner_head.php"); ?>


<div class="row cont_cont">

<?php include("../includes/left_menu.php"); ?>

<div class="col-md-7 col-sm-7 col-md-offset-1 col-sm-offset-1">
<!--content-->

<p>This page will showcase an analysis of issues in a perspective of gender.</p>

<br>

<div class="col-md-10 col-sm-101 col-xs-10 search_1">
<input type="text" name="firmname" id="firmname" onFocus="if(this.value==this.defaultValue)this.value=''"    
onblur="if(this.value=='')this.value=this.defaultValue" value="Enter keyword" tabindex="1" class="textbox_inner" />
</div>
<div class="col-md-2 col-sm-2 col-xs-2"><button class="btn btn-default buttonboxgo" type="button">Go</button></div>

<br><br><br><br>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><a href="resources_analysis_sample.php"><img src="../img/analysis/sugathakumari.jpg" class="img-responsive" alt=""></a></div>
<div class="col-md-9 col-sm-9">
<h4>Analysis by Smt.Sugathakumari.</h4><span class="text02">By Shobhanamma, 12 January 2014</span><br>
Sugathakumari (born January 3, 1934) is an Indian poet and activist, who has been at the forefront of environmental and feminist movements in Kerala, South India. 
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/analysis/kajitha.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h4>Analysiaas by K.Ajitha.</h4><span class="text02"><span class="text02">By Thankamma, 10 January 2014</span></span><br>
K. Ajitha (born 1950) is a social activist of Kozhikode, Kerala. She is now working for the rights of women through an organization, Anweshi.
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/analysis/ritumenon.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h4>Analysis by Ritu Menon.</h4><span class="text02">By Thankamma, 10 January 2014</span><br>
Ritu Menon is the co-founder, writer and publisher of India's first feminist publishing house, Kali for Women, co-founded in 1984.
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/analysis/devaki_jain.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h4>Analysis by Devaki Jain</h4><span class="text02">By Thankamma, 10 January 2014</span><br>
Devaki Jain (born 1933) is a feminist writer who has worked mainly in the field of feminist economics. In 2006 she was awarded the Padma Bhusan.
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/analysis/rita_banerji.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h4>Analysis by Rita Banerji.</h4><span class="text02">By Thankamma, 10 January 2014</span><br>
Rita Banerji is an author, photographer and gender activist from India.
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/analysis/uma_narayan.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h4>Analysis by Uma Narayan</h4><span class="text02">By Thankamma, 10 January 2014</span><br>
Uma Narayan (born 16 April 1958) is a feminist scholar, and a Professor of Philosophy at Vassar College. She is the author of Dislocating Cultures: Identities, Traditions and Third World Feminism.
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/analysis/jasodharan_bagchi.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h4>Analysis by Jasodhara Bagchi</h4><span class="text02">By Thankamma, 10 January 2014</span><br>
In 1988 she became the Founder-Director of the School of Women's Studies at Jadavpur University, in which capacity she led the activities of the centre until her retirement in 1997.
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/analysis/honey_irani.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h4>Analysis by Honey Irani</h4><span class="text02">By Thankamma, 10 January 2014</span><br>
Laws addressing sexual violence may have changed in India, but with judicial response mired in scepticism and age-old attitudes towards rape survivors.
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/analysis/nayantara.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h4>Analysis by Nayantara Sahgal</h4><span class="text02">By Thankamma, 10 January 2014</span><br>
It seems apt to invoke the legacy of one who was truly the pioneer of women's studies and activism in the country. Shoma A Chatterji pays tribute to Vina Mazumdar .
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/analysis/krmeera.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h4>Analysis by K. R. Meera</h4><span class="text02">By Thankamma, 10 January 2014</span><br>
K.R. Meera born 19 February 1970 is an Indian author, who writes in Malayalam. She won the Kerala Sahitya Akademi Award in 2009 for her short-story, Ave Maria.
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/analysis/krmeera.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h4>Analysis by Sarojini Sahoo</h4><span class="text02">By Thankamma, 10 January 2014</span><br>
It seems apt to invoke the legacy of one who was truly the pioneer of women's studies and activism in the country. Shoma A Chatterji pays tribute to Vina Mazumdar .
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/analysis/amritacheema.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h4>Analysis by Amrita Cheema</h4><span class="text02">By Thankamma, 10 January 2014</span><br>
Amrita Cheema is a journalist of Indian Sikh origin. She has been working since 1999 as news presenter with the German international TV broadcaster Deutsche Welle-TV. 
</div>
</div>

<!--content-->
</div>
<div class="col-md-2 col-sm-2" style="padding-left:6%;">
<?php include("../includes/inner_advt.php"); ?>
</div>
</div>

<?php include("../includes/inner_footer.php"); ?>

</div>

    <!-- javascript -->
    <script src="../js/bootstrap.min.js"></script>
    <!-- menu -->
    <script type='text/javascript' src='../js/script.js?ver=3.5.1'></script>
</body>
</html>