<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <title>Womenpoint</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Bootstrap -->
    <link href="../css/bootstrap.css" rel="stylesheet">
    <link href="../font-awesome/css/font-awesome.min.css" rel="stylesheet">
    
    <!-- menu -->
    <link rel='stylesheet' id='theme-style-all-css'  href='../css/style.css?ver=3.5.1' type='text/css' media='all' />
    <link rel='stylesheet' id='theme-responsive-layout-css'  href='../css/responsive.css?ver=3.5.1' type='text/css' media='all' />
    <script type='text/javascript' src='../js/jquery_111.js?ver=1.8.3'></script>
    <script type='text/javascript' src='../js/menu_min.js?ver=3.5.1'></script>
    <!-- menu -->

    <link href="../css/custom.css" rel="stylesheet">
    <script src="../js/respond.js"></script>
</head>

<body class="menu-item-580">

<div class="fluid-container">


<?php include("../includes/inner_head.php"); ?>


<div class="row cont_cont">

<?php include("../includes/left_menu.php"); ?>

<div class="col-md-7 col-sm-7 col-md-offset-1 col-sm-offset-1">
<!--content-->

<h3>Round Table</h3>
<p>This is a discussion forum on relevant and current gender issues by experts. You can also respond to the discussions. </p>
<br><br>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/roundtable/harrasment.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>Domestic violence and its effects.</h5>
Domestic violence should not happen to anybody. Ever. Period. But it does - and when it does, there is help. Maybe you have lived with abuse, maybe it happened just once.
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/roundtable/captalpunisment.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>Capital Punishment or Life Imprisonment for Rape?</h5>
K. Ajitha (born 1950) is a social activist of Kozhikode, Kerala. She is now working for the rights of women through an organization, Anweshi.
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><a href="roundtable_inner.php"><img src="../img/roundtable/safety_womenatworkplace.jpg" class="img-responsive" alt=""></a></div>
<div class="col-md-9 col-sm-9">
<h5>Safety of Women at the Workplace.</h5>
Ritu Menon is the co-founder, writer and publisher of India's first feminist publishing house, Kali for Women, co-founded in 1984.
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/roundtable/dowomen_needreservation.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>Do women need reservation?</h5>
Devaki Jain (born 1933) is a feminist writer who has worked mainly in the field of feminist economics. In 2006 she was awarded the Padma Bhusan.
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/roundtable/mediamanipulation_womenproblem.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>Media Manipulation of Women’s Bodies is a Public Health Problem.</h5>
Rita Banerji is an author, photographer and gender activist from India.
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/roundtable/reservationforwomen.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>30% reservation for women.</h5>
Women's Reservation Bill or the The Constitution (108th Amendment) Bill, is a. For instance, several law schools in India have a 30% reservation for females.
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/roundtable/lowwork_participation.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>Low work participation rate of women in Kerala</h5>
According to the Economic Review, the work participation rate among women in Kerala is 22.9 (NSS 1999-2000), which is one of the lowest in India.
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/roundtable/reason_divorce.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>Reasons for divorce</h5>
Divorce is supposed to be a last ditch decision for a troubled marriage, so it's ... Based on their findings, here are the eight most common reasons for divorce.
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/roundtable/problems_migrantwomen.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>Problems faced by migrant women labrourers.</h5>
Women migrant workers from developing countries have been common since the late 20th century because of economic conditions, predominantly for young women.
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/roundtable/rateofgirls_missing.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>Rate of girls going missing in metros.increasing.</h5>
When a group of children visiting a temple in northeast Delhi on ... Data from 24 states shows that 15,130 girls have gone missing this year.
</div>
</div>



<!--content-->
</div>
<div class="col-md-2 col-sm-2" style="padding-left:6%;">
<?php include("../includes/inner_advt.php"); ?>
</div>
</div>

<?php include("../includes/inner_footer.php"); ?>

</div>

    <!-- javascript -->
    <script src="../js/bootstrap.min.js"></script>
    <!-- menu -->
    <script type='text/javascript' src='../js/script.js?ver=3.5.1'></script>
    
</body>
</html>