<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <title>Womenpoint</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Bootstrap -->
    <link href="../css/bootstrap.css" rel="stylesheet">
    <link href="../font-awesome/css/font-awesome.min.css" rel="stylesheet">
    
    <!-- menu -->
    <link rel='stylesheet' id='theme-style-all-css'  href='../css/style.css?ver=3.5.1' type='text/css' media='all' />
    <link rel='stylesheet' id='theme-responsive-layout-css'  href='../css/responsive.css?ver=3.5.1' type='text/css' media='all' />
    <script type='text/javascript' src='../js/jquery_111.js?ver=1.8.3'></script>
    <script type='text/javascript' src='../js/menu_min.js?ver=3.5.1'></script>
    <!-- menu -->

    <link href="../css/custom.css" rel="stylesheet">
    <script src="../js/respond.js"></script>
</head>

<body>

<div class="fluid-container">


<?php include("../includes/inner_head.php"); ?>


<div class="row cont_cont">

<?php include("../includes/left_menu.php"); ?>

<div class="col-md-7 col-sm-7 col-md-offset-1 col-sm-offset-1">
<!--content-->

<h3>Keywords: Sugathakumari</h3>

<div class="row italic" style="color:#291011;">
<br>
All <input type="checkbox" checked value="">&nbsp;&nbsp;  
Images <input type="checkbox" checked value="">&nbsp;&nbsp;   
Audio <input type="checkbox" checked value="">&nbsp;&nbsp;  
Video <input type="checkbox" checked value="">&nbsp;&nbsp;  
Interview <input type="checkbox" checked value="">&nbsp;&nbsp;  
Analysis <input type="checkbox" checked value="">&nbsp;&nbsp;  
Life Sketch <input type="checkbox" checked value="">&nbsp;&nbsp;  
Books <input type="checkbox" checked value="">&nbsp;&nbsp;  
Articles <input type="checkbox" checked value="">
</div>
<br><br>

<div class="row box_normal">
<div class="col-md-3 col-sm-3"><img src="../img/infodesk/interview_sugathakumari.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9"><h4>Interview with Smt.Sugathakumari.</h4><span class="text02">By Shobhanamma, 12 January 2014</span><br><br>
Sugathakumari (born January 3, 1934) is an Indian poet and activist, who has been at the forefront of environmental and feminist movements in Kerala, South India. 
</div>
</div>


<div class="row box_normal">
<div class="col-md-3 col-sm-3"><img src="../img/infodesk/saraswathisamman_sugathakumari.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9"><h4>Saraswati Samman for Sugathakumari</h4><span class="text02">By Thankamma, 10 January 2014</span><br><br>
Malayalam poetess Sugathakumari has been chosen for the prestigious Saraswati Samman 2012 for her poetry collection 'Manalezhuthu' .
</div>
</div>

<div class="row box_normal">
<div class="col-md-3 col-sm-3"><img src="../img/infodesk/roundtableview_sugathakumari.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9"><h4>Sugathakumari’s view on Round-table discussion.</h4><span class="text02">By Ponnamma, 8 January 2014</span><br><br>
Ritu Menon is the co-founder, writer and publisher of India's first feminist publishing house, Kali for Women, co-founded in 1984.
</div>
</div>

<div class="row box_normal">
<div class="col-md-3 col-sm-3"><img src="../img/infodesk/ezhuthachanaward_sugathakumari.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9"><h4>Ezhuthachan Award for Sugathakumari</h4><span class="text02">By Ponnamma, 8 January 2014</span><br><br>
THIRUVANANTHAPURAM: Noted poet and environmental activist Sugathakumari has been selected for the Ezhuthachan Award for 2009
</div>
</div>

<div class="row box_normal">
<div class="col-md-3 col-sm-3"><img src="../img/infodesk/prosecuteforestcases_sugathakumari.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9"><h4>Prosecute Forest cases vigorously: Sugathakumari</h4><span class="text02">By Ponnamma, 8 January 2014</span><br><br>
Prosecutions for cases registered under the Forest Act must be made more vigorous and more such cases must result in punishments.
</div>
</div>

<div class="row box_normal">
<div class="col-md-3 col-sm-3"><img src="../img/infodesk/turns80_sugathakumari.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9"><h4>Sugathakumari turns 80</h4><span class="text02">By Ponnamma, 8 January 2014</span><br><br>
B. Sugathakumari’s spirits were lifted on Wednesday evening when young students and very senior Gandhian activists alike gathered at her residence to celebrate her 80 birthday.
</div>
</div>

<div class="row box_normal">
<div class="col-md-3 col-sm-3"><img src="../img/infodesk/dedicateawardstoparents_sugathakumari.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9"><h4>Sugathakumari dedicates award to parents</h4><span class="text02">By Ponnamma, 8 January 2014</span><br><br>
Eminent Malayalam poetess and social activist Sugathakumari, chosen for this year's prestigious Saraswati Samman, today dedicated the award in memory of her parents.
</div>
</div>

<div class="row box_normal">
<div class="col-md-3 col-sm-3"><img src="../img/infodesk/soniawritesto_sugathakumari.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9"><h4>Sonia writes to Sugathakumari.</h4><span class="text02">By Shobhanamma, 12 January 2014</span><br><br>
Congress president Sonia Gandhi has written to poet Sugathakumari that the Ministry of Environment and Forests (MoEF) has not yet cleared the proposed airport project at Aranmula.
</div>
</div>




<!--content-->
</div>
<div class="col-md-2 col-sm-2" style="padding-left:6%;">
<?php include("../includes/inner_advt.php"); ?>
</div>
</div>

<?php include("../includes/inner_footer.php"); ?>

</div>

    <!-- javascript -->
    <script src="../js/bootstrap.min.js"></script>
    <!-- menu -->
    <script type='text/javascript' src='../js/script.js?ver=3.5.1'></script>
</body>
</html>
