<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <title>Womenpoint</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Bootstrap -->
    <link href="../css/bootstrap.css" rel="stylesheet">
    <link href="../font-awesome/css/font-awesome.min.css" rel="stylesheet">
    
    <!-- menu -->
    <link rel='stylesheet' id='theme-style-all-css'  href='../css/style.css?ver=3.5.1' type='text/css' media='all' />
    <link rel='stylesheet' id='theme-responsive-layout-css'  href='../css/responsive.css?ver=3.5.1' type='text/css' media='all' />
    <script type='text/javascript' src='../js/jquery_111.js?ver=1.8.3'></script>
    <script type='text/javascript' src='../js/menu_min.js?ver=3.5.1'></script>
    <!-- menu -->

    <link href="../css/custom.css" rel="stylesheet">
    <script src="../js/respond.js"></script>
</head>

<body>

<div class="fluid-container">


<?php include("../includes/inner_younghead.php"); ?>


<div class="row cont_cont">

<?php include("../includes/left_menu.php"); ?>

<div class="col-md-7 col-sm-7 col-md-offset-1 col-sm-offset-1">
<!--content-->

<h3>Debate</h3>

<p>Debate is a form of academic discussion. Participants agree on a specific topic to discuss and debate. Each person is given equal right to participate, because of the circular layout usually used in round table discussions.</p>

<div class="row box_normal">
<div class="col-md-3 col-sm-3"><img src="../img/youngpoint/underage_marriage.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9"><h5>Under-age marriage</h5>
Generation of newly-empowered young women are going out to work in larger numbers than ever before, so just how safe do women in the capital feel?
</div>
</div>

<div class="row box_normal">
<div class="col-md-3 col-sm-3"><a href="youngpoint_debatesample.php"><img src="../img/youngpoint/teenage_pregnancy.jpg" class="img-responsive" alt=""></a></div>
<div class="col-md-9 col-sm-9"><h5>Teenage pregnancy</h5>
A Bill corresponding to National Commission for Women was drafted out in the State of Kerala as the Kerala Women's Commission Bill, 1990 and sent for the consent of the President of India in 1990.
</div>
</div>

<div class="row box_normal">
<div class="col-md-3 col-sm-3"><img src="../img/youngpoint/domestic_violence.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9"><h5>Domestic violence</h5>
Generation of newly-empowered young women are going out to work in larger numbers than ever before, so just how safe do women in the capital feel?
</div>
</div>

<div class="row box_normal">
<div class="col-md-3 col-sm-3"><img src="../img/youngpoint/importance_education.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9"><h5>Importance of education</h5>
Generation of newly-empowered young women are going out to work in larger numbers than ever before, so just how safe do women in the capital feel?
</div>
</div>

<div class="row box_normal">
<div class="col-md-3 col-sm-3"><img src="../img/youngpoint/movies_impact.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9"><h5>Movies and its impact on teenagers.</h5>
Generation of newly-empowered young women are going out to work in larger numbers than ever before, so just how safe do women in the capital feel?
</div>
</div>

<div class="row box_normal">
<div class="col-md-3 col-sm-3"><img src="../img/youngpoint/mobilephones.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9"><h5>Mobile phones: A necessary evil</h5>
Generation of newly-empowered young women are going out to work in larger numbers than ever before, so just how safe do women in the capital feel?
</div>
</div>

<div class="row box_normal">
<div class="col-md-3 col-sm-3"><img src="../img/youngpoint/schools_colleges.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9"><h5>Schools and coleges not a safe place anymore.</h5>
Generation of newly-empowered young women are going out to work in larger numbers than ever before, so just how safe do women in the capital feel?
</div>
</div>

<div class="row box_normal">
<div class="col-md-3 col-sm-3"><img src="../img/youngpoint/politics_feminism.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9"><h5>Politics and feminism.</h5>
Generation of newly-empowered young women are going out to work in larger numbers than ever before, so just how safe do women in the capital feel?
</div>
</div>

<div class="row box_normal">
<div class="col-md-3 col-sm-3"><img src="../img/youngpoint/cyberlaws.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9"><h5>Cyber laws not enough.</h5>
Generation of newly-empowered young women are going out to work in larger numbers than ever before, so just how safe do women in the capital feel?
</div>
</div>

<div class="row box_normal">
<div class="col-md-3 col-sm-3"><img src="../img/youngpoint/alcoholism_drugs.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9"><h5>Alcoholism and drugs.</h5>
Generation of newly-empowered young women are going out to work in larger numbers than ever before, so just how safe do women in the capital feel?
</div>
</div>




<!--content-->
</div>
<div class="col-md-2 col-sm-2" style="padding-left:6%;">
<?php include("../includes/inner_advt.php"); ?>
</div>
</div>

<?php include("../includes/inner_footer.php"); ?>

</div>

    <!-- javascript -->
    <script src="../js/bootstrap.min.js"></script>
    <!-- menu -->
    <script type='text/javascript' src='../js/script.js?ver=3.5.1'></script>
</body>
</html>
