<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <title>Womenpoint</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Bootstrap -->
    <link href="../css/bootstrap.css" rel="stylesheet">
    <link href="../font-awesome/css/font-awesome.min.css" rel="stylesheet">
    
    <!-- menu -->
    <link rel='stylesheet' id='theme-style-all-css'  href='../css/style.css?ver=3.5.1' type='text/css' media='all' />
    <link rel='stylesheet' id='theme-responsive-layout-css'  href='../css/responsive.css?ver=3.5.1' type='text/css' media='all' />
    <script type='text/javascript' src='../js/jquery_111.js?ver=1.8.3'></script>
    <script type='text/javascript' src='../js/menu_min.js?ver=3.5.1'></script>
    <!-- menu -->
    <link href="../css/fonts.css" rel="stylesheet">
    <link href="../css/custom.css" rel="stylesheet">
    <script src="../js/respond.js"></script>
</head>

<body>

<div class="fluid-container">


<?php include("../includes/inner_head.php"); ?>


<div class="row cont_cont">

<?php include("../includes/left_menu.php"); ?>

<div class="col-md-7 col-sm-7 col-md-offset-1 col-sm-offset-1">
<!--content-->

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/women_safety.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h4>Are women safe at work places?</h4><span class="text02">By Shobhanamma, 12 January 2014</span><br>
Generation of newly-empowered young women are going out to work in larger numbers than ever before, so just how safe do women in the capital feel?
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/global_feminism.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h4>Global Feminism in One Place? It’s Possible! </h4><span class="text02"><span class="text02">By Thankamma, 10 January 2014</span></span><br>
Generation of newly-empowered young women are going out to work in larger numbers than ever before, so just how safe do women in the capital feel?
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/violence_against_women.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h4>Violence Against Women—Unfinished Business</h4><span class="text02">By Thankamma, 10 January 2014</span><br>
Generation of newly-empowered young women are going out to work in larger numbers than ever before, so just how safe do women in the capital feel?
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/interview_kalpanachawla.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h4>My Interview with Kalpana Chawla</h4><span class="text02">By Thankamma, 10 January 2014</span><br>
Generation of newly-empowered young women are going out to work in larger numbers than ever before, so just how safe do women in the capital feel?
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/strike_dance.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h4>Strike, Dance, Rise!</h4><span class="text02">By Thankamma, 10 January 2014</span><br>
Generation of newly-empowered young women are going out to work in larger numbers than ever before, so just how safe do women in the capital feel?
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/india_tragedy.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h4>India Tragedy Seen as Transitional Moment</h4><span class="text02">By Thankamma, 10 January 2014</span><br>
Generation of newly-empowered young women are going out to work in larger numbers than ever before, so just how safe do women in the capital feel?
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/women-driven_bollywood.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h4>Women-driven Bollywood Films</h4><span class="text02">By Thankamma, 10 January 2014</span><br>
Always grateful to people for giving me filmi things ponder about, I wondered what, if any, the difference between ‘woman-centric’ and ‘woman-driven’ was.
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/rape_las.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h4>Rape laws have changed, but what about the judiciary?</h4><span class="text02">By Thankamma, 10 January 2014</span><br>
Laws addressing sexual violence may have changed in India, but with judicial response mired in scepticism and age-old attitudes towards rape survivors.
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/indian_feminist.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h4>The Indian feminist who took on Oxford</h4><span class="text02">By Thankamma, 10 January 2014</span><br>
It seems apt to invoke the legacy of one who was truly the pioneer of women's studies and activism in the country. Shoma A Chatterji pays tribute to Vina Mazumdar .
</div>
</div>

<!--content-->
</div>
<div class="col-md-2 col-sm-2" style="padding-left:6%;">
<?php include("../includes/inner_advt.php"); ?>
</div>
</div>

<?php include("../includes/inner_footer.php"); ?>

</div>

    <!-- javascript -->
    <script src="../js/bootstrap.min.js"></script>
    <!-- menu -->
    <script type='text/javascript' src='../js/script.js?ver=3.5.1'></script>
</body>
</html>
