<?php
class Opinion extends CI_Controller  
{
		var $title_values=Array('add'=>'New Openion`',
	                        'edit'=>'Update Openion`',
							'listall'=>'Openion',
							'delete'=>'Delete Openion',
							'details'=>'Openion'
							);
	var $add_view='opinion/add';
	var $change_url='opinion/listall';
	var $change_url2='admin/opinion/listall';
	var $edit_view='opinion/edit';
	var $delete_view='opinion/delete';
	//var $details_view='viewpoint/detailsview';
	var $unique_desc='Openion';
	var $table_desc='Openion';
	var $page_count='25';
	//var $upload_folder='uploads/category';
	

	function Opinion()
	{
		//parent::Controller();
		parent::__construct();
		$this->load->model('opinion_model','obj_model',TRUE);
          	$this->load->model('category_model','category_model',TRUE);
		$this->load->model('youngpointcategory_model','youngpointcategory',TRUE);
		$this->load->model('admin_model','admin');
		$this->load->helper(array('text','error','resize','form','date','url','sort'));
		$this->load->library('admin_entry');
		$this->load->library('user_entry');
	}
	/*CONTROLLER METHODS*/
	function index()
	{
		 $this->listall();
	}
	
	
	
	//  Function for  add
	
	function add()
	{
	    $this->admin_entry->is_admin();
      	$fields=$this->_get_fields();
      
      	$panelist=$this->admin_entry->get_admin();//getting the login person ie moderator here
      	
      //	echo $panelist;
      	
      	$panelist_row=$this->panelist->get_by_user_login_name(trim($panelist));//take user  of panelist
      	
		//print_r($panelist_row);//panelist row from usertable
		
      	
		$this->load->library('upload');
		$this->form_validation->set_rules($this->_get_rules());
		$this->form_validation->set_error_delimiters('<div  class="error">', '</div>');
		$data["header_tags"]="";
		$data["title"]=$this->title_values['add'];
		//$data["comments_values"]=$this->obj_model->get_comments_options();
		
		$data["publicuser_values"]=$this->admin->get_options_publicuser();
		$data["gender_values"]=$this->obj_model->get_gender_options();
		$data["category_values"]=$this->category_model->get_options();//for getting all category values
		
		

		
		
		
		
		if ($this->form_validation->run() == FALSE)
		{   
		   
			$this->load->view($this->add_view,$data);
			return;
		}
		if($this->obj_model->unique_exists($this->input->post($this->obj_model->unique_field,true),-1))// check all other rows
		{
			$data['msg_level']=1;
			$data["msg_value"]="$this->unique_desc  already exists";
			$this->load->view($this->add_view,$data);
			return;
		}
		$table_data=$this->_get_table_data();
		
		//file upload code
		
		/*$upload_valid=true;	
		$file_name=	'CATEGORY_IMAGE';
		$file_data=array();
		$upload_error='';
		$this->upload->initialize($this->_get_upload_config(1));
		//$image_name=$this->input->post('CATEGORY_IMAGE');
		$uploaded=$this->upload->do_upload($file_name);		
		
	//	if ( ( isset($_FILES[$file_name]['name']) && trim($_FILES[$file_name]['name'])!="" ) && (! $uploaded ))
	if ( (! $uploaded ))
		{
			  $upload_valid=false;
			  $upload_error='For image  : '.$this->upload->display_errors();
		}
		if($uploaded)
		{
			  $file_data = $this->upload->data();				
			  $table_data['CATEGORY_IMAGE']=$file_data['file_name'];
			  
			 				 
		}
		
		if (!$upload_valid)
		{  
			   	$data['msg_level']=1;
				$data["msg_value"]=$upload_error;
				$data['upload_folder']=$this->upload_folder;
				$data["header_tags"]="";
			    $this->load->view($this->add_view,$data);
			    return;
		 }*/
		 
		 
		//$id='';
		//$id = $this->input->post($this->obj_model->primary_key);//eg
		//$table_data['roundtable_moderator_id']=2;//eg
		//$table_data['user_type']=2;/eg
		
		
		
		//$table_data['roundtable_moderator_id']=$moderator_id;
		$currentdate=date("Y/m/d");
		$table_data['viewpoint_posted_date']=$currentdate;
		//echo"$currentdate</br>";
		
		//$currenttime=date("h:i:sa");
		$currenttime=date("Y-m-d H:i:s"); 
		//echo"$currenttime</br>";
		
		
		
		if(!$id=$this->obj_model->add_new($table_data,true))
		{
			$data['msg_level']=1;
			$data["msg_value"]="An error occured while adding";
			$this->load->view($this->add_view,$data);
			return;
		} 
		
		$this->redirect_page($this->change_url2,2,"New $this->table_desc information added successfully");
		return;		
	}//add
	
	// function for list all 
	function listall($id=0,$msg_level=0,$message='')
	{
	    $this->admin_entry->is_admin();
	    
	 
       
       	        $searchfields=$this->_get_search_fields();
		$this->form_validation->set_rules($searchfields);
		$page_vars=$this->_get_pagination_vars();
		$order_sql=$this->_get_order_by($page_vars['col_id'],$page_vars['ord_id']);
		$conditions=$this->_get_search_conditions();
		$count=$this->obj_model->get_count($conditions);
		//echo"count=$count</br>";
		$data["category_values"]=$this->category_model->get_options();//for getting all category values
		$data["publicuser_values"]=$this->admin->get_options_publicuser();
		$data["comments_values"]=$this->obj_model->get_comments_options();
	       
		$data['table_rows']=$this->obj_model->get($order_sql,$conditions,$this->page_count,$page_vars['off_set']);
		//print_r($data['table_rows']);
		
		$data['title']=$this->title_values['listall'];
		$data['header_tags']="";
		$data['change_url']=$this->change_url;
		$data['msg_level']=$msg_level;
		$data['msg_value']=$message;
		$data['page_vars']=$page_vars;
		$data['record_count']=$count;
		$data['page_count']=round(ceil($count/$this->page_count));
		$data['page_vars']=$page_vars;		
		$this->load->library('jpagination');
		$config=get_admin_pagination();
		//$config=array();
		$config['base_url'] = site_url($this->change_url.'/'.$page_vars['col_id'].'/'.$page_vars['ord_id']);
		$config['script_url']='doPostBack';
		$config['col_id'] = $page_vars['col_id'];
		$config['ord_id'] = $page_vars['ord_id'];
		$config['cur_page'] = $page_vars['off_set'];
		$config['uri_segment'] = 5;
		$config['num_links'] = 4;
		$config['total_rows'] = $count;
		$config['per_page'] = $this->page_count;
		$config['use_page_numbers'] = TRUE;
		$config['page_query_string'] = TRUE;
		$this->jpagination->initialize($config); 
		$this->load->view($this->change_url,$data); 
	} //listall


///////////////////
	function publish($opinion_id)
	{
	
	$currentstatusrow=$this->obj_model->get_options_publishstatus($opinion_id);
	//echo"approvestatus=$approvestatus</br>";
	//print_r(approvestatus);
	//echo"activestatus1=$activestatus1</br>";
	//	print_r($activestatus1);
	if($currentstatusrow)
	{
	 $showstatus=$currentstatusrow->publish_status;
	 //echo "showstatus = $showstatus</br>";
	  
	$datastatus['publish_status']=2;
	
	$publishstatus=$this->obj_model->get_status_publish($opinion_id,$datastatus);
	
	}
	   $this->redirect_page($this->change_url2,2,"Viewpoint Published Successfully");
		
	}
	/////////////////////
function notpublish($opinion_id)
	{
	
	$currentstatusrow=$this->obj_model->get_options_publishstatus2($opinion_id);
	//echo"approvestatus=$approvestatus</br>";
	//print_r(approvestatus);
	
		//echo"activestatus1=$activestatus1</br>";
	//	print_r($activestatus1);
	if($currentstatusrow)
	{
	 
         $showstatus=$currentstatusrow->publish_status;
	// echo "showstatus = $showstatus</br>";
	   
	
	
	$datastatus['publish_status']=1;
	
	$publishstatus=$this->obj_model->get_status_notpublish($opinion_id,$datastatus);
	
	}
	   $this->redirect_page($this->change_url2,2,"Viewpoint Publish status  changed to not Publish  Successfully");
	
	}
	/////////////////////

	///////////////////
	function approve($opinion_id)
	{
		 $this->admin_entry->is_admin();
     		 $admin=$this->admin_entry->get_admin();//getting the login person ie admin here	
        	 //to find admin_id for saving answer giving admin id
           	 
              	 //echo "admin add answer=$admin</br>";
      	
      	    	$admin_row=$this->admin->get_by_user_login_name(trim($admin));//take user  of moderator
      	
		//print_r($admin_row);//admin row from usertable

		$currentstatusrow=$this->obj_model->get_options_opinion_status($opinion_id);
		//echo"approvestatus=$approvestatus</br>";
		//print_r(approvestatus);
	
		//echo"activestatus1=$activestatus1</br>";
		//	print_r($activestatus1);
	    if($currentstatusrow)
	     {
	 
   	        $showstatus=$currentstatusrow->opinion_showstatus;//user defined show status input 
	        //echo"showstatusimage=$showstatusimage</br>";
	   
	
	
			  
			if($showstatus==1)//for anonymous  ie name  shows as anonymous default photo  show complaint and response will see out side 
			{	
			 
			 $admin_id=$admin_row->user_id;
		 	 $datastatus['admin_id']=$admin_id;

			 $datastatus['opinion_id']=$opinion_id;
	    		 $datastatus['photo_status']=1;//anonymous   status means not show name and photo to ouside .
			// do the user side program as per that 
			// ie if photostatus=1 hide, photostatus=2 publish ,photostatu=3 anonymous.
			//name= anonymous  photo=deafault  image icon
	    	 	 $approvestatus=$this->obj_model->get_status_approve($opinion_id,$datastatus);
		
			}
		
			if($showstatus==2)//for status=publish  ie name  shows as public then user photo   will see  side 
			{
	     		 $admin_id=$admin_row->user_id;
		 	 $datastatus['admin_id']=$admin_id;

			 $datastatus['opinion_id']=$opinion_id;
	    		 $datastatus['photo_status']=2;// to show user photo 
	         	 //name= original name registered  photo=original image uploaded   by user 
	    	 	 $approvestatus=$this->obj_model->get_status_approve($opinion_id,$datastatus);
	 
	  	 	}
		
	
			/*if($showstatus==3)//for status=confidential  not shows out side just mail to customer 
			{
	         	 $user_row=$this->obj_model->get_by_id_email($id);	
			 $this->_send_email($viewpoint_id,$answer_status,$user_row);//send email
			 echo "send Answer as  E-Mail</br>";
		 	 //$datastatus["complaint_show_status"]= 4;// for for confidential 
		 	 $datastatus['viewpoint_id']=$viewpoint_id;
		 	 $datastatus['photo_status']=3;// for  photo  hide status  
 		 	 $datastatus['publish_status']=3;// for  not publish  
		 	 $approvestatus=$this->obj_model->get_status_approve($viewpoint_id,$datastatus);
		
	  	 	}*/

	         $datastatus['opinion_status']=2;// status approve 
	
	         $approvestatus=$this->obj_model->get_status_approve($opinion_id,$datastatus);
	
	

	       }
	
	  $this->redirect_page($this->change_url2,2,"Viewpoint Approved Successfully");
		
		
	}

/*function _send_email($complaint_id,$answer_status,$user_row)
	{
		//print_r($user_row);

	     	$emailid=$user_row->user_email;
		//echo"email=$emailid</br>";
             	$key='form_mailer';
          	if(!isset($this->$key))
		{
          	 $this->load->library('form_mailer');
            	 }
            	 $this->form_mailer->_set_format(2);
      		 $this->form_mailer->from('support@saasvaap.com','womenpoint');
       
      		 $this->form_mailer->to($emailid);
       
       		 $this->form_mailer->to('jayasmitha.k@saasvaap.com','Jayasmitha'); //another id connected
       
      		 $this->form_mailer->subject("Ask a Question Answer ");
       
     		 // $this->form_mailer->from("support@saasvaap.com");
       
	  	 $data['row']=$user_row;
	   
	  	// print_r($user_row);
	   	//data['complaint_id']=$complaint_id;
	   	// $data['answer_statu']=$answer_statu;
	   
      		 $message=$this->load->view('viewpoint/mail',$data,true);
       		 echo"checkmail message sent(as follows)</br>";
       		 echo "$message";
       		$this->form_mailer->message($message);
       		if(!$this->form_mailer->send())
		{
        	 return ;
      		 }
       		$this->form_mailer->clearall();
       		return;
         }*/
	
	/////////////////////
	
	
	function reject($opinion_id)
	{
	         $this->admin_entry->is_admin();
     		 $admin=$this->admin_entry->get_admin();//getting the login person ie admin here	
        	  //to find admin_id for saving answer giving admin id
           	 
              	//echo "admin add answer=$admin</br>";
      	
      	    	$admin_row=$this->admin->get_by_user_login_name(trim($admin));//take user  of moderator
      	
		//print_r($admin_row);//admin row from usertable

		$currentstatusrow=$this->obj_model->get_options_opinion_status($opinion_id);
		
		//echo"approvestatus=$approvestatus</br>";
		//print_r(approvestatus);
	
		//echo"activestatus1=$activestatus1</br>";
		//	print_r($activestatus1);
		if($currentstatusrow)
		{
	 
    			$showstatus=$currentstatusrow->opinion_showstatus;
	 		//echo"showstatusimage=$showstatusimage</br>";
	  		 $admin_id=$admin_row->user_id;
		 	 $datastatus['admin_id']=$admin_id;
	   
			$datastatus['opinion_status']=3;
	
			$rejectstatus=$this->obj_model->get_status_reject($opinion_id,$datastatus);
	
		}

	
	   $this->redirect_page($this->change_url2,2,"Viewpoint Rejected  Successfully");
		
		
	}

	
function get_opinion()
	{
	      
 	$opinion_id=$this->input->post('opinion_id');
//echo"viewpointid=$viewpoint_id</br>";
//exit;

		$data['data_row']=$this->obj_model->get_by_id($opinion_id);
                 //print_r($data_row);
		//exit;
		$this->load->view('opinion/viewpoint_details',$data);
	       
// print_r($data_row);
		  
	}


	function get_opinion1()
	{
	       $opinion_id=$this->input->post('opinion_id');

		$data['data_row']=$this->obj_model->get_by_id($opinion_id);
		
		$this->load->view('opinion/viewpoint_fullview',$data);
	       // print_r($data_row);
		
	}
	// function for edit 
	function beforeedit($message_level=0,$action=0,$message="")
	{
		
		
		$this->admin_entry->is_admin();
		$id=$this->uri->segment(4);
		if(!$row=$this->obj_model->get_by_id($id))
	    {
			$this->redirect_page($this->change_url2,1,"Invalid $this->table_desc");
			return;
		}
		$this->form_validation->set_rules($this->_get_rules_edit(2));
		$data["category_values"]=$this->youngpointcategory->get_options_opinion();//for getting all category values
		$data["viewpoint_category_values"]=$this->obj_model->get_options_category($id); // for choosing the category_id join row from viewpoint
		$data["header_tags"]="";
		//$data['msg_level']=$message_level;
		$data['row']=$row;

		//$data["msg_value"]=getMessage($message_level,$action,$message);
	
		//$data["comments_values"]=$this->obj_model->get_comments_options();
		//$data["publicuser_values"]=$this->admin->get_options_publicuser();
		//$data["gender_values"]=$this->obj_model->get_gender_options();
		$data["title"]=$this->title_values['edit'];
		$this->load->view($this->edit_view,$data);

	}
	
	// function for edit 
	function edit()
	{
	    $this->admin_entry->is_admin();
	    $admin_type=$this->admin_entry->get_admin_type();
 	    $admin=$this->admin_entry->get_admin();//getting the login person ie admin here
      	
           //echo "admin add answer=$admin</br>";
      	
      	 $admin_row=$this->admin->get_by_user_login_name(trim($admin));//take  the id of person who gave answer here admin
            



       $this->form_validation->set_rules($this->_get_rules_edit(0));
	    $this->form_validation->set_error_delimiters('<div  class="error">', '</div>');
	    $id = $this->input->post($this->obj_model->primary_key);
     		//echo "id=$id</br>";
	   if(!$row=$this->obj_model->get_by_id($id))
	    {
			$this->redirect_page($this->change_url2,1,"Invalid $this->table_desc");
			return;
		}
		$data["row"]=$row;
		//print_r($row);
	//	exit;
		$data["category_values"]=$this->youngpointcategory->get_options_opinion();//for getting all category values
		$data["viewpoint_category_values"]=$this->obj_model->get_options_category($id); // for choosing the category_id join row from viewpoint
		$data["header_tags"]="";
		$data["title"]=$this->title_values['edit'];
		$data["publicuser_values"]=$this->admin->get_options_publicuser();
		$data["comments_values"]=$this->obj_model->get_comments_options();
		
		//$data["comments_values"]=$this->comments->get_comments_options();
		//$data["topics_values"]=$this->obj_model->get_topics_options();
		
		//$data["gender_values"]=$this->obj_model->get_gender_options();
		
    	if ($this->form_validation->run() == FALSE)
		{ 
			
		//	echo"validation false";
			$this->load->view($this->edit_view,$data);
			
			
			return;
		
		
		
		}
		if($this->obj_model->unique_exists($this->input->post($this->obj_model->unique_field,true),$id))// check all other rows
		{
			$data['msg_level']=1;
			$data["msg_value"]="$this->unique_desc  already exists";
			$this->load->view($this->edit_view,$data);
			return;
		}
		//$category_id= $this->input->post("category_id");
		
		//print_r($category_id);
		
		//$countcategory=count($category_id);
           	// echo"<br>countcategory=$countcategory</br>";
		

     		  //  if($countcategory>1)
			//{
	  	  // echo"countcategory=$countcategory</br>";

			//$data['msg_level']=1;
			//$data["msg_value"]="select(Tick) any one of the category and (Untick) the other ";
			//$this->load->view($this->edit_view,$data);
			//return;
			
		//}
		
		
              // $table_data=$this->_get_table_data(); //we can use this if we use almost all fields for edit functionality
                 
		//print_r($table_data);

		//$this->obj_model->delete($id);    //delete and add       old query for adding new    
                
		//$table_viewpoint['viewpoint_id']=$id;
	  
	 
	 /*for($i=0;$i<1 ;$i++)
	  
	      {
               	  	
		$table_data['category_id']=$category_id[$i];
                
		$this->obj_model->add_new($table_data,true);
		
               	
		}*/
			
		//insert in to mapping table end

		// print_r($table_data);
        $admin_id=$admin_row->user_id;

	    //echo "</br>adminid=$admin_id</br>";
		
		//$table_data['viewpoint_priority']=$this->input->post('viewpoint_priority');
		
		$table_data['category_id']=$this->input->post('category_id');
		
		$table_data['admin_id']=$admin_id;//save admin id for tracking the person who gave answer
		$table_data['opinion_showstatus']=$row->opinion_showstatus;
		$table_data['opinion_status']=$row->opinion_status;
		$table_data['publish_status']=$row->publish_status;
		$table_data['opinion_posted_date']=$row->opinion_posted_date;
		//print_r($table_data);
		//$table_data['admin_id']=$admin_id;//save admin id for tracking the person who gave answer
		//$table_data['status']=1; 
        
        	//file upload codes 
	   /* $table_data['CATEGORY_IMAGE']=$row->CATEGORY_IMAGE;
		$old_image=$row->CATEGORY_IMAGE;
		$upload_valid=true;	
		$file_name=	'CATEGORY_IMAGE';
		$file_data=array();
		$upload_error='';
		$this->load->library('upload');
		$this->upload->initialize($this->_get_upload_config(1));
		//$image_name=$this->input->post('CATEGORY_IMAGE');
		$uploaded=$this->upload->do_upload($file_name);		
		
		if ( ( isset($_FILES[$file_name]['name']) && trim($_FILES[$file_name]['name'])!="" ) && (! $uploaded ))
		{
			  $upload_valid=false;
			  $upload_error='For image  : '.$this->upload->display_errors();
		}
		if($uploaded)
		{
			  $file_data = $this->upload->data();				
			  $table_data['CATEGORY_IMAGE']=$file_data['file_name'];
			  
			 				 
		}
		
		if (!$upload_valid)
		{  
			   	$data['msg_level']=1;
				$data["msg_value"]=$upload_error;
				$data['upload_folder']=$this->upload_folder;
				$data["header_tags"]="";
			    $this->load->view($this->edit_view,$data);
			    return;
		 }
			
		
		$del_file= $this->input->post("IS_DELETE");
		if($del_file==1)
		{
				$deldata['CATEGORY_IMAGE']='';
				$this->obj_model->delete_upload($deldata,$id);		
				$this->_delete_file( $table_data['CATEGORY_IMAGE']);			
		}	
		if($uploaded)
		{
			  $this->_delete_file($old_image);
		}*/
		//update query 
		if(!$this->obj_model->update($table_data,$id))
		{
			//echo"test</br>";
			
			$data['msg_level']=1;
			$data["msg_value"]="An error occured while updating";
			$this->load->view($this->edit_view,$data);
			//exit;
			
			return;
			
		}
		
		$this->redirect_page($this->change_url2,2,"$this->table_desc information updated successfully");
		return;
    }  //end edit
	
	// function for delete 
	function beforedelete()
	{
		$this->admin_entry->is_admin();
       	$id = $this->uri->segment(4);
       	 //echo "id= $id </br>";
		$row =$this->obj_model->get_by_id($id);
		
		if(!$row)
		{
			$this->redirect_page($this->change_url2,1,"Invalid $this->table_desc");
			return;
		}
		
		$data["title"]=$this->title_values['delete'];
		$data["header_tags"]="";
		$data["publicuser_values"]=$this->admin->get_options_publicuser();
		$data["comments_values"]=$this->obj_model->get_comments_options();
		$data["category_values"]=$this->category_model->get_options();//for getting all category values
		//$data["comments_values"]=$this->comments->get_comments_options();
		//$data["topics_values"]=$this->obj_model->get_topics_options();
		$data['row']=$row;
		$this->load->view($this->delete_view,$data);
	}
	
	// function for delete 
	function delete()
	{
	    $this->admin_entry->is_admin();
        $id = $this->input->post($this->obj_model->primary_key);
        //echo"id=$id</br>";
		if(!$row=$this->obj_model->get_by_id($id))
	    {
			
			$this->redirect_page($this->change_url2,1," Invalid $this->table_desc, Please retry");
			return;
		}

		//$image=$row->CATEGORY_IMAGE;
		if(!$this->obj_model->delete($id))
		{
			$data['msg_level']=1;
			$data["msg_value"]="An error occured while deleting";
			$this->load->view($this->delete_view,$data);
			return;
		}
		 //$this->_delete_file($image);
		 
		$this->redirect_page($this->change_url2,2,"$this->table_desc information removed successfully");
		return;
    }
	
	
	
	/* OTHER METHODS */
	
	
	function _get_fields($update=0)
	{    
		
		  // $fields["opinion_id"] = 'viewpoint_id';
		$fields["category_id"] = 'category_id';
		$fields["opinion_posted_user"] = 'opinion_posted_user';
		$fields["opinion_user_email"] = 'opinion_user_email';
		$fields["opinion_desc"]	= 'opinion_desc';
		$fields["opinion_posted_date"]= 'opinion_posted_date';
		//$fields["viewpoint_priority"]	= 'viewpoint_priority';
		$fields["opinion_showstatus"]	= 'opinion_showstatus';
		$fields["opinion_status"]= 'opinion_status';
		$fields["publish_status"]='publish_status';
		//$fields["user_type"]	= 2;
		return $fields;
	}
	function _get_rules($update=0)
	{
		
		
		$config=array();
		$config[] = array(
                     'field'   => 'category_id', 
                     'label'   => 'Category', 
                     'rules'   => 'required'
                  );	
                  $config[] = array(
                     'field'   => 'opinion_posted_user', 
                     'label'   => 'Name', 
                     'rules'   => 'required'
                  );	
                  $config[] = array(
                     'field'   => 'opinion_user_email', 
                     'label'   => 'Email', 
                     'rules'   => 'required'
                  );	
		$config[] = array(
                     'field'   => 'opinion_desc', 
                     'label'   => 'Viewpoint', 
                     'rules'   => 'required'
                     );
		$config[] = array(
                     'field'   => 'opinion_posted_date', 
                     'label'   => 'Viewpoint Post Date', 
                     'rules'   => 'required'
                  );	
		/*$config[] = array(
                     'field'   => 'viewpoint_priority', 
                     'label'   => 'Priority', 
                     'rules'   => 'required'
                  );
		$config[] = array(
                     'field'   => 'viewpoint_showstatus', 
                     'label'   => 'status', 
                     'rules'   => 'required'
                  );	*/	  
		
		if($update==0)
		{		  
				  			  		  		 
				
				
		}
			
		
			
		return $config;
		
	}
	function _get_rules_edit($update=0)
	{
		
		
		$config=array();	$config[] = array(
                     'field'   => 'category_id', 
                     'label'   => 'Category', 
                     'rules'   => 'required'
                  );
		
		/*$config[] = array(
                     'field'   => 'viewpoint_priority', 
                     'label'   => 'Priority', 
                     'rules'   => 'required'
                  );*/
			  
		
		/*if($update==0)
		{		  
				  			  		  		 
				
				
		}*/
			
		
			
		return $config;
		
	}
	function  _get_table_data()
	{
		$data='';
		if (is_array($this->_get_fields()) AND count($this->_get_fields()) > 0)
		{
			foreach ($this->_get_fields() as $key => $val)
			{
				$data[$key] = $this->input->post($key); 
                                $data[$key]=mysql_real_escape_string(trim($data[$key]));
			}
		}
		return $data;
	}//_get_table_data
	
	function _get_upload_config($type){
	            $upload_config=array();
				$upload_config['upload_path'] = './'.$this->upload_folder.'/'; 
				if($type==1)
				{
					$upload_config['allowed_types'] = 'gif|jpg|png|jpeg|PNG';
					$upload_config['max_width']  = '800';
					$upload_config['max_height']  = '800';
					$upload_config['max_size']	= '1507040';					
				}
				if($type==2)
				{
					$upload_config['allowed_types'] = 'gif|jpg|png|jpeg';
					$upload_config['max_width']  = '600';
					$upload_config['max_height']  = '600';
					$upload_config['max_size']	= '1507040';					
				}
				if($type==3)
				{
					$upload_config['allowed_types'] = 'pdf|txt|doc';
					$upload_config['max_size']	= '1507040';					
				}				
				$upload_config['encrypt_name']=TRUE;
				return $upload_config;
	}

    //upload depended function 2
	function _delete_file($file_name){
	        if(is_string($file_name)){
			  $my_file = ROOT_FOLDER.$this->upload_folder."/".$file_name;
			    if(is_file($my_file)){
                   unlink($my_file);
			    }
			}
			if(is_array($file_name)){
			  foreach($file_name as $key=>$value){
			    $my_file = ROOT_FOLDER.$this->upload_folder."/".$value;
				  if(is_file($my_file)){
				     unlink($my_file);
				  }
			  }
			}
	}
	
	 function redirect_page($url,$msg_level,$msg_value)
	{
		  $data['title']='Message';
		  $data['redirect']=true;
		  $data['redirect_url']=site_url($url);
		  $data['msg_level']=$msg_level;
		  $data['msg_value']=$msg_value;
		  $this->load->view('admin_redirect',$data);
    }//redirect_page
	
	function _get_pagination_vars()
	{
	   $page_vars=array('col_id' => 0,'ord_id' => 0,'off_set' => 0 );
	   $page_vars['col_id']=$this->input->post('COL_ID')==''?-1:$this->input->post('COL_ID');
	   $page_vars['ord_id']=$this->input->post('ORD_ID')==''?0:$this->input->post('ORD_ID');
	   $page_vars['off_set']=$this->input->post('OFF_SET')==''?0:$this->input->post('OFF_SET');
	   return $page_vars;
	}//_get_pagination_vars 

	function _get_order_by($sel_column_id="",$sel_order_id="")
	{
	   $blocks = array('');
	   $field_keys=array_keys($this->_get_fields(1));
	   $orders=array(0 => ' ASC ', 1 => ' DESC ');
	   
	   if (!isset($field_keys[$sel_column_id]))
	   {
		  return $this->obj_model->sort_field;
	   }
	   if (($field_keys[$sel_column_id] == "") || ($orders[$sel_order_id] == ""))
	   {
		  return $this->obj_model->sort_field;
	   }
	   if(in_array($sel_column_id,$blocks))
	   {
		  return $this->obj_model->sort_field;
	   }
	    return $field_keys[$sel_column_id].'  '.$orders[$sel_order_id];
	   
	}//_get_order_by
	
	function _get_search_fields($condition=0)
	{
		$config=array();
		$config[] = array(
                     'field'   => 'opinion_desc', 
                     'label'   => 'Viewpoint', 
                     'rules'   => ''
                     );

		return $config;
	}//_get_search_fields
	
	function _get_search_conditions()
	{
		$conditions=array();
		$name=$this->input->post("opinion_desc", true);
		if($name)
		{
                        $name = trim($name);
			$conditions[]="opinion_desc LIKE '%$name%'";
		}
		return $conditions;
	}//_get_search_conditions	
	
	
	function options()
	{
		$this->user_entry->is_user();// is user login
		$user=$this->user_entry->get_user();//moderator 
		$user_row=$this->obj_model->get_by_user_login_name(trim($user_login_name));//take user  of moderator
		//print_r($user_row);
		
		//$data['user_row']=$user_row;
		//$data['rows']=$this->classifieds->get_by_user($user_row->USER_ID);
		//$this->load->view('user/options',$data);
		return;
	}


	 
}
?>