<?php

class Relativelinks extends CI_Controller  
{
		var $title_values=Array('add'=>'New InformationDesk',
	                        'edit'=>'Update InformationDesk',
							'listall'=>'InformationDesk',
							'delete'=>'Delete InformationDesk',
							'details'=>'Categories'
							);
	var $add_view='informationdesk/add';
	var $change_url='relativelinks/listall';
	var $change_url1='admin/relativelinks/listall';
	var $change_url2='admin/relativelinks/listall';
	var $edit_view='relativelinks/edit';
	var $delete_view='informationdesk/delete';
	var $details_view='informationdesk/category';
	var $unique_desc='Information Desk';
	var $table_desc='Information Desk';
	var $page_count='25';
	var $upload_folder='uploads/informationdesk';
	

	function Relativelinks()
	{
		//parent::Controller();
		parent::__construct();

		$this->load->model('informationdesk_model','obj_model',TRUE);
		$this->load->model('admin_model','admin');
		$this->load->model('informationcategory_model','informationcategory');
		$this->load->helper(array('text','error','resize','form','date','url','sort'));
		$this->load->library('admin_entry');
	}
	/*CONTROLLER METHODS*/
	function index()
	{
		 $this->listall();
	}
	
	
	

	// function for list all categories
	
	function listall($id=0,$msg_level=0,$message='')
	{
	         $this->admin_entry->is_admin();
	    
	        //$question_id=$this->uri->segment(4);
      		//echo"question_id=question_id</br>";
      		// $data['question_id']=$question_id;//passs it as question_id in add view form
        	$searchfields=$this->_get_search_fields();
		$this->form_validation->set_rules($searchfields);
		$page_vars=$this->_get_pagination_vars();
		$order_sql=$this->_get_order_by($page_vars['col_id'],$page_vars['ord_id']);
		$conditions=$this->_get_search_conditions();
		$count=$this->obj_model->get_count($conditions);
		//echo"count=$count</br>";
		
		
		$data['table_rows']=$this->obj_model->get($order_sql,$conditions,$this->page_count,$page_vars['off_set']);
		//print_r($data['table_rows']);
		
		$data['title']=$this->title_values['listall'];
		//$data["resource_topics_values"]=$this->resourcetopic->get_options();
		//$data["resource_category_values"]=$this->resourcecategory->get_options_interview();
		$data['header_tags']="";
		$data['change_url']=$this->change_url;
		$data['msg_level']=$msg_level;
		$data['msg_value']=$message;
		$data['page_vars']=$page_vars;
		$data['record_count']=$count;
		$data['page_count']=round(ceil($count/$this->page_count));
		$data['page_vars']=$page_vars;		
		$this->load->library('jpagination');
		$config=get_admin_pagination();
		//$config=array();
		$config['base_url'] = site_url($this->change_url.'/'.$page_vars['col_id'].'/'.$page_vars['ord_id']);
		$config['script_url']='doPostBack';
		$config['col_id'] = $page_vars['col_id'];
		$config['ord_id'] = $page_vars['ord_id'];
		$config['cur_page'] = $page_vars['off_set'];
		$config['uri_segment'] = 5;
		$config['num_links'] = 4;
		$config['total_rows'] = $count;
		$config['per_page'] = $this->page_count;
		$config['use_page_numbers'] = TRUE;
		$config['page_query_string'] = TRUE;
		$this->jpagination->initialize($config); 
		$this->load->view($this->change_url,$data); 
	} // function for list all (interview) end 
	
//function for before edit 
function beforeedit($message_level=0,$action=0,$message="")
	{
		
		
		$this->admin_entry->is_admin();
		$id=$this->uri->segment(4);
		//echo"id=$id</br>";
		if(!$row=$this->obj_model->get_by_id($id))
	    	{
		$this->redirect_page($this->change_url1,1,"Invalid $this->table_desc");
			return;
		}
		$this->form_validation->set_rules($this->_get_rules(2));
		
		$data["header_tags"]="";
		//$data['msg_level']=$message_level;
		$data['row']=$row;
		//$data["msg_value"]=getMessage($message_level,$action,$message);
		$data["informationcategory_values"]=$this->informationcategory->get_options();
		$data["state_values"]=$this->obj_model->get_type_options();
		$data["title"]=$this->title_values['edit'];
		$this->load->view($this->edit_view,$data);

	}
	
///////////////////function for before  edit end ////////////////////
	
	// function for edit information desk

	function edit()
	{
	  	
         //echo 'sss';
        $this->admin_entry->is_admin();

	$admin=$this->admin_entry->get_admin();//getting the login person ie admin here
      	//echo "admin=$admin</br>";
      	
      	$admin_row=$this->admin->get_by_user_login_name(trim($admin));//take  the id of person who gave answer here admin
       	$admin_type=$this->admin_entry->get_admin_type();
      	$this->form_validation->set_rules($this->_get_rules(2));
	$this->form_validation->set_error_delimiters('<div  class="error">', '</div>');
		//$id=$this->uri->segment(4); //either this way we can take 
		$id = $this->input->post($this->obj_model->primary_key);//or this way it can take
       //echo $id;
		////exit;
		//echo"id=16";
		if(!$row=$this->obj_model->get_by_id($id))
	    	{
			 //echo "  row not exists</br>";	
			$this->redirect_page($this->change_url1,1,"Invalid $this->table_desc");
			return;
		}
		
		//$this->form_validation->set_rules($this->_get_rules(2));
		$data["row"]=$row;
		//print_r($row);

		$data["header_tags"]="";
		$data["title"]=$this->title_values['edit'];
		//$data["resource_topics_values"]=$this->resourcetopic->get_options();
		$data["informationcategory_values"]=$this->informationcategory->get_options();
		
		//xit;//
    		if ($this->form_validation->run() == FALSE)
		{ 
			// echo" validation false</br>";
			$this->load->view($this->edit_view,$data);
			return;
		//print_r($row);
		//exit;

		}
		if($this->obj_model->unique_exists($this->input->post($this->obj_model->unique_field,true),$id))// check all other rows
		{
			
			 //echo"unique_exists false</br>";
			$data['msg_level']=1;
			$data["msg_value"]="$this->unique_desc  already exists";
			$this->load->view($this->edit_view,$data);
			return;
		}
		
       	// $table_data=$this->_get_table_data();  we can use this if we use almost all fields for edit functionality
        //print_r($table_data);
        //saving admin id  and others
		$admin_id=$admin_row->user_id;

	     // echo "</br>adminid=$admin_id</br>";
	
		//$currentdate=date("Y-m-d H:i:s");//date and time
		///////////////////////
		
		//////////////////////////////////////////////////////////////////

		$table_data_track['category_id']=$row->category_id;
		$table_data_track['information_id']=$row->information_id;
		$table_data_track['admin_id']=$row->admin_id;
		$table_data_track['information_title']=$row->information_title;
		$table_data_track['information_description']=$row->information_description;
		$table_data_track['information_address']=$row->information_address;
		$table_data_track['pincode']=$row->pincode;
		$table_data_track['phone']=$row->phone;
		$table_data_track['mobile']=$row->mobile;
		$table_data_track['state']=$row->state;
		$table_data_track['website']=$row->website;
		$table_data_track['email']=$row->email;
		$table_data_track['blog']=$row->blog;
		$table_data_track['helpline_no']=$row->helpline_no;
		$table_data_track['publish_status']=$row->publish_status;
		$table_data_track['featured_status']=$row->featured_status;
		$table_data_track['active_status']=$row->active_status;
		$table_data_track['status']=$row->status;
		$table_data_track['photo']=$row->photo;
		$table_data_track['date_of_posting']=$row->date_of_posting;
	    /////////////////////////////////////////////////////////////
	   /* $attachment_photo=$row->attachment_photo;
	    $attachment_audio=$row->attachment_audio;
	    $attachment_vedio=$row->attachment_vedio;*/
	   // print_r( $table_data_track);
	  	//$insertid=$this->obj_model->add_new_track_table($table_data_track,true);////new id inserted  for new attachment track table  
	  	
	  	if(!$id1=$this->obj_model->add_new_informationdesk_track($table_data_track,true))
			{			
				$data['msg_level']=1;
				$data["msg_value"]="An error occured while adding";
				$this->load->view('informationdesk/beforeedit',$data); 
				return;
			} 
			////resource_attachment_track insertion 
			  /* $track_attachment = array();
			   $track_attachment ['resource_attachment_id'] = $row->resource_attachment_id;
			   $track_attachment ['resource_detail_id'] = $row->resource_detail_id;	
			   $track_attachment['admin_id']=$row->admin_id;
			   $track_attachment ['active_status'] = 1;	
			   $track_attachment ['status'] = 1;	
			   if($attachment_photo)
			    {	
			    $track_attachment['attachment_photo']=$attachment_photo;
				$this->obj_model->add_new_resource_attachment_track_table($track_attachment,true);	
			 	}
			 	
			 	if($attachment_audio)
			    {
				$track_attachment['attachment_audio']=$attachment_audio;
				$this->obj_model->add_new_resource_attachment_track_table($track_attachment,true);	
			 	}
			 	
			 	if($attachment_vedio)
			    {
				 $track_attachment['attachment_vedio']=$attachment_vedio;
				 $this->obj_model->add_new_resource_attachment_track_table($track_attachment,true);	
			 	}*/
			 	  //  print_r($track_attachment);
////////////////////////////////////////////////////////////////////////////
	   
		//echo "<pre>";print_r($table_data);
		$table_data['admin_id']=$admin_id;
		$table_data["category_id"] = $this->input->post('category_id');
		$table_data["information_id"]= $this->input->post('information_id');
		$table_data["information_title"]= $this->input->post('information_title');
		//$table_data["information_description"]= $this->input->post('information_description');
		//$table_data["information_address"]= $this->input->post('information_address');
		//$table_data["pincode"]= $this->input->post('pincode');
		//$table_data["state"]= $this->input->post('state');
		$table_data["website"]= $this->input->post('website');
		//$table_data["email"]= $this->input->post('email');//sort field 10 for publish status sort
		//$table_data["phone"]= $this->input->post('phone');
		//$table_data["mobile"]= $this->input->post('mobile');
		$table_data["blog"]= $this->input->post('blog');
		$table_data["helpline_no"]= $this->input->post('helpline_no');
		
		$table_data["publish_status"]= $row->publish_status;
		$table_data["active_status"]= $row->active_status;
		$table_data["featured_status"]= $row->featured_status;
		$table_data["status"]= $row->status;
		$currentdate=date("Y-m-d H:i:s"); //current date 
		$table_data['date_of_posting']=$currentdate;

		
			//update query 
		if(!$this->obj_model->update($table_data,$id))
		{
			$data['msg_level']=1;
			$data["msg_value"]="An error occured while updating";
			$this->load->view($this->edit_view,$data);
			return;
		} 
		
		

/////////////////////////////////////////////////////////////////
		//case 1  delete file from folder folder  after update image delete 
		
		$del_file= $this->input->post("IS_DELETE");
		if($del_file==1)
		{
				$deldata['attachment_photo']='';
				$this->obj_model->delete_upload($deldata,$id);		
				$this->_delete_file($table_resource_attachment['attachment_photo']);			
		}	
		if($uploaded)
		{
			 // $this->_delete_file($old_image);
		}
		
		
		$this->redirect_page($this->change_url1,2,"$this->table_desc information updated successfully");
		return; 
    }  //end edit


	function publish($information_id)
	{
	
		$currentstatusrow=$this->obj_model->get_options_publishstatus($information_id);
		//echo"approvestatus=$approvestatus</br>";
		//print_r(approvestatus);
	
		//echo"activestatus1=$activestatus1</br>";
		//	print_r($activestatus1);
		if($currentstatusrow)
		{
	 
       		 $showstatus=$currentstatusrow->publish_status;
			// echo "showstatus = $showstatus</br>";
	   		$datastatus['relativelink_status']=2;
	
			$publishstatus=$this->obj_model->get_status_publish($information_id,$datastatus);
	
		}

	
	  	$this->redirect_page($this->change_url1,2," Information   Published Successfully");
		
		
	}
	
	function notpublish($information_id)
	{
	
		$currentstatusrow=$this->obj_model->get_options_publishstatus($information_id);
		//echo"approvestatus=$approvestatus</br>";
		//print_r(approvestatus);
	
		//echo"activestatus1=$activestatus1</br>";
		//	print_r($activestatus1);
		if($currentstatusrow)
		{
	 
         $showstatus=$currentstatusrow->publish_status;
		// echo "showstatus = $showstatus</br>";
	   
	
	
		 $datastatus['relativelink_status']=1;
	
		 $publishstatus=$this->obj_model->get_status_publish($information_id,$datastatus);
	
		}

	
	  	 $this->redirect_page($this->change_url1,2,"Information Publish status  changed to not Publish  Successfully");
		
		
	}


	
	/* OTHER METHODS */
	
	
		function _get_fields($update=0)
	{
		$fields["category_id"] = 'category_id';
		$fields["information_id"]= 'information_id';
		$fields["information_title"]= 'information_title';
		$fields["information_description"]= 'information_description';
		$fields["information_address"]= 'information_address';
		$fields["pincode"]= 'pincode';
		$fields["state"]= 'state';
		$fields["website"]= 'website';
		$fields["email"]= 'email';//sort field 10 for publish status sort
		$fields["phone"]= 'phone';
		$fields["mobile"]= 'mobile';
		$fields["blog"]= 'blog';
		$fields["helpline_no"]= 'helpline_no';
		
		$fields["publish_status"]= 'publish_status';
		$fields["active_status"]= 'active_status';
		$fields["featured_status"]= 'featured_status';
		$fields["status"]= 'status';
		//attachment table fields
		//$fields["attachment_photo"]='attachment_photo';
		//$fields["attachment_audio"]='attachment_audio';
		//$fields["attachment_vedio"]='attachment_vedio';
		//$fields["roundtable_topic_status"]	= 'viewpoint_priority';
		//$fields["user_type"]	= 2;
		return $fields;
	}
	function _get_rules($update=0)
	{
			
		
		$config=array();
		$config[] = array(
                     'field'   => 'information_title', 
                     'label'   => 'Information Name', 
                     'rules'   => 'required'
                     );
		$config[] = array(
                     'field'   => 'is_active', 
                     'label'   => 'Is Active', 
                     'rules'   => ''
                  );	
		$config[] = array(
                     'field'   => 'category_id', 
                     'label'   => 'Category Type', 
                     'rules'   => 'required'
                  );
		$config[] = array(
                     'field'   => 'information_description', 
                     'label'   => 'Information Description', 
                     'rules'   => ''
                  );
		$config[] = array(
                     'field'   => 'information_address', 
                     'label'   => 'Information Address', 
                     'rules'   => ''
                  );
		$config[] = array(
                     'field'   => 'email', 
                     'label'   => 'Email', 
                     'rules'   => ''
                  );
		$config[] = array(
                     'field'   => 'website', 
                     'label'   => 'Website', 
                     'rules'   => ''
                  );
		$config[] = array(
                     'field'   => 'helpline_no', 
                     'label'   => 'Helpline No.', 
                     'rules'   => ''
                  );
		$config[] = array(
                     'field'   => 'blog', 
                     'label'   => 'Blog', 
                     'rules'   => ''
                  );
		$config[] = array(
                     'field'   => 'pincode', 
                     'label'   => 'Pincode', 
                     'rules'   => ''
                  );
		$config[] = array(
                     'field'   => 'state', 
                     'label'   => 'State', 
                     'rules'   => ''
                  );
				  
		/*$config[] = array(
                     'field'   => 'sort_order', 
                     'label'   => 'Sort Order', 
                     'rules'   => 'required|numeric'
                  );	*/	  
		if($update==0)
		{		  
			$config[] = array(
                     'field'   => 'category_image', 
                     'label'   => 'Image', 
                     'rules'   => ''
                  );		  			  		  		 
				
				
		}
			
		
			
		return $config;
		
	}

	function  _get_table_data()
	{
		$data='';
		if (is_array($this->_get_fields()) AND count($this->_get_fields()) > 0)
		{
			foreach ($this->_get_fields() as $key => $val)
			{
				$data[$key] = $this->input->post($key); 
                                $data[$key]=mysql_real_escape_string(trim($data[$key]));
			}
		}
		return $data;
	}//_get_table_data
	
	function _get_upload_config($type)
	{
	            $upload_config=array();
				$upload_config['upload_path'] = './'.$this->upload_folder.'/'; 
				if($type==1)//image  type files
				{
					$upload_config['allowed_types'] = 'gif|jpg|png|jpeg|PNG';
					$upload_config['max_width']  = '800';
					$upload_config['max_height']  = '800';
					$upload_config['max_size']	= '50';					
				}
				if($type==2)//audio type files
				{
					//echo"type=$type</br>";
					
					
					$upload_config['allowed_types'] = 'audio|mpeg|wma|ra|ram|rm|mid|ogg|mp3|dvf|m4p|mmf|msv|aiff|m4a|mpc|gsm|ivs';
					$upload_config['max_size']	= '5517112';	
					
					//$upload_config['max_size']	= '500';					
				}
				
				if($type==3)//vedio type files
				{//echo"type=$type</br>";
					$upload_config['allowed_types'] = 'mpg|mp2|mp4|mov|asf|avi|mpeg|mpe|mpv|mov|mpeg|m2v|flv|fla|swf|ogv|ogg|wmv|rm|svi|webm';
					//$upload_config['max_size']	= '8388608';
						$upload_config['max_size']	= '35171121';						
				}	
				if($type==4)
				{
					$upload_config['allowed_types'] = 'pdf|txt|doc';
					$upload_config['max_size']	= '1507040';					
				}				
				$upload_config['encrypt_name']=TRUE;
				
				return $upload_config;
	}


    //upload depended function 2
	function _delete_file($file_name)
	{
	        if(is_string($file_name))
			{
			  	$my_file = ROOT_FOLDER.$this->upload_folder."/".$file_name;
			if(is_file($my_file))
				{
                   		unlink($my_file);
			    	}
			}
			if(is_array($file_name))
			{
			  	foreach($file_name as $key=>$value)
				{
			   	   $my_file = ROOT_FOLDER.$this->upload_folder."/".$value;
				   if(is_file($my_file))
					{
				   unlink($my_file);
					 }
			  	}
			}
	}
	
	 function redirect_page($url,$msg_level,$msg_value)
	{
		  $data['title']='Message';
		  $data['redirect']=true;
		  $data['redirect_url']=site_url($url);
		  $data['msg_level']=$msg_level;
		  $data['msg_value']=$msg_value;
		  $this->load->view('admin_redirect',$data);
    }//redirect_page
	
	function _get_pagination_vars()
	{
	   $page_vars=array('col_id' => 0,'ord_id' => 0,'off_set' => 0 );
	   $page_vars['col_id']=$this->input->post('COL_ID')==''?-1:$this->input->post('COL_ID');
	   $page_vars['ord_id']=$this->input->post('ORD_ID')==''?0:$this->input->post('ORD_ID');
	   $page_vars['off_set']=$this->input->post('OFF_SET')==''?0:$this->input->post('OFF_SET');
	   return $page_vars;
	}//_get_pagination_vars 

	function _get_order_by($sel_column_id="",$sel_order_id="")
	{
	   $blocks = array('');
	   $field_keys=array_keys($this->_get_fields(1));
	   $orders=array(0 => ' ASC ', 1 => ' DESC ');
	   
	   if (!isset($field_keys[$sel_column_id]))
	   {
		  return $this->obj_model->sort_field;
	   }
	   if (($field_keys[$sel_column_id] == "") || ($orders[$sel_order_id] == ""))
	   {
		  return $this->obj_model->sort_field;
	   }
	   if(in_array($sel_column_id,$blocks))
	   {
		  return $this->obj_model->sort_field;
	   }
	    return $field_keys[$sel_column_id].'  '.$orders[$sel_order_id];
	   
	}//_get_order_by
	
	function _get_search_fields($condition=0)
	{
		$config=array();
		$config[] = array(
                     'field'   => 'information_title', 
                     'label'   => 'Information title', 
                     'rules'   => ''
                     );

		return $config;
	}//_get_search_fields
	
	function _get_search_conditions()
	{
		$conditions=array();
		$name=$this->input->post("information_title", true);
		if($name)
		{
                         $name = trim($name);
			$conditions[]="information_title LIKE '%$name%'";
		}
		return $conditions;
	}//_get_search_conditions	
	 
}
?>
