<?php

class Topics extends CI_Controller  
{
		var $title_values=Array('add'=>'New Topics',
	                        'edit'=>'Update Topics',
							'listall'=>'Topics',
							'delete'=>'Delete Topics',
							'details'=>'Topics'
							);
	var $add_view='topics/add';
	var $add_view_new='topics/add_new';
	var $change_url='topics/listall';
	var $change_url2='topics/roundtablelist';
	var $change_url3='topics/listall_new';
	var $edit_view='topics/edit_new';
	//var $edit_view='topics/edit';
	var $delete_view='topics/delete';
	//var $details_view='topics/category';
	var $unique_desc='Topic Name';
	var $table_desc='topics';
	var $page_count='25';
	var $upload_folder='uploads/topics';
	

	function Topics()
	{
		//parent::Controller();
		parent::__construct();

		$this->load->model('topics_model','obj_model',TRUE);
		$this->load->model('admin_model','admin');
		$this->load->model('roundtablecomments_model','comments',TRUE);//user comments
		//$this->load->model('mapping_model','mapping');
		$this->load->helper(array('text','error','resize','form','date','url','sort'));
		$this->load->library('admin_entry');
		$this->load->library('user_entry');
	}
	/*CONTROLLER METHODS*/
	function index()
	{
		 $this->listall();
	}
	
	
	
	//  Function for add topics
	
	function add()
	{
	        $this->admin_entry->is_admin();
      	        $fields=$this->_get_fields();
      
      	   	$moderator=$this->admin_entry->get_admin();//getting the login person ie moderator here
      	
     		 //echo $moderator;
      	
      		$moderator_row=$this->admin->get_by_user_login_name(trim($moderator));//take user  of moderator
      	
		//print_r($moderator_row);//moderator row from usertable
		
      	
		$this->load->library('upload');
		$this->form_validation->set_rules($this->_get_rules());
		$this->form_validation->set_error_delimiters('<div  class="error">', '</div>');
		$data["header_tags"]="";
		$data["title"]=$this->title_values['add'];
		$data["topics_values"]=$this->obj_model->get_topics_options();
		
		$data["panelist_values"]=$this->admin->get_options_panelist();
		
		//$data["panelist_values_mapping"]=$this->obj_model->get_options_panelist();
		
		
		$data["priority_values"]=$this->obj_model->get_priority_options();
		//print_r($data["panelist_values"]);
		//$data["gender_values"]=$this->obj_model->get_gender_options();
		
		if ($this->form_validation->run() == FALSE)
		{   
		   
			$this->load->view($this->add_view,$data);
			return;
		}
		//single field  reference
		/*if($this->obj_model->unique_exists($this->input->post($this->obj_model->unique_field,true),-1))// check all other rows
		{
			$data['msg_level']=1;
			$data["msg_value"]="$this->unique_desc  already exists";
			$this->load->view($this->add_view,$data);
			return;
		}*/
		
		
		
		/*  the topic and panelist mapping unique exists
		 $moderator_id=$panelist_row->user_id;
		 //echo"</br>moderator_id=$moderator_id</br>";
		 
		 for($i=0;$i<count($panelistid_id);$i++)  //multiple userid in add pogram
		 {
		
	      $adminposted_id=$this->input->post("user_id[$i]");
	  
	    // echo "</br>adminposted_id=$adminposted_id</br>";
	     //exit;
	  
	  	if($this->obj_model->unique_exists($this->input->post($this->obj_model->unique_field,true),$this->input->post($this->obj_model->unique_field1,true),-1))// check all other rows
		   {
			$data['msg_level']=1;
			$data["msg_value"]="$this->unique_desc  already exists";
			$this->load->view($this->add_view,$data);
			return;
			}
			
	
			
		}*/
		
		//multiple panelist
		/*if($this->obj_model->unique_exists($this->input->post($this->obj_model->unique_field,true),$this->input->post($this->obj_model->unique_field1,true),-1))// check all other rows
		   {
			$data['msg_level']=1;
			$data["msg_value"]="$this->unique_desc  already exists";
			$this->load->view($this->add_view,$data);
			return;
			}*/
			//exit;
			
		////reference........ multiple fieldsfields 
	  /*if($this->obj_model->unique_exists($this->input->post($this->obj_model->unique_field1,true),$this->input->post($this->obj_model->unique_field2,true),$this->input->post($this->obj_model->unique_field3,true),$this->input->post($this->obj_model->unique_field4,true),$this->input->post($this->obj_model->unique_field5,true),-1))// check all other rows
		{
			$data['msg_level']=1;
			$data["msg_value"]="$this->unique_desc  already exists";
			$this->load->view($this->add_view,$data);
			return;*/
		
		
		$panelist_id = $this->input->post("user_id");
		//print_r($panelist_id);
		$countpanelist=count($panelist_id);
		if($countpanelist>3)
		{
	     // echo"$countpanelist=$countpanelist</br>";
	
			$data['msg_level']=1;
			$data["msg_value"]="this topic is alreadyassigned to 3 panelist plaese choose another topic";
			$this->load->view($this->add_view,$data);
			return;
			
		}
		
		/*for($i=0;$i<count($panelist_id);$i++)  //multiple userid in add pogram
		 {
		
		$chekcount=$this->obj_model->get_count_topic($panelist_id);//topicid total count <=3
		
		//echo"chekcount outer=$chekcount</br>";
		
		if($chekcount>3)
		{
	      //echo"topicidcounr=$chekcount</br>";
	
			$data['msg_level']=1;
			$data["msg_value"]="this topic is alreadyassigned to 3 panelist plaese choose another topic";
			$this->load->view($this->add_view,$data);
			return;
			
		}
		
	   }*/
		//exit;
			
		$table_data=$this->_get_table_data();
		
		//file upload code start
		
		$upload_valid=true;	
		$file_name=	'roundtable_topic_image';
		$file_data=array();
		$upload_error='';
		$this->upload->initialize($this->_get_upload_config(1));
		//$image_name=$this->input->post('roundtable_topic_image');
		$uploaded=$this->upload->do_upload($file_name);		
		
	//	if ( ( isset($_FILES[$file_name]['name']) && trim($_FILES[$file_name]['name'])!="" ) && (! $uploaded ))
	if ( (! $uploaded ))
		{
			  $upload_valid=false;
			  $upload_error='For image  : '.$this->upload->display_errors();
		}
		if($uploaded)
		{
			  $file_data = $this->upload->data();				
			  $table_data['roundtable_topic_image']=$file_data['file_name'];
			  
			 				 
		}
		
		if (!$upload_valid)
		{  
			   	$data['msg_level']=1;
				$data["msg_value"]=$upload_error;
				$data['upload_folder']=$this->upload_folder;
				$data["header_tags"]="";
			    $this->load->view($this->add_view,$data);
			    return;
		 }
		
			//file upload code end
	
		//saving moderator id  and others
		
		$moderator_id=$moderator_row->user_id;
		//echo "</br>moderatorid=$moderator_id</br>";
		
		$table_data['roundtable_moderator_id']=$moderator_id;
		$currentdate=date("Y/m/d");
		$table_data['roundtable_topic_post_date	']=$currentdate;
		//echo"$currentdate</br>";
		
		//$currenttime=date("h:i:sa");
		$currenttime=date("Y-m-d H:i:s"); 
		//echo"$currenttime</br>";
		
		
		//insert in to table topic-panelist mapping
		
		if(!$id=$this->obj_model->add_new($table_data,true))
		{
			$data['msg_level']=1;
			$data["msg_value"]="An error occured while adding";
			$this->load->view($this->add_view,$data);
			return;
		} 
	   	//if($table_data)
		  //{
		  //echo"The topicis already entered in topics  table";
		 
		  //$insertid=$table_data->roundtable_topic_id;
		  
		   //echo"schemeid=$schemeid</br>";
		   //echo"insertid=$insertid</br>";
		  //print_r($table_data);
		  //}
	  	$panelist_id=$this->input->post('user_id'); 
       		//print_r($panelist_id);
	  
	  		//
	  	//insert in to mapping table 
	 	 $table_mapping['roundtable_topic_id']=$id;
	  
	 
	  	for($i=0;$i<count($panelist_id);$i++){
	  
	  	//foreach($panelist_id as $panelist)
	 	 //{
			$table_mapping['panelist_id']=$panelist_id[$i];
			$this->obj_model->add_new_mapping_table($table_mapping,true);
			//}
		   }
		
//redirecting after add
		
		$this->redirect_page($this->change_url3,2,"New $this->table_desc information added successfully");
		return;		
	}//add
	//  Function for add topics
	
	function add_new()
	{
	         $fields=$this->_get_fields();
      		//print_r($moderator_row);//moderator row from usertable
		$this->admin_entry->is_admin();
     		$admin=$this->admin_entry->get_admin();//getting the login person ie admin here	
        	//to find admin_id for saving answer giving admin id
           	 
              	//echo "admin add answer=$admin</br>";
      	
      	    	$admin_row=$this->admin->get_by_user_login_name(trim($admin));//take user  
      	
		//print_r($admin_row);//admin row from usertable
      		$this->load->library('upload');

//////////////////////////////////////////////////////////////////////////////

		$config=$this->_get_rules();
		$config['user_id'] = array(
                     'field'   => 'user_id', 
                     'label'   => 'panelist', 
                     'rules'   => 'required'
                     );
	  
        
		 $config['panelist_comments'] = array(
                     'field'   => 'panelist_comments', 
                     'label'   => 'panelist comments', 
                     'rules'   => 'required'
                     );
		//print_r($config);
		//$data['rules']=$this->_get_rules_array_fields();

////////////////////////////////////////////////////////////////////

				
		//$this->form_validation->set_rules($this->_get_rules()); ethis  or the below way'
		
		$this->form_validation->set_rules($config);
		
		$this->form_validation->set_error_delimiters('<div  class="error">', '</div>');
		$data["header_tags"]="";
		$data["title"]=$this->title_values['add'];
		$data["topics_values"]=$this->obj_model->get_topics_options();
		$data["moderator_values"]=$this->admin->get_options_moderator();
		$data["panelist_values"]=$this->admin->get_options_panelist();
		
		//$data["panelist_values_mapping"]=$this->obj_model->get_options_panelist();
		
		
		$data["priority_values"]=$this->obj_model->get_priority_options();
		//print_r($data["panelist_values"]);
		//$data["gender_values"]=$this->obj_model->get_gender_options();
		
		if ($this->form_validation->run() == FALSE)

		{   

		//echo" validation false</br>";
		   
			$this->load->view($this->add_view_new,$data);
			
	return;

		}
				
		//echo" validation true</br>";
		$panelist_id = $this->input->post("user_id");
		//print_r($panelist_id);
		//echo"$panelist_id=$panelist_id</br>";
		$countpanelist=count($panelist_id);

		//echo"count=$countpanelist</br>";

		//exit;

		if($countpanelist>10)
		{
	         echo"$countpanelist=$countpanelist</br>";
	
			$data['msg_level']=1;
			$data["msg_value"]="this topic is alreadyassigned to 3 panelist plaese choose another topic";
			$this->load->view($this->add_view_new,$data);
			return;
			
		}
		
		/*for($i=0;$i<count($panelist_id);$i++)  //multiple userid in add pogram
		 {
		

		$chekcount=$this->obj_model->get_count_topic($panelist_id);//topicid total count <=3
		
		//echo"chekcount outer=$chekcount</br>";
		
		if($chekcount>3)

		{
	      //echo"topicidcounr=$chekcount</br>";
	
			$data['msg_level']=1;
			$data["msg_value"]="this topic is alreadyassigned to 3 panelist plaese choose another topic";
			$this->load->view($this->add_view_new,$data);
			return;
			
		}

		
	   }*/
		//exit;
			
		$table_data=$this->_get_table_data();
		
		//file upload code start
		
		$upload_valid=true;	
		$file_name=	'roundtable_topic_image';
		$file_data=array();
		$upload_error='';
		$this->upload->initialize($this->_get_upload_config(1));
		//$image_name=$this->input->post('roundtable_topic_image');
		$uploaded=$this->upload->do_upload($file_name);		
		
	//	if ( ( isset($_FILES[$file_name]['name']) && trim($_FILES[$file_name]['name'])!="" ) && (! $uploaded ))
	if ( (! $uploaded ))
		{
			  $upload_valid=false;
			  $upload_error='For image  : '.$this->upload->display_errors();
		}
		if($uploaded)
		{
			  $file_data = $this->upload->data();				
			  $table_data['roundtable_topic_image']=$file_data['file_name'];
			  
			 				 
		}
		
		if (!$upload_valid)
		{  
			   	$data['msg_level']=1;
				$data["msg_value"]=$upload_error;
				$data['upload_folder']=$this->upload_folder;
				$data["header_tags"]="";
			    $this->load->view($this->add_view_new,$data);
			    return;
		 }
		
			//file upload code end
	
		//saving moderator id  and others
		
		$user_id=$admin_row->user_id;//admin_id
		//echo "</br>user is (admin)=$user_id</br>";
		
		$table_data['user_id']=$user_id;//admin id here 
		$currentdate=date("Y/m/d");
		$table_data['publish_status']=1;
		$table_data['roundtable_topic_post_date	']=$currentdate;
		$mod_id=$this->input->post('roundtable_moderator_id');
	 	$table_data['roundtable_moderator_id']=$mod_id;
		//$table_data['moderator_id']=$this->input->post('moderator_id');
		//$table_data['topic_id']=$this->input->post('moderator_id');

 		$topic_id=$this->input->post('topic_id');
		//echo"$currentdate</br>";
		
		//$currenttime=date("h:i:sa");
		$currenttime=date("Y-m-d H:i:s"); 
		//echo"$currenttime</br>";
		
		
		//insert in to table topic-panelist mapping
		
		if(!$id=$this->obj_model->add_new($table_data,true))
		{
			$data['msg_level']=1;
			$data["msg_value"]="An error occured while adding";
			$this->load->view($this->add_view_new,$data);
			return;
		} 

		/*$table_data1['moderator_id']=$this->input->post('roundtable_moderator_id');
		
			$moderator_comments=$this->input->post('moderator_comments');
		if(!$moderator_comments =$this->obj_model->add_new_moderator_table($table_data1,true))
		{
			$data['msg_level']=1;
			$data["msg_value"]=" moderator and his comments is required ";
			$this->load->view($this->add_view_new,$data);
			return;
		} */
		//echo"modid=$mod_id</br>";

		//add to moderator table 
		 $table_moderator_comments['moderator_id']=$mod_id;
	         $table_moderator_comments['roundtable_topic_id']=$id;
	   	 $table_moderator_comments['moderator_comments']=$this->input->post('moderator_comments');
		 $table_moderator_comments['comment_post_date']=$currentdate;

		 $this->obj_model->add_new_moderator_table($table_moderator_comments,true);	





		//print_r($table_moderator_comments);
		//add to moderator table 
		//exit;

                    //echo"count=$countpanelist</br>";
 		//
		 //$panelist_id=$this->input->post('user_id'); 
 		 $panelist_comments=$this->input->post('panelist_comments'); 
       		//print_r($panelist_id);
	    	//insert in to mapping table 
	 	 $table_mapping['roundtable_topic_id']=$id;
	    	for($i=0;$i<$countpanelist;$i++)
			{
	  	
			$table_mapping['panelist_id']=$panelist_id[$i];
			$this->obj_model->add_new_mapping_table($table_mapping,true);
			
		        }
		 $table_panelist_comments['roundtable_topic_id']=$id;


		 for($k=0;$k<$countpanelist;$k++)
		{
	  	        $table_panelist_comments['panelist_id']= $panelist_id[$k];
			$table_panelist_comments['panelist_comments']= $panelist_comments[$k];
	   		$table_panelist_comments['panelist_comments_post_date']= $currentdate;
			$this->obj_model->add_new_panelist_table($table_panelist_comments,true);
			
		}


		//print_r($table_panelist_comments);
		//redirecting after add
		
		$this->redirect_page($this->change_url3,2,"New $this->table_desc information added successfully");
		return;		
	}//add_new
	// function for list all topics



	
function add_row_panelist($count=0,$code_count=0)
	{
	
	        $data['count']=$count;
		//$data['code_count']=$code_count;
		$data["panelist_values"]=$this->admin->get_options_panelist();
		
		//print_r($data);
       	        $row=$this->load->view('topics/add_row_panelist',$data,true);
		echo $row;
			
		
       }


	function listall($id=0,$msg_level=0,$message='')
	{
	    	$this->admin_entry->is_admin();
       		$searchfields=$this->_get_search_fields();
		$this->form_validation->set_rules($searchfields);
		$page_vars=$this->_get_pagination_vars();
		$order_sql=$this->_get_order_by($page_vars['col_id'],$page_vars['ord_id']);
		$conditions=$this->_get_search_conditions();
		$count=$this->obj_model->get_count($conditions);
		$data['topics_values']=$this->obj_model->get_topics_options();
		$data["panelist_values"]=$this->admin->get_options_panelist();
		$data["priority_values"]=$this->obj_model->get_priority_options();
		//$data['gender_values']=$this->obj_model->get_gender_options();
		$data['table_rows']=$this->obj_model->get($order_sql,$conditions,$this->page_count,$page_vars['off_set']);
		$data['title']=$this->title_values['listall'];
		$data['header_tags']="";
		$data['change_url']=$this->change_url;
		$data['msg_level']=$msg_level;
		$data['msg_value']=$message;
		$data['page_vars']=$page_vars;
		$data['record_count']=$count;
		$data['page_count']=round(ceil($count/$this->page_count));
		$data['page_vars']=$page_vars;		
		$this->load->library('jpagination');
		$config=get_admin_pagination();
		//$config=array();
		$config['base_url'] = site_url($this->change_url.'/'.$page_vars['col_id'].'/'.$page_vars['ord_id']);
		$config['script_url']='doPostBack';
		$config['col_id'] = $page_vars['col_id'];
		$config['ord_id'] = $page_vars['ord_id'];
		$config['cur_page'] = $page_vars['off_set'];
		$config['uri_segment'] = 5;
		$config['num_links'] = 4;
		$config['total_rows'] = $count;
		$config['per_page'] = $this->page_count;
		$config['use_page_numbers'] = TRUE;
		$config['page_query_string'] = TRUE;
		$this->jpagination->initialize($config); 
		$this->load->view($this->change_url,$data); 
	} //listall

	
	///////////////////

// function for list all topics
	function listall_new($id=0,$msg_level=0,$message='')
	{
	    	$this->admin_entry->is_admin();
       		$searchfields=$this->_get_search_fields();
		$this->form_validation->set_rules($searchfields);
		$page_vars=$this->_get_pagination_vars();
		$order_sql=$this->_get_order_by($page_vars['col_id'],$page_vars['ord_id']);
		$conditions=$this->_get_search_conditions();
		$count=$this->obj_model->get_count($conditions);
		$data['topics_values']=$this->obj_model->get_topics_options();

		$data["panelist_values"]=$this->admin->get_options_panelist();
		$data["moderator_values"]=$this->admin->get_options_moderator();
		$data["priority_values"]=$this->obj_model->get_priority_options();

		//$data['gender_values']=$this->obj_model->get_gender_options();
		$data['table_rows']=$this->obj_model->get($order_sql,$conditions,$this->page_count,$page_vars['off_set']);
		$data['title']=$this->title_values['listall'];
		$data['header_tags']="";
		$data['change_url']=$this->change_url3;
		$data['msg_level']=$msg_level;
		$data['msg_value']=$message;
		$data['page_vars']=$page_vars;
		$data['record_count']=$count;
		$data['page_count']=round(ceil($count/$this->page_count));
		$data['page_vars']=$page_vars;		
		$this->load->library('jpagination');
		$config=get_admin_pagination();
		//$config=array();
		$config['base_url'] = site_url($this->change_url3.'/'.$page_vars['col_id'].'/'.$page_vars['ord_id']);
		$config['script_url']='doPostBack';
		$config['col_id'] = $page_vars['col_id'];
		$config['ord_id'] = $page_vars['ord_id'];
		$config['cur_page'] = $page_vars['off_set'];
		$config['uri_segment'] = 5;
		$config['num_links'] = 4;
		$config['total_rows'] = $count;
		$config['per_page'] = $this->page_count;
		$config['use_page_numbers'] = TRUE;
		$config['page_query_string'] = TRUE;
		$this->jpagination->initialize($config); 
		$this->load->view($this->change_url3,$data); 
	} //listall_new

	
	///////////////////

// function for list all 
	function roundtablelist($id=0,$msg_level=0,$message='')
	{
	     	$this->admin_entry->is_admin();
       		$searchfields=$this->_get_search_fields();
		$this->form_validation->set_rules($searchfields);
		$page_vars=$this->_get_pagination_vars();
		$order_sql=$this->_get_order_by($page_vars['col_id'],$page_vars['ord_id']);
		$conditions=$this->_get_search_conditions();
		$count=$this->obj_model->get_count($conditions);
		$data['topics_values']=$this->obj_model->get_topics_options();
		//for getting topic titles 
		$data["topic_title"]=$this->obj_model->get_options();
		//print_r($data["topic_title"]);
		$data["panelist_values"]=$this->admin->get_options_panelist();
		$data["priority_values"]=$this->obj_model->get_priority_options();
		//$data['gender_values']=$this->obj_model->get_gender_options();
		$data['table_rows']=$this->obj_model->get($order_sql,$conditions,$this->page_count,$page_vars['off_set']);
		$data['title']=$this->title_values['listall'];
		$data['header_tags']="";
		$data['change_url']=$this->change_url2;
		$data['msg_level']=$msg_level;
		$data['msg_value']=$message;
		$data['page_vars']=$page_vars;
		$data['record_count']=$count;
		$data['page_count']=round(ceil($count/$this->page_count));
		$data['page_vars']=$page_vars;		
		$this->load->library('jpagination');
		$config=get_admin_pagination();
		//$config=array();
		$config['base_url'] = site_url($this->change_url2.'/'.$page_vars['col_id'].'/'.$page_vars['ord_id']);
		$config['script_url']='doPostBack';
		$config['col_id'] = $page_vars['col_id'];
		$config['ord_id'] = $page_vars['ord_id'];
		$config['cur_page'] = $page_vars['off_set'];
		$config['uri_segment'] = 5;
		$config['num_links'] = 4;
		$config['total_rows'] = $count;
		$config['per_page'] = $this->page_count;
		$config['use_page_numbers'] = TRUE;
		$config['page_query_string'] = TRUE;
		$this->jpagination->initialize($config); 
		$this->load->view($this->change_url2,$data); 
	} //listall

function get_all_moderator()
	{
	      
 		//$moderator_id=$this->input->post('moderator_id');
 		//$topic_id=$this->input->post('topic_id');
		//echo"moderator_id=$moderator_id</br>";
		//echo"topic_id</br>";


		$data['data_row']=$this->admin->get_by_user();
       		 // print_r($data_row);
		//exit;
		$this->load->view('topics/moderator_details',$data);
	       
		
		  
		}


function get_whole_comments()
	{
	      
 		$moderator_id=$this->input->post('moderator_id');
 		$topic_id=$this->input->post('topic_id');
		//echo"moderator_id=$moderator_id</br>";
		//echo"topic_id=$topic_id</br>";


		$data['data_row']=$this->obj_model->get_by_id_whole_comments($moderator_id,$topic_id);
       		 // print_r($data_row);
		//exit;
		$modertaor_id=$data['data_row']->moderator_id;
                 //echo "moderator_id=$moderator_id</br>";
		$data['data_row_panelist']=$this->obj_model->get_by_id_panelist($topic_id);
		//print_r($data);
		$this->load->view('topics/moderator_panelist_comments_details',$data);
	       
		// print_r($data_row);
		  
		}
	// function for get pop up modearator comments
function get_moderator_comments()
	{
	      
 		$moderator_id=$this->input->post('moderator_id');
 		$topic_id=$this->input->post('topic_id');
		//echo"moderator_id=$moderator_id</br>";
		//echo"topic_id=$topic_id</br>";


		$data['data_row']=$this->obj_model->get_by_id_moderator($moderator_id,$topic_id);
       		 // print_r($data);
		//exit;
		$this->load->view('topics/moderator_comments_details',$data);
	       
		// print_r($data_row);
		  
		}


	// function for get pop up panelist comments
function get_panelist_comments()
	{
	      
 		//$panelist_id=$this->input->post('panelist_id');
 		$topic_id=$this->input->post('topic_id');
		////echo"panelist_id=$panelist_id</br>";
		//echo"topic_id=$topic_id</br>";
		//

		$data['data_row']=$this->obj_model->get_by_id_panelist($topic_id);
        	// exit;

		//print_r($data);
		//exit;
		$this->load->view('topics/panelist_comments_details',$data);
	       
		// print_r($data_row);
		  
	}// function for get pop up panelist comments
function get_public_comments()
	{
	      
 		//$panelist_id=$this->input->post('panelist_id');
 		$topic_id=$this->input->post('topic_id');
		////echo"panelist_id=$panelist_id</br>";
		//echo"topic_id=$topic_id</br>";
		//exit;

		$data['data_row']=$this->obj_model->get_by_id_public($topic_id);
        	// exit;
		//print_r($data);
		//exit;
		$this->load->view('topics/public_comments_details',$data);
	       
		// print_r($data_row);
		  
	}
function get_topics()
	{
	      
 		
 		$topic_id=$this->input->post('topic_id');
		////echo"panelist_id=$panelist_id</br>";
		//echo"topic_id=$topic_id</br>";
		//exit;

		$data['data_row']=$this->obj_model->get_by_id($topic_id);
        	// exit;
		//print_r($data);
		//exit;
		$this->load->view('topics/topic_details',$data);
	       
		// print_r($data_row);
		  
	}
///////////////////
	function approve_public_comments($comment_id)
	{
	
	$currentstatusrow=$this->comments->get_options_comments_status($comment_id);
	//echo"approvestatus=$approvestatus</br>";
	//print_r(approvestatus);
	
		//echo"activestatus1=$activestatus1</br>";
	//	print_r($activestatus1);
	if($currentstatusrow)
	{
	 
    $status=$currentstatusrow->roundtable_comment_status;
	   echo"status=$status</br>";
	   
	$datastatus['roundtable_comment_status']=2;
	
	$approvestatus=$this->comments->get_status_approve($comment_id,$datastatus);
	
	}

	
	   $this->redirect_page($this->change_url3,2,"comments approved successfully");
		
		
	}
	/////////////////////
	
	
	function reject_public_comments($comment_id)
	{
	
	$currentstatusrow=$this->comments->get_options_comments_status($comment_id);
	//echo"approvestatus=$approvestatus</br>";
	//print_r(approvestatus);
	
		//echo"activestatus1=$activestatus1</br>";
	//	print_r($activestatus1);
	if($currentstatusrow)
	{
	 
    $status=$currentstatusrow->roundtable_comment_status;
	   echo"status=$status</br>";
	   
	$datastatus['roundtable_comment_status']=3;
	
	$rejectstatus=$this->comments->get_status_reject($comment_id,$datastatus);
	
	}

	
	   $this->redirect_page($this->change_url3,2,"comments Rejected successfully");
		
		
	}
	/* //depending up on roundtable topic table*/

function get_title_name()
	{
		$count=$_POST['count']; 

 		$roundtable_topic_id=$_POST['roundtable_topic_id'];
		//echo"viewpointid=$viewpoint_id</br>";
		//exit;

		$data_row=$this->obj_model->get_by_id($roundtable_topic_id);
                 //print_r($data_row);
		//exit;
		//$this->load->view('viewpoint/viewpoint_details',$data);
	       
		// print_r($data_row);
	?>	  
	

	<?php 	
		$topic=$data_row->roundtable_topic;
					
		echo" <td>$count</td>"; ?>    
		<td  width="20">
		<select name="roundtable_topic_id" onchange="get_title(this,<?php echo $count; ?>)" >
		<option value="<?php echo $data_row->roundtable_topic_id; ?>" selected="selected" >
		<?php echo $topic; ?>
		</select>
		<?php echo form_error('roundtable_topic_id'); ?>
		</td>
	<?php
		$date=$data_row->roundtable_topic_post_date;
		echo "<td>$date";
		echo"</td><td>";
 		if($data_row->roundtable_topic_image)
		{
		echo resize_img($data_row ->roundtable_topic_image,'uploads/topics',50,50,array('show_popup'=>false));
		}
		echo '</td>';
                echo '<td align="middle">';
		echo anchor('topics/approve/'.$data_row->roundtable_topic_id, '<i class="fa fa-thumbs-o-up fa-2x"></i>',array('title' => 'Appove')).'';
		echo'</td>';
		echo'<td align="middle">';
		echo anchor('topics/reject/'.$data_row->roundtable_topic_id, '<i class="fa fa-thumbs-o-down fa-2x"></i>',array('title' => 'Reject')).'';
		echo  '</td>';
		echo '<td colspan=/"2/">';
		echo anchor('topics/beforeedit/'.$data_row->roundtable_topic_id, '<i class="fa fa-pencil-square fa-2x"></i>',array('title' => 'Update')).'';
		echo"&nbsp;&nbsp;&nbsp;";					
		echo anchor('topics/beforedelete/'.$data_row->roundtable_topic_id, '<i class="fa fa-minus-square fa-2x"></i>',array('title' => 'Delete')).'';
		echo  '</td></tr>';
			
		//old desighn 
		/*echo '<td>';
		echo anchor('topics/beforeedit/'.$row['roundtable_topic_id'], '<img src="images/admin/default_theme/edit.gif" alt="Update" border="0">',array('title' => 'Update')).'';
		echo anchor('topics/beforedelete/'.$row['roundtable_topic_id'], '<img src="images/admin/default_theme/delete.gif" alt="Delete" border="0">',array('title' => 'Delete')).'';
		echo  '</td>';*/
		//echo '</tr>';
                               
               
               	echo $str;

             }
 
///////////////////
	function approve($roundtable_topic_id)
	{
	
		$currentstatusrow=$this->obj_model->get_options_topics_status($roundtable_topic_id);
		//echo"approvestatus=$approvestatus</br>";
		//print_r(approvestatus);
	
		//echo"activestatus1=$activestatus1</br>";
		//print_r($activestatus1);
	if($currentstatusrow)
	{
	 
    		//$showstatus=$currentstatusrow->publish_status;
		// echo"showstatus=$showstatus</br>";
	   
	
	
		$datastatus['roundtable_topic_status']=2;
	
		$approvestatus=$this->obj_model->get_status_approve($roundtable_topic_id,$datastatus);
	
	
        }

	
	  	 $this->redirect_page($this->change_url3,2,"Topics Approved Successfully");
		
		
	}
	/////////////////////
	
	
	function reject($roundtable_topic_id)
	{
	
		$currentstatusrow=$this->obj_model->get_options_topics_status($roundtable_topic_id);
		//echo"approvestatus=$approvestatus</br>";
		//print_r(approvestatus);
	
		//echo"activestatus1=$activestatus1</br>";
		//print_r($activestatus1);
	if($currentstatusrow)
	{
	 
    		//$showstatus=$currentstatusrow->publish_status;
		//echo"showstatus=$showstatus</br>";
	   
		$datastatus['roundtable_topic_status']=3;
	
		$rejectstatus=$this->obj_model->get_status_reject($roundtable_topic_id,$datastatus);
	
	}

	
	   	$this->redirect_page($this->change_url3,2,"Topics Rejected Successfully");
		
		
	}

///////////////////





	function publish($roundtable_topic_id)
	{
	
		$currentstatusrow=$this->obj_model->get_options_topics_publishstatus($roundtable_topic_id);
		//echo"approvestatus=$approvestatus</br>";
		//print_r(approvestatus);
	
		//echo"activestatus1=$activestatus1</br>";
		//	print_r($activestatus1);
		if($currentstatusrow)
		{
	 
       		 	$showstatus=$currentstatusrow->publish_status;
			 //echo "showstatus = $showstatus</br>";
	   
	
	
			$datastatus['publish_status']=2;
	
			$publishstatus=$this->obj_model->get_status_publish($roundtable_topic_id,$datastatus);
	
		}

	
	  	$this->redirect_page($this->change_url3,2,"Topics Published Successfully");
		
		
	}
	/////////////////////
function notpublish($roundtable_topic_id)
	{
	
		$currentstatusrow=$this->obj_model->get_options_topics_publishstatus2($roundtable_topic_id);
		//echo"approvestatus=$approvestatus</br>";
		//print_r(approvestatus);
	
		//echo"activestatus1=$activestatus1</br>";
		//	print_r($activestatus1);
		if($currentstatusrow)
		{
	 
        	  $showstatus=$currentstatusrow->publish_status;
		  //echo "showstatus = $showstatus</br>";
	   
	
	
		 $datastatus['publish_status']=1;
	
		 $publishstatus=$this->obj_model->get_status_notpublish($roundtable_topic_id,$datastatus);
	
		}

	
	  	 $this->redirect_page($this->change_url3,2,"Topics Publish status  changed to not Publish  Successfully");
		
		
	}
	/////////////////////

	// function for edit topics
	function beforeedit($message_level=0,$action=0,$message="")
	{
		
		
		$this->admin_entry->is_admin();
		$id=$this->uri->segment(3);
                //echo"id=$id</br>";
		if(!$row=$this->obj_model->get_by_id($id))
	   	 {
			$this->redirect_page($this->change_url3,1,"Invalid $this->table_desc");
			return;
		}
		$this->form_validation->set_rules($this->_get_rules(2));
		$data["header_tags"]="";
		$data['panelist_rows']=$this->admin->get_options_panelist();
		//$data['panelist_rows']=$row_panelist;
		//$data['moderator_rows']=$moderator_row;
		//$data['msg_level']=$message_level;
		$data['row']=$row;
		//$data["msg_value"]=getMessage($message_level,$action,$message);
		$data["topics_values"]=$this->obj_model->get_topics_options();
                $data["topic_panelist_values"]=$this->admin->get_options_panelist_topic_mapping($id);
		$data["panelist_values"]=$this->admin->get_options_panelist();

		$data["moderator_values"]=$this->admin->get_options_moderator();
		$data["panelist_comments"]=$this->obj_model->get_by_id_panelist($id);
		//exit;
		$data["priority_values"]=$this->obj_model->get_priority_options();
		//$data["gender_values"]=$this->obj_model->get_gender_options();
		$data["title"]=$this->title_values['edit'];
		$this->load->view($this->edit_view,$data);

	}
	
	// function for edit topics

	function edit()
	{
		$this->admin_entry->is_admin();
       		//$topicid=$this->uri->segment(3);
       		// echo"topicid=$topicid</br>";
       	        $admin_type=$this->admin_entry->get_admin_type();
      		$this->form_validation->set_rules($this->_get_rules(0));
        	$this->form_validation->set_error_delimiters('<div  class="error">', '</div>');
		$id = $this->input->post($this->obj_model->primary_key);
 
		
	 
		
     		//echo"id=$id</br>";//old query
		if(!$row=$this->obj_model->get_by_id($id))
	   	 {
			$this->redirect_page($this->change_url3,1,"Invalid $this->table_desc");
			return;
		}
		/*if(!$row=$this->obj_model->get_by_id_topic_moderator_comments($id))
	   	 {
			$this->redirect_page($this->change_url3,1,"Invalid $this->table_desc");
			return;
		}*/
		
		$moderator=$this->admin_entry->get_admin();//getting the login person ie moderator here
      	
      		//echo $moderator;
      	
      		$moderator_row=$this->admin->get_by_user_login_name(trim($moderator));//take user  of moderator
      	
		$data["row"]=$row;
		//$data['panelist_rows']=$row_panelist;
		//$data['moderator_rows']=$moderator_row;
		//print_r($moderator_row);
		$data["header_tags"]="";
		$data["title"]=$this->title_values['edit'];
		
		$data['topics_values']=$this->obj_model->get_topics_options();
		
		$data["panelist_values"]=$this->admin->get_options_panelist();
		$data["moderator_values"]=$this->admin->get_options_moderator();
             	$data["topic_panelist_values"]=$this->admin->get_options_panelist_topic_mapping($id);

		$data["priority_values"]=$this->obj_model->get_priority_options();
		//$data["gender_values"]=$this->obj_model->get_gender_options();
			//for getting panelist comments 
	      $data["panelist_comments"]=$this->obj_model->get_by_id_panelist($id);
		
    		if ($this->form_validation->run() == FALSE)
		{ 
			$this->load->view($this->edit_view,$data);
			return;
		}
		if($this->obj_model->unique_exists($this->input->post($this->obj_model->unique_field,true),$id))// check all other rows
		{
			$data['msg_level']=1;
			$data["msg_value"]="$this->unique_desc  already exists";
			$this->load->view($this->edit_view,$data);
			return;
		}
		
		$panelist_id = $this->input->post("user_id");
		
		//print_r($panelist_id);
		
		$countpanelist=count($panelist_id);
		if($countpanelist>10)
		{
	     // echo"$countpanelist=$countpanelist</br>";
	
			$data['msg_level']=1;
			$data["msg_value"]="this topic is alreadyassigned to 3 panelist plaese choose another topic";
			$this->load->view($this->add_view,$data);
			return;
			
		}
		
		$table_data['publish_status']=1;
		$table_data['roundtable_topic_status']=1;
        	$table_data=$this->_get_table_data();
        
        	
       		// print_r($table_data);
        	//exit;
        
       	       //file upload codes 
	        $table_data['roundtable_topic_image']=$row->roundtable_topic_image;
		$old_image=$row->roundtable_topic_image;
		$upload_valid=true;	
		$file_name=	'roundtable_topic_image';
		$file_data=array();
		$upload_error='';
		$this->load->library('upload');
		$this->upload->initialize($this->_get_upload_config(1));
		//$image_name=$this->input->post('roundtable_topic_image');
		$uploaded=$this->upload->do_upload($file_name);		
		
		if ( ( isset($_FILES[$file_name]['name']) && trim($_FILES[$file_name]['name'])!="" ) && (! $uploaded ))
		{
			  $upload_valid=false;
			  $upload_error='For image  : '.$this->upload->display_errors();
		}
		if($uploaded)
		{
			  $file_data = $this->upload->data();				
			  $table_data['roundtable_topic_image']=$file_data['file_name'];
			  
			 				 
		}
		
		if (!$upload_valid)
		{  
			   	$data['msg_level']=1;
				$data["msg_value"]=$upload_error;
				$data['upload_folder']=$this->upload_folder;
				$data["header_tags"]="";
			    $this->load->view($this->edit_view,$data);
			    return;
		 }
			

		
		 	//insert in to mapping table 
		
			//$panelist_id=$this->input->post('user_id'); 
			//print_r($panelist_id);
	
	 		 //for($i=0;$i<count($panelist_id);$i++){
	  
	  		//foreach($panelist_id as $panelist)
	 		 	// {
				//$table_mapping['panelist_id']=$panelist_id[$i];
				//$this->obj_model->update_new_mapping_table($table_mapping,true);
				//}
			//}
               
			$this->obj_model->delete_mapping_table($id);

		
			//$panelist_id=$this->input->post('user_id'); 
       			//print_r($panelist_id);
	  
	  		//
	  		// exit;
	  		//insert in to mapping table 

	 		 $table_mapping['roundtable_topic_id']=$id;
	  
	 
	 	 for($i=0;$i<count($panelist_id);$i++)
	  
	  	 {
	  
	  		//foreach($panelist_id as $panelist)
	 		 //{
			
	
			$table_mapping['panelist_id']=$panelist_id[$i];
                      	//print_r($table_mapping);
			$this->obj_model->add_new_mapping_table($table_mapping,true);
			//}
			}
			
			//insert in to mapping table end
	
		
			//update topic table
		
			//update query 
			if(!$this->obj_model->update($table_data,$id))
			{
			$data['msg_level']=1;
			$data["msg_value"]="An error occured while updating";
			$this->load->view($this->edit_view,$data);
			return;
			}
			//file upload 

		
			$del_file= $this->input->post("IS_DELETE");
			if($del_file==1)
			{
				$deldata['roundtable_topic_image']='';
				$this->obj_model->delete_upload($deldata,$id);		
				$this->_delete_file( $table_data['roundtable_topic_image']);			
			}	
			if($uploaded)
			{
			  $this->_delete_file($old_image);
			}
		
		
		
		
			$this->redirect_page($this->change_url3,2,"$this->table_desc information updated successfully");
		return;
    }  //end edit
	
	// function for delete topics
  function beforedelete()
	{
		$this->admin_entry->is_admin();
       		$id = $this->uri->segment(3);
       		 //echo "id= $id </br>";
		$row =$this->obj_model->get_by_id($id);
		
		if(!$row)
		{
			$this->redirect_page($this->change_url3,1,"Invalid $this->table_desc");
			return;
		}
		
		$data["title"]=$this->title_values['delete'];
		$data["header_tags"]="";
		$data['topics_options']=$this->obj_model->get_topics_options();
		$data['row']=$row;
		$this->load->view($this->delete_view,$data);
	}
	
	// function for delete topics

	function delete()
	{
	         $this->admin_entry->is_admin();
        	$id = $this->input->post($this->obj_model->primary_key);
        	//echo"id=$id</br>";
		if(!$row=$this->obj_model->get_by_id($id))
	    {
			
			$this->redirect_page($this->change_url3,1," Invalid $this->table_desc, Please retry");
			return;
		}

		$image=$row->roundtable_topic_image;
		if(!$this->obj_model->delete($id))
		{
			$data['msg_level']=1;
			$data["msg_value"]="An error occured while deleting";
			$this->load->view($this->delete_view,$data);
			return;
		}
		 //delete image);
		
		 $this->_delete_file($image);
		 
		$this->redirect_page($this->change_url3,2,"$this->table_desc information removed successfully");
		return;
  	  }
	
	/* OTHER METHODS */
		
	function _get_fields($update=0)//sort order setting j sort

	{
		$fields["roundtable_topic"] = 'roundtable_topic';
		$fields["roundtable_description"]	= 'roundtable_description';
		$fields["roundtable_topic_status"]	= 'roundtable_topic_status';
		$fields["publish_status"]='publish_status';
		//$fields["priority"]	= 'priority';
		//$fields["roundtable_topic_image"]	= 'image';

		//$fields["panelist_id"]	= 'panelist_id';
		//$fields["user_type"]	= 2;
		return $fields;
	}
	function _get_rules($update=0)
	{
		$config=array();
		$config[] = array(
                     'field'   => 'roundtable_topic', 
                     'label'   => 'Round Tbale Topic Name', 
                     'rules'   => 'required'
                     );
		$config[] = array(
                     'field'   => 'roundtable_description', 
                     'label'   => 'Topic Description', 
                     'rules'   => 'required'
                  );	
		$config[] = array(
                     'field'   => 'roundtable_topic_status', 
                     'label'   => 'Status', 
                     'rules'   => 'required'
                  );
				  
					
		$config[] = array(
                     'field'   => 'priority', 
                     'label'   => 'Priority', 
                     'rules'   => 'required'
                  );
				    
		$config[] = array(
                     'field'   => 'roundtable_moderator_id', 
                     'label'   => 'Moderator', 
                     'rules'   => 'required'
                  );			
		
		$config[] = array(
                     'field'   => 'moderator_comments', 
                     'label'   => 'Moderator comments', 
                     'rules'   => 'required'
                  );			
		
		/*	if($update==0)
		{		  
			$config[] = array(
                     'field'   => 'roundtable_topic_image', 
                     'label'   => 'Image', 
                     'rules'   => ''
                  );
			
		}
			*/		  			  		  		 
			
		return $config;
		
	}
	
	function _get_rules_array_fields($update=0)
	{
			
		
 //echo"smitha,/br>";

		$config=array();
		 	   
		$config['user_id'] = array(
                     'field'   => 'user_id', 
                     'label'   => 'panelist', 
                     'rules'   => 'required'
                     );
	  
        
		 $config['panelist_comments'] = array(
                     'field'   => 'panelist_comments', 
                     'label'   => 'panelist comments', 
                     'rules'   => 'required'
                     );
				
					 
		
	  	return $config;
		
	}
	function  _get_table_data()
	{
		$data='';
		if (is_array($this->_get_fields()) AND count($this->_get_fields()) > 0)
		{
			foreach ($this->_get_fields() as $key => $val)
			{
				$data[$key] = $this->input->post($key); 
			}
		}
		return $data;
	}//_get_table_data
	
	function _get_upload_config($type){
	            $upload_config=array();
				$upload_config['upload_path'] = './'.$this->upload_folder.'/'; 
				if($type==1)
				{
					
//echo"type=$type</br>";

					$upload_config['allowed_types'] = 'gif|jpg|png|jpeg|PNG';
					$upload_config['max_width']  = '800';
					$upload_config['max_height']  = '800';
					$upload_config['max_size']	= '500';	

				//print_r($upload_config);				
				}
				if($type==2)
				{
					$upload_config['allowed_types'] = 'gif|jpg|png|jpeg';
					$upload_config['max_width']  = '600';
					$upload_config['max_height']  = '600';
					$upload_config['max_size']	= '500';					
				}
				if($type==3)
				{
					$upload_config['allowed_types'] = 'pdf|txt|doc';
					$upload_config['max_size']	= '1200';					
				}				
				$upload_config['encrypt_name']=TRUE;
				return $upload_config;
	}

    //upload depended function 2
	function _delete_file($file_name){
	        if(is_string($file_name)){
			  $my_file = ROOT_FOLDER.$this->upload_folder."/".$file_name;
			    if(is_file($my_file)){
                   unlink($my_file);
			    }
			}
			if(is_array($file_name)){
			  foreach($file_name as $key=>$value){
			    $my_file = ROOT_FOLDER.$this->upload_folder."/".$value;
				  if(is_file($my_file)){
				     unlink($my_file);
				  }
			  }
			}
	}
	
	 function redirect_page($url,$msg_level,$msg_value)
	{
		  $data['title']='Message';
		  $data['redirect']=true;
		  $data['redirect_url']=site_url($url);
		  $data['msg_level']=$msg_level;
		  $data['msg_value']=$msg_value;
		  $this->load->view('admin_redirect',$data);
    }//redirect_page
	
	function _get_pagination_vars()
	{
	   $page_vars=array('col_id' => 0,'ord_id' => 0,'off_set' => 0 );
	   $page_vars['col_id']=$this->input->post('COL_ID')==''?-1:$this->input->post('COL_ID');
	   $page_vars['ord_id']=$this->input->post('ORD_ID')==''?0:$this->input->post('ORD_ID');
	   $page_vars['off_set']=$this->input->post('OFF_SET')==''?0:$this->input->post('OFF_SET');
	   return $page_vars;
	}//_get_pagination_vars 

	function _get_order_by($sel_column_id="",$sel_order_id="")
	{
	   $blocks = array('');
	   $field_keys=array_keys($this->_get_fields(1));
	   $orders=array(0 => ' ASC ', 1 => ' DESC ');
	   
	   if (!isset($field_keys[$sel_column_id]))
	   {
		  return $this->obj_model->sort_field;
	   }
	   if (($field_keys[$sel_column_id] == "") || ($orders[$sel_order_id] == ""))
	   {
		  return $this->obj_model->sort_field;
	   }
	   if(in_array($sel_column_id,$blocks))
	   {
		  return $this->obj_model->sort_field;
	   }
	    return $field_keys[$sel_column_id].'  '.$orders[$sel_order_id];
	   
	}//_get_order_by
	
	function _get_search_fields($condition=0)
	{
		$config=array();
		$config[] = array(
                     'field'   => 'roundtable_topic', 
                     'label'   => 'Round table Topics', 
                     'rules'   => ''
                     );

		return $config;
	}//_get_search_fields
	
	function _get_search_conditions()
	{
		$conditions=array();
		$name=$this->input->post("roundtable_topic", true);
		if($name)
		{
			$conditions[]="roundtable_topic LIKE '$name%'";
		}
		return $conditions;
	}//_get_search_conditions	
	
	
	function options()
	{
		$this->user_entry->is_user();// is user login
		$user=$this->user_entry->get_user();//moderator 
		$user_row=$this->obj_model->get_by_user_login_name(trim($user_login_name));//take user  of moderator
		//print_r($user_row);
		
		//$data['user_row']=$user_row;
		//$data['rows']=$this->classifieds->get_by_user($user_row->USER_ID);
		//$this->load->view('user/options',$data);
		return;
	}


	 
}
?>
