<?php

class Youngpointcategory extends CI_Controller  
{
		var $title_values=Array('add'=>'New Category',
	                        'edit'=>'Update Category',
							'listall'=>'Categories',
							'delete'=>'Delete Category',
							'details'=>'Categories'
							);
	var $add_view='youngpointcategory/add';
	var $change_url='youngpointcategory/listall';
	var $change_url2='admin/youngpointcategory/listall';
	var $edit_view='youngpointcategory/edit';
	var $delete_view='youngpointcategory/delete';
	var $details_view='youngpointcategory/category';
	var $unique_desc='Youngpoint Category Name';
	var $table_desc='Youngpoint Category';
	var $page_count='25';
	var $upload_folder='uploads/youngpoint_category';
	

	function Youngpointcategory()
	{
		//parent::Controller();
		parent::__construct();

		$this->load->model('youngpointcategory_model','obj_model',TRUE);
		$this->load->helper(array('text','error','resize','form','date','url','sort'));
		$this->load->library('admin_entry');
	}
	/*CONTROLLER METHODS*/
	function index()
	{
		 $this->listall();
	}
	
	
	
	//  Function for add category
	
	function add()
	{
	        $this->admin_entry->is_admin();
      		$fields=$this->_get_fields();
		$this->load->library('upload');
		$this->form_validation->set_rules($this->_get_rules());
		$this->form_validation->set_error_delimiters('<div  class="error">', '</div>');
		$data["header_tags"]="";
		$data["title"]=$this->title_values['add'];
		$data["type_values"]=$this->obj_model->get_type_options();
		if ($this->form_validation->run() == FALSE)
		{   
		   
			$this->load->view($this->add_view,$data);
			return;
		}
		if($this->obj_model->unique_exists($this->input->post($this->obj_model->unique_field,true),-1))// check all other rows
		{
			$data['msg_level']=1;
			$data["msg_value"]="$this->unique_desc  already exists";
			$this->load->view($this->add_view,$data);
			return;
		}
		$table_data=$this->_get_table_data();
		$upload_valid=true;	
		$file_name=	'category_image';
		$file_data=array();
		$upload_error='';
		$this->upload->initialize($this->_get_upload_config(1));
		//$image_name=$this->input->post('category_image');
		$uploaded=$this->upload->do_upload($file_name);		
		
	//	if ( ( isset($_FILES[$file_name]['name']) && trim($_FILES[$file_name]['name'])!="" ) && (! $uploaded ))
	if ( (! $uploaded ))
		{
			  $upload_valid=false;
			  $upload_error='For image  : '.$this->upload->display_errors();
		}
		if($uploaded)
		{
			  $file_data = $this->upload->data();				
			  $table_data['category_image']=$file_data['file_name'];
			  
			 				 
		}
		
		if (!$upload_valid)
		{  
			   	$data['msg_level']=1;
				$data["msg_value"]=$upload_error;
				$data['upload_folder']=$this->upload_folder;
				$data["header_tags"]="";
			    $this->load->view($this->add_view,$data);
			    return;
		 }
		$id='';
		if(!$id=$this->obj_model->add_new($table_data,true))
		{
			$data['msg_level']=1;
			$data["msg_value"]="An error occured while adding";
			$this->load->view($this->add_view,$data);
			return;
		} 
		
		$this->redirect_page($this->change_url2,2,"New $this->table_desc information added successfully");
		return;		
	}//add
	
	// function for list all categories
	
	function listall($id=0,$msg_level=0,$message='')
	{
	    $this->admin_entry->is_admin();
       	$searchfields=$this->_get_search_fields();
		$this->form_validation->set_rules($searchfields);
		$page_vars=$this->_get_pagination_vars();
		$order_sql=$this->_get_order_by($page_vars['col_id'],$page_vars['ord_id']);
		$conditions=$this->_get_search_conditions();
		$count=$this->obj_model->get_count($conditions);
		$data['type_values']=$this->obj_model->get_type_options();
		$data['table_rows']=$this->obj_model->get($order_sql,$conditions,$this->page_count,$page_vars['off_set']);
		$data['title']=$this->title_values['listall'];
		$data['header_tags']="";
		$data['change_url']=$this->change_url;
		$data['msg_level']=$msg_level;
		$data['msg_value']=$message;
		$data['page_vars']=$page_vars;
		$data['record_count']=$count;
		$data['page_count']=round(ceil($count/$this->page_count));
		$data['page_vars']=$page_vars;		
		$this->load->library('jpagination');
		$config=get_admin_pagination();
		//$config=array();
		$config['base_url'] = site_url($this->change_url.'/'.$page_vars['col_id'].'/'.$page_vars['ord_id']);
		$config['script_url']='doPostBack';
		$config['col_id'] = $page_vars['col_id'];
		$config['ord_id'] = $page_vars['ord_id'];
		$config['cur_page'] = $page_vars['off_set'];
		$config['uri_segment'] = 5;
		$config['num_links'] = 4;
		$config['total_rows'] = $count;
		$config['per_page'] = $this->page_count;
		$config['use_page_numbers'] = TRUE;
		$config['page_query_string'] = TRUE;
		$this->jpagination->initialize($config); 
		$this->load->view($this->change_url,$data); 
	} //listall

	
	// function for edit category
	
	function beforeedit($message_level=0,$action=0,$message="")
	{
		$this->admin_entry->is_admin();
		$id=$this->uri->segment(4);
		//echo"id=$id</br>";

		if(!$row=$this->obj_model->get_by_id($id))
	    {
			$this->redirect_page($this->change_url2,1,"Invalid $this->table_desc");
			return;
		}
		$this->form_validation->set_rules($this->_get_rules(2));
		
		$data["header_tags"]="";
		//$data['msg_level']=$message_level;
		$data['row']=$row;
		//$data["msg_value"]=getMessage($message_level,$action,$message);
		$data["type_values"]=$this->obj_model->get_type_options();
		$data["title"]=$this->title_values['edit'];
		$this->load->view($this->edit_view,$data);

	}
	
	// function for edit category

	function edit()
	{
	    $this->admin_entry->is_admin();
        $admin_type=$this->admin_entry->get_admin_type();
      	$this->form_validation->set_rules($this->_get_rules(0));
	    $this->form_validation->set_error_delimiters('<div  class="error">', '</div>');
		$id = $this->input->post($this->obj_model->primary_key);
		if(!$row=$this->obj_model->get_by_id($id))
	    {
			$this->redirect_page($this->change_url2,1,"Invalid $this->table_desc");
			return;
		}
		$data["row"]=$row;
		$data["header_tags"]="";
		$data["title"]=$this->title_values['edit'];
		$data['type_values']=$this->obj_model->get_type_options();
    	if ($this->form_validation->run() == FALSE)
		{ 
			$this->load->view($this->edit_view,$data);
			return;
		}
		if($this->obj_model->unique_exists($this->input->post($this->obj_model->unique_field,true),$id))// check all other rows
		{
			$data['msg_level']=1;
			$data["msg_value"]="$this->unique_desc  already exists";
			$this->load->view($this->edit_view,$data);
			return;
		}
		
		
        $table_data=$this->_get_table_data();
	    $table_data['category_image']=$row->category_image;
		$old_image=$row->category_image;
		$upload_valid=true;	
		$file_name=	'category_image';
		$file_data=array();
		$upload_error='';
		$this->load->library('upload');
		$this->upload->initialize($this->_get_upload_config(1));
		//$image_name=$this->input->post('category_image');
		$uploaded=$this->upload->do_upload($file_name);		
		
		if ( ( isset($_FILES[$file_name]['name']) && trim($_FILES[$file_name]['name'])!="" ) && (! $uploaded ))
		{
			  $upload_valid=false;
			  $upload_error='For image  : '.$this->upload->display_errors();
		}
		if($uploaded)
		{
			  $file_data = $this->upload->data();				
			  $table_data['category_image']=$file_data['file_name'];
			  
			 				 
		}
		
		if (!$upload_valid)
		{  
			   	$data['msg_level']=1;
				$data["msg_value"]=$upload_error;
				$data['upload_folder']=$this->upload_folder;
				$data["header_tags"]="";
			    $this->load->view($this->edit_view,$data);
			    return;
		 }
			
		if(!$this->obj_model->update($table_data,$id))
		{
			$data['msg_level']=1;
			$data["msg_value"]="An error occured while updating";
			$this->load->view($this->edit_view,$data);
			return;
		}
		$del_file= $this->input->post("IS_DELETE");
		if($del_file==1)
		{
				$deldata['category_image']='';
				$this->obj_model->delete_upload($deldata,$id);		
				$this->_delete_file( $table_data['category_image']);			
		}	
		if($uploaded)
		{
			  $this->_delete_file($old_image);
		}
		$this->redirect_page($this->change_url2,2,"$this->table_desc information updated successfully");
		return;
    }  //end edit
	
	// function for delete category
	
	function beforedelete()
	{
		$this->admin_entry->is_admin();
       	         $id = $this->uri->segment(4);
		$row =$this->obj_model->get_by_id($id);
		
		if(!$row)
		{
			$this->redirect_page($this->change_url2,1,"Invalid $this->table_desc");
			return;
		}
		
		$data["title"]=$this->title_values['delete'];
		$data["header_tags"]="";
		$data['type_options']=$this->obj_model->get_type_options();
		$data['row']=$row;
		$this->load->view($this->delete_view,$data);
	}
	
	// function for delete category

	function delete()
	{
	    $this->admin_entry->is_admin();
	    //echo $this->obj_model->primary_key;
              $id = $this->input->post($this->obj_model->primary_key);
		//echo"id=$id</br>";
		//exit;	
		if(!$row=$this->obj_model->get_by_id($id))
	    {
		//echo"id=$id</br>";		
		
			$this->redirect_page($this->change_url2,1," Invalid $this->table_desc, Please retry");
			return;
		}

		$image=$row->category_image;
		if(!$this->obj_model->delete($id))
		{
			$data['msg_level']=1;
			$data["msg_value"]="An error occured while deleting";
			$this->load->view($this->delete_view,$data);
			return;
		}
		 $this->_delete_file($image);
		$this->redirect_page($this->change_url2,2,"$this->table_desc information removed successfully");
		return;
    }
	
	
	
	/* OTHER METHODS */
	
	
	function _get_fields($update=0)
	{
		$fields["category_name"]	= 'category name';
		$fields["sort_order"]	= 'order';
		$fields["category_type"]	= 'type';
		$fields["category_image"]	= 'image';
		return $fields;
	}
	function _get_rules($update=0)
	{
			
		
		$config=array();
		$config[] = array(
                     'field'   => 'category_name', 
                     'label'   => 'Category Name', 
                     'rules'   => 'required'
                     );
		$config[] = array(
                     'field'   => 'is_active', 
                     'label'   => 'Is Active', 
                     'rules'   => ''
                  );	
		$config[] = array(
                     'field'   => 'category_type', 
                     'label'   => 'Category Type', 
                     'rules'   => 'required'
                  );
				  
		/*$config[] = array(
                     'field'   => 'sort_order', 
                     'label'   => 'Sort Order', 
                     'rules'   => 'required|numeric'
                  );	*/	  
		if($update==0)
		{		  
			$config[] = array(
                     'field'   => 'category_image', 
                     'label'   => 'Image', 
                     'rules'   => ''
                  );		  			  		  		 
				
				
		}
			
		
			
		return $config;
		
	}
	
	function  _get_table_data()
	{
		$data='';
		if (is_array($this->_get_fields()) AND count($this->_get_fields()) > 0)
		{
			foreach ($this->_get_fields() as $key => $val)
			{
				$data[$key] = $this->input->post($key); 
                                $data[$key]=mysql_real_escape_string(trim($data[$key]));
			}
		}
		return $data;
	}//_get_table_data
	
	function _get_upload_config($type){
	            $upload_config=array();
				$upload_config['upload_path'] = './'.$this->upload_folder.'/'; 
				if($type==1)
				{
					$upload_config['allowed_types'] = 'gif|jpg|png|jpeg|PNG';
					$upload_config['max_width']  = '800';
					$upload_config['max_height']  = '800';
					$upload_config['max_size']	= '1507040';					
				}
				if($type==2)
				{
					$upload_config['allowed_types'] = 'gif|jpg|png|jpeg';
					$upload_config['max_width']  = '600';
					$upload_config['max_height']  = '600';
					$upload_config['max_size']	= '1507040';					
				}
				if($type==3)
				{
					$upload_config['allowed_types'] = 'pdf|txt|doc';
					$upload_config['max_size']	= '1507040';					
				}				
				$upload_config['encrypt_name']=TRUE;
				return $upload_config;
	}

    //upload depended function 2
	function _delete_file($file_name){
	        if(is_string($file_name)){
			  $my_file = ROOT_FOLDER.$this->upload_folder."/".$file_name;
			    if(is_file($my_file)){
                   unlink($my_file);
			    }
			}
			if(is_array($file_name)){
			  foreach($file_name as $key=>$value){
			    $my_file = ROOT_FOLDER.$this->upload_folder."/".$value;
				  if(is_file($my_file)){
				     unlink($my_file);
				  }
			  }
			}
	}
	
	 function redirect_page($url,$msg_level,$msg_value)
	{
		  $data['title']='Message';
		  $data['redirect']=true;
		  $data['redirect_url']=site_url($url);
		  $data['msg_level']=$msg_level;
		  $data['msg_value']=$msg_value;
		  $this->load->view('admin_redirect',$data);
    }//redirect_page
	
	function _get_pagination_vars()
	{
	   $page_vars=array('col_id' => 0,'ord_id' => 0,'off_set' => 0 );
	   $page_vars['col_id']=$this->input->post('COL_ID')==''?-1:$this->input->post('COL_ID');
	   $page_vars['ord_id']=$this->input->post('ORD_ID')==''?0:$this->input->post('ORD_ID');
	   $page_vars['off_set']=$this->input->post('OFF_SET')==''?0:$this->input->post('OFF_SET');
	   return $page_vars;
	}//_get_pagination_vars 

	function _get_order_by($sel_column_id="",$sel_order_id="")
	{
	   $blocks = array('');
	   $field_keys=array_keys($this->_get_fields(1));
	   $orders=array(0 => ' ASC ', 1 => ' DESC ');
	   
	   if (!isset($field_keys[$sel_column_id]))
	   {
		  return $this->obj_model->sort_field;
	   }
	   if (($field_keys[$sel_column_id] == "") || ($orders[$sel_order_id] == ""))
	   {
		  return $this->obj_model->sort_field;
	   }
	   if(in_array($sel_column_id,$blocks))
	   {
		  return $this->obj_model->sort_field;
	   }
	    return $field_keys[$sel_column_id].'  '.$orders[$sel_order_id];
	   
	}//_get_order_by
	
	function _get_search_fields($condition=0)
	{
		$config=array();
		$config[] = array(
                     'field'   => 'category_name', 
                     'label'   => 'Category Name', 
                     'rules'   => ''
                     );

		return $config;
	}//_get_search_fields
	
	function _get_search_conditions()
	{
		$conditions=array();
		$name=$this->input->post("category_name", true);
		if($name)
		{
                        $name = trim($name);
			$conditions[]="category_name LIKE '%$name%'";
		}
		return $conditions;
	}//_get_search_conditions	
	 
}
?>