<?php
class Digitalpoint extends CI_Controller  
{	
	function Digitalpoint()
	{
		parent::__construct();	
		$this->load->model('site_digital_model','obj_model',TRUE);
		$this->load->library('pagination'); 
		$this->load->helper('cookie');
        $this->load->helper(array('form', 'url'));
        session_start();
		
	}
	/*CONTROLLER METHODS*/
	function index()
	{		 		
		 $this->load->view('digitalpoint/site_digitalpoint');
	}

	function images()
	{
		/** Pagination **/
		$page_num                   =	$this->uri->segment(3)?$this->uri->segment(3):0;  		
		$config['base_url']         =	base_url().'index.php/digitalpoint/images';
		$config['use_page_numbers'] =	TRUE;
		$config['per_page']		    =	5;		
		$config['next_link']		= 	'&rsaquo;';
		$config['prev_link']		= 	'&lsaquo;';
		$config["uri_segment"] 		= 	3;			
		$data['image'] = $this->obj_model->getmedia(1,$config['per_page'],$page_num);
		$config['total_rows'] 		= 	$this->obj_model->getMediacount(1);	
		$data['total_rows'] 		= 	$config['total_rows'];	
		$data['per_page']		    =   $config['per_page'];
		$data['page_no']		    = 	$page_num;  	
		$this->pagination->initialize($config);				
		
		$this->load->view('digitalpoint/site_imageslist',$data);
	}
/*	function repository()
	{
		/** Pagination 
		$page_num                   =	$this->uri->segment(3)?$this->uri->segment(3):0;  		
		$config['base_url']         =	base_url().'index.php/digitalpoint/repository';
		$config['use_page_numbers'] =	TRUE;
		$config['per_page']		    =	5;		
		$config['next_link']		= 	'&rsaquo;';
		$config['prev_link']		= 	'&lsaquo;';
		$config["uri_segment"] 		= 	3;			
		$data['image'] 				=   $this->obj_model->getRepository(1,$config['per_page'],$page_num);
		$config['total_rows'] 		= 	$this->obj_model->getRepositorycount(1);	
		$data['total_rows'] 		= 	$config['total_rows'];	
		$data['per_page']		    =   $config['per_page'];
		$data['page_no']		    = 	$page_num;  	
		$this->pagination->initialize($config);				
		$data['repository']         = 1;
		$this->load->view('digitalpoint/site_imageslist',$data);
	} */

	function repository()
	{		
		$data['image'] 			=   $this->obj_model->getRepository(1);		
		$this->load->view('digitalpoint/site_repository',$data);
	}
	function audio()
	{
		/** Pagination **/
		$page_num                   =	$this->uri->segment(3)?$this->uri->segment(3):0;  		
		$config['base_url']         =	base_url().'index.php/digitalpoint/audio';
		$config['use_page_numbers'] =	TRUE;
		$config['per_page']		    =	5;		
		$config['next_link']		= 	'&rsaquo;';
		$config['prev_link']		= 	'&lsaquo;';
		$config["uri_segment"] 		= 	3;			
		$data['list']               =   $this->obj_model->getmedia(2,$config['per_page'],$page_num); 
		$config['total_rows'] 		= 	$this->obj_model->getMediacount(2);	
		$data['total_rows'] 		= 	$config['total_rows'];	
		$data['per_page']		    =   $config['per_page'];
		$data['page_no']		    = 	$page_num;  	
		$this->pagination->initialize($config);			
		$data['audio'] = 1;		
		$this->load->view('digitalpoint/site_list',$data);
	}
	function video()
	{
		/** Pagination **/
		$page_num                   =	$this->uri->segment(3)?$this->uri->segment(3):0;  		
		$config['base_url']         =	base_url().'index.php/digitalpoint/video';
		$config['use_page_numbers'] =	TRUE;
		$config['per_page']		    =	5;		
		$config['next_link']		= 	'&rsaquo;';
		$config['prev_link']		= 	'&lsaquo;';
		$config["uri_segment"] 		= 	3;			
		$data['list']               =   $this->obj_model->getmedia(3,$config['per_page'],$page_num); 		
		$config['total_rows'] 		= 	$this->obj_model->getMediacount(3);	
		$data['total_rows'] 		= 	$config['total_rows'];	
		$data['per_page']		    =   $config['per_page'];
		$data['page_no']		    = 	$page_num;  	
		$this->pagination->initialize($config);		
		
		$data['video'] = 1;		
		$this->load->view('digitalpoint/site_list',$data);
	}
	
	function imageDetail()
	{
		$id                        =  $this->uri->segment(3);
		$data['detail']            =  $this->obj_model->getbyId($id); 
		$data['image']             =  $this->obj_model->getAttachment($id);
		$this->load->view('digitalpoint/site_image_details',$data);
	}
	function videoDetail()
	{
		$id                        =  $this->uri->segment(3);
		$data['detail']            =  $this->obj_model->getbyId($id); 
		$data['video']             =  $this->obj_model->videoAttachment($id);
		$this->load->view('digitalpoint/site_details',$data);
	}
	function audioDetail()
	{
		$id                        =  $this->uri->segment(3);
		$data['detail']            =  $this->obj_model->getbyId($id); 
		$data['audio']             =  $this->obj_model->audioAttachment($id);
		$this->load->view('digitalpoint/site_details',$data);
	}

}?>
