<?php
class News extends CI_Controller  
{
	
	function news()
	{
		parent::__construct();	
		$this->load->model('site_news_model','obj_model',TRUE);
		$this->load->library('pagination'); 
		$this->load->helper('cookie');
        $this->load->helper(array('form', 'url'));
        session_start();
		
	}
	/*CONTROLLER METHODS*/
	function index()
	{
		 $page_num                    	=	$this->uri->segment(3)?$this->uri->segment(3):0;  		
         $config['base_url']         	=	base_url().'index.php/news/index';
         $config['use_page_numbers'] 	=	TRUE;
         $config['per_page']		    =	10;		
         $config['next_link']		    = 	'&rsaquo;';
         $config['prev_link']		    = 	'&lsaquo;';
         $config["uri_segment"] 		= 	3;	                
		 $config['total_rows'] 			= 	$this->obj_model->getCount();	
		 $data['total_rows'] 			= 	$config['total_rows'];	
		 $data['per_page']		    	=   $config['per_page'];
		 $data['page_no']		    	= 	$page_num;                  
        
		 $this->pagination->initialize($config);	
		 $data['news'] = $this->obj_model->getFeaturednews($config['per_page'],$page_num);		
		 $this->load->view('news/site_newslist',$data);
	}

	function column()
	{
		$data['column'] = $this->obj_model->getColumnAuthors(); 
		$this->load->view('news/site_column',$data);
	}
	function columnList()
	{
		 $author_id = $this->uri->segment(3);
		 $page_num                    	=	$this->uri->segment(4)?$this->uri->segment(4):0;  		
         $config['base_url']         	=	base_url().'index.php/news/columnList/'.$author_id;
         $config['use_page_numbers'] 	=	TRUE;
         $config['per_page']		    =	10;		
         $config['next_link']		    = 	'&rsaquo;';
         $config['prev_link']		    = 	'&lsaquo;';
         $config["uri_segment"] 		= 	4;	                
		 $config['total_rows'] 			= 	$this->obj_model->getColumnCount($author_id);	
		 $data['total_rows'] 			= 	$config['total_rows'];	
		 $data['per_page']		    	=   $config['per_page'];
		 $data['page_no']		    	= 	$page_num;                  
        
		 $this->pagination->initialize($config);
		 $data['column'] =  $this->obj_model->getColumnlist($author_id,$config['per_page'],$page_num);
		 $this->load->view('news/site_column_list',$data);
		
	}
	function columnDetails()
	{
		 $id = $this->uri->segment(3);
		 $data['result'] = $this->obj_model->getColumndetails($id);
		 $this->load->view('news/site_columndetails',$data);
	}
	function newsItem()
	{
		 $category                      =   $this->uri->segment(3);		
		 $page_num                    	=	$this->uri->segment(4)?$this->uri->segment(4):0;  		
         $config['base_url']         	=	base_url().'index.php/news/newsItem/'.$category;
         $config['use_page_numbers'] 	=	TRUE;
         $config['per_page']		    =	10;		
         $config['next_link']		    = 	'&rsaquo;';
         $config['prev_link']		    = 	'&lsaquo;';
         $config["uri_segment"] 		= 	4;	                
		 $config['total_rows'] 			= 	$this->obj_model->getNewsCount($category);	
		 $data['total_rows'] 			= 	$config['total_rows'];	
		 $data['per_page']		    	=   $config['per_page'];
		 $data['page_no']		    	= 	$page_num;                  
        
		 $this->pagination->initialize($config);	
		 $data['news'] = $this->obj_model->getNews($category,$config['per_page'],$page_num);		
		 $this->load->view('news/site_newslist',$data);
	}
	function editorial()
	{			
		 $data['editorial'] = $this->obj_model->getEditorial();		
		 $this->load->view('news/site_editorial',$data);
	}
	function archEditorial()
	{	
		 $page_num                    	=	$this->uri->segment(3)?$this->uri->segment(3):0;  		
         $config['base_url']         	=	base_url().'index.php/news/archEditorial';
         $config['use_page_numbers'] 	=	TRUE;
         $config['per_page']		    =	10;		
         $config['next_link']		    = 	'&rsaquo;';
         $config['prev_link']		    = 	'&lsaquo;';
         $config["uri_segment"] 		= 	3;	                
		 $config['total_rows'] 			= 	$this->obj_model->getArchCount();	
		 $data['total_rows'] 			= 	$config['total_rows'];	
		 $data['per_page']		    	=   $config['per_page'];
		 $data['page_no']		    	= 	$page_num;                  
        
		 $this->pagination->initialize($config);	
		 		
		 $data['news'] = $this->obj_model->getArchEditorial($config['per_page'],$page_num);		
		 $this->load->view('news/site_newslist',$data);
	}
	function newsDetails()
	{
		$id = $this->uri->segment(3);
		$data['result'] = $this->obj_model->getDetails($id);
		$this->load->view('news/site_newsdetails',$data);
	}
	
	

}?>
