<?php
class Youngpoint extends CI_Controller  
{
	
	function youngpoint()
	{
		parent::__construct();	
		$this->load->model('site_youngpoint_model','obj_model',TRUE);
		$this->load->model('site_complaintbox_model','sub_model',TRUE);
		$this->load->helper(array('form', 'url'));
		$this->load->library('pagination'); 
		$this->load->helper('cookie');
		
	}
	/*CONTROLLER METHODS*/
	function index()
	{ 			
		$this->load->view('youngpoint/site_youngpoint');
		
	}
	
	function debate()
	{
				/** Pagination **/
		$page_num                   =	$this->uri->segment(3)?$this->uri->segment(3):0;  		
		$config['base_url']         =	base_url().'index.php/youngpoint/debate';
		$config['use_page_numbers'] =	TRUE;
		$config['per_page']			=	3;		
		$config['next_link']		= 	'&rsaquo;';
		$config['prev_link']		= 	'&lsaquo;';
		$config["uri_segment"] 		= 	3;	
		
		$data['debate']			=	$this->obj_model->getdebate($config['per_page'],$page_num);	
		
		$config['total_rows'] 		= 	$this->obj_model->getdebatecount();	
		$data['total_rows'] 		= 	$config['total_rows'];	
		$data['per_page']		    =   $config['per_page'];
		$data['page_no']			= 	$page_num;  	
		
		$this->pagination->initialize($config);		
		$this->load->view('youngpoint/site_debate',$data);
	}
	function debateDetails($id)
	{
		/** Pagination **/
		$page_num                   =	$this->uri->segment(4)?$this->uri->segment(4):0;  		
		$config['base_url']         =	base_url().'index.php/youngpoint/debateDetails/'.$id;
		$config['use_page_numbers'] =	TRUE;
		$config['per_page']			=	3;		
		$config['next_link']		= 	'&rsaquo;';
		$config['prev_link']		= 	'&lsaquo;';
		$config["uri_segment"] 		= 	4;	
		
		$data['comments']           =   $this->obj_model->getdebatecommentsbyid($id,$config['per_page'],$page_num);
		$config['total_rows'] 		= 	$this->obj_model->getdebatecommentsbyidcount($id);	
		$data['total_rows'] 		= 	$config['total_rows'];	
		$data['per_page']		    =   $config['per_page'];
		$data['page_no']			= 	$page_num; 
		$this->pagination->initialize($config);	
		
		$data['result']	  =	$this->obj_model->getdebatebyid($id);
		
		$this->load->view('youngpoint/site_debate_details',$data);
	}
	function savePost()
	{	
		date_default_timezone_set('Asia/Kolkata');
		
		$username  = $this->input->post('username');
		$password  = md5($this->input->post('password'));
		$topic     = $this->input->post('topic_id');			
		$signup_check = $this->sub_model->signup_check($username,$password); // to get user details			
		$user_id   = $signup_check['user_id'];
		$new_email = $signup_check['user_email'];
		
		setcookie('username',$username,strtotime( '+30 days' ));	                
        setcookie('password',$this->input->post('password'),strtotime( '+30 days' ));

        $subject = "Debate Comment";
        $message = "You have successfully submitted Your Comment.Will be Activated shortly";
		$this->_send_email($new_email,$subject,$message );		
		
		
		// Insertion in Debate Comments table
		$comment = array(
				 'debate_id'	=> $topic,
		         'debate_comments' => $this->input->post('post'),	
		         'debate_user_id'	=> $user_id,     
		         'debate_comments_post_date' => date('Y-m-d H:i:s')
		         
		         		         		);
		 $insert = $this->obj_model->insertPost('debate_comments',$comment); 		 
		 
	      redirect('/youngpoint/debateDetails/'.$topic, 'refresh');
		     
	}
	
	function opinion()
	{
		/** Pagination **/
		$page_num                    	=	$this->uri->segment(3)?$this->uri->segment(3):0;  		
		$config['base_url']         	=	base_url().'index.php/youngpoint/opinion';
		$config['use_page_numbers'] 	=	TRUE;
		$config['per_page']		    =	3;		
		$config['next_link']		= 	'&rsaquo;';
		$config['prev_link']		= 	'&lsaquo;';
		$config["uri_segment"] 		= 	3;	
		
		$data['opinion']		    =	$this->obj_model->getOpinions($config['per_page'],$page_num);	
		
		$config['total_rows'] 		= 	$this->obj_model->getOpinionscount();	
		$data['total_rows'] 		= 	$config['total_rows'];	
		$data['per_page']		    =   $config['per_page'];
		$data['page_no']		    = 	$page_num;  	
		$this->pagination->initialize($config);		
		
		$data['category'] = $this->obj_model->getCategory(1); 
		$this->load->view('youngpoint/site_opinion',$data);
	}
	function saveOpinion()
	{
		date_default_timezone_set('Asia/Kolkata');
		if($_POST['user']!=1)
		{
			$status = 2;
			$subject = "Opinion";
            $message = "You have successfully submitted Your Opinion.Will be Activated shortly";
		    $this->_send_email($_POST['email'],$subject,$message );		
			
			setcookie('username',$_POST['name'],strtotime( '+30 days' ));	                
			setcookie('email',$_POST['email'],strtotime( '+30 days' ));
		}else
		{
			$status = 1;
	    }		
		$opinion = array(
		         'category_id' => $_POST['category'],
		         'opinion_desc'=>$_POST['post'],
		         'opinion_posted_date' => date('Y-m-d H:i:s'),
		         'opinion_posted_user' => $_POST['name'],
		         'opinion_user_email' => $_POST['email'],
		         'opinion_showstatus' => $status
		);
		$insert = $this->obj_model->insertPost('opinion',$opinion); 
			
		echo $insert;
	}
	
	
	function talent()
	{
		/** Pagination **/
		$page_num                    	=	$this->uri->segment(3)?$this->uri->segment(3):0;  		
		$config['base_url']         	=	base_url().'index.php/youngpoint/talent';
		$config['use_page_numbers'] 	=	TRUE;
		$config['per_page']				=	3;		
		$config['next_link']			= 	'&rsaquo;';
		$config['prev_link']			= 	'&lsaquo;';
		$config["uri_segment"] 			= 	3;	
		
		$data['talent']				=	$this->obj_model->gettalent($config['per_page'],$page_num);	
		
		$config['total_rows'] 			= 	$this->obj_model->gettalentcount();	
		$data['total_rows'] 			= 	$config['total_rows'];	
		$data['per_page']				=   $config['per_page'];
		$data['page_no']				= 	$page_num;  	
		$this->pagination->initialize($config);				
		
		$this->load->view('youngpoint/site_talent',$data);
	}
	function talentDetails($id)
	{
		$data['result']	=	$this->obj_model->gettalentbyid($id);
		$this->load->view('youngpoint/site_talent_detail',$data);
	}
	
	
	function creativePoint()
	{
		/** Pagination **/
		$page_num                    	=	$this->uri->segment(3)?$this->uri->segment(3):0;  		
		$config['base_url']         	=	base_url().'index.php/youngpoint/creativePoint';
		$config['use_page_numbers'] 	=	TRUE;
		$config['per_page']				=	3;		
		$config['next_link']			= 	'&rsaquo;';
		$config['prev_link']			= 	'&lsaquo;';
		$config["uri_segment"] 			= 	3;	
		
		$data['creative']				=	$this->obj_model->getCreative($config['per_page'],$page_num);	
		
		$config['total_rows'] 			= 	$this->obj_model->getCreativecount();	
		$data['total_rows'] 			= 	$config['total_rows'];	
		$data['per_page']				=   $config['per_page'];
		$data['page_no']				= 	$page_num;  	
		$this->pagination->initialize($config);	
		
		$data['category'] = $this->obj_model->getCategory(3); 
		$this->load->view('youngpoint/site_creativepoint',$data);
	}
	function saveCreative()
	{	
		date_default_timezone_set('Asia/Kolkata');
		
		$username = $this->input->post('username');
		$password = md5($this->input->post('password'));			
		$signup_check = $this->sub_model->signup_check($username,$password); // to get user details				
		$user_id = $signup_check['user_id'];
		$new_email = $signup_check['user_email'];
		
		// Insertion of uploaded files
				$config['upload_path'] =  './uploads/youngpoint/creativepoint';
				$config['allowed_types'] = 'gif|jpg|jpeg|png|mp3|wav|mp4|mpeg|avi';	
				$this->load->library('upload', $config);				
																
				if($this->upload->do_upload('photo'))
				{ 
					$upload_data= $this->upload->data();							
									
				}
				 /** Water Mark **/                   
				$watermark['source_image']    = $upload_data['full_path'];
				$watermark['wm_text'] = 'Copyright 2015 - Womenpoint';
				$watermark['wm_type'] = 'text';
				$watermark['wm_font_size']    = '20';
				$watermark['wm_font_color'] = '#6f171d';
				$watermark['wm_vrt_alignment'] = 'top';
				$watermark['wm_hor_alignment'] = 'left';
				$watermark['wm_padding'] = '20';                            
				$this->load->library('image_lib');
				$this->image_lib->initialize($watermark);
				$this->image_lib->watermark();   
				/** Water Mark **/ 
				$creative = array(
		         'creative_title' => mysql_real_escape_string(trim($this->input->post('title'))),	
		         'creative_description'	  => mysql_real_escape_string(trim($this->input->post('desc'))),  
		         'user_id' =>$user_id ,
		         'category_id' => mysql_real_escape_string(trim($this->input->post('category'))),
		         'cover_image' => $upload_data['file_name'],
			     'date_of_post' =>date('Y-m-d H:i:s')		        
		       );
		       
		       // Insertion in Creative Details table
		       $insert_master = $this->obj_model->insertPost('creativepoint',$creative); 
		       
				for($i=1;$i<=4;$i++)
				{	  											
						if($this->upload->do_upload('photo_'.$i))
						{ 
							$upload_data= $this->upload->data();	
							 /** Water Mark **/                   
							$watermark['source_image']    = $upload_data['full_path'];
							$watermark['wm_text'] = 'Copyright 2015 - Womenpoint';
							$watermark['wm_type'] = 'text';
							$watermark['wm_font_size']    = '20';
							$watermark['wm_font_color'] = '#6f171d';
							$watermark['wm_vrt_alignment'] = 'top';
							$watermark['wm_hor_alignment'] = 'left';
							$watermark['wm_padding'] = '20';                            
							$this->load->library('image_lib');
							$this->image_lib->initialize($watermark);
							$this->image_lib->watermark();   
							/** Water Mark **/ 
							$creative = array(
							 'creativepoint_id' => $insert_master,	
							 'attachment_photo'	  => $upload_data['file_name']  						 	        
						   );
						   $insert = $this->obj_model->insertPost('creativepoint_attachment_images',$creative); 						
											
					   }
						
					
			   }
			   // Audio Upload				    		
																
				if($this->upload->do_upload('audio'))
				{ 
					$upload_data= $this->upload->data();	
					$creative = array(
							 'creativepoint_id' => $insert_master,	
							 'attachment_audio'	  => $upload_data['file_name']  						 	        
						   );
				    $insert = $this->obj_model->insertPost('creativepoint_attachment_audio',$creative); 
				}
				// Video Upload									
				if($this->upload->do_upload('video'))
				{ 
					$upload_data= $this->upload->data();	
					$creative = array(
							 'creativepoint_id' => $insert_master,	
							 'attachment_vedio'	  => $upload_data['file_name']  						 	        
						   );
				    $insert = $this->obj_model->insertPost('creativepoint_attachment_video',$creative); 
				}			
		
		    $subject = "Creative Point";
            $message = "You have successfully submitted Your Creativity.Will be Activated shortly";
		    $this->_send_email($new_email,$subject,$message );	
					
	       redirect('/youngpoint/creativePoint', 'refresh');		     
		     
	}
	function creativeDetails($id)
	{
		/** Pagination **/
		$page_num                   =	$this->uri->segment(4)?$this->uri->segment(4):0;  		
		$config['base_url']         =	base_url().'index.php/youngpoint/creativeDetails/'.$id;
		$config['use_page_numbers'] =	TRUE;
		$config['per_page']			=	3;		
		$config['next_link']		= 	'&rsaquo;';
		$config['prev_link']		= 	'&lsaquo;';
		$config["uri_segment"] 		= 	4;	
		
		$data['comments'] 			=   $this->obj_model->getcreativecommentsbyid($id,$config['per_page'],$page_num);	
		$config['total_rows'] 		= 	$this->obj_model->getcreativecommentsbyidcount($id);	
		$data['total_rows'] 		= 	$config['total_rows'];	
		$data['per_page']		    =   $config['per_page'];
		$data['page_no']			= 	$page_num; 
		$this->pagination->initialize($config);	
		
		$data['result']	  =	$this->obj_model->getcreativebyid($id);
		$data['photo'] = $this->obj_model->getcreativeAttachmentphoto($id);
		$data['audio'] = $this->obj_model->getcreativeAttachmentaudio($id);
		$data['video'] = $this->obj_model->getcreativeAttachmentvideo($id);
		$this->load->view('youngpoint/site_creative_details',$data);
	}
	function saveComment()
	{	
		date_default_timezone_set('Asia/Kolkata');
		
		$username  = $this->input->post('username');
		$password  = md5($this->input->post('password'));
		$topic     = $this->input->post('topic_id');			
		$signup_check = $this->sub_model->signup_check($username,$password); // to get user details			
		$user_id   = $signup_check['user_id'];
		$new_email = $signup_check['user_email'];
		
		setcookie('username',$username,strtotime( '+30 days' ));	                
        setcookie('password',$this->input->post('password'),strtotime( '+30 days' ));

		$this->_send_email($new_email);		
		
		
		// Insertion in Debate Comments table
		$comment = array(
				 'creativepoint_id'	=> $topic,
		         'creative_comments' => $this->input->post('post'),	
		         'creative_user_id'	=> $user_id,     
		         'creative_comments_post_date' => date('Y-m-d H:i:s')
		         
		         		         		);
		 $insert = $this->obj_model->insertPost('creative_comments',$comment); 		 
		 
	      redirect('/youngpoint/creativeDetails/'.$topic, 'refresh');
		     
	}
	
	
	  /************************Common Functions*****************************/

	function _send_email($emailid,$subject,$message)
   	 {     
			
			$this->load->library('form_mailer');			
			$this->form_mailer->_set_format(2);
			$this->form_mailer->from('support@saasvaap.com','womenpoint');
			$this->form_mailer->to($emailid);
			$this->form_mailer->subject($subject);	
			$this->form_mailer->message($message);
			if(!$this->form_mailer->send())
			{				
			return ;
			}			
			$this->form_mailer->clearall();
			return;
    } 
    
	
    	
	
}?>