<?
class Digitalpoint_model extends CI_Model 
{
	var $table_name="degitalpoint_details";
	var $primary_key="degitalpoint_detail_id";
	var $unique_field="degitalpoint_detail_id";
    var $sort_field="date_of_posting";
    ///////////////////////////////////////////////////////////////////////////
   	//var $file_name="";
	
    function Digitalpoint_model()
    {
        // Call the Model constructor
        parent::__construct();
    }
 /////////////////////////modified on may 1 -2015 jayasmitha/////////// delete images from tables ///
     function delete_attchment_images($p_id)
    {
	
	$this->db->where("degitalpoint_attachment_images.degital_attach_images_id", $p_id );
	//	$this->db->where("degitalpoint_attachment_images.degitalpoint_detail_id", $detail_id );
	$this->db->delete("degitalpoint_attachment_images");
    }
/////////////////////////////////////////////////////////////////////////////////////////////////////////
/*
 * Author : Nimisha
 * Date : 23-01-2015
 * used Variables : $category_id : 1 for image,2 for audio,3 for video
 */


	

	function get($order_sql,$search_fields,$limit,$offset,$category_id)
	{		
		$query = "SELECT degitalpoint_details . * , d . * ,degitalpoint_details.degitalpoint_detail_id as detail_id,degitalpoint_details.publish_status AS stat, degitalpoint_details.active_status AS act_stat,resource_topic.resource_topic
        FROM (degitalpoint_details)
        INNER JOIN resource_topic ON resource_topic.resource_topic_id = degitalpoint_details.resource_topic_id ";

		if($category_id==1)
		{ 
			$query .= " LEFT JOIN (SELECT * , group_concat( attachment_photo ) as attachment_photos FROM degitalpoint_attachment_images 
			 GROUP BY degitalpoint_attachment_images.degitalpoint_detail_id)d ON d.degitalpoint_detail_id = degitalpoint_details.degitalpoint_detail_id";
		}
		else if($category_id==2)
		{
			$query .= " LEFT JOIN (SELECT * , group_concat( attachment_audio ) as attachment_audios FROM degitalpoint_attachment_audios 
			GROUP BY degitalpoint_attachment_audios.degitalpoint_detail_id)d ON d.degitalpoint_detail_id = degitalpoint_details.degitalpoint_detail_id";
		}
		else if($category_id==3)
		{
			$query .= " LEFT JOIN (SELECT * , group_concat( attachment_video ) as attachment_videos FROM degitalpoint_attachment_videos
			GROUP BY degitalpoint_attachment_videos.degitalpoint_detail_id)d ON d.degitalpoint_detail_id = degitalpoint_details.degitalpoint_detail_id";
		}
		$query .= " WHERE degitalpoint_details.status =1 AND degitalpoint_details.category_id = $category_id ";
		
		
		if($search_fields)
		{		
			foreach($search_fields as $val)
			{			
			  $query .= " AND $val";
			}
		}	
		if($order_sql==$this->sort_field)
		{
			$query .= " ORDER BY $order_sql DESC ";
		}
		else
		{
			$query .= " ORDER BY $order_sql ";
		}		
		$query .= " LIMIT $limit OFFSET $offset ";
		
		
		$result = $this->db->query($query);		                        //echo $this->db->last_query();
		if($result->num_rows() >0)
		{
			return $result->result_array();
		}
		else
		{
			return array();                                             // return a blank array to keep the calling function happy because it expects an array
		}
	}
	function get_for_delete($id,$category_id)                           // data to delete record
	{
		
		$query = "SELECT degitalpoint_details . * , d . * ,degitalpoint_details.degitalpoint_detail_id as detail_id,degitalpoint_details.publish_status AS stat, degitalpoint_details.active_status AS act_stat,resource_topic.resource_topic
        FROM (degitalpoint_details)
        INNER JOIN resource_topic ON resource_topic.resource_topic_id = degitalpoint_details.resource_topic_id ";

		if($category_id==1)
		{ 
			$query .= " LEFT JOIN (SELECT * , group_concat( attachment_photo ) as attachment_photos FROM degitalpoint_attachment_images 
			 GROUP BY degitalpoint_attachment_images.degitalpoint_detail_id)d ON d.degitalpoint_detail_id = degitalpoint_details.degitalpoint_detail_id";
		}
		else if($category_id==2)
		{
			$query .= " LEFT JOIN (SELECT * , group_concat( attachment_audio ) as attachment_audios FROM degitalpoint_attachment_audios 
			GROUP BY degitalpoint_attachment_audios.degitalpoint_detail_id)d ON d.degitalpoint_detail_id = degitalpoint_details.degitalpoint_detail_id";
		}
		else if($category_id==3)
		{
			$query .= " LEFT JOIN (SELECT * , group_concat( attachment_video ) as attachment_videos FROM degitalpoint_attachment_videos
			GROUP BY degitalpoint_attachment_videos.degitalpoint_detail_id)d ON d.degitalpoint_detail_id = degitalpoint_details.degitalpoint_detail_id";
		}
		$query .= " WHERE degitalpoint_details.status =1 AND degitalpoint_details.category_id = $category_id AND degitalpoint_details.degitalpoint_detail_id = $id ";
		
	    $result = $this->db->query($query);	                            
		$row    = $result->row();  
		return $row;
    }
	function get_images_by_id($id)
	    {
			$query = "SELECT * , group_concat( attachment_photo ) as attachment_photos FROM degitalpoint_attachment_images d WHERE d.degitalpoint_detail_id = $id GROUP BY d.degitalpoint_detail_id";
			$result = $this->db->query($query);	                            
			$row    = $result->row(); 
			return $row;
		}
	
	
           
/*
 * End Of Code 
 * By Nimisha
 */    

    
    
    
    
    
    
    
    
    
       /////////////add Digitalpoint ////////////////////////////////////////////////
		   function add_new($fields,$insert_id)
	{
		$this->db->insert($this->table_name, $fields);
		if($insert_id){
                 return $this->db->insert_id();
                 }
		return true;
	}
	/////////////////////add Digitalpoint track///////////////////////////////
	function add_new_digitalpoint_track($fields,$insert_id)
	{
		$this->db->insert("degitalpoint_details_track", $fields);
		if($insert_id){
                 return $this->db->insert_id();
                 }
		return true;
	}
	///////////////////////////////////////////////////////////////////////////
	function unique_exists($unique_value,$exclude_id=-1)
	{
	 $query=$this->db->query("SELECT $this->unique_field FROM $this->table_name WHERE $this->unique_field='$unique_value' AND $this->primary_key!=$exclude_id");
	   return $query->result();
	}

		
/////////////////////////add to attachment table //////////for images,audios,videos//////
	
	function add_new_digitalpoint_attachment_images_table($table_digitalpoint_attachment,$ret_insert_id)
	{
//echo"kkkkkkkkkk</br>";
		$this->db->insert('degitalpoint_attachment_images', $table_digitalpoint_attachment);
		if($ret_insert_id){
		  return $this->db->insert_id();
		  }
		return true;
	}
	
function add_new_digitalpoint_attachment_images_table_add($table_digitalpoint_attachment_add,$ret_insert_id)
	{
//echo"llllllllllllll</br>";		
$this->db->insert('degitalpoint_attachment_images', $table_digitalpoint_attachment_add);
		if($ret_insert_id){
		  return $this->db->insert_id();
		  }
		return true;
	}

	

	function add_new_digitalpoint_attachment_audios_table($table_digitalpoint_attachment,$ret_insert_id)
	{
		$this->db->insert('degitalpoint_attachment_audios', $table_digitalpoint_attachment);
		if($ret_insert_id){
		  return $this->db->insert_id();
		  }
		return true;
	}
	function add_new_digitalpoint_attachment_videos_table($table_digitalpoint_attachment,$ret_insert_id)
	{
		$this->db->insert('degitalpoint_attachment_videos',$table_digitalpoint_attachment);
		if($ret_insert_id){
		  return $this->db->insert_id();
		                  }
		return true;
	}
		
/////////////////////////add to attachment track tables //////////for tracking the updated details in different logins////////////////////////
	function add_new_images_attachment_track_table($track_attachment,$ret_insert_id)
	{
		$this->db->insert('degital_attach_images_track', $track_attachment);
		if($ret_insert_id){
	   return $this->db->insert_id();
	}
		return true;
	}
	function add_new_audios_attachment_track_table($track_attachment,$ret_insert_id)
	{
		$this->db->insert('degital_attach_audios_track', $track_attachment);
		if($ret_insert_id){
	   return $this->db->insert_id();
	}
		return true;
	}
	
	function add_new_videos_attachment_track_table($track_attachment,$ret_insert_id)
	{
		$this->db->insert('degital_attach_videos_track', $track_attachment);
		if($ret_insert_id){
	   return $this->db->insert_id();
	}
		return true;
	}
	function delete_child($table,$id)
	{
		$this->db->where('degital_attach_images_id', $id);		
        $this->db->delete($table);
	}
///////////////////////////////////////////////////////////////////////////////////////////////////////////

	function getMaildetails($id)
	{
		$query = $this->db->query("SELECT * FROM degitalpoint_details LEFT JOIN user on user.user_id = degitalpoint_details.user_id  WHERE degitalpoint_detail_id = ".$id);
		$result = $query->row_array();
		return $result;
	}
function get_count_track_attachment($degitalpoint_detail_id)
	{
		
				
		$count=0;
		$this->db->select("count(*) as count");
		$this->db->where("degitalpoint_attachment_images.degitalpoint_detail_id",$degitalpoint_detail_id);
	
		$query = $this->db->get("degitalpoint_attachment_images");
		//echo $this->db->last_query();
		if ($query->num_rows() > 0)
		{
		   $row = $query->row(); 
		   $count=$row->count;
		}
		return $count;
	}



	function get_count($search_fields,$category_id)
	{
		
		//echo"category_id=$category_id</br>";
				
		$count=0;
		$this->db->select("count(*) as count");
		$this->db->where("degitalpoint_details.status",1);  //disable now 1 
		$this->db->where("degitalpoint_details.category_id",$category_id);
	
		if($search_fields)
		{
			foreach($search_fields as $val)
			{
				$this->db->where($val);	
			}
		}
		$query = $this->db->get($this->table_name);
		//echo $this->db->last_query();
		if ($query->num_rows() > 0)
		{
		   $row = $query->row(); 
		   $count=$row->count;
		}
		return $count;
	}

	

	
	function get_attach_images($id)
	{
		
	    $this->db->from('degitalpoint_attachment_images');
		//$this->db->select("*,degitalpoint_attachment_images");	
		$this->db->where("degitalpoint_attachment_images.degitalpoint_detail_id",$id);
		$query = $this->db->get();
		
		//echo $this->db->last_query();
		return $query->result_array();
		
	}

////////////////////////////////////////////////////////////////////////////////////////////
	
function get_by_id($id,$category_id)
	{
		//echo"category_id=$category_id</br>";
		// get the information for given id
	    $this->db->from($this->table_name);
		$this->db->select("degitalpoint_details.*,degitalpoint_details.degitalpoint_detail_id,degitalpoint_details.featured_status as fea_status,degitalpoint_details.active_status as act_stat,degitalpoint_details.publish_status as pb_status,resource_topic.resource_topic,degitalpoint_details.degitalpoint_detail_id as detail_id");
		//$this->db->where($this->primary_key,$id);
		$this->db->join('resource_topic','resource_topic.resource_topic_id= degitalpoint_details.resource_topic_id','inner');
		if($category_id==1)
		{
		$this->db->join('degitalpoint_attachment_images','degitalpoint_attachment_images.degitalpoint_detail_id=degitalpoint_details.degitalpoint_detail_id','left');
	   }
	   elseif($category_id==2)
	   {
		   $this->db->join('degitalpoint_attachment_audios','degitalpoint_attachment_audios.degitalpoint_detail_id=degitalpoint_details.degitalpoint_detail_id','left');
	   }
	   elseif($category_id==3)
	   {
	   $this->db->join('degitalpoint_attachment_videos','degitalpoint_attachment_videos.degitalpoint_detail_id=degitalpoint_details.degitalpoint_detail_id','left');
	   }
		$this->db->where("degitalpoint_details.degitalpoint_detail_id",$id);
		$this->db->where("degitalpoint_details.status",1);  //disable now 1 
		$this->db->where("degitalpoint_details.category_id",$category_id);  
		$query = $this->db->get();
		
		//echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
    }
/////////////
function get_by_id_not_approved($id,$category_id)
	{
		//echo"category_id=$category_id</br>";
		// get the information for given id
	    $this->db->from($this->table_name);
		$this->db->select("degitalpoint_details.*,degitalpoint_details.degitalpoint_detail_id,degitalpoint_details.featured_status as fea_status,degitalpoint_details.active_status as act_stat,resource_topic.resource_topic");
		$this->db->join('resource_topic','resource_topic.resource_topic_id= degitalpoint_details.resource_topic_id','inner');
		//$this->db->where($this->primary_key,$id);

		if($category_id==1)
		{
		$this->db->join('degitalpoint_attachment_images','degitalpoint_attachment_images.degitalpoint_detail_id=degitalpoint_details.degitalpoint_detail_id','left');
	   }
	   elseif($category_id==2)
	   {
		   $this->db->join('degitalpoint_attachment_audios','degitalpoint_attachment_audios.degitalpoint_detail_id=degitalpoint_details.degitalpoint_detail_id','left');
	   }
	   elseif($category_id==3)
	   {
	   $this->db->join('degitalpoint_attachment_videos','degitalpoint_attachment_videos.degitalpoint_detail_id=degitalpoint_details.degitalpoint_detail_id','left');
	   }
		$this->db->where("degitalpoint_details.degitalpoint_detail_id",$id);
		$this->db->where("degitalpoint_details.status",2);  //disable now 1 
			    
		$this->db->where("degitalpoint_details.category_id",$category_id);
		
		$query = $this->db->get();
		
	//echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
    }
    
function get_by_id_degitalpoint($id,$category_id)//for all resource without answer too
	{
		//echo"category_id=$category_id</br>";
		// get the information for given id
	    $this->db->from($this->table_name);
		$this->db->select("degitalpoint_details.*,degitalpoint_details.degitalpoint_detail_id,degitalpoint_details.featured_status as fea_status,degitalpoint_details.active_status as act_stat,resource_topic.resource_topic");
		$this->db->join('resource_topic','resource_topic.resource_topic_id= degitalpoint_details.resource_topic_id','inner');
		//$this->db->where($this->primary_key,$id);
	
	if($category_id==1)
		{
		$this->db->join('degitalpoint_attachment_images','degitalpoint_attachment_images.degitalpoint_detail_id=degitalpoint_details.degitalpoint_detail_id','left');
	   }
	   elseif($category_id==2)
	   {
		   $this->db->join('degitalpoint_attachment_audios','degitalpoint_attachment_audios.degitalpoint_detail_id=degitalpoint_details.degitalpoint_detail_id','left');
	   }
	   elseif($category_id==3)
	   {
	   $this->db->join('degitalpoint_attachment_videos','degitalpoint_attachment_videos.degitalpoint_detail_id=degitalpoint_details.degitalpoint_detail_id','left');
	   }
		$this->db->where("degitalpoint_details.degitalpoint_detail_id",$id);
		$this->db->where("degitalpoint_details.status",1);  //disable now 1 
		$this->db->where("degitalpoint_details.category_id",$category_id);
	    $query = $this->db->get();
		
		//echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
    }

function get_count1($search_fields)
	{
		//echo"category_id=$category_id</br>";
				
		$count=0;
		$this->db->select("count(*) as count");
		$this->db->where("degitalpoint_details.status",2);  //disable now 1 
		$this->db->where("degitalpoint_details.category_id",$category_id);
		
	    //$this->db->where('(degitalpoint_details.status = 1 or degitalpoint_details.status = 2 or degitalpoint_details.status = 3)');
		if($search_fields)
		{
			foreach($search_fields as $val)
			{
				$this->db->where($val);	
			}
		}
		$query = $this->db->get($this->table_name);
		//echo $this->db->last_query();
		if ($query->num_rows() > 0)
		{
		   $row = $query->row(); 
		   $count=$row->count;
		}
		return $count;
	}

	function get1($order_sql,$search_fields,$limit,$offset)
	{
		
			
		//echo"category_id=$category_id</br>";
		if($order_sql==$this->sort_field)
		{
			$this->db->order_by($order_sql,'desc');
	    	}else
	    	{
			$this->db->order_by($order_sql);
		}
		//$this->db->order_by($order_sql);
		$this->db->select('degitalpoint_details.*,degitalpoint_details.publish_status as stat,degitalpoint_details.active_status as act_stat,degitalpoint_attachment.*,resource_topic.resource_topic');
		//$this->db->select('degitalpoint_details.*,degitalpoint_details.publish_status as stat,resource_topic.*,resource_category.*,degitalpoint_attachment.attachment_audio,degitalpoint_attachment.attachment_photo');

		$this->db->from($this->table_name);
		$this->db->join('resource_topic','resource_topic.resource_topic_id= degitalpoint_details.resource_topic_id','inner');
		if($category_id==1)
		{
		$this->db->join('degitalpoint_attachment_images','degitalpoint_attachment_images.degitalpoint_detail_id=degitalpoint_details.degitalpoint_detail_id','left');
	   }
	   elseif($category_id==2)
	   {
		   $this->db->join('degitalpoint_attachment_audios','degitalpoint_attachment_audios.degitalpoint_detail_id=degitalpoint_details.degitalpoint_detail_id','left');
	   }
	   elseif($category_id==3)
	   {
	   $this->db->join('degitalpoint_attachment_videos','degitalpoint_attachment_videos.degitalpoint_detail_id=degitalpoint_details.degitalpoint_detail_id','left');
	   }
		$this->db->where("degitalpoint_details.status",2);  //disable now 1 
		$this->db->where("degitalpoint_details.category_id",$category_id);
			
		    //$this->db->where('(news_details.status = 1 or degitalpoint_details.status = 2 or degitalpoint_details.status = 3)');
		if($search_fields)
		{		
			foreach($search_fields as $val)
			{
				$this->db->where($val);	
			}
		}			
		$query = $this->db->get('',$limit,$offset);
	 // echo $this->db->last_query();
		if($query->num_rows() >0)
		{
			return $query->result_array();
		}
		else
		{
			return array();
			// return a blank areray to keep the calling function happy because it expects an array
		}
			
	}
function get_by_id1($id)
	{
		//echo"category_id=$category_id</br>";
		// get the information for given id
	    $this->db->from($this->table_name);
		$this->db->select("degitalpoint_details.*,degitalpoint_details.degitalpoint_detail_id,degitalpoint_details.featured_status as fea_status,degitalpoint_details.active_status as act_stat,resource_topic.resource_topic");
		$this->db->join('resource_topic','resource_topic.resource_topic_id= degitalpoint_details.resource_topic_id','inner');
		//$this->db->where($this->primary_key,$id);
	
		if($category_id==1)
		{
		$this->db->join('degitalpoint_attachment_images','degitalpoint_attachment_images.degitalpoint_detail_id=degitalpoint_details.degitalpoint_detail_id','left');
	   }
	   elseif($category_id==2)
	   {
		   $this->db->join('degitalpoint_attachment_audios','degitalpoint_attachment_audios.degitalpoint_detail_id=degitalpoint_details.degitalpoint_detail_id','left');
	   }
	   elseif($category_id==3)
	   {
	   $this->db->join('degitalpoint_attachment_videos','degitalpoint_attachment_videos.degitalpoint_detail_id=degitalpoint_details.degitalpoint_detail_id','left');
	   }
		$this->db->where("degitalpoint_details.degitalpoint_detail_id",$id);
		$this->db->where("degitalpoint_details.status",1);  //disable now 1 
		 //$this->db->where('(degitalpoint_details.status = 1 or degitalpoint_details.status = 2 or news_details.status = 3)');
		    
		$this->db->where("degitalpoint_details.category_id",$category_id);
		$query = $this->db->get();
		
		//echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
    }

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	
    function update($fields,$id)
	{
		$this->db->where($this->primary_key, $id);
		$this->db->update($this->table_name, $fields);
		//echo $this->db->last_query();
		return true;
	}
	 function update_editorial_status($fields,$category_id,$id)
	{
		$this->db->where("category_id", $category_id);
		$this->db->where("degitalpoint_detail_id !=",$id);
		$this->db->update($this->table_name, $fields);
		//echo $this->db->last_query();
		return true;
	}
	////////////////update featured table //////////////////////////////////////////////////////////////////
	  function update_featured($fields,$id)
	{
		$this->db->where('reference_id', $id);
		$this->db->where('type', 6);
		$this->db->update('featured_items', $fields);
		//echo $this->db->last_query();
		return true;
	}
     ///////////////////////////////////////////////////////////////////////////////////////////////////////
    
	 //old query 
	/* function update_attachment_images($fields,$id)
	{
		$this->db->where("degitalpoint_attachment_images.degitalpoint_detail_id", $id);
		$this->db->update("degitalpoint_attachment_images", $fields);
		//echo $this->db->last_query();
		return true;
	}*/
	function update_attachment_images($fields,$detailid,$degital_attach_images_id)
	{ 
		$this->db->where("degitalpoint_attachment_images.degital_attach_images_id", $degital_attach_images_id);
		//$this->db->where("degitalpoint_attachment_images.degitalpoint_detail_id", $detailid);
		$this->db->update("degitalpoint_attachment_images", $fields);
		//echo $this->db->last_query();
		return true;
	}
	
	
	 function update_attachment_audios($fields,$id)
	{
		$this->db->where("degitalpoint_attachment_audios.degitalpoint_detail_id", $id);
		$this->db->update("degitalpoint_attachment_audios", $fields);
		//echo $this->db->last_query();
		return true;
	}
	 function update_attachment_videos($fields,$id)
	{
		$this->db->where("degitalpoint_attachment_videos.degitalpoint_detail_id", $id);
		$this->db->update("degitalpoint_attachment_videos", $fields);
		//echo $this->db->last_query();
		return true;
	}
	
	function delete($category_id,$id)
	{
		$this->db->where($this->primary_key, $id );
		$this->db->where("degitalpoint_details.category_id", $category_id);
		$this->db->delete($this->table_name);
		return true;
	}
	
	function delete_attachment($category_id,$id)
	{
		if($category_id==1)
		{
		$this->db->where("degitalpoint_attachment_images.degitalpoint_detail_id", $id );
		$this->db->delete("degitalpoint_attachment_images");
	   }
	   elseif($category_id==2)
	   {
		  $this->db->where("degitalpoint_attachment_audios.degitalpoint_detail_id", $id );
		  $this->db->delete("degitalpoint_attachment_audios");
	   }
	   elseif($category_id==3)
	   {
	      $this->db->where("degitalpoint_attachment_videos.degitalpoint_detail_id", $id );
	      $this->db->delete("degitalpoint_attachment_videos");
	   }
		
		return true;
	}
		function delete_column($category_id,$id)
		{
			$this->db->where('columns_details.column_detail_id', $id );
			$this->db->where("columns_details.column_author_id", $category_id);
			$this->db->delete('columns_details');
			return true;
		}

		function delete_column_attachment($category_id,$id)
		{			
			$this->db->where("column_attachment.column_detail_id", $id );			
			$this->db->delete("column_attachment");
			return true;
		}
	function get_all()
	{
	
	    $this->db->from($this->table_name);
		$query = $this->db->get();
		$result = $query->result_array(); 
		return $result;
	}
 	function get_options(){
	    $options=array();
		$this->db->order_by($this->sort_field);
		$this->db->select($this->primary_key);
		$this->db->select($this->unique_field);
		$this->db->from($this->table_name);
		$query = $this->db->get();
		$results=$query->result_array();
		foreach($results as $result){
		  $options[$result[$this->primary_key]]=$result[$this->unique_field];
		}
		return $options;
	}
	
	function delete_upload($fields,$id)
	{
		$this->db->where($this->primary_key, $id);
		$this->db->update($this->table_name, $fields);
		return true;
	}
		
	
	
		
	
	function get_options_columns_status($column_author_id,$column_detail_id)
	{
		// $options=array();
		//$this->db->order_by($this->scheme_amount_sort_field);
		$this->db->from("columns_details");
		//$this->db->where("degitalpoint_details.status = 1 or degitalpoint_details.status = 2");
	    $this->db->where('columns_details.column_detail_id',$column_detail_id);
		$this->db->where('columns_details.column_author_id',$column_author_id); 
		$query = $this->db->get();
		//$results=$query->result_array();
		//return $results;
	  //	echo $this->db->last_query();
		//exit;
		$row = $query->row(); 
	    return $row;
	}
	function get_options_degitalpoint_status($category_id,$degitalpoint_detail_id)
	{
		// $options=array();
		//$this->db->order_by($this->scheme_amount_sort_field);
		$this->db->from($this->table_name);
		//$this->db->where("degitalpoint_details.status = 1 or degitalpoint_details.status = 2");
	    $this->db->where('degitalpoint_details.degitalpoint_detail_id',$degitalpoint_detail_id);
		//$this->db->where("degitalpoint_details.status",1); 
		$query = $this->db->get();
		//$results=$query->result_array();
		//return $results;
	  	//echo $this->db->last_query();
		//exit;
		$row = $query->row(); 
	    return $row;
	}
//////////////////////////////////////////////////////////////////////////////////////////////
function get_options_degitalpoint_status2($degitalpoint_detail_id)
	{
	    // $options=array();
		//$this->db->order_by($this->scheme_amount_sort_field);
		$this->db->from($this->table_name);
		//$this->db->where("degitalpoint_details.status = 1 or degitalpoint_details.status = 2");
	    $this->db->where("degitalpoint_details.status",2);
		$this->db->where('degitalpoint_details.degitalpoint_detail_id',$degitalpoint_detail_id);
		$query = $this->db->get();
		//$results=$query->result_array();
		//return $results;
	    //echo $this->db->last_query();
		$row = $query->row(); 
	    return $row;
	}

///////////////*////////////////////////////////////////////////////////////////////////////////////
function get_options_degitalpoint_publishstatus($category_id,$degitalpoint_detail_id)
	{
	   // $options=array();
		//$this->db->order_by($this->scheme_amount_sort_field);
		$this->db->from($this->table_name);
		$this->db->where('degitalpoint_details.degitalpoint_detail_id',$degitalpoint_detail_id);
		$this->db->where('degitalpoint_details.category_id',$category_id);
	   // $this->db->where("degitalpoint_details.active_status",1); 
		//$this->db->where("degitalpoint_details.publish_status",1); 
		//$this->db->where("degitalpoint_details.status",1); 
		$query = $this->db->get();
		//$results=$query->result_array();
		//return $results;
	       // echo $this->db->last_query();
		 $row = $query->row(); 
	         return $row;
	}
function get_options_degitalpoint_publishstatus2($category_id,$degitalpoint_detail_id)
	{
	   // $options=array();
		//$this->db->order_by($this->scheme_amount_sort_field);
		$this->db->from($this->table_name);
		$this->db->where('degitalpoint_details.degitalpoint_detail_id',$degitalpoint_detail_id);
		$this->db->where('degitalpoint_details.category_id',$category_id);
	    // $this->db->where("degitalpoint_details.active_status",1); 
	    //$this->db->where("degitalpoint_details.publish_status",2); 
		//$this->db->where("degitalpoint_details.status",1); 
		$query = $this->db->get();
		//$results=$query->result_array();
		//return $results;
	    // echo $this->db->last_query();
		 $row = $query->row(); 
	     return $row;
	}
	//////////////////////////////////////////////////////////////////////////////
	function get_options_columns_publishstatus2($column_author_id,$column_detail_id)
	{
	   // $options=array();
		//$this->db->order_by($this->scheme_amount_sort_field);
		$this->db->from("columns_details");
		$this->db->where('columns_details.column_detail_id',$column_detail_id);
		$this->db->where('columns_details.column_author_id',$column_author_id);
	    // $this->db->where("degitalpoint_details.active_status",1); 
	    //$this->db->where("degitalpoint_details.publish_status",2); 
		//$this->db->where("degitalpoint_details.status",1); 
		$query = $this->db->get();
		//$results=$query->result_array();
		//return $results;
	    // echo $this->db->last_query();
		 $row = $query->row(); 
	     return $row;
	}
	///////////////////////////////////////////////////////////////////////////////////
      function get_status_notpublish($category_id,$degitalpoint_detail_id,$datastatus)
	{
	
		$this->db->where($this->primary_key,$degitalpoint_detail_id);
		$this->db->where('degitalpoint_details.degitalpoint_detail_id',$degitalpoint_detail_id);
		$this->db->where('degitalpoint_details.category_id',$category_id);
		$this->db->update($this->table_name,$datastatus);
		//echo $this->db->last_query();
		return true;
    }
	 
	//////////////////////////////////////////////

	function get_status_publish($category_id,$degitalpoint_detail_id,$datastatus)
	{
		$this->db->where($this->primary_key,$degitalpoint_detail_id);
		//$this->db->where('degitalpoint_details.degitalpoint_detail_id',$degitalpoint_detail_id);
		$this->db->where('degitalpoint_details.category_id',$category_id);
		$this->db->update($this->table_name,$datastatus);
		//echo $this->db->last_query(); exit;
		return true;
    }
    
    function get_status_approve($category_id,$degitalpoint_detail_id,$datastatus)
	{

		
		$this->db->where($this->primary_key,$degitalpoint_detail_id);
		$this->db->where('degitalpoint_details.category_id',$category_id);
		$this->db->update($this->table_name,$datastatus);
		// echo "status updated</br>";
		//echo $this->db->last_query();
		 return true;
    }
    
    
	
	//////////////////////////////////////////////////////////////////////////////////////////////
function get_status_reject($category_id,$degitalpoint_detail_id,$datastatus)
	{
   	
		$this->db->where($this->primary_key,$degitalpoint_detail_id);
		$this->db->where('degitalpoint_details.category_id',$category_id);
		$this->db->update($this->table_name,$datastatus);
		//echo $this->db->last_query();
		return true;
    }
    
  
    function get_type_options()
	{
		return array(
		             '1'=>'Admin',
					 '2'=>'Moderator',
		             '3'=>'Panelist',
					 '0'=>'Nil Type'
					 
					);
	}
	function get_gender_options()
	{
		return array(
		             '1'=>'Female',
					 '2'=>'Male',
		           
					 '0'=>'Nil Gender'
					 
					);
	}
	
	
	function get_comments_options()
	{
		return array(
		             '1'=>'Pending',
					 '2'=>'Approved',
		          
					 '3'=>'Cancelled'
					 
					);
	}
	
    
		function getCount($search_fields,$category)
		{
			$count=0;
			$this->db->select("count(*) as count");
			//$this->db->join('degitalpoint_category','degitalpoint_details.category_id= degitalpoint_details.degitalpoint_category_id','inner');
			//$this->db->join('degitalpoint_topic','degitalpoint_topic.degitalpoint_topic_id= degitalpoint_details.degitalpoint_topic_id','inner');
			$this->db->where("degitalpoint_details.status",1); 
			$this->db->where("degitalpoint_details.degitalpoint_category_id",$category);   
			
			if($search_fields)
			{
				foreach($search_fields as $val)
				{
					$this->db->where($val);	
				}
			}
			$query = $this->db->get($this->table_name);
			if ($query->num_rows() > 0)
			{
			   $row = $query->row(); 
			   $count=$row->count;
			}
			return $count;
		}
		
              function getdegitalpoint()
			{
				$this->db->where("publish_status",2);
				$this->db->where("topic_status",2);
				$query 	= $this->db->get('degitalpoint_topic'); 
				$result  	= $query->result_array(); 
				return $result ;

			}
	     
	
}
?>
