<?
class Informationcategory_model extends CI_Model 
{
	var $table_name="information_category";
	var $primary_key="category_id";
	var $unique_field="category_name";
   	 var $sort_field="category_name";
	var $file_name="";
	
    function Informationcategory_model()
    {
        // Call the Model constructor
        parent::__construct();
    }

	function add_new($fields)
	{
		$this->db->insert($this->table_name, $fields);
		return true;
	}
	function unique_exists($unique_value,$exclude_id=-1)
	{
		$query=$this->db->query("SELECT $this->unique_field FROM $this->table_name WHERE $this->unique_field='$unique_value' AND $this->primary_key!=$exclude_id");
	   return $query->result();
	}

	function get_count($search_fields)
	{
		$count=0;
		$this->db->select("count(*) as count");
		if($search_fields)
		{
			foreach($search_fields as $val)
			{
				$this->db->where($val);	
			}
		}
		$query = $this->db->get($this->table_name);
		if ($query->num_rows() > 0)
		{
		   $row = $query->row(); 
		   $count=$row->count;
		}
		return $count;
	}

	function get($order_sql,$search_fields,$limit,$offset)
	{
		$this->db->order_by($order_sql);
		$this->db->from($this->table_name);
		if($search_fields)
		{		
			foreach($search_fields as $val)
			{
				$this->db->where($val);	
			}
		}			
		$query = $this->db->get('',$limit,$offset);
		if($query->num_rows() >0)
		{
			return $query->result_array();
		}
		else
		{
			return array();
			// return a blank areray to keep the calling function happy because it expects an array
		}
	}

	function get_by_id($id)
	{
		// get the information for given id
	       $this->db->from($this->table_name);
		$this->db->where($this->primary_key,$id);
		$query = $this->db->get();
		// echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
    }
	
	function update($fields,$id)
	{
		$this->db->where($this->primary_key, $id);
		$this->db->update($this->table_name, $fields);
		return true;
	}
	function delete($id)
	{
		
		//echo"delete function</br>";

		$this->db->where($this->primary_key, $id);
		$this->db->delete($this->table_name);
		return true;
	}
	
	
	function get_all(){
	
	    $this->db->from($this->table_name);
		$query = $this->db->get();
		$result = $query->result_array(); 
		return $result;
		
	}
 	function get_options(){
	    $options=array();
		$this->db->order_by($this->sort_field);
		$this->db->select($this->primary_key);
		$this->db->select($this->unique_field);
		$this->db->from($this->table_name);
		$query = $this->db->get();
		$results=$query->result_array();
		foreach($results as $result){
		  $options[$result[$this->primary_key]]=$result[$this->unique_field];
		}
		return $options;
	}
	 function get_options_viewpoint()
		{
	       $options=array();
		$this->db->order_by($this->sort_field);
		$this->db->select($this->primary_key);
		$this->db->select($this->unique_field);
		$this->db->from($this->table_name);
		$this->db->where('category.category_type' ,1);//viewpoint box type
 
		$query = $this->db->get();
		$results=$query->result_array();
		foreach($results as $result){
		  $options[$result[$this->primary_key]]=$result[$this->unique_field];
		}
		return $options;
	}

      function get_options_complaintbox()
		{
	        $options=array();
		$this->db->order_by($this->sort_field);
		$this->db->select($this->primary_key);
		$this->db->select($this->unique_field);
		$this->db->from($this->table_name);
		$this->db->where('category.category_type' ,2);//complaint box type
 
		$query = $this->db->get();
		$results=$query->result_array();
		foreach($results as $result){
		  $options[$result[$this->primary_key]]=$result[$this->unique_field];
		         }
		return $options;
	}
	function delete_upload($fields,$id)
	{
		$this->db->where($this->primary_key, $id);
		$this->db->update($this->table_name, $fields);
		return true;
	}
	
	function get_type_options()
	{
		return array(
		             '1'=>'Openion',
			     '2'=>'Talent',
                             '3'=>'Creative point'
		                   
		);
	
	}

/*wellme*/

function get_all_category(){
	
	    $this->db->from($this->table_name);
		$query = $this->db->get();
		$result = $query->result_array(); 
		return $result;
		
	}

/**/
	

}
?>
