                                                                                                <?
class Resources_model extends CI_Model 
{
	var $table_name="resource_details";
	var $primary_key="resource_detail_id";
	var $unique_field="resource_detail_id";
    var $sort_field="date_of_posting";
	//var $file_name="";
	
    function Resources_model()
    {
        // Call the Model constructor
        parent::__construct();
    }
		   function add_new($fields,$insert_id)
	{
		$this->db->insert($this->table_name, $fields);
		if($insert_id){
                 return $this->db->insert_id();
                 }
		return true;
	}
	function unique_exists($unique_value,$exclude_id=-1)
	{
	 $query=$this->db->query("SELECT $this->unique_field FROM $this->table_name WHERE $this->unique_field='$unique_value' AND $this->primary_key!=$exclude_id");
	   return $query->result();
	}
		
/////////////////////////add to track table //////////for tracking the updated details in different logins

	
	function add_new_resource_attachment_table($table_resource_attachment,$ret_insert_id)
	{
		$this->db->insert('resource_attachment', $table_resource_attachment);
		if($ret_insert_id){
		  return $this->db->insert_id();
		  }
		return true;
	}
///////////////////////////////////////////////////////////////////////////////////////////////////////////	
	
	 /* function checking_unique_exists_comments($topic_id ,$panelistid)
	{
		//$count=0;
		$this->db->where("topic_panelist_mapping.panelist_id",$panelistid);
		$this->db->where("panalist_comments.roundtable_topic_id",$topicid);
		//$this->db->select("count(*) as count");
		$this->db->join('topic_panelist_mapping','panalist_comments.roundtable_topic_id=topic_panelist_mapping.roundtable_topic_id','left');		

		//$this->db->join('user','user.user_id=roundtable_comments.roundtable_user_id');
		//$this->db->where('user.user_type' ,4);
		
		$query = $this->db->get($this->table_name);
		
		//echo $this->db->last_query();
		
		
		
		if ($query->num_rows() > 0)
		{
		   $row = $query->row(); 
		   $count=$row->count;
		}
		$count = $query->row(); 
		return $count;
	}*/



	function getMaildetails($id)
	{
		$query = $this->db->query("SELECT * FROM resource_details LEFT JOIN user on user.user_id = resource_details.user_id  WHERE resource_detail_id = ".$id);
		$result = $query->row_array();
		return $result;
	}

	function get_count($search_fields)
	{
		$count=0;
		$this->db->select("count(*) as count");
		$this->db->join('resource_category','resource_category.resource_category_id= resource_details.resource_category_id','inner');
		$this->db->join('resource_topic','resource_topic.resource_topic_id= resource_details.resource_topic_id','inner');
		$this->db->where("resource_details.status",1);  //disable now 1 
		$this->db->where("resource_category.resource_category_id",3);
	    //$this->db->where('(resource_details.status = 1 or resource_details.status = 2 or resource_details.status = 3)');
		if($search_fields)
		{
			foreach($search_fields as $val)
			{
				$this->db->where($val);	
			}
		}
		$query = $this->db->get($this->table_name);
		if ($query->num_rows() > 0)
		{
		   $row = $query->row(); 
		   $count=$row->count;
		}
		return $count;
	}
function get_count_article($search_fields)
	{
		$count=0;
		$this->db->select("count(*) as count");
		$this->db->join('resource_category','resource_category.resource_category_id= resource_details.resource_category_id','inner');
		$this->db->join('resource_topic','resource_topic.resource_topic_id= resource_details.resource_topic_id','inner');
		$this->db->where("resource_details.status",1);  //disable now 1 
		$this->db->where("resource_category.resource_category_id",1);//for articles  primary key =1 table resource_category
	    //$this->db->where('(resource_details.status = 1 or resource_details.status = 2 or resource_details.status = 3)');
		if($search_fields)
		{
			foreach($search_fields as $val)
			{
				$this->db->where($val);	
			}
		}
		$query = $this->db->get($this->table_name);
		if ($query->num_rows() > 0)
		{
		   $row = $query->row(); 
		   $count=$row->count;
		}
		return $count;
	}

	function get($order_sql,$search_fields,$limit,$offset)
	{
		if($order_sql==$this->sort_field)
		{
			$this->db->order_by($order_sql,'desc');
	    	}else
	    	{
			$this->db->order_by($order_sql);
		}
		//$this->db->order_by($order_sql);
		$this->db->select('resource_details.*,resource_details.publish_status as stat,resource_category.*,resource_topic.*,,resource_attachment.attachment_audio,resource_attachment.attachment_photo');
		$this->db->from($this->table_name);
	    $this->db->join('resource_category','resource_category.resource_category_id= resource_details.resource_category_id','inner');
$this->db->join('resource_attachment','resource_attachment.resource_detail_id=resource_details.resource_detail_id','left');
		$this->db->join('resource_topic','resource_topic.resource_topic_id= resource_details.resource_topic_id','inner');
		$this->db->where("resource_details.status",1);  //disable now 1 
		$this->db->where("resource_category.resource_category_id",3);  //or articles  primary key =3 table resource_category
	    //$this->db->where('(resource_details.status = 1 or resource_details.status = 2 or resource_details.status = 3)');
		if($search_fields)
		{		
			foreach($search_fields as $val)
			{
				$this->db->where($val);	
			}
		}			
		$query = $this->db->get('',$limit,$offset);
	//echo $this->db->last_query();
		if($query->num_rows() >0)
		{
			return $query->result_array();
		}
		else
		{
			return array();
			// return a blank areray to keep the calling function happy because it expects an array
		}
	}
	
	
	function get_articles($order_sql,$search_fields,$limit,$offset)
	{
		if($order_sql==$this->sort_field)
		{
			$this->db->order_by($order_sql,'desc');
	    	}else
	    	{
			$this->db->order_by($order_sql);
		}
		//$this->db->order_by($order_sql);
		$this->db->select('resource_details.*,resource_details.publish_status as stat,resource_category.*,resource_topic.*');
		$this->db->from($this->table_name);
	    $this->db->join('resource_category','resource_category.resource_category_id= resource_details.resource_category_id','inner');
		$this->db->join('resource_topic','resource_topic.resource_topic_id= resource_details.resource_topic_id','inner');
		$this->db->join('resource_attachment','resource_attachment.resource_detail_id=resource_details.resource_detail_id','left');
		$this->db->where("resource_details.status",1);  //disable now 1 
		$this->db->where("resource_category.resource_category_id",1);  //or articles  primary key =1 table resource_category
	    //$this->db->where('(resource_details.status = 1 or resource_details.status = 2 or resource_details.status = 3)');
		if($search_fields)
		{		
			foreach($search_fields as $val)
			{
				$this->db->where($val);	
			}
		}			
		$query = $this->db->get('',$limit,$offset);
	//echo $this->db->last_query();
		if($query->num_rows() >0)
		{
			return $query->result_array();
		}
		else
		{
			return array();
			// return a blank areray to keep the calling function happy because it expects an array
		}
	}
function get_by_id($id)
	{
		// get the information for given id
	    $this->db->from($this->table_name);
		//$this->db->where($this->primary_key,$id);
		$this->db->where("resource_details.resource_detail_id",$id);
        $this->db->join('resource_category','resource_category.resource_category_id= resource_details.resource_category_id','inner');
		$this->db->join('resource_topic','resource_topic.resource_topic_id= resource_details.resource_topic_id','inner');
		$this->db->join('resource_attachment','resource_attachment.resource_detail_id=resource_details.resource_detail_id','left');
		$this->db->where("resource_details.status",1);  //disable now 1 
		
		    //$this->db->where('(resource_details.status = 1 or resource_details.status = 2 or resource_details.status = 3)');
		$query = $this->db->get();
		
		//echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
    }
/////////////
function get_by_id_not_approved($id)
	{
		// get the information for given id
	         $this->db->from($this->table_name);
		$this->db->where($this->primary_key,$id);

             $this->db->join('resource_category','resource_category.resource_category_id= resource_details.resource_category_id','inner');
		$this->db->join('resource_topic','resource_topic.resource_topic_id= resource_details.resource_topic_id','inner');
		$this->db->where("resource_details.status",1);  //disable now 1 
	    //$this->db->where('(resource_details.status = 1 or resource_details.status = 2 or resource_details.status = 3)');
		$query = $this->db->get();
		
		$row = $query->row(); 
		return $row;
    }

function get_count1($search_fields)
	{
		$count=0;
		$this->db->select("count(*) as count");
		$this->db->join('resource_category','resource_category.resource_category_id= resource_details.resource_category_id','inner');
		$this->db->join('resource_topic','resource_topic.resource_topic_id= resource_details.resource_topic_id','inner');
		$this->db->where("resource_details.status",1);  //disable now 1 
	    //$this->db->where('(resource_details.status = 1 or resource_details.status = 2 or resource_details.status = 3)'); 
		
		if($search_fields)
		{
			foreach($search_fields as $val)
			{
				$this->db->where($val);	
			}
		}
		$query = $this->db->get($this->table_name);
		if ($query->num_rows() > 0)
		{
		   $row = $query->row(); 
		   $count=$row->count;
		}
		return $count;
	}

	function get1($order_sql,$search_fields,$limit,$offset)
	{
		
		$this->db->order_by($order_sql);
		$this->db->from($this->table_name);
		$this->db->join('resource_category','resource_category.resource_category_id= resource_details.resource_category_id','inner');
		$this->db->join('resource_topic','resource_topic.resource_topic_id= resource_details.resource_topic_id','inner');
		$this->db->where("resource_details.status",1);  //disable now 1 
	    //$this->db->where('(resource_details.status = 1 or resource_details.status = 2 or resource_details.status = 3)');
		
		if($search_fields)
		{		
			foreach($search_fields as $val)
			{
				$this->db->where($val);	
			}
		}			
		$query = $this->db->get('',$limit,$offset);
		if($query->num_rows() >0)
		{
			return $query->result_array();
		}
		else
		{
			return array();
			// return a blank areray to keep the calling function happy because it expects an array
		}
	}
function get_by_id1($id)
	{
		// get the information for given id
	    	$this->db->from($this->table_name);
		$this->db->where($this->primary_key,$id);
		$this->db->join('resource_category','resource_category.resource_category_id= resource_details.resource_category_id','inner');
		$this->db->join('resource_topic','resource_topic.resource_topic_id= resource_details.resource_topic_id','inner');
		$this->db->where("resource_details.status",1);  //disable now 1 
	    //$this->db->where('(resource_details.status = 1 or resource_details.status = 2 or resource_details.status = 3)');
		
		$query = $this->db->get();
		//echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
    }

function get_by_id_resources($id)//for all resource without answer too
	{
		// get the information for given id
	    $this->db->from($this->table_name);
		$this->db->where($this->primary_key,$id);
		$this->db->join('resource_category','resource_category.resource_category_id= resource_details.resource_category_id','inner');
		$this->db->join('resource_topic','resource_topic.resource_topic_id= resource_details.resource_topic_id','inner');
		$this->db->where("resource_details.status",1);  //disable now 1 
	    //$this->db->where('(resource_details.status = 1 or resource_details.status = 2 or resource_details.status = 3)');
		
		$query = $this->db->get();
		//echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
    }
//////////////////////////////	
	function get_by_id_email($id)
	{
		// get the information for given id
	        $this->db->from($this->table_name);
	        $this->db->join('resource_category','resource_category.resource_category_id= resource_details.resource_category_id','inner');
		$this->db->join('resource_topic','resource_topic.resource_topic_id= resource_details.resource_topic_id','inner');
		$this->db->where("resource_details.status",1);  //disable now 1 
	    //$this->db->where('(resource_details.status = 1 or resource_details.status = 2 or resource_details.status = 3)');
			$query = $this->db->get();
			//echo $this->db->last_query();
			$row = $query->row(); 
			return $row;
    }
		
		
		
	/*function check($user_login_name,$user_password)
    {
        $this->db->from('user');
		$this->db->where("user_login_name",$user_login_name);
	
		$this->db->where("user_password",$user_password);
		//echo $this->db->_compile_select() ;
		$query = $this->db->get();
	     //echo $this->db->last_query();
		return $query->row();
    }*/
    function update($fields,$id)
	{
		$this->db->where($this->primary_key, $id);
		$this->db->update($this->table_name, $fields);
		//echo $this->db->last_query();
		return true;
	}
	function updateanswer($fields,$id)
	{
		$this->db->where($this->primary_key, $id);
		$this->db->update($this->table_name, $fields);
		//echo $this->db->last_query();
		return true;
	}
	 function update_attachment($fields,$id)
	{
		$this->db->where("resource_attachment.resource_detail_id", $id);
		$this->db->update("resource_attachment", $fields);
		//echo $this->db->last_query();
		return true;
	}
	function delete($id)
	{
		$this->db->where($this->primary_key, $id );
		
		$this->db->delete($this->table_name);
		return true;
	}
	
	function delete_attachment($id)
	{
		
		//cho"id=$id</br>";
		
		$this->db->where("resource_attachment.resource_detail_id", $id );
		$this->db->delete("resource_attachment");
		return true;
	}
	function get_all(){
	
	    $this->db->from($this->table_name);
		$query = $this->db->get();
		$result = $query->result_array(); 
		return $result;
		
	}
 	function get_options(){
	    $options=array();
		$this->db->order_by($this->sort_field);
		$this->db->select($this->primary_key);
		$this->db->select($this->unique_field);
		$this->db->from($this->table_name);
		$query = $this->db->get();
		$results=$query->result_array();
		foreach($results as $result){
		  $options[$result[$this->primary_key]]=$result[$this->unique_field];
		}
		return $options;
	}
	
	function delete_upload($fields,$id)
	{
		$this->db->where($this->primary_key, $id);
		$this->db->update($this->table_name, $fields);
		return true;
	}
	
	
	
	function get_count_all()
	{
		
		$count=0;

		
		$this->db->select("count(*) as count");
		$this->db->join('resource_category','resource_category.resource_category_id= resource_details.resource_category_id','inner');
		$this->db->join('resource_topic','resource_topic.resource_topic_id= resource_details.resource_topic_id','inner');
		$this->db->where("resource_details.status",1);  //disable now 1 
	    //$this->db->where('(resource_details.status = 1 or resource_details.status = 2 or resource_details.status = 3)');
		$query = $this->db->get($this->table_name);
		
		//echo $this->db->last_query();
		
		
		
		if ($query->num_rows() > 0)
		{
		   $row = $query->row(); 
		   $count=$row->count;
		}
		$count = $query->row(); 
		return $count;
	}
	
	function get_options_resource_status($resource_detail_id)
	{
	   // $options=array();
		//$this->db->order_by($this->scheme_amount_sort_field);
		$this->db->from($this->table_name);
		
		//$this->db->where("resource_details.question_show_status = 1 or resource_details.question_show_status = 2");
	    
		$this->db->where('resource_details.resource_detail_id',$resource_detail_id);
		//$this->db->where("resource_details.question_show_status",1); 
		$query = $this->db->get();
		//$results=$query->result_array();
		//return $results;
	  	//echo $this->db->last_query();
//exit;
		$row = $query->row(); 
	        return $row;
	}//////////////////
function get_options_resource_status2($resource_detail_id)
	{
	   // $options=array();
		//$this->db->order_by($this->scheme_amount_sort_field);
		$this->db->from($this->table_name);
		
		//$this->db->where("resource_details.question_show_status = 1 or resource_details.question_show_status = 2");
	    	$this->db->where("resource_details.question_show_status",2);
		  $this->db->where('resource_details.resource_detail_id',$resource_detail_id);
		$query = $this->db->get();
		//$results=$query->result_array();
		//return $results;
	           //echo $this->db->last_query();
		$row = $query->row(); 
	    return $row;
	}
///////////////////////////////////////
//////////////////////////////////////////
	function get_status_approve($resource_detail_id,$datastatus)
	{

		
		$this->db->where($this->primary_key,$resource_detail_id);
		$this->db->update($this->table_name,$datastatus);
		// echo "status updated</br>";
		//echo $this->db->last_query();
		 return true;
    }
////////////////////////////////////////////

function get_options_resources_publishstatus($resource_detail_id)
	{
	   // $options=array();
		//$this->db->order_by($this->scheme_amount_sort_field);
		$this->db->from($this->table_name);
		$this->db->where('resource_details.resource_detail_id',$resource_detail_id);
	   // $this->db->where("resource_details.active_status",1); 
		//$this->db->where("resource_details.publish_status",1); 
		//$this->db->where("resource_details.status",1); 
		$query = $this->db->get();
		//$results=$query->result_array();
		//return $results;
	       // echo $this->db->last_query();
		 $row = $query->row(); 
	         return $row;
	}
function get_options_resources_publishstatus2($resource_detail_id)
	{
	   // $options=array();
		//$this->db->order_by($this->scheme_amount_sort_field);
		$this->db->from($this->table_name);
		$this->db->where('resource_details.resource_detail_id',$resource_detail_id);
	   // 	$this->db->where("resource_details.active_status",1); 
	//	$this->db->where("resource_details.publish_status",2); 
		//$this->db->where("resource_details.status",1); 
		$query = $this->db->get();
		//$results=$query->result_array();
		//return $results;
	       // echo $this->db->last_query();
		 $row = $query->row(); 
	         return $row;
	}
	//////////////////////////
      function get_status_notpublish($resource_detail_id,$datastatus)
	{

		
		$this->db->where($this->primary_key,$resource_detail_id);
		$this->db->update($this->table_name,$datastatus);
		
		//echo $this->db->last_query();
		return true;
    	}
	
	////////////////////////////////

	function get_status_publish($resource_detail_id,$datastatus)
	{

		
		$this->db->where($this->primary_key,$resource_detail_id);
		$this->db->update($this->table_name,$datastatus);
		
	//	echo $this->db->last_query();
		return true;
    	}
	
	////////////////////////////////
function get_status_reject($resource_detail_id,$datastatus)
	{
   
		
		$this->db->where($this->primary_key,$resource_detail_id);
		$this->db->update($this->table_name,$datastatus);
		
		//echo $this->db->last_query();
		return true;
    }
    
    function get_type_options()
	{
		return array(
		             '1'=>'Admin',
					 '2'=>'Moderator',
		             '3'=>'Panelist',
					 '0'=>'Nil Type'
					 
					);
	}
	function get_gender_options()
	{
		return array(
		             '1'=>'Female',
					 '2'=>'Male',
		           
					 '0'=>'Nil Gender'
					 
					);
	}
	
	
	function get_comments_options()
	{
		return array(
		             '1'=>'Pending',
					 '2'=>'Approved',
		          
					 '3'=>'Cancelled'
					 
					);
	}
	
    /*
	 *    Atricles 
	 *  
     	 */
    	function getArticles($order_sql,$search_fields,$limit,$offset)
	    {
			if($order_sql==$this->sort_field)
			{
				$this->db->order_by($order_sql,'desc');
				}else
				{
				$this->db->order_by($order_sql);
			}			
			$this->db->select('resource_details.*,resource_details.publish_status as stat,resource_topic.*,resource_category.*,resource_attachment.attachment_audio,resource_attachment.attachment_photo');
			$this->db->from($this->table_name);
			$this->db->join('resource_category','resource_category.resource_category_id= resource_details.resource_category_id','inner');
			$this->db->join('resource_topic','resource_topic.resource_topic_id= resource_details.resource_topic_id','inner');
			$this->db->join('resource_attachment','resource_attachment.resource_detail_id= resource_details.resource_detail_id','LEFT');
			$this->db->where("resource_details.status",1);
			$this->db->where("resource_details.resource_category_id",1);  
			
			if($search_fields)
			{		
				foreach($search_fields as $val)
				{
					$this->db->where($val);	
				}
			}			
			$query = $this->db->get('',$limit,$offset);
			//	echo $this->db->last_query();
			if($query->num_rows() >0)
			{
				return $query->result_array();
			}
			else
			{
				return array();
				// return a blank areray to keep the calling function happy because it expects an array
			}
		} 
		function getCount($search_fields,$category)
		{
			$count=0;
			$this->db->select("count(*) as count");
			$this->db->join('resource_category','resource_category.resource_category_id= resource_details.resource_category_id','inner');
			$this->db->join('resource_topic','resource_topic.resource_topic_id= resource_details.resource_topic_id','inner');
			$this->db->where("resource_details.status",1); 
			$this->db->where("resource_details.resource_category_id",$category);   
			
			if($search_fields)
			{
				foreach($search_fields as $val)
				{
					$this->db->where($val);	
				}
			}
			$query = $this->db->get($this->table_name);
			if ($query->num_rows() > 0)
			{
			   $row = $query->row(); 
			   $count=$row->count;
			}
			return $count;
		}
		function getlife($order_sql,$search_fields,$limit,$offset)
	    	{
			if($order_sql==$this->sort_field)
			{
				$this->db->order_by($order_sql,'desc');
				}else
				{
				$this->db->order_by($order_sql);
			}			
			$this->db->select('resource_details.*,resource_details.publish_status as stat,resource_topic.*,resource_category.*,resource_attachment.attachment_audio,resource_attachment.attachment_photo');
			$this->db->from($this->table_name);
			$this->db->join('resource_category','resource_category.resource_category_id= resource_details.resource_category_id','inner');
			$this->db->join('resource_topic','resource_topic.resource_topic_id= resource_details.resource_topic_id','inner');
			$this->db->join('resource_attachment','resource_attachment.resource_detail_id= resource_details.resource_detail_id','LEFT');
			$this->db->where("resource_details.status",1);
			$this->db->where("resource_details.resource_category_id",5);  
			
			if($search_fields)
			{		
				foreach($search_fields as $val)
				{
					$this->db->where($val);	
				}
			}			
			$query = $this->db->get('',$limit,$offset);
			//	echo $this->db->last_query();
			if($query->num_rows() >0)
			{
				return $query->result_array();
			}
			else
			{
				return array();
				// return a blank areray to keep the calling function happy because it expects an array
			}
		} 
	      function getAnalysis($order_sql,$search_fields,$limit,$offset)
	      {
			if($order_sql==$this->sort_field)
			{
				$this->db->order_by($order_sql,'desc');
				}else
				{
				$this->db->order_by($order_sql);
			}			
			$this->db->select('resource_details.*,resource_details.publish_status as stat,resource_topic.*,resource_category.*,resource_attachment.attachment_audio,resource_attachment.attachment_photo');
			$this->db->from($this->table_name);
			$this->db->join('resource_category','resource_category.resource_category_id= resource_details.resource_category_id','inner');
			$this->db->join('resource_topic','resource_topic.resource_topic_id= resource_details.resource_topic_id','inner');
			$this->db->join('resource_attachment','resource_attachment.resource_detail_id= resource_details.resource_detail_id','LEFT');
			$this->db->where("resource_details.status",1);
			$this->db->where("resource_details.resource_category_id",4);  
			
			if($search_fields)
			{		
				foreach($search_fields as $val)
				{
					$this->db->where($val);	
				}
			}			
			$query = $this->db->get('',$limit,$offset);
			//	echo $this->db->last_query();
			if($query->num_rows() >0)
			{
				return $query->result_array();
			}
			else
			{
				return array();
				// return a blank areray to keep the calling function happy because it expects an array
			}
		} 
              function getResources()
			{
				$this->db->where("publish_status",2);
				$this->db->where("topic_status",2);
				$query 	= $this->db->get('resource_topic'); 
				$result  	= $query->result_array(); 
				return $result ;

			}
	      function getBooks($topic,$order_sql,$search_fields,$limit,$offset)
	      {
			if($order_sql==$this->sort_field)
			{
				$this->db->order_by($order_sql,'desc');
				}else
				{
				$this->db->order_by($order_sql);
			}			
			$this->db->select('resource_details.*,resource_details.publish_status as stat,resource_topic.*,resource_category.*,resource_attachment.attachment_audio,resource_attachment.attachment_photo');
			$this->db->from($this->table_name);
			$this->db->join('resource_category','resource_category.resource_category_id= resource_details.resource_category_id','inner');
			$this->db->join('resource_topic','resource_topic.resource_topic_id= resource_details.resource_topic_id','inner');		
			$this->db->join('resource_attachment','resource_attachment.resource_detail_id= resource_details.resource_detail_id','LEFT');		
			$this->db->where("resource_details.status",1);
			$this->db->where("resource_details.resource_category_id",2);  
			$this->db->where("resource_details.resource_topic_id",$topic);  
			
			
			if($search_fields)
			{		
				foreach($search_fields as $val)
				{
                                       
					$this->db->where($val);	
				}
			}			
			$query = $this->db->get('',$limit,$offset);
			//	echo $this->db->last_query();
			if($query->num_rows() >0)
			{
				return $query->result_array();
			}
			else
			{
				return array();
				// return a blank areray to keep the calling function happy because it expects an array
			}
		}
		function getbookCount($search_fields,$topic,$category)
		{
			$count=0;
			$this->db->select("count(*) as count");
			$this->db->join('resource_category','resource_category.resource_category_id= resource_details.resource_category_id','inner');
			$this->db->join('resource_topic','resource_topic.resource_topic_id= resource_details.resource_topic_id','inner');
			$this->db->where("resource_details.status",1); 
			$this->db->where("resource_details.resource_category_id",$category);   
			$this->db->where("resource_details.resource_topic_id",$topic);  
			
			if($search_fields)
			{
				foreach($search_fields as $val)
				{ 
					$this->db->where($val);	
				}
			}
			$query = $this->db->get($this->table_name);
			if ($query->num_rows() > 0)
			{
			   $row = $query->row(); 
			   $count=$row->count;
			}
			return $count;
		}
                function unique_book($unique_value,$topic,$exclude_id=0)
		{
                        $title = mysql_real_escape_string($unique_value);
			$fetch = "SELECT resource_title FROM $this->table_name WHERE resource_title ='$title' AND resource_topic_id = $topic AND resource_category_id = 2";
			if($exclude_id)
		    {
				$fetch .= " AND resource_detail_id != $exclude_id ";
			}
			$query=$this->db->query($fetch);			
			return $query->result();
	    }
	
}
?>

                            
                            

                            
