<?php
class Site_news_model extends CI_Model 
{		
    function site_news_model()
    {
        // Call the Model constructor
        parent::__construct();
    }
    function getFeaturednews($limit,$offset)
    {
		    $this->db->select('*,news_details.news_detail_id as news_id');
            $this->db->where("archive_status",1);   
            $this->db->where("news_details.active_status",2);   
            $this->db->where("news_details.publish_status",2); 
	    $this->db->where("news_details.featured_status",2);
            $this->db->where("category_id !=",1);  // to avoid editorial
            $this->db->join('news_attachment','news_attachment.news_detail_id = news_details.news_detail_id','left');   
            $this->db->order_by('date_of_posting','desc');     
            $this->db->limit($limit,$offset);      
            $query 	= $this->db->get('news_details'); 
            $result  	= $query->result_array();  
            return $result ;

    }
    function getCount()
    {
            $this->db->where("archive_status",1);   
            $this->db->where("news_details.active_status",2);   
            $this->db->where("news_details.publish_status",2); 
	    $this->db->where("news_details.featured_status",2);
            $this->db->where("category_id !=",1);  // to avoid editorial
            $this->db->join('news_attachment','news_attachment.news_detail_id = news_details.news_detail_id','left');         
            $query 	= $this->db->get('news_details'); 
            $result  	= $query->num_rows();  
            return $result ;

    }
     function getNews($cat,$limit,$offset)
    {
		    $this->db->select('*,news_details.news_detail_id as news_id');
            $this->db->where("archive_status",1);   
            $this->db->where("news_details.active_status",2);   
            $this->db->where("news_details.publish_status",2);   
            $this->db->where("category_id",$cat);  
            $this->db->join('news_attachment','news_attachment.news_detail_id = news_details.news_detail_id','left');   
            $this->db->order_by('date_of_posting','desc');     
            $this->db->limit($limit,$offset);      
            $query 	= $this->db->get('news_details'); 
            $result  	= $query->result_array(); 
            return $result ;

    }
    function getNewsCount($cat)
    {
            $this->db->where("archive_status",1); 
            $this->db->where("news_details.active_status",2);   
            $this->db->where("news_details.publish_status",2);   
            $this->db->where("category_id",$cat);   
            $this->db->join('news_attachment','news_attachment.news_detail_id = news_details.news_detail_id','left');         
            $query 	= $this->db->get('news_details'); 
            $result  	= $query->num_rows(); 
            return $result ;

    }
    function getEditorial()
    {
		   
		    $this->db->where("archive_status",1);
		    $this->db->where("category_id",1);  
		    $this->db->where("news_details.active_status",2);   
            $this->db->where("news_details.publish_status",2);  
            $this->db->join('news_attachment','news_attachment.news_detail_id = news_details.news_detail_id','left');   
            $this->db->order_by('date_of_posting','desc');
            $this->db->limit(1);      
            $query 	= $this->db->get('news_details'); 
            $result  	= $query->row(); 
            return $result ;
		
	}
	function getArchEditorial($limit,$offset)
    {
		     $this->db->select('*,news_details.news_detail_id as news_id');
		    $this->db->where("archive_status",2);
		    $this->db->where("category_id",1);   
		    $this->db->where("news_details.active_status",2);   
            $this->db->where("news_details.publish_status",2); 
            $this->db->join('news_attachment','news_attachment.news_detail_id = news_details.news_detail_id','left');   
            $this->db->order_by('date_of_posting','desc'); 
            $this->db->limit($limit,$offset);               
            $query 	= $this->db->get('news_details'); 
            $result  	= $query->result_array(); 
            return $result ;
		
	}
	function getArchCount()
    {
            $this->db->where("archive_status",2);   
            $this->db->where("category_id",1); 
            $this->db->where("news_details.active_status",2);   
            $this->db->where("news_details.publish_status",2);   
            $this->db->join('news_attachment','news_attachment.news_detail_id = news_details.news_detail_id','left');         
            $query 	= $this->db->get('news_details'); 
            $result  	= $query->num_rows(); 
            return $result ;

    }
    function getDetails($id)
    {     
	    $this->db->where("news_details.news_detail_id",$id); 
            $this->db->where("news_details.publish_status",2); 
            $this->db->join('news_attachment','news_attachment.news_detail_id = news_details.news_detail_id','left');
            $query 	= $this->db->get('news_details'); 
            $result  	= $query->row_array(); 
            return $result ;
		
	}
    function getColumnAuthors()
	{
		   $query 	    = $this->db->get('column_authers'); 
           $result  	= $query->result_array(); 
           return $result ;
	}
	 function getColumnlist($id,$limit,$offset)
    {
		    $this->db->select('*,columns_details.column_detail_id as news_id');     
            $this->db->where("columns_details.active_status",2);   
            $this->db->where("columns_details.publish_status",2);   
            $this->db->where("columns_details.column_author_id",$id);  
            $this->db->join('column_attachment','column_attachment.column_detail_id = columns_details.column_detail_id','left');   
            $this->db->join('column_authers','column_authers.column_author_id = columns_details.column_author_id','left'); 
            $this->db->order_by('date_of_publishing','desc');       
            $this->db->limit($limit,$offset);      
            $query 	= $this->db->get('columns_details'); 
            $result  	= $query->result_array(); 
            return $result ;

    }
    function getColumnCount($id)
    {
            $this->db->where("columns_details.active_status",2);   
            $this->db->where("columns_details.publish_status",2);   
            $this->db->where("column_author_id",$id);  
            $this->db->join('column_attachment','column_attachment.column_detail_id = columns_details.column_detail_id','left');      
            $query 	= $this->db->get('columns_details'); 
            $result  	= $query->num_rows(); 
            return $result ;

    }
    function getColumndetails($id)
    {     
			$this->db->where("columns_details.column_detail_id",$id); 
            $this->db->join('column_attachment','column_attachment.column_detail_id = columns_details.column_detail_id','left');   
            $this->db->join('column_authers','column_authers.column_author_id = columns_details.column_author_id','left');   
            $query 	= $this->db->get('columns_details'); 
            $result  	= $query->row_array(); 
            return $result ;
		
	}
	
        
				
}
?>
