<?php
class Site_roundtable_model extends CI_Model 
{
	var $table_name ="roundtable_topics";
	var $primary_key="roundtable_topic_id";
	
	
    function site_roundtable_model()
    {
        // Call the Model constructor
        parent::__construct();
    }
	
	
	function getRountable($limit,$offset)
	{
		$this->db->limit($limit,$offset);
		$this->db->join('user','user.user_id = roundtable_topics.roundtable_moderator_id');
		$this->db->where("roundtable_topic_status",2);
		$this->db->where("publish_status",2);
		$this->db->where("delete_status",1);
		$this->db->order_by("roundtable_topic_post_date", "desc"); 
		$query 	= $this->db->get('roundtable_topics'); 
		$result  	= $query->result_array(); 
		return $result ;
		
	}
	function getRountablecount()
	{
		
		$this->db->join('user','user.user_id = roundtable_topics.roundtable_moderator_id');
		$this->db->where("roundtable_topic_status",2);
		$this->db->where("publish_status",2);	
		$this->db->where("delete_status",1);
		$query 	= $this->db->get('roundtable_topics'); 
		return $query->num_rows();  ;
		
	}
	function getRountablebyid($id)
	{		
		
		$this->db->join('user','user.user_id = roundtable_topics.roundtable_moderator_id');		
		$this->db->where("roundtable_topic_id",$id);	
                $this->db->where("publish_status",2);		
		$query 	= $this->db->get('roundtable_topics'); 
		$result  	= $query->row_array(); 
		return $result ;
		
	}
	function getpanelistbyid($id)
	{		
		$this->db->select('panalist_comments.*,user.*');
		$this->db->join('user','user.user_id = panalist_comments.panelist_id');		
		$this->db->where("roundtable_topic_id",$id);	
		//$this->db->where("panelist_comments_status",2);	
		$this->db->order_by("panelist_comments_post_date", "desc");	 
		$query 	= $this->db->get('panalist_comments'); 
		$result  	= $query->result_array(); 
		return $result ;
		
	}
	function getmoderatorbyid($id)
	{		
		$this->db->select('moderator_comments.*,user.*');
		$this->db->join('user','user.user_id = moderator_comments.moderator_id');		
		$this->db->where("roundtable_topic_id",$id);	
		//$this->db->where("panelist_comments_status",2);	
		//$this->db->order_by("panelist_comments_post_date", "desc");	 
		$query 	= $this->db->get('moderator_comments'); 
		$result  	= $query->result_array(); 
		return $result ;
		
	}
	function getcommentsbyid($id)
	{			
		$this->db->join('user','user.user_id = roundtable_comments.roundtable_user_id');		
		$this->db->where("roundtable_topic_id",$id);	
		$this->db->where("roundtable_comment_status",2);
		$this->db->order_by("roundtable_comments_post_date", "desc");	 
		$query 	= $this->db->get('roundtable_comments'); 
		$result  	= $query->result_array(); 
		return $result ;
		
	}
	function insertPost($data)
	{	
		$this->db->insert('roundtable_comments',$data);		
		return true;
    }
	
		
}
?>
