<?php
class Site_youngpoint_model extends CI_Model 
{
	
    function Site_youngpoint_model()
    {
        // Call the Model constructor
        parent::__construct();
    }
	function getCategory($cat)
	{
		$this->db->where("category_type",$cat);
		$query 	= $this->db->get('youngpoint_category'); 
		$result  	= $query->result_array(); 
		return $result ;
		
	}
	function insertPost($table,$data)
	{	
		$this->db->insert($table,$data);		
		return $this->db->insert_id();
    }
    
    /**
     * 
     *   Younpoint - Opinion
     * 
     **/
	function getOpinions($limit,$offset)
	{
		$this->db->limit($limit,$offset);
		$this->db->join('youngpoint_category','youngpoint_category.category_id = opinion.category_id');
		$this->db->where("opinion_status",2);
		$this->db->where("publish_status",2);
		$this->db->order_by("opinion_posted_date", "desc"); 
		$query 	= $this->db->get('opinion'); 
		$result  	= $query->result_array(); 
		return $result ;		
	}
	function getOpinionscount()
	{		
		$this->db->join('youngpoint_category','youngpoint_category.category_id = opinion.category_id');
		$this->db->where("opinion_status",2);
		$this->db->where("publish_status",2);		
		$query 	= $this->db->get('opinion');		
		return $query->num_rows();  ;		
	}	
	
	
	/** 
	 * 
	 *  Younpoint - Debate
	 * 
	 **/ 
	function getdebate($limit,$offset)
	{
		$this->db->limit($limit,$offset);		
		$this->db->where("active_status",2);
		$this->db->where("publish_status",2);
		$this->db->order_by("date_of_post", "desc"); 
		$query 	= $this->db->get('debate_details'); 
		$result  	= $query->result_array(); 
		return $result ;
		
	}
	function getdebatecount()
	{	
		$this->db->where("active_status",2);
		$this->db->where("publish_status",2);
		$this->db->order_by("date_of_post", "desc"); 
		$query 	= $this->db->get('debate_details'); 
		return $query->num_rows();  ;		
	}
	function getdebatebyid($id)
	{
		$this->db->where("debate_details.debate_id",$id);
		$this->db->where("publish_status",2);
		$this->db->order_by("date_of_post", "desc"); 
		$query 	= $this->db->get('debate_details'); 
		$result  	= $query->row_array(); 
		return $result ;
		
	}
	function getdebatecommentsbyid($id,$limit,$offset)
	{
		$this->db->limit($limit,$offset);
		$this->db->join('user','user.user_id = debate_comments.debate_user_id');		
		$this->db->where("debate_comments.debate_id",$id);
		$this->db->where("debate_comment_status",2);
		$this->db->order_by("debate_comments_post_date", "desc"); 
		$query 	= $this->db->get('debate_comments'); 
		$result  	= $query->result_array(); 
		return $result ;
		
	}
	function getdebatecommentsbyidcount($id)
	{
		
		$this->db->join('user','user.user_id = debate_comments.debate_user_id');		
		$this->db->where("debate_comments.debate_id",$id);
		$this->db->where("debate_comment_status",2);		
		$query 	= $this->db->get('debate_comments'); 
		$result  	= $query->num_rows(); 
		return $result ;
		
	}
	
	/** 
	 * 
	 *  Younpoint - Talent
	 * 
	 **/
	function gettalent($limit,$offset)
	{
		$this->db->limit($limit,$offset);
		$this->db->join('youngpoint_category','youngpoint_category.category_id = talent.category_id');
		$this->db->where("active_status",2);
		$this->db->where("publish_status",2);
		$this->db->order_by("date_of_post", "desc"); 
		$query 	= $this->db->get('talent'); 
		$result  	= $query->result_array(); 
		return $result ;		
	}
	function gettalentcount()
	{		
		$this->db->join('youngpoint_category','youngpoint_category.category_id = talent.category_id');
		$this->db->where("active_status",2);
		$this->db->where("publish_status",2);		
		$query 	= $this->db->get('talent');		
		return $query->num_rows();  ;		
	}
	function gettalentbyid($id)
    {
		$query 	= "SELECT * FROM talent
				   LEFT JOIN talent_attachments ON talent_attachments.talent_id = talent.talent_id
				   LEFT JOIN youngpoint_category ON youngpoint_category.category_id = talent.category_id WHERE talent.publish_status=2 AND talent.talent_id = ".$id;                          
		
            $query      = $this->db->query($query);
            $result  	= $query->row_array(); 
            return $result ;

	}
	
	/** 
	 * 
	 *  Younpoint - Creative Point
	 * 
	 **/
	function getCreative($limit,$offset)
	{
		$this->db->limit($limit,$offset);		
		$this->db->where("active_status",2);
		$this->db->where("publish_status",2);
		$this->db->order_by("date_of_post", "desc"); 
		$query 	= $this->db->get('creativepoint'); 
		$result  	= $query->result_array(); 
		return $result ;
		
	}
	function getCreativecount()
	{	
		$this->db->where("active_status",2);
		$this->db->where("publish_status",2);
		$this->db->order_by("date_of_post", "desc"); 
		$query 	= $this->db->get('creativepoint'); 
		return $query->num_rows();  ;		
	}
	function getcreativebyid($id)
	{
		
		$this->db->where("creativepoint_id",$id);
                $this->db->where("publish_status",2);			
		$query 	= $this->db->get('creativepoint'); 
		$result  	= $query->row_array(); 
		return $result ;
		
	}
	function getcreativeAttachmentphoto($id)
	{		
		$this->db->where("creativepoint_attachment_images.creativepoint_id",$id);			
		$query 	= $this->db->get('creativepoint_attachment_images'); 
		$result  	= $query->result_array(); 
		return $result ;
	}
	function getcreativeAttachmentvideo($id)
	{
			
		$this->db->where("creativepoint_attachment_video.creativepoint_id",$id);			
		$query 	= $this->db->get('creativepoint_attachment_video'); 
		$result  	= $query->result_array(); 
		return $result ;
	}
	function getcreativeAttachmentaudio($id)
	{
		$this->db->where("creativepoint_attachment_audio.creativepoint_id",$id);			
		$query 	= $this->db->get('creativepoint_attachment_audio'); 
		$result  	= $query->result_array(); 
		return $result ;
	}
	function getcreativecommentsbyid($id,$limit,$offset)
	{
		$this->db->limit($limit,$offset);
		$this->db->join('user','user.user_id = creative_comments.creative_user_id');		
		$this->db->where("creative_comments.creativepoint_id",$id);
		$this->db->where("creative_comment_status",2);
		$this->db->order_by("creative_comments_post_date", "desc"); 
		$query 	= $this->db->get('creative_comments'); 
		$result  	= $query->result_array(); 
		return $result ;
		
	}
	function getcreativecommentsbyidcount($id)
	{			
		$this->db->where("creative_comments.creativepoint_id",$id);
		$this->db->where("creative_comment_status",2);		
		$query 	= $this->db->get('creative_comments'); 
		$result  	= $query->num_rows(); 
		return $result ;
		
	}
}
?>
