<?php  if (!defined('BASEPATH')) exit('No direct script access allowed');

	function write_popup_js_link(){
	
         echo '<script language="javascript" src="'.base_url().'js/popupimg.js" type="text/javascript"></script>';        
 	}
	
	/*
	 *
	 External (variables or constants) and function used by this function	
	 ----------------------------------------------------------------------------------------
	 ROOT_FOLDER  :  Use  constant 	ROOT_FOLDER eg :"D:/apache/htdocs/mysite/"
	 base_url()   :  Use function base_url() retun the site base url eg:http:\\www.mysite.com\
     -----------------------------------------------------------------------------------------
	 *
	 Vaiables passed to this function.
	 -----------------------------------------------------------------------------------------
	 $image_name : contain name of the image eg : myphoto.jpeg
	 $uri        : contain foler name of the image relative to the site eg: "gallary" 
	 $pass_width : contain value maximum width of the image to be shownl
	 $pass_height: contain value maximum height of the image to be shown.
	 $attributes : Contain array of extra attributes to the "img" tag  eg  : array('alt'=>'this is my phpto','boder'=>0); 
	             : not compalsary
	 -----------------------------------------------------------------------------------------
	 *
     Sample usage
	 -------------------------------------------------------------------------------------------
	 <?php echo resize_img('myphpto.jpeg','gallary',80,100,array('align'=>'left','alt'=>'this is my photo','show_popup'=>true,'popup_size'=>10)); ?>
	 -------------------------------------------------------------------------------------------
	 *
	 */

	function resize_img($image_name='',$uri = '',$pass_width = '',$pass_height='',$attributes=array())
	{   
	    $base_url=base_url();// <--- external
		$real_path=ROOT_FOLDER;// <--- external
		$filter_attirbutes=array('popup_size','show_popup','show_text','link_text');
		$no_image='no_image.gif';
		$image_file='';
		$image_path='';
		$act_width=0;
		$act_height=0;
		$max_height=80;
		$max_width=100;
		$height=0;
		$width=0;
		$pop_up_max_height=600;
		$pop_up_max_width=500;
		$pop_up_height=80;
		$pop_up_width=100;
		
		
		$show=true;
		$show_popup=false;
		$show_text=false;
		$link_text='Click Here';
		
		$title='Images';
		$act_attributes='';
		if(($pass_width!='' && is_numeric($pass_width)) && ($pass_height!='' && is_numeric($pass_height))){
		   $max_height=$pass_height;
		   $max_width=$pass_width;
		}
		if(isset($attributes['show_text'])){
		  $show_text=$attributes['show_text'];
		  if(isset($attributes['link_text'])){
		     $link_text=$attributes['link_text'];
		  }
		}
		if(isset($attributes['show_popup'])){
		 $show_popup=$attributes['show_popup'];
		}
		if(isset($attributes['title'])){
		 $title=$attributes['title'];
		}
		if(isset($attributes['popup_size']) && is_numeric($attributes['popup_size'])){
			$pop_up_max_height=$max_height*$attributes['popup_size'];
			$pop_up_max_width=$max_width*$attributes['popup_size'];
		}
		if($image_name!='' && $uri != ''){ 
		   $image_file=$real_path.$uri.'/'.$image_name;
		   $image_path=$base_url.$uri.'/'.$image_name;
		}else{
		   $image_file=$real_path.$uri.'/'.$no_image;
		   $image_path=$base_url.$uri.'/'.$no_image;
		}

		if (is_array($attributes))
		{
			foreach ($attributes as $key => $val)
			{  
				if(!in_array($key,$filter_attirbutes)){
				   $act_attributes .= ' '.$key.'="'.$val.'"';
				}  
			}
			$array_keys=array_keys($attributes);
			if(!in_array('alt',$array_keys)){
		
			  $act_attributes .= ' alt="" ';  
			}
	
			if(!in_array('border',$array_keys)){
			  $act_attributes .= ' border="0" ';  
			}  
		}

		if($show){
		        if(!is_file($image_file)){
				  return '<img src="uploads/no_image.gif" alt="no image" width="'.$max_width.'" height="'.$max_height.'"'.$act_attributes.' />';
				}   
				list($act_width, $act_height, $type, $attr) = getimagesize($image_file);
				if($act_width>0 && $act_height>0){
				
					if($act_width<$act_height){
					  $height=$max_height;
					  $width=$act_width/($act_height/$height);
					}else if($act_width>$act_height){
					  $width=$max_width;
					  $height=$act_height/($act_width/$width);
					}else{
					  $width=$max_height;
					  $height=$max_height;
					}
				     $width=round($width,2); 
				     $height=round($height,2); 
				
				}else{
		             $show=FALSE;
				}
		}
		
		if($show && $show_popup){
		
		  if($act_height>$pop_up_max_height ||  $act_width>$pop_up_max_width)
		  {
				if($act_width<$act_height)
				{
				   $pop_up_height=$pop_up_max_height;
				   $pop_up_width=$act_width/($act_height/$pop_up_max_height);
				}else if($act_width>$act_height)
				{
				  $pop_up_width=$pop_up_max_width;
				  $pop_up_height=$act_height/($act_width/$pop_up_width);
				}else{
				  $pop_up_width=$pop_up_max_width;
				  $pop_up_height=$pop_up_max_height;
				}
		  }else{
				 $pop_up_width=$act_width; 
				 $pop_up_height=$act_height;
		  }		  
		  $pop_up_width=round($pop_up_width,2); 
		  $pop_up_height=round($pop_up_height,2);
		  
		}
				
	    if($show){
				$imageurl ='<img src="'.$image_path.'" width="'.$width.'" height="'.$height.'" '.$act_attributes.' ';
		        if($show_popup && $show_text){
				  $anc ='<a href="'.$image_path.'"  onClick="popImageCI(\''.$image_path.'\','.$pop_up_width.','.$pop_up_height.',\''.$title.'\');return false;" >';
				  $anc=$anc.$link_text.'</a>';
				  return $anc;
				}
		        if($show_popup){
				 $anc ='<a href="'.$image_path.'"  onClick="popImageCI(\''.$image_path.'\','.$pop_up_width.','.$pop_up_height.',\''.$title.'\');return false;" >';
				 $imageurl=$anc.$imageurl.' /></a>';
				}
				else{
				    $imageurl .= ' />';
				}	
				
				return $imageurl;
		}else{
		  return '';
		} 						
 
	   
	}   




?>