<?php
class Askaquestion extends CI_Controller  
{
	
	function askaquestion()
	{
		parent::__construct();	
		$this->load->model('site_askaquestion_model','obj_model',TRUE);
		$this->load->model('site_complaintbox_model','sub_model',TRUE);
		$this->load->helper(array('form', 'url'));
		$this->load->library('pagination'); 
		
	}
	/*CONTROLLER METHODS*/
	function index()
	{ 	
		
		/** Pagination **/
		$page_num                    	=	$this->uri->segment(3)?$this->uri->segment(3):0;    
        	$config['base_url']         	=	base_url().'index.php/askaquestion/index';
        	$config['use_page_numbers'] 	=	TRUE;
        	$config['per_page']		=	9;
        	$config['next_link']		= 	'&rsaquo;';
       		$config['prev_link']		= 	'&lsaquo;';
        	$config["uri_segment"] 		= 	3;	
		
		$data['questions']		=	$this->obj_model->getQuestions($config['per_page'],$page_num);	
		
		$config['total_rows'] 		= 	$this->obj_model->getQuestionscount();	
		$data['total_rows'] 		= 	$config['total_rows'];
		$data['per_page']		=       $config['per_page'];
		$data['page_no']		= 	$page_num;		
		$this->pagination->initialize($config);				
		
		$this->load->view('questions/site_askaquestion',$data);
	}
	
	function saveQuestion()
	{	
		date_default_timezone_set('Asia/Kolkata');

		$username = $this->input->post('username');
		$password = md5($this->input->post('password'));			
		$signup_check = $this->sub_model->signup_check($username,$password); // to get user details				
		$user_id = $signup_check['user_id'];
		$new_email = $signup_check['user_email'];
		
		$this->_send_email($new_email);

		setcookie('username',$username,strtotime( '+30 days' ));	                
                setcookie('password',$this->input->post('password'),strtotime( '+30 days' ));

		// Insertion in complaint table
		$question = array(
		         'question' => $this->input->post('post'),			                
		         'question_post_date' => date('Y-m-d H:i:s'),
		         'user_id' =>$user_id,		         
		         'answer_status' => $this->input->post('user_type')
		         		         		);
		 $insert = $this->obj_model->insertQuestion($question); 
		 
		  redirect('/askaquestion/index', 'refresh');
		     
	}
	
	  /*****************************************************/
	function _send_email($emailid)
    {     
			
			$this->load->library('form_mailer');			
			$this->form_mailer->_set_format(2);
			$this->form_mailer->from('support@saasvaap.com','womenpoint');
			$this->form_mailer->to($emailid);
			//$this->form_mailer->subject("Ask a Question ");	
                        $this->form_mailer->subject("ചോദിക്കൂ പറയാം");			
            
			$message='നിങ്ങൾ വിജയകരമായി ചോദ്യം സമർപ്പിച്ചിരികുനു.ഉടന്‍ തന്നെ ഉത്തരം  ലഭികുന്നതാണ് ';			
			
			$this->form_mailer->message($message);
			if(!$this->form_mailer->send())
			{				
			return ;
			}			
			$this->form_mailer->clearall();
			return;
    }  
	
}
?>
