<?php
defined('BASEPATH') OR exit('No direct script access allowed');
class Bookstore extends CI_Controller  
{
	/*var $title_values=Array('add'=>'New featured Items',
	                        'edit'=>'Update featured Items',
							'listall'=>'featured Items',
							'delete'=>'Delete featured Items',
							'details'=>'featured Items'
							);
	var $add_view='featureditems/add';
	var $change_url='featureditems/listall';
	var $change_url1='admin/featureditems/listall';
	var $unique_desc='featured Items';
	var $table_desc='featured Items';
	var $page_count='25';
	var $upload_folder='uploads/featureditems';*/

	function Bookstore()
	{
		//parent::Controller();
		parent::__construct();
		$this->load->model('bookstore_model','obj_model',TRUE);
		$this->load->model('admin_model','admin');
		$this->load->helper(array('text','error','resize','form','date','url','sort'));
		$this->load->library('admin_entry');
                	$this->load->library('pagination'); 
	             } 
	/*CONTROLLER METHODS*/
	     function index()
	{
		 $this->listall();
	}
		
	// function for list all categories
	
	function listall()
	{
           	/** Pagination **/
		$page_num                    	=	$this->uri->segment(3)?$this->uri->segment(3):0;    
        	$config['base_url']         	=	site_url('bookstore/index');
        	$config['use_page_numbers'] 	=	TRUE;
        	$config['per_page']		=	10;
        	$config['next_link']		= 	'&rsaquo;';
       		$config['prev_link']		= 	'&lsaquo;';
		$config['first_link'] 		= 	' ';
		$config['last_link'] 		= 	' ';
        	$config["uri_segment"] 		= 	3;	
		$data['details']		=	$this->obj_model->get_options_user($config['per_page'],$page_num);
		//$data['questions']		=	$this->obj_model->getQuestions($config['per_page'],$page_num);	
		
		$config['total_rows'] 		= 	$this->obj_model->get_options_usercount();	
		$data['total_rows'] 		= 	$config['total_rows'];
		$data['per_page']		=       $config['per_page'];
		$data['page_no']		= 	$page_num;		
		$this->pagination->initialize($config);				


               
            
	    $data['catdetails']=$this->obj_model->get_options_user1();
            $data['languages'] = $this->obj_model->get_options_languages();
            $data['bookcount_30'] = $this->obj_model->get_count_days(1);
            $data['bookcount_90'] = $this->obj_model->get_count_days(2);
            $data['bookcount_180'] = $this->obj_model->get_count_days(3);
          $this->load->view('bookstore/bookstore_list_user',$data);
	   
	}

	///////// details for click on category/////////
	
	function get_alldetails_book()
	{
	$cat_id=$this->input->post('catid');
	$languages = $this->obj_model->get_options_languages();

	if($cat_id)
	{
	$condition[]   ="bookstore_category.category_id  = '$cat_id'";
	}

	$result=$this->obj_model->get_options_onclick($condition);

	foreach($result as $det)
	{
        $desc2 = explode(" ",$det['book_title']);
        $desc3 = explode(" ",$det['book_author']);

	$details .= '<div class="col-md-5 col-sm-5 books_each">
	<div class="row">
	<div class="col-md-3"><a href="'.base_url().'index.php/bookstore/bookdetails/'.$det['id'].'"><img src="'.base_url().'uploads/bookstore/'.$det['cover_image'].'" alt="" style="width:50px;Height:70px;"></a>
	</div>
	<div class="col-md-9"><a href="'.base_url().'index.php/bookstore/bookdetails/'.$det['id'].'">'.$desc2[0].'....'.'</a><br>'.$desc2[0].'....'.'<br>'. $languages[$det['language']].'<br> Rs.'.$det['book_unit_price'].'
	</div>
	</div>
	</div>';

	}


	echo $details;

}

		//////// details for 30/90/180 days/////////
		
		function get_alldetails_forday()
		{
		$days=$this->input->post('days');
		$languages = $this->obj_model->get_options_languages();



		$curdate = date('Y-m-d'); 

		if($days==1)
		{
		$cdate = strtotime(date('Y-m-d')); 
		$final1 = date("Y-m-d", strtotime("-30 day", $cdate));

		$conditions[]="book_details.date_of_post BETWEEN '$final1' AND '$curdate'";
		//$condition[]   ="book_details.date_of_post  <= '$curdate' and book_details.date_of_post >= '$final1'";
		}
		if($days==2)
		{
		$cdate = strtotime(date('Y-m-d')); 
		$final2 = date("Y-m-d", strtotime("-90 day", $cdate));
		$conditions[]="book_details.date_of_post BETWEEN '$final2' AND '$curdate'";

		}
		if($days==3)
		{
		$cdate = strtotime(date('Y-m-d')); 
		$final3 = date("Y-m-d", strtotime("-90 day", $cdate)); 
		$final4 = date("Y-m-d", strtotime("-90 day", $final3));
		$conditions[]="book_details.date_of_post BETWEEN '$final4' AND '$final3'";
		}




		$result=$this->obj_model->get_options_days($conditions);


		foreach($result as $det)
		{
                   $desc2 = explode(" ",$det['book_title']);
                   $desc3 = explode(" ",$det['book_author']);

		$details .= '<div class="col-md-5 col-sm-5 books_each">
		<div class="row">
		<div class="col-md-3"><a href="'.base_url().'index.php/bookstore/bookdetails/'.$det['id'].'"><img src="'.base_url().'uploads/bookstore/'.$det['cover_image'].'" alt="" style="width:50px;Height:70px;"></a>
		</div>
		<div class="col-md-9"><a href="'.base_url().'index.php/bookstore/bookdetails/'.$det['id'].'">'.$desc2[0].'....'.'</a><br>'.$desc3[0].'....'.'<br>'. $languages[$det['language']].'<br> Rs.'.$det['book_unit_price'].'
		</div>
		</div>
		</div>';
		}


		echo $details;

		}


		function bookdetails()
		      {
			  $id=$this->uri->segment(3);
			 // echo $id;
			  $languages = $this->obj_model->get_options_languages();
			  $result['details']=$this->obj_model->get_bookdetails($id);
			  $result['language'] = $languages;
			   //print_r( $result);
			  $this->load->view('bookstore/bookstore_inner_user',$result);

		      }

	function Regcheck()
		{	

			//date_default_timezone_set('Asia/Kolkata');	
				
			 //$email = $_POST['email'];
			
			/*$reg_check = $this->obj_model->reg_check($email); 
			if($reg_check)
			{ 
				echo 'error';			
			}else
			{*/	
                                $email =$this->input->post('email');		
				$name =$this->input->post('cname');
				$phone = $this->input->post('phone');
				$place =$this->input->post('place');
				$message = $this->input->post('message');
                                $book = $this->input->post('book');

				//echo $book; 
							
				$contact_details = array('contact_name'=>$name ,
									  'contact_place'=>$place,
									  'contact_email' =>$email,
									   'contact_phone'=>$phone,
									  'contact_feedback'=>$message,	
                                                                          'book'=>$book,								  
									  'date_of_contact' =>date('Y-m-d')
									   );
				$user_id = $this->obj_model->insertContact($contact_details);	  	
				
				$this->_send_pass_email($name,$email,$phone,$place,$message,$book);					  
					
				//echo $user_id;
			//}			
		}

 	function _send_pass_email($name,$email,$phone,$place,$message,$book)
    	{     
			
			$this->load->library('form_mailer');			
			$this->form_mailer->_set_format(2);
			$this->form_mailer->from($email,$name);
			$this->form_mailer->to('info@womenpoint.in');
			                        $this->form_mailer->subject("ഈ ബുക്ക് എനിക്ക് വാങ്ങണം" );			
                        //$this->form_mailer->subject("I want to buy this book" );	
			$message="Book Name :".$book."<br>Message :".$message."<br>Phone :".$phone;			
			
			$this->form_mailer->message($message);
			if(!$this->form_mailer->send())
			{				
			return ;
			}			
			$this->form_mailer->clearall();
			return;
   	} 





		
		
	 
}
?>
