<?php
class Roundtable extends CI_Controller  
{
	
	function roundtable()
	{
		parent::__construct();	
		$this->load->model('site_roundtable_model','obj_model',TRUE);
		$this->load->model('site_complaintbox_model','sub_model',TRUE);
		$this->load->library('pagination'); 
		$this->load->helper('cookie');
		
	}
	/*CONTROLLER METHODS*/
	function index()
	{ 		        
		/** Pagination **/
		$page_num                    	=	$this->uri->segment(3)?$this->uri->segment(3):0;    
        $config['base_url']         	=	base_url().'index.php/roundtable/index';
        $config['use_page_numbers'] 	=	TRUE;
        $config['per_page']				=	9;
        $config['next_link']			= 	'&rsaquo;';
        $config['prev_link']			= 	'&lsaquo;';
        $config["uri_segment"] 			= 	3;	
		
		$data['roundtable']				=	$this->obj_model->getRountable($config['per_page'],$page_num);			
		$config['total_rows'] 			= 	$this->obj_model->getRountablecount();		
		$this->pagination->initialize($config);		
		
		
		$this->load->view('roundtablecomments/site_roundtable',$data);
	}
	
	function roundtableDetails()
	{
		$topic_id = $this->uri->segment(3);
		$data['roundtable_details']				=	$this->obj_model->getRountablebyid($topic_id);	
		$data['panelist_details']				=	$this->obj_model->getpanelistbyid($topic_id);
		$data['moderator_details']				=	$this->obj_model->getmoderatorbyid($topic_id);
		$data['comments_details']				=	$this->obj_model->getcommentsbyid($topic_id);
		$this->load->view('roundtablecomments/site_roundtable_details',$data);
	}
	
	function savePost()
	{	
		date_default_timezone_set('Asia/Kolkata');
		
		$username = $this->input->post('username');
		$password = md5($this->input->post('password'));
		$topic = $this->input->post('topic_id');			
		$signup_check = $this->sub_model->signup_check($username,$password); // to get user details			
		$user_id = $signup_check['user_id'];
		$new_email = $signup_check['user_email'];
		
		setcookie('username',$username,strtotime( '+30 days' ));	                
                setcookie('password',$this->input->post('password'),strtotime( '+30 days' ));

		$this->_send_email($new_email);		
		
		
		// Insertion in complaint table
		$comment = array(
				 'roundtable_topic_id'	=> $topic,
		         'roundtable_comments' => $this->input->post('post'),	
		         'roundtable_user_id'	=> $user_id,     
		         'roundtable_comments_post_date' => date('Y-m-d H:i:s')
		         
		         		         		);
		 $insert = $this->obj_model->insertPost($comment); 		 
		 
	      redirect('/roundtable/roundtableDetails/'.$topic, 'refresh');
		     
	}
	
/*******************************************************************************/
function _send_email($emailid)
    {     
			
			$this->load->library('form_mailer');			
			$this->form_mailer->_set_format(2);
			$this->form_mailer->from('support@saasvaap.com','womenpoint');
			$this->form_mailer->to($emailid);
			$this->form_mailer->subject("Round Table Comments ");			
            
			$message='നിങ്ങൾ വിജയകരമായി അഭിപ്രായം സമർപ്പിച്ചിരികുനു.24 മണിക്കൂറിനകം സജീവമാകും';			
			
			$this->form_mailer->message($message);
			if(!$this->form_mailer->send())
			{				
			return ;
			}			
			$this->form_mailer->clearall();
			return;
    } 
	
}?>
