<?php
class Viewpoint extends CI_Controller  
{
	
	function viewpoint()
	{
		parent::__construct();	
		$this->load->model('site_viewpoint_model','obj_model',TRUE);
		$this->load->library('pagination'); 
		$this->load->helper('cookie');
		
	}
	/*CONTROLLER METHODS*/
	function index()
	{ 		        
		/** Pagination **/
		$page_num                    	=	$this->uri->segment(3)?$this->uri->segment(3):0;    
        $config['base_url']         	=	base_url().'index.php/viewpoint/index';
        $config['use_page_numbers'] 	=	TRUE;
        $config['per_page']				=	9;
        $config['next_link']			= 	'&rsaquo;';
        $config['prev_link']			= 	'&lsaquo;';
        $config["uri_segment"] 			= 	3;	
		
		$data['viewpoint']				=	$this->obj_model->getViewpoint($config['per_page'],$page_num);			
		$config['total_rows'] 			= 	$this->obj_model->getViewpointcount();		
		$this->pagination->initialize($config);		
		
		$data['category'] = $this->obj_model->getCategory(); 
		$this->load->view('viewpoint/site_viewpoint',$data);
	}
	function savePost()
	{
		date_default_timezone_set('Asia/Kolkata');
		if($_POST['user']!=1)
		{
			$status = 2;
			$this->_send_email($_POST['email']);
			setcookie('username',$_POST['name'],strtotime( '+30 days' ));	                
			setcookie('email',$_POST['email'],strtotime( '+30 days' ));
		}else
		{
			$status = 1;
	    }		
		$viewpoint = array(
		         'category_id' => $_POST['category'],
		         'viewpoint_desc'=>$_POST['post'],
		         'viewpoint_posted_date' => date('Y-m-d H:i:s'),
		         'viewpoint_posted_user' => $_POST['name'],
		         'viewpoint_user_email' => $_POST['email'],
		         'viewpoint_showstatus' => $status
		);
		$insert = $this->obj_model->insertPost($viewpoint); 
			
		echo $insert;
	}
	function _send_email($emailid)
    {     
			
			$this->load->library('form_mailer');			
			$this->form_mailer->_set_format(2);
			$this->form_mailer->from('support@saasvaap.com','womenpoint');
			$this->form_mailer->to($emailid);
			//$this->form_mailer->subject("View Point ");	
                        $this->form_mailer->subject("കാഴ്ചപ്പാട് ");		
            
			$message='നിങ്ങൾ വിജയകരമായി അഭിപ്രായം സമർപ്പിച്ചിരികുനു.കാഴ്ചപ്പാട് 24 മണിക്കൂറിനകം സജീവമാകും';			
			
			$this->form_mailer->message($message);
			if(!$this->form_mailer->send())
			{				
			return ;
			}			
			$this->form_mailer->clearall();
			return;
    }
    /*****************************************************/
	function _get_pagination_vars()
	{
		$page_vars	=	array('col_id' => 0,'ord_id' => 0,'off_set' => 0 );
		$page_vars['col_id']=$this->input->post('COL_ID')==''?-1:$this->input->post('COL_ID');
		$page_vars['ord_id']=$this->input->post('ORD_ID')==''?0:$this->input->post('ORD_ID');
		$page_vars['off_set']=$this->input->post('OFF_SET')==''?0:$this->input->post('OFF_SET');
		return $page_vars;
	}

}?>
