<?php
class Admin_featureditem_model extends CI_Model 
{
	var $table_name="opinion";
	var $primary_key="opinion_id";
	var $unique_field="opinion_id";
       // var $sort_field="viewpoint_desc";
	var $sort_field="date";
	//var $default_sort_field="viewpoint_posted_date";
	//var $file_name="";
	
    function admin_featureditem_model()
    {
        // Call the Model constructor
        parent::__construct();
    }
	function add_new($fields)
	{
		
		//print_r($fields);

		$this->db->insert($this->table_name, $fields);
		return true;
	}
	
	function unique_exists($unique_value,$exclude_id=-1)
	{
	 $query=$this->db->query("SELECT $this->unique_field FROM $this->table_name WHERE $this->unique_field='$unique_value' AND $this->primary_key!=$exclude_id");
	 return $query->result();
	}

	function priority()
		{
		return array(
		            		 '1'=>'1',
					 '2'=>'2',
		   
					 '3'=>'3',
					 '4'=>'4',
					 '5'=>'5',
		    
					 '6'=>'6',
					 '7'=>'7',
					 '8'=>'8',
		     
					 '9'=>'9',
					 '10'=>'10',
					 '11'=>'11',
		      
					 '12'=>'12',
					 '13'=>'13',
					 '14'=>'14',
		      
					 '15'=>'15',
					 '16'=>'16',
					 '17'=>'17',
		      
					
					  
					);

		}
		function get_priorityvalue($priority)
		{

				 $list = "SELECT priority  FROM featured_items WHERE delete_status=1 and featured_status=2 and  priority=$priority";	
				$list_details    =     $this->db->query($list);
				if ($list_details ->num_rows() > 0)
				{
				   return "1";
				}
				else
				{
				return "0";
				}

		}
		function set_priorityvalue($priority,$pfid)
		{
		$data = array(
			       'priority' => $priority
				          );

		$this->db->where('faetured_id', $pfid);
		$this->db->update('featured_items', $data); 
		return true;
		}
		////////////////////////////////////////////////new code from 1 table///////////////////////////////
		function get($order_sql,$search_fields,$limit,$offset)
			{ 
		  		
				$this->db->order_by('priority');				
				$this->db->select("faetured_id, featured_status as fstatus , type as fitem, priority, delete_status, reference_id as id , title, description as dsr , image, date");
				if($search_fields)
					{		
						foreach ($search_fields as $row)
						{
							$this->db->where($row);	
						}

					}

				$this->db->from('featured_items');							
				$query = $this->db->get('',$limit,$offset);
//echo $this->db->last_query();
				if($query->num_rows() >0)
				{
					return $query->result_array();
				}
				else
				{
					return array();
					// return a blank areray to keep the calling function happy because it expects an array
				}		
			}

function get_by_id($id,$fitemid,$fid)
{
$this->db->order_by('priority');				
$this->db->select("faetured_id, featured_status as fstatus , type as fitem, priority, delete_status, reference_id as id , title, description as dsr , image, date");
$this->db->where('faetured_id',$fid);
$this->db->where('type',$fitemid);
$this->db->where('reference_id',$id);	
$this->db->from('featured_items');
							
				$query = $this->db->get('');
//echo $this->db->last_query();

				return $query->row();
				
}



			function get_count($search_fields)
			{

				$count=0;	
				$this->db->order_by('priority');
				$this->db->select("count(*) as count");
				if($search_fields)
				{
					foreach($search_fields as $val)
					{
						$this->db->where($val);	
					}
				}
				$query = $this->db->get('featured_items',$limit,$offset);
				if ($query->num_rows() > 0)
				{
				   $row = $query->row(); 
				   $count=$row->count;
				}
				return $count;


			}
			function get_authorid_view()
				{
						$list = "SELECT column_authers.column_author_id,columns_details.column_detail_id  FROM columns_details  left join column_authers on column_authers.column_author_id=columns_details.column_author_id ";
						$list_details    =     $this->db->query($list);
					    	//echo $this->db->last_query();
					    	$details    =    $list_details->result_array();
					    	return $details;

				}



    function update($fields,$id)
	{
		$this->db->where($this->primary_key, $id);
		$this->db->update($this->table_name, $fields);
		//echo $this->db->last_query();
		return true;
	}
	
	function delete($id)
	{
		$this->db->where($this->primary_key, $id );
		
		$this->db->delete($this->table_name);
		return true;
	}
	
	
	function get_all(){
	
	        $this->db->from($this->table_name);
		$query = $this->db->get();
		$result = $query->result_array(); 
		return $result;
		
	}
 	function get_options(){
	        $options=array();
		$this->db->order_by($this->sort_field);
		$this->db->select($this->primary_key);
		$this->db->select($this->unique_field);
		$this->db->from($this->table_name);
		$query = $this->db->get();
		$results=$query->result_array();
		foreach($results as $result){
		  $options[$result[$this->primary_key]]=$result[$this->unique_field];
		}
		return $options;
	}
	

	


         function get_options_category($id){
	        $options=array();
		//$this->db->order_by('viewpoint.viewpoint_id');
		//$this->db->select('viewpoint_id');
		$this->db->order_by($this->sort_field);
		$this->db->from($this->table_name);
		$this->db->join('youngpoint_category','youngpoint_category.category_id = opinion.category_id','inner');
		//$this->db->join('viewpoint_attachments','viewpoint_attachments.viewpoint_id = viewpoint.viewpoint_id','inner');
		//$this->db->where("viewpoint.viewpoint_status",1);
		//$this->db->where('viewpoint_attachments.show_status',1);
		$this->db->where("youngpoint_category.is_active",1);
		$this->db->where('youngpoint_category.category_type' ,1);//viewpoint box type
		$this->db->where('(opinion.opinion_status = 1  or opinion.opinion_status= 2  or opinion.opinion_status= 3)' );
                $this->db->where("opinion.opinion_id",$id);
                $query = $this->db->get();

		//echo $this->db->last_query();
		$results=$query->result_array();
		foreach($results as $result){
		  $options[$result['category_id']]=$result['category_name'];

		}
				
		return $options;
	}


	
	function get_by_id_email($id)
	{
	    // get the information for given id
	    $this->db->from($this->table_name);
		$this->db->where('viewpoint.viewpoint_id',$viewpoint_id);
		$this->db->where('viewpoint.viewpoint_status',3);
	    $query = $this->db->get();
	   // echo $this->db->last_query();
	    $row = $query->row(); 
		return $row;
    }

	function get_options_opinion_status($opinion_id)
	{
	        // $options=array();
		//$this->db->order_by($this->scheme_amount_sort_field);
		$this->db->from($this->table_name);
		$this->db->where('opinion.opinion_id',$opinion_id);
		//$this->db->where('viewpoint.viewpoint_status',1);
		$query = $this->db->get();
		//$results=$query->result_array();
		//return $results;
	        // echo $this->db->last_query();
		 $row = $query->row(); 
	         return $row;
	}


	/////////////update status to featured ///////////////////

	function get_status_featured($opinion_id,$fitem,$datastatus)
	{

		
	$items=$fitem;

      if($items==1)
	 {	
      $primary_key='news_detail_id';
      $table_name='news_details';
	   }
 if($items==2)
	 {			  
	 $primary_key='resource_detail_id';
          $table_name='resource_details';
	}
 if($items==3)
	 {			  
	$primary_key='roundtable_topic_id ';
         $table_name='roundtable_topics';
	}
 if($items==4)
	 {			  
	 $primary_key='debate_id';
          $table_name='debate_details';
	}
 if($items==5)
	 {			  
	 $primary_key='creativepoint_id';
         $table_name='creativepoint';
	}
 if($items==6)
	 {			  
	$primary_key='degitalpoint_detail_id';
          $table_name='degitalpoint_details';
	}
if($items==7)
	 {	
      $primary_key='news_detail_id';
      $table_name='news_details';
	   }
  if($items==8)
	 {	
      $primary_key='news_detail_id';
      $table_name='news_details';
	   }
  if($items==9)
	 {	
      $primary_key='news_detail_id';
      $table_name='news_details';
	   }
 if($items==10)
	 {			  
	 $primary_key='resource_detail_id';
          $table_name='resource_details';
	}
 if($items==11)
	 {			  
	 $primary_key='resource_detail_id';
          $table_name='resource_details';
	}
 if($items==12)
	 {			  
	 $primary_key='resource_detail_id';
          $table_name='resource_details';
	}
 if($items==12)
	 {			  
	 $primary_key='resource_detail_id';
          $table_name='resource_details';
	}
 if($items==14)
	 {			  
	 $primary_key='column_detail_id ';
          $table_name='columns_details';
	}
 if($items==13)
	 {			  
	 $primary_key='book_details_id ';
          $table_name='book_details';
	}



		
		$this->db->where($primary_key,$opinion_id);
		$this->db->update($table_name,$datastatus);
		
		//echo $this->db->last_query();
		return true;
    	}
			function get_status_featured_ftable($faetured_id,$datastatus)
		{
				$this->db->where('faetured_id',$faetured_id);
				$this->db->update('featured_items',$datastatus);
		
				//echo $this->db->last_query();
				return true;
		}


	//////////////////////////
      function get_status_notfeatured($opinion_id,$fitem,$datastatus)
	{

		
	$items=$fitem;

      if($items==1)
	 {	
      $primary_key='news_detail_id';
      $table_name='news_details';
	   }
 if($items==2)
	 {			  
	 $primary_key='resource_detail_id';
          $table_name='resource_details';
	}
 if($items==3)
	 {			  
	$primary_key='roundtable_topic_id ';
         $table_name='roundtable_topics';
	}
 if($items==4)
	 {			  
	 $primary_key='debate_id';
          $table_name='debate_details';
	}
 if($items==5)
	 {			  
	 $primary_key='creativepoint_id';
         $table_name='creativepoint';
	}
 if($items==6)
	 {			  
	$primary_key='degitalpoint_detail_id';
          $table_name='degitalpoint_details';
	}
  if($items==7)
	 {	
      $primary_key='news_detail_id';
      $table_name='news_details';
	   }
  if($items==8)
	 {	
      $primary_key='news_detail_id';
      $table_name='news_details';
	   }
  if($items==9)
	 {	
      $primary_key='news_detail_id';
      $table_name='news_details';
	   }
 if($items==10)
	 {			  
	 $primary_key='resource_detail_id';
          $table_name='resource_details';
	}
 if($items==11)
	 {			  
	 $primary_key='resource_detail_id';
          $table_name='resource_details';
	}
 if($items==12)
	 {			  
	 $primary_key='resource_detail_id';
          $table_name='resource_details';
	}
 if($items==13)
	 {			  
	 $primary_key='book_details_id ';
          $table_name='book_details';
	}
 if($items==14)
	 {			  
	 $primary_key='column_detail_id ';
          $table_name='columns_details';
	}

		
		$this->db->where($primary_key,$opinion_id);
		$this->db->update($table_name,$datastatus);
		
		//echo $this->db->last_query();
		return true;
    	}
	
			function get_status_notfeatured_ftable($faetured_id,$datastatus)
		{		
				$datastatus['priority']=0;
				$this->db->where('faetured_id',$faetured_id);
				$this->db->update('featured_items',$datastatus);
		
				//echo $this->db->last_query();
				return true;
		}




}
?>
