<?php
class Site_complaintbox_model extends CI_Model 
{
	var $table_name ="complaintbox";
	
	
	
    function Site_complaintbox_model()
    {
        // Call the Model constructor
        parent::__construct();
    }
	function getCategory()
	{
		$this->db->where("category_type",2);
		$query 	= $this->db->get('category'); 
		$result  	= $query->result_array(); 
		return $result ;
		
	}
	
	function getComplaints($limit,$offset)
	{
		$status = array(1,2);
		$this->db->limit($limit,$offset);
		$this->db->select('complaintbox.*,user.*,category.*,GROUP_CONCAT(complaintbox_attachments.file_upload ) as fileupload');
		$this->db->join('complaintbox_attachments','complaintbox.complaint_id = complaintbox_attachments.complaint_id','left');
		$this->db->join('user','complaintbox.user_id = user.user_id');
		$this->db->join('category','complaintbox.category_id = category.category_id');
		$this->db->where("complaint_show_status",2);
		$this->db->where("publish_status",2);
		$this->db->where_in("answer_status",$status);
		$this->db->group_by('complaintbox.complaint_id'); 
		$this->db->order_by("complaint_post_date", "desc"); 
		$query 	= $this->db->get('complaintbox'); 
		$result  	= $query->result_array();  //echo $this->db->last_query();
		return $result ;
		
	}
	function getComplaintscount()
	{
		$status = array(1,2);		
		$this->db->where_in("complaint_show_status",2);
		$this->db->where("publish_status",2);
		$this->db->where("answer_status != ",3);
		$query 	= $this->db->get('complaintbox');		
		return $query->num_rows();  
		
	}
	function getMaxid()
	{
		$this->db->select('MAX(complaint_id) as id');
		$query 	= $this->db->get($this->table_name);	
		return $query->row_array();  
	}
	function signup_check($user,$pass)
	{
		
		$this->db->where("user_email",$user);
		$this->db->where("user_password",$pass);		
		$query 	= $this->db->get('user');		
		return $query->row_array();  
	}
	function reg_check($email)
	{		
		$this->db->where("user_email",$email);
		$query 	= $this->db->get('user');	
		return $query->row_array();  
	}
	function insertUser($data)
	{	
		$this->db->insert('user',$data);		
		return $this->db->insert_id();
    	}
	function updateUser($user_id,$data)
	{	
		$this->db->where("user_id",$user_id);
		$this->db->update('user',$data);		
		return $this->db->insert_id();
	}
	
	function insertPost($data)
	{	
		$this->db->insert($this->table_name,$data);		
		return true;
    	}
    	function insertAttach($data)
	{	
		$this->db->insert('complaintbox_attachments',$data);		
		return true;
    	}
		
}
?>
