<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <title>Womenpoint</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Bootstrap -->
    <link href="../css/bootstrap.css" rel="stylesheet">
    <link href="../font-awesome/css/font-awesome.min.css" rel="stylesheet">
    
    <!-- menu -->
    <link rel='stylesheet' id='theme-style-all-css'  href='../css/style.css?ver=3.5.1' type='text/css' media='all' />
    <link rel='stylesheet' id='theme-responsive-layout-css'  href='../css/responsive.css?ver=3.5.1' type='text/css' media='all' />
    <script type='text/javascript' src='../js/jquery_111.js?ver=1.8.3'></script>
    <script type='text/javascript' src='../js/menu_min.js?ver=3.5.1'></script>
    <!-- menu -->

    <link href="../css/custom.css" rel="stylesheet">
    <script src="../js/respond.js"></script>
</head>

<body>

<div class="fluid-container">


<?php include("../includes/inner_head.php"); ?>


<div class="row cont_cont">

<?php include("../includes/left_menu.php"); ?>

<div class="col-md-7 col-sm-7 col-md-offset-1 col-sm-offset-1">
<!--content-->

<h3>Audio</h3>
<p>A resource is a source or supply from which benefit is produced. Typically resources are materials, services, staff, or other assets that are transformed to produce benefit and in the process may be consumed or made unavailable.</p>
<br>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/audio.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>Interview with Naomi Wolf</h5>
Interview with Naomi Wolf when she visited India.
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/audio.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>Song by P.K.Medini</h5>
One Billion Rising is a global campaign to end to violence against women, rise for justice and promote gender equality.
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/audio.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>Interview with Dayabhai</h5>
Sugathakumari is an established writer in Malayalam with a unique voice of her own emotional empathy, humanist sensitivity and moral alertness
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/audio.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>Tribal song Wayanad</h5>
A tribal song sung by women of Wayanad during harvest season.
</div>
</div>



<!--content-->
</div>
<div class="col-md-2 col-sm-2" style="padding-left:6%;">
<?php include("../includes/inner_advt.php"); ?>
</div>
</div>

<?php include("../includes/inner_footer.php"); ?>

</div>

    <!-- javascript -->
    <script src="../js/bootstrap.min.js"></script>
    <!-- menu -->
    <script type='text/javascript' src='../js/script.js?ver=3.5.1'></script>
    
</body>
</html>
