<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <title>Womenpoint</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Bootstrap -->
    <link href="../css/bootstrap.css" rel="stylesheet">
    <link href="../font-awesome/css/font-awesome.min.css" rel="stylesheet">
    
    <!-- menu -->
    <link rel='stylesheet' id='theme-style-all-css'  href='../css/style.css?ver=3.5.1' type='text/css' media='all' />
    <link rel='stylesheet' id='theme-responsive-layout-css'  href='../css/responsive.css?ver=3.5.1' type='text/css' media='all' />
    <script type='text/javascript' src='../js/jquery_111.js?ver=1.8.3'></script>
    <script type='text/javascript' src='../js/menu_min.js?ver=3.5.1'></script>
    <!-- menu -->

    <link href="../css/custom.css" rel="stylesheet">
    <script src="../js/respond.js"></script>
</head>

<body>

<div class="fluid-container">


<?php include("../includes/inner_head.php"); ?>


<div class="row cont_cont">

<?php include("../includes/left_menu.php"); ?>

<div class="col-md-7 col-sm-7 col-md-offset-1 col-sm-offset-1">
<!--content-->


<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/digitalpoint/camera.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>Image Repository</h5>
General image repository for unclassified images.
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><a href="digitalpoint_imagesamples.php"><img src="../img/digitalpoint/rising.jpg" class="img-responsive" alt=""></a></div>
<div class="col-md-9 col-sm-9">
<h5>One Billion Rising</h5>
One Billion Rising is a global campaign to end to violence against women, rise for justice and promote gender equality.
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/digitalpoint/adaywith_sugathakumari.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>A day with Sugathakumari</h5>
Sugathakumari is an established writer in Malayalam with a unique voice of her own emotional empathy, humanist sensitivity and moral alertness
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/digitalpoint/kudumbashree.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>Kudumbashree Ayalkootam</h5>
Kudumbashree, a female-oriented, community-based, poverty reduction project of Government of Kerala. Kerala is an Indian state lying in the south-west part of Indian subcontinent.
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/digitalpoint/womensday.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>Women’s day celebration</h5>
Started as a Socialist political event, the holiday blended in the culture of many countries, primarily in Europe, including Russia.
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/digitalpoint/cyclerally.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>Cycle rally organized by Sakhi</h5>
Cycle rally organized by Sakhi to premote awareness among people about the ill effects of child marriage.
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/digitalpoint/communityrun.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>Community run</h5>
A community run organized to fight the violence against women.
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/digitalpoint/awareness_campaign.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>Awareness campaign</h5>
Awareness campaign about cyber laws and its applications.
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/digitalpoint/international_conferenc.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>International confrence for women in media.</h5>
International confrence for women journalists held in Trivandrum.
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/digitalpoint/nirbhayaday.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>Nirbhaya day</h5>
2nd death anniversary of Nirbhaya.
</div>
</div>

<div class="row box_cont">
<div class="col-md-3 col-sm-3"><img src="../img/digitalpoint/sitdown_frontofparliament.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>24 hours sit down in front of Parliament.</h5>
A sit down against the partial laws against women in Central Government.
</div>
</div>




<!--content-->
</div>
<div class="col-md-2 col-sm-2" style="padding-left:6%;">
<?php include("../includes/inner_advt.php"); ?>
</div>
</div>

<?php include("../includes/inner_footer.php"); ?>

</div>

    <!-- javascript -->
    <script src="../js/bootstrap.min.js"></script>
    <!-- menu -->
    <script type='text/javascript' src='../js/script.js?ver=3.5.1'></script>
</body>
</html>
