<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <title>Womenpoint</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Bootstrap -->
    <link href="../css/bootstrap.css" rel="stylesheet">
    <link href="../font-awesome/css/font-awesome.min.css" rel="stylesheet">
    
    <!-- menu -->
    <link rel='stylesheet' id='theme-style-all-css'  href='../css/style.css?ver=3.5.1' type='text/css' media='all' />
    <link rel='stylesheet' id='theme-responsive-layout-css'  href='../css/responsive.css?ver=3.5.1' type='text/css' media='all' />
    <script type='text/javascript' src='../js/jquery_111.js?ver=1.8.3'></script>
    <script type='text/javascript' src='../js/menu_min.js?ver=3.5.1'></script>
    <!-- menu -->

    <link href="../css/custom.css" rel="stylesheet">
    <script src="../js/respond.js"></script>
</head>

<body>

<div class="fluid-container">


<?php include("../includes/inner_head.php"); ?>


<div class="row cont_cont">

<?php include("../includes/left_menu.php"); ?>

<div class="col-md-7 col-sm-7 col-md-offset-1 col-sm-offset-1">
<!--content-->

<h3>Resources</h3>

<p>A repository of information on the women of Kerala, we bring to you their life sketches, their experiences, as also analyses and articles on gender. Please hep us improve this page.</p>

<br><br>

<div class="col-md-10 col-sm-101 col-xs-10 search_1">
<input type="text" name="firmname" id="firmname" onFocus="if(this.value==this.defaultValue)this.value=''"    
onblur="if(this.value=='')this.value=this.defaultValue" value="Enter keyword" tabindex="1" class="textbox_inner" />
</div>
<div class="col-md-2 col-sm-2 col-xs-2"><button class="btn btn-default buttonboxgo" type="button">Go</button></div>

<br><br><br><br>

<div class="row">
<div class="col-md-3 col-sm-3 col-xs-3 box_small">Politics</div>
<div class="col-md-3 col-sm-3 col-xs-3 box_small"><a href="resources_categories_inner.php">Literature</a></div>
<div class="col-md-3 col-sm-3 col-xs-3 box_small">Culture</div>
<div class="col-md-3 col-sm-3 col-xs-3 box_small">Law</div>
<div class="col-md-3 col-sm-3 col-xs-3 box_small">Fine Art</div>
<div class="col-md-3 col-sm-3 col-xs-3 box_small">Cinema</div>
<div class="col-md-3 col-sm-3 col-xs-3 box_small">Economics</div>
<div class="col-md-3 col-sm-3 col-xs-3 box_small">Medicine</div>
<div class="col-md-3 col-sm-3 col-xs-3 box_small">Sports</div>
<div class="col-md-3 col-sm-3 col-xs-3 box_small">Education</div>
<div class="col-md-3 col-sm-3 col-xs-3 box_small">Music</div>
<div class="col-md-3 col-sm-3 col-xs-3 box_small">History</div>
<div class="col-md-3 col-sm-3 col-xs-3 box_small">Phylosophy</div>
<div class="col-md-3 col-sm-3 col-xs-3 box_small">Psychology</div>
<div class="col-md-3 col-sm-3 col-xs-3 box_small">Chemistry</div>
<div class="col-md-3 col-sm-3 col-xs-3 box_small">Botany</div>
<div class="col-md-3 col-sm-3 col-xs-3 box_small">Zoology</div>
</div>


<!--<div class="row italic" style="color:#291011;">
<br>
Interview <input type="radio" checked value="">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
Articles <input type="radio" value="">&nbsp;&nbsp;  &nbsp;&nbsp;&nbsp;&nbsp;
Life Sketch <input type="radio" value="">&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp; 
Analysis <input type="radio" value="">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;  
Books <input type="radio" value="">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;  
</div>
<br><br>

<div class="row box_normal">
<div class="col-md-3 col-sm-3"><img src="../img/interviews.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9"><h4>Interviews</h4><br>
An interview is a conversation between two or more people where questions are asked by the interviewer to elicit facts or statements from the interviewee. 
</div>
</div>


<div class="row box_normal">
<div class="col-md-3 col-sm-3"><img src="../img/articles.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9"><h4>Articles</h4><br>
An article is a written work published in a print or electronic medium. It may be for the purpose of propagating the news, research results, academic analysis or debate.
</div>
</div>

<div class="row box_normal">
<div class="col-md-3 col-sm-3"><img src="../img/lifesketch.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9"><h4>Life Sketch</h4><br>
Generation of newly-empowered young women are going out to work in larger numbers than ever before, so just how safe do women in the capital feel?
</div>
</div>

<div class="row box_normal">
<div class="col-md-3 col-sm-3"><img src="../img/analysis.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9"><h4>Analysis</h4><br>
Generation of newly-empowered young women are going out to work in larger numbers than ever before, so just how safe do women in the capital feel?
</div>
</div>

<div class="row box_normal">
<div class="col-md-3 col-sm-3"><img src="../img/books.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9"><h4>Books</h4><br>
We provide information on books which are divided by different categories (Subjects).
</div>
</div>
-->



<!--content-->
</div>
<div class="col-md-2 col-sm-2" style="padding-left:6%;">
<?php include("../includes/inner_advt.php"); ?>
</div>
</div>

<?php include("../includes/inner_footer.php"); ?>

</div>

    <!-- javascript -->
    <script src="../js/bootstrap.min.js"></script>
    <!-- menu -->
    <script type='text/javascript' src='../js/script.js?ver=3.5.1'></script>
</body>
</html>