<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <title>Womenpoint</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Bootstrap -->
    <link href="../css/bootstrap.css" rel="stylesheet">
    <link href="../font-awesome/css/font-awesome.min.css" rel="stylesheet">
    
    <!-- menu -->
    <link rel='stylesheet' id='theme-style-all-css'  href='../css/style.css?ver=3.5.1' type='text/css' media='all' />
    <link rel='stylesheet' id='theme-responsive-layout-css'  href='../css/responsive.css?ver=3.5.1' type='text/css' media='all' />
    <script type='text/javascript' src='../js/jquery_111.js?ver=1.8.3'></script>
    <script type='text/javascript' src='../js/menu_min.js?ver=3.5.1'></script>
    <!-- menu -->
    <link href="../css/fonts.css" rel="stylesheet">
    <link href="../css/custom.css" rel="stylesheet">
    <script src="../js/respond.js"></script>
</head>

<body>

<div class="fluid-container">


<?php include("../includes/inner_head.php"); ?>


<div class="row cont_cont">

<?php include("../includes/left_menu.php"); ?>

<div class="col-md-7 col-sm-7 col-md-offset-1 col-sm-offset-1">
<!--content-->

<font style="color:#6f171d; font-size:20px;">Information Desk</font>
<h3>Kerala State Women's Development Corporation</h3><br>

<img src="../img/shetranscends_kswdc.jpg" class="img-responsive" alt=""><br>

<p class="p_inverse">
Address: <br>
T C 20/2170, "Basant", Thiruvanathapuram-Thenmala Rd,<br>
Kanaka Nagar,<br>
Nanthancodu, Thiruvananthapuram,<br>
Kerala 695003<br><br>

Phone : 0471 272 7668<br><br>

The Kerala State Women’s Development Corporation (KSWDC) seeks to bring women out of binding normative strictures by making them active participators in societal development and progress. It mans the Government of Kerala’s concern in empowering the women of the state. For KSWDC, a just and equal society is not a distant utopian dream, for here empowerment is real and yields tangible results. By encouraging women to be ambitious and confident about their success drives, KSWDC furnishes them with the required support system that makes their needs come into fulfilment. Economic dependence being a weighty hurdle in the realization of such a cause, the organization has many a scheme and policy to cater to the growing demands of the women of the state. The success stories of the many beneficiaries of KSWDC are real life testimonials of the organization’s commitment and allegiance towards achieving an egalitarian society reposed on sensible and unbiased norms and values. KSWDC invests in the holistic development of the women of its state. Our gender awareness programmes, career grooming services, vocational training facilities, all aim at mainstreaming women’s needs and concerns and also equip our population with pertinent attributes to rightly manipulate the  resources and possibilities available to them.

</p>
<br>
<div class="col-md-12">
<a class="btn btn-social-icon socia  btn-twitter"><i class="fa fa-twitter fa-3x"></i></a>
<a class="btn btn-social-icon socia btn-facebook"><i class="fa fa-facebook fa-3x"></i></a>
<a class="btn btn-social-icon socia  btn-blogblogger"><i class="fa icon-blogblogger fa-3x"></i></a>
<a class="btn btn-social-icon socia  btn-google"><i class="fa fa-google fa-3x"></i></a>
<a class="btn btn-social-icon socia  btn-google"><i class="fa fa-envelope fa-3x"></i></a>
</div>

<!--content-->
</div>
<div class="col-md-2 col-sm-2" style="padding-left:6%;">
<?php include("../includes/inner_advt.php"); ?>
</div>
</div>

<?php include("../includes/inner_footer.php"); ?>

</div>

    <!-- javascript -->
    <script src="../js/bootstrap.min.js"></script>
    <!-- menu -->
    <script type='text/javascript' src='../js/script.js?ver=3.5.1'></script>
</body>
</html>
