<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <title>Womenpoint</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Bootstrap -->
    <link href="../css/bootstrap.css" rel="stylesheet">
    <link href="../font-awesome/css/font-awesome.min.css" rel="stylesheet">
    
    <!-- menu -->
    <link rel='stylesheet' id='theme-style-all-css'  href='../css/style.css?ver=3.5.1' type='text/css' media='all' />
    <link rel='stylesheet' id='theme-responsive-layout-css'  href='../css/responsive.css?ver=3.5.1' type='text/css' media='all' />
    <script type='text/javascript' src='../js/jquery_111.js?ver=1.8.3'></script>
    <script type='text/javascript' src='../js/menu_min.js?ver=3.5.1'></script>
    <!-- menu -->
    <link href="../css/fonts.css" rel="stylesheet">
    <link href="../css/custom.css" rel="stylesheet">
    <script src="../js/respond.js"></script>
</head>

<body>

<div class="fluid-container">


<?php include("../includes/inner_head.php"); ?>


<div class="row cont_cont">

<?php include("../includes/left_menu.php"); ?>

<div class="col-md-7 col-sm-7 col-md-offset-1 col-sm-offset-1">
<!--content-->


<div class="row box_normal">
<div class="col-md-3 col-sm-3"><img src="../img/books/beautymith_book.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>Introduction to The Beauty Myth</h5>
General image repository for unclassified images.
</div>
</div>

<div class="row box_normal">
<div class="col-md-3 col-sm-3"><img src="../img/books/sexual_politics_book.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>Review on Sexual Politics</h5>
One Billion Rising is a global campaign to end to violence against women, rise for justice and promote gender equality.
</div>
</div>

<div class="row box_normal">
<div class="col-md-3 col-sm-3"><img src="../img/books/awoman_book.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>Review on Aint’I A Woman</h5>
Sugathakumari is an established writer in Malayalam with a unique voice of her own emotional empathy, humanist sensitivity and moral alertness
</div>
</div>

<div class="row box_normal">
<div class="col-md-3 col-sm-3"><img src="../img/books/aroom_of_onesown_book.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>Review on A Room Of One’s Own</h5>
Kudumbashree, a female-oriented, community-based, poverty reduction project of Government of Kerala. Kerala is an Indian state lying in the south-west part of Indian subcontinent.
</div>
</div>

<div class="row box_normal">
<div class="col-md-3 col-sm-3"><img src="../img/books/thesecond_sex_book.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>Introduction to The Second Sex</h5>
Started as a Socialist political event, the holiday blended in the culture of many countries, primarily in Europe, including Russia.
</div>
</div>

<div class="row box_normal">
<div class="col-md-3 col-sm-3"><img src="../img/books/feministtheory_book.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>Introduction to Feminist Theory</h5>
Cycle rally organized by Sakhi to premote awareness among people about the ill effects of child marriage.
</div>
</div>

<div class="row box_normal">
<div class="col-md-3 col-sm-3"><img src="../img/books/thefemale_book.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>Review on The Female Eunuch</h5>
A community run organized to fight the violence against women.
</div>
</div>

<div class="row box_normal">
<div class="col-md-3 col-sm-3"><img src="../img/books/sister_outsider_book.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>Introduction to Sister Outsider</h5>
Awareness campaign about cyber laws and its applications.
</div>
</div>

<div class="row box_normal">
<div class="col-md-3 col-sm-3"><img src="../img/books/howtobea_women_book.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>Review on How To Be A Woman</h5>
International confrence for women journalists held in Trivandrum.
</div>
</div>

<div class="row box_normal">
<div class="col-md-3 col-sm-3"><img src="../img/books/thewomen_warrior_book.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>Review on The Woman Warrior</h5>
2nd death anniversary of Nirbhaya.
</div>
</div>

<div class="row box_normal">
<div class="col-md-3 col-sm-3"><img src="../img/books/thefeminine_mystique_book.jpg" class="img-responsive" alt=""></div>
<div class="col-md-9 col-sm-9">
<h5>Introduction to The Feminie Mystique</h5>
A sit down against the partial laws against women in Central Government.
</div>
</div>




<!--content-->
</div>
<div class="col-md-2 col-sm-2" style="padding-left:6%;">
<?php include("../includes/inner_advt.php"); ?>
</div>
</div>

<?php include("../includes/inner_footer.php"); ?>

</div>

    <!-- javascript -->
    <script src="../js/bootstrap.min.js"></script>
    <!-- menu -->
    <script type='text/javascript' src='../js/script.js?ver=3.5.1'></script>
</body>
</html>
