<?php
class Classifieds extends CI_Controller  
{
		var $title_values=Array('add'=>'New Classified',
	                        'edit'=>'Update Classified',
							'listall'=>'Sub Classifieds',
							'delete'=>'Delete Classified',
							'details'=>'Classifieds'
							);
	var $add_view='classifieds/add';
	//var $change_url='classifieds/listall';
	var $change_url='classifieds/listall';
	var $edit_view='classifieds/edit';
	var $delete_view='classifieds/delete';
	var $details_view='classifieds/category';
	var $unique_desc='classifieds Name';
	var $table_desc='classifieds';
	var $page_count='25';
	var $page_count_user='10';
	var $upload_folder='uploads/classifieds';
	

	function Classifieds()
	{
		//parent::Controller();
		parent::__construct();

		$this->load->model('classifieds_model','obj_model',TRUE);
		$this->load->model('subcategory_model','sub_category');
		$this->load->model('category_model','category');
		$this->load->model('district_model','district');
		$this->load->model('location_model','location');
		$this->load->model('user_model','user');
		$this->load->model('admin_model','admin');
		$this->load->helper(array('text','error','resize','form','date','url','sort'));
		$this->load->library(array('admin_entry','user_entry'));
	}
	/*CONTROLLER METHODS*/
	function index()
	{
		 $this->listall();
	}
	
	
	
	//  Function for add category
	
	function add()
	{
	   
	    session_start();
	    //print_r($_SESSION['images']);
		if(!$_POST)
		{
			unset($_SESSION['images']);
		}
	    $this->admin_entry->is_admin();
      	$fields=$this->_get_fields();
		$rules=$this->_get_rules(1);
		$category_row=$this->category->get_by_id($this->input->post('CATEGORY_ID',true));
		$data['category_row']=$category_row;
		if($category_row->CATEGORY_ID == 1)
		{
			$rules[]=array(
                     'field'   => 'LISTING_PRICE', 
                     'label'   => 'Price', 
                     'rules'   => 'required|numeric'
                  );		 
		}
		$this->form_validation->set_rules($rules);
		$this->form_validation->set_error_delimiters('<div  class="error">', '</div>');
		$data["header_tags"]="";
		$data["title"]=$this->title_values['add'];
		$data["sub_category_values"]=$this->sub_category->get_options();
		$data["category_values"]=$this->category->get_options();
		$data["city_values"]=$this->district->get_options();
		$data["location_values"]=$this->location->get_options();
		$data["salary_values"]=$this->obj_model->get_salary_values();
		$data["job_type_values"]=$this->obj_model->get_job_type_values();
		$data['sell_text']=$this->input->post('type_sell');
		$data['buy_text']=$this->input->post('type_buy');
		if ($this->form_validation->run() == FALSE)
		{   
		   
			$this->load->view($this->add_view,$data);
			return;
		}
	   /*
	    if($this->obj_model->unique_exists($this->input->post($this->obj_model->unique_field,true),-1))// check all other rows
		{
			$data['msg_level']=1;
			$data["msg_value"]="$this->unique_desc  already exists";
			$this->load->view($this->add_view,$data);
			return;
		}
		
		*/
		
		$table_data=$this->_get_table_data();
		$table_data['LISTING_DATE']=date(SQL_DATE_TIME_FORMAT);
		$table_data['LISTING_STATUS']=1;
		
		$email=trim($this->input->post('LISTING_EMAIL'));
		
		$user_row=$this->user->get_by_email($email);
		
		if($user_row)
		{
			$table_data['USER_ID']=$user_row->USER_ID;
		}
		else
		{
			$table['USER_EMAIL']=trim($this->input->post('LISTING_EMAIL'));
			$table['USER_REGISTER_DATE']=date(SQL_DATE_TIME_FORMAT);
			$table['USER_STATUS']=1;
			$table['USER_PHONE']=trim($this->input->post('LISTING_PHONE'));
			$password=getUniqueID(6);
			$table['USER_PASSWORD']=sha1($password);
			if(!$user_id=$this->user->add_new($table,true))
			{
				$data['msg_level']=1;
				$data["msg_value"]="An error occured while adding";
				$this->load->view($this->add_view,$data);
				return;
			} 
			
			$table_data['USER_ID']=$user_id;
		}
		
		if(!$id=$this->obj_model->add_new($table_data,true))
		{
			$data['msg_level']=1;
			$data["msg_value"]="An error occured while adding";
			$this->load->view($this->add_view,$data);
			return;
		}
		$table_images['LISTING_ID']= $id;
		foreach($_SESSION['images'] as $key=>$val)
		{
			$table_images['LISTING_IMAGE']=$val;
			$this->obj_model->add_image($table_images,true);
			
		}
		
		if($table_data['CATEGORY_ID']==2)
		{
			
			$table_job['COMPANY_NAME']=filter_field($this->input->post('COMPANY_NAME'));
			$table_job['JOB_TYPE']=filter_field($this->input->post('JOB_TYPE'));
			$table_job['DESIGNATION']=filter_field($this->input->post('DESIGNATION'));
			$table_job['COMPENSATION']=filter_field($this->input->post('COMPENSATION'));
			if($table_job['COMPANY_NAME'] || $table_job['JOB_TYPE'] || $table_job['DESIGNATION'] || $table_job['COMPENSATION'])
			{
				$this->obj_model->add_job_options($table_job,false);
			}
			
		}
		
		if($table_data['CATEGORY_ID']==4)
		{
			
			$table_event['EVENT_START_DATE']=filter_field(display_to_sql_date($this->input->post('EVENT_START_DATE')));
			$table_event['EVENT_END_DATE']=filter_field(display_to_sql_date($this->input->post('EVENT_END_DATE')));
			$table_event['EVENT_START_TIME']=filter_field($this->input->post('EVENT_START_TIME'));
			$table_event['EVENT_END_TIME']=filter_field($this->input->post('EVENT_END_TIME'));
			if($table_event['EVENT_START_DATE'] || $table_event['EVENT_END_DATE'] || $table_event['EVENT_START_TIME'] || $table_event['EVENT_END_TIME'])
			{
				$this->obj_model->add_event_options($table_job,false);
			}
			
		}
		
		
		$this->redirect_page($this->change_url,2,"New $this->table_desc information added successfully");
		return;		
	}//add
	
	// function for list all categories
	

	
	// function for searching ads using kewords
	function search()
	{
		$this->load->view('classifieds/search');
	}
	
	
	// function for posting classifieds
	
	function post()
	{
		
		
		session_start();
		if(!$_POST)
		{
			unset($_SESSION['images']); 
		}
		$fields=$this->_get_fields();
		$rules=$this->_get_rules(1);
		$category_row=$this->category->get_by_id($this->input->post('CATEGORY_ID',true));
		$data['category_row']=$category_row;
		if($category_row->CATEGORY_ID == 1)
		{
			$rules[]=array(
                     'field'   => 'LISTING_PRICE', 
                     'label'   => 'Price', 
                     'rules'   => 'required|numeric'
                  );		 
		}
		$this->form_validation->set_rules($rules);
		$this->form_validation->set_error_delimiters('<div  class="error">', '</div>');
		$data["header_tags"]="";
		$data["title"]='';
		$data["sub_category_values"]=$this->sub_category->get_options();
		$data["category_values"]=$this->category->get_options();
		$data["city_values"]=$this->district->get_options();
		$data["location_values"]=$this->location->get_options();
		$data["salary_values"]=$this->obj_model->get_salary_values();
		$data["job_type_values"]=$this->obj_model->get_job_type_values();
		$data['sell_text']=$this->input->post('type_sell');
		$data['buy_text']=$this->input->post('type_buy');
		$data["exp_values"]=$this->obj_model->get_exp_values();
		
		if ($this->form_validation->run() == FALSE)
		{   
		   
			$this->load->view('classifieds/post',$data);
			return;
		}
	   /*
	    if($this->obj_model->unique_exists($this->input->post($this->obj_model->unique_field,true),-1))// check all other rows
		{
			$data['msg_level']=1;
			$data["msg_value"]="$this->unique_desc  already exists";
			$this->load->view($this->add_view,$data);
			return;
		}
		
		*/
		
		$table_data=$this->_get_table_data();
		$table_data['LISTING_DATE']=date(SQL_DATE_TIME_FORMAT);
		$table_data['LISTING_STATUS']=1;
		$password='';
		if($this->user_entry->is_logged_in())
		{
			$user=$this->user_entry->get_user();
			$user_row=$this->user->get_by_email(trim($user));
			$table_data['USER_ID']=$user_row->USER_ID;
		}
		else
		{		
			$email=trim($this->input->post('LISTING_EMAIL'));
			$user_row=$this->user->get_by_email($email);
			if($user_row)
			{
				$table_data['USER_ID']=$user_row->USER_ID;
			}
			else
			{
				$table['USER_EMAIL']=trim($this->input->post('LISTING_EMAIL'));
				$table['USER_REGISTER_DATE']=date(SQL_DATE_TIME_FORMAT);
				$table['USER_STATUS']=1;
				$table['USER_PHONE']=$this->input->post('LISTING_PHONE');
			    $password=getUniqueID(6);
			    $table['USER_PASSWORD']=sha1($password);
				if(!$user_id=$this->user->add_new($table,true))
				{
					$data['msg_level']=1;
					$data["msg_value"]="An error occured while adding";
					$this->load->view('classifieds/post',$data);
					return;
				} 
			  
				$table_data['USER_ID']=$user_id;
				
			}
		}	
		
		
		$table_data['LOCATION']=get_option_name($data["city_values"],$table_data['DISTRICT_ID']).' '.get_option_name($data["location_values"],$table_data['LOCATION_ID']);
		if(!$id=$this->obj_model->add_new($table_data,true))
		{
			$data['msg_level']=1;
			$data["msg_value"]="An error occured while adding";
			$this->load->view('classifieds/post',$data);
			return;
		}
		$table_images['LISTING_ID']= $id;
		foreach($_SESSION['images'] as $key=>$val)
		{
			$table_images['LISTING_IMAGE']=$val;
			$this->obj_model->add_image($table_images,true);
			
		}
		
		if($table_data['CATEGORY_ID']==2)
		{
			
			$table_job['COMPANY_NAME']=filter_field($this->input->post('COMPANY_NAME'));
			$table_job['JOB_TYPE']=filter_field($this->input->post('JOB_TYPE'));
			$table_job['DESIGNATION']=filter_field($this->input->post('DESIGNATION'));
			$table_job['COMPENSATION']=filter_field($this->input->post('COMPENSATION'));
			$table_job['EXPERIENCE']=filter_field($this->input->post('EXPERIENCE'));
			$table_job['LISTING_ID']=$id;
			if($table_job['COMPANY_NAME'] || $table_job['JOB_TYPE'] || $table_job['DESIGNATION'] || $table_job['COMPENSATION'] || $table_job['EXPERIENCE'])
			{
				$this->obj_model->add_job_options($table_job,false);
			}
			
		}
		
		if($table_data['CATEGORY_ID']==4)
		{
			
			$table_event['EVENT_START_DATE']=filter_field(display_to_sql_date($this->input->post('EVENT_START_DATE')));
			$table_event['EVENT_END_DATE']=filter_field(display_to_sql_date($this->input->post('EVENT_END_DATE')));
			$table_event['EVENT_START_TIME']=filter_field($this->input->post('EVENT_START_TIME'));
			$table_event['EVENT_END_TIME']=filter_field($this->input->post('EVENT_END_TIME'));
			$table_event['LISTING_ID']=$id;
			if($table_event['EVENT_START_DATE'] || $table_event['EVENT_END_DATE'] || $table_event['EVENT_START_TIME'] || $table_event['EVENT_END_TIME'])
			{
				$this->obj_model->add_event_options($table_event,false);
			}
			
		}
		if($password)
		{
			$table['password']=$password;
			$admin_mail=$this->admin->get_email();
			$this->user_mail($table,$admin_mail);
			$this->admin_mail($table,$admin_mail);
		}
		if(!$this->user_entry->is_logged_in())
		{
			$this->user_entry->set_user($email);
		}
		redirect('user/options');
	}
	
	
	
	function user_mail($datas,$admin_mail)
	{ 
	  		
		
		
		$to = $datas['USER_EMAIL'];
        $subject = "Registration in SFC";
        $message = $this->load->view('templates/user_mail',$datas,TRUE);
	    //$message ='test';
		//$from = $datas['email'];
		$from = "$admin_mail";
 		$headers = "From:" . $from."\r\n";

		$headers .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";

 		mail($to,$subject,$message,$headers);
 		return;
		
		
		
		
	}
	
	function admin_mail($datas,$admin_mail)
	{ 
	  		
		
		
		$to = $admin_mail;
        $subject = "User Registration in SFC";
        $message = $this->load->view('templates/admin_mail',$datas,TRUE);
	    //$message ='test';
		//$from = $datas['email'];
		$from = $datas['USER_EMAIL'];
 		$headers = "From:" . $from."\r\n";

		$headers .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";

 		mail($to,$subject,$message,$headers);
 		return;
		
		
		
		
	}
	
	
	function beforeedit_post($message_level=0,$action=0,$message="")
	{
		//$this->admin_entry->is_admin();
		$this->user_entry->is_user();
		$image_array=array();
		session_start();
		unset($_SESSION['images']);
		$id=$this->uri->segment(3);
		if(!$row=$this->obj_model->get_by_id($id))
	    {
			//$this->redirect_page($this->change_url,1,"Invalid $this->table_desc");
			return;
		}
		$this->form_validation->set_rules($this->_get_rules());
		
		$data["header_tags"]="";
		//$data['msg_level']=$message_level;
		$data['row']=$row;
		$images=$this->obj_model->get_images($row->LISTING_ID);
		foreach($images as $image)
		{
			$image_array[]=$image['LISTING_IMAGE'];
		}
		$_SESSION['images']=$image_array;
		$data['job_row']=$this->obj_model->get_job_option($row->LISTING_ID);
		$data['event_row']=$this->obj_model->get_event_option($row->LISTING_ID);
		//$data["msg_value"]=getMessage($message_level,$action,$message);
		$data["title"]='';
		$this->form_validation->set_error_delimiters('<div  class="error">', '</div>');
		$data["header_tags"]="";
		$data["title"]='';
		$data["sub_category_values"]=$this->sub_category->get_options();
		$data["category_values"]=$this->category->get_options();
		$data["city_values"]=$this->district->get_options();
		$data["location_values"]=$this->location->get_options();
		$data["salary_values"]=$this->obj_model->get_salary_values();
		$data["job_type_values"]=$this->obj_model->get_job_type_values();
		$data["exp_values"]=$this->obj_model->get_exp_values();
		$data['category_row']=$this->category->get_by_id($row->CATEGORY_ID);
		$this->load->view('classifieds/edit_post',$data);

	}
	
	
	
	function edit_post()
	{
		
		session_start();
		$id=$this->input->post('LISTING_ID');
		$row=$this->obj_model->get_by_id($id);
		$fields=$this->_get_fields();
		$rules=$this->_get_rules();
		$category_row=$this->category->get_by_id($this->input->post('CATEGORY_ID',true));
		$data['category_row']=$category_row;
		if($category_row->CATEGORY_ID == 1)
		{
			$rules[]=array(
                     'field'   => 'LISTING_PRICE', 
                     'label'   => 'Price', 
                     'rules'   => 'required|numeric'
                  );		 
		}
		$image_array=array();
		$images=$this->obj_model->get_images($row->LISTING_ID);
		foreach($images as $image)
		{
			$image_array[]=$image['LISTING_IMAGE'];
		}
		
		$this->form_validation->set_rules($rules);
		$this->form_validation->set_error_delimiters('<div  class="error">', '</div>');
		$data["header_tags"]="";
		$data["title"]='';
		$data["sub_category_values"]=$this->sub_category->get_options();
		$data["category_values"]=$this->category->get_options();
		$data["city_values"]=$this->district->get_options();
		$data["location_values"]=$this->location->get_options();
		$data["salary_values"]=$this->obj_model->get_salary_values();
		$data["job_type_values"]=$this->obj_model->get_job_type_values();
		$data['sell_text']=$this->input->post('type_sell');
		$data['buy_text']=$this->input->post('type_buy');
		$data["exp_values"]=$this->obj_model->get_exp_values();
		$data['row']=$row;
		if ($this->form_validation->run() == FALSE)
		{   
		   
			
			
			$this->load->view('classifieds/edit_post',$data);
			return;
		}
	   /*
	    if($this->obj_model->unique_exists($this->input->post($this->obj_model->unique_field,true),-1))// check all other rows
		{
			$data['msg_level']=1;
			$data["msg_value"]="$this->unique_desc  already exists";
			$this->load->view($this->add_view,$data);
			return;
		}
		
		*/
		
		$table_data=$this->_get_table_data();
		$table_data['LISTING_TYPE']=$row->LISTING_TYPE;
		
		if(!$this->obj_model->update($table_data,$row->LISTING_ID))
		{
			$data['msg_level']=1;
			$data["msg_value"]="An error occured while updating";
			$this->load->view('classifieds/EDIT_POST',$data);
			return;
		}
		
		$table_images['LISTING_ID']= $id;
		foreach($_SESSION['images'] as $key=>$val)
		{
			if(!in_array($val,$image_array))
			{
				$table_images['LISTING_IMAGE']=$val;
				$this->obj_model->add_image($table_images,true);
			}	
			
		}
		
		
			
		if($table_data['CATEGORY_ID']==2)
		{
			
			
			$table_job['COMPANY_NAME']=filter_field($this->input->post('COMPANY_NAME'));
			$table_job['JOB_TYPE']=filter_field($this->input->post('JOB_TYPE'));
			$table_job['DESIGNATION']=filter_field($this->input->post('DESIGNATION'));
			$table_job['COMPENSATION']=filter_field($this->input->post('COMPENSATION'));
			$table_job['EXPERIENCE']=filter_field($this->input->post('EXPERIENCE'));
			$table_job['LISTING_ID']=$id;
			if($job_row=$this->obj_model->job_option_exist($id))
			{
				$this->obj_model->update_job_option($table_job,$job_row->JOB_OPTION_ID);
			}
		    else
			{
				if($table_job['COMPANY_NAME'] || $table_job['JOB_TYPE'] || $table_job['DESIGNATION'] || $table_job['COMPENSATION'] || $table_job['EXPERIENCE'])
				{
					$this->obj_model->add_job_options($table_job,false);
				}
			}
		}
		
		if($table_data['CATEGORY_ID']==4)
		{
			
			$table_event['EVENT_START_DATE']=filter_field(display_to_sql_date($this->input->post('EVENT_START_DATE')));
			$table_event['EVENT_END_DATE']=filter_field(display_to_sql_date($this->input->post('EVENT_END_DATE')));
			$table_event['EVENT_START_TIME']=filter_field($this->input->post('EVENT_START_TIME'));
			$table_event['EVENT_END_TIME']=filter_field($this->input->post('EVENT_END_TIME'));
			$table_event['LISTING_ID']=$id;
			if($event_row=$this->obj_model->event_option_exist($id))
			{
				$this->obj_model->update_event_option($table_event,$event_row->EVENT_OPTION_ID);
			}
			else
			{
				if($table_event['EVENT_START_DATE'] || $table_event['EVENT_END_DATE'] || $table_event['EVENT_START_TIME'] || $table_event['EVENT_END_TIME'])
				{
					$this->obj_model->add_event_options($table_event,false);
				}
			}
		}
		
		
		redirect('user/options');
	}
	
	// function for deleting a classified
	
	/*function delete()
	{
	    $this->user_entry->is_user();
        $id = $this->uri->segment(3);
		if(!$row=$this->obj_model->get_by_id($id))
	    {
			
			$this->redirect_page('user/options',1," Invalid $this->table_desc, Please retry");
			return;
		}

		$this->obj_model->delete($id);
		$this->redirect_page($this->change_url,2,"$this->table_desc information removed successfully");
		return;
    } */
	
	
	function advanced_search()
	{
		
		
		$fields=$this->_get_fields();
		$rules=$this->_get_search_fields();
		$this->form_validation->set_rules($rules);
		$this->form_validation->set_error_delimiters('<div  class="error">', '</div>');
		$data["header_tags"]="";
		$data["title"]='';
		$data["sub_category_values"]=$this->sub_category->get_options();
		$data["category_values"]=$this->category->get_options();
		$data["city_values"]=$this->district->get_options();
		$data["location_values"]=$this->location->get_options();
		$data["type_values"]=$this->obj_model->get_type_values();
		$this->load->view('classifieds/advanced_search',$data);
	}
	
	
	function listall($id=0,$msg_level=0,$message='')
	{
	   
       	$searchfields=$this->_get_admin_search_fields();
		$this->form_validation->set_rules($searchfields);
		$page_vars=$this->_get_pagination_vars();
		$order_sql=$this->_get_order_by($page_vars['col_id'],$page_vars['ord_id']);
		//$order_sql='LISTING_DATE DESC';
		$conditions=$this->_get_admin_search_conditions();
		$count=$this->obj_model->get_count($conditions);
		
		$data['table_rows']=$this->obj_model->get_listings($order_sql,$conditions,$this->page_count,$page_vars['off_set']);
		$data['title']=$this->title_values['listall'];
		$data['header_tags']="";
		$data['change_url']=$this->change_url;
		$data['msg_level']=$msg_level;
		$data['msg_value']=$message;
		$data['page_vars']=$page_vars;
		$data['record_count']=$count;
		$data['page_count']=round(ceil($count/$this->page_count));
		$data['page_vars']=$page_vars;	
		$data["subcategory_values"]=$this->sub_category->get_options();
		$data["category_values"]=$this->category->get_options();
		$data["city_values"]=$this->district->get_options();
		$data["location_values"]=$this->location->get_options();	
		
		$this->load->library('jpagination');
		//$config=get_admin_pagination();
		$config=array();
		$config['base_url'] = site_url($this->change_url.'/'.$page_vars['col_id'].'/'.$page_vars['ord_id']);
		$config['script_url']='doPostBack';
		$config['col_id'] = $page_vars['col_id'];
		$config['ord_id'] = $page_vars['ord_id'];
		$config['cur_page'] = $page_vars['off_set'];
		$config['uri_segment'] = 5;
		$config['num_links'] = 4;
		$config['total_rows'] = $count;
		$config['per_page'] = $this->page_count;
		$this->jpagination->initialize($config); 
		$this->load->view($this->change_url,$data); 
		//$this->load->view($this->change_url,$data); 
	} //listall

	
	
	function search_result()
	{
		$searchfields=$this->_get_search_fields();
		$this->form_validation->set_rules($searchfields);
		$page_vars=$this->_get_pagination_vars();
		//$order_sql=$this->_get_order_by($page_vars['col_id'],$page_vars['ord_id']);
		
		$serch_datas=$this->_get_search_conditions();
		$conditions=$serch_datas['conditions'];	
		$conditions[]='listing.IS_ACTIVE =1';
		$select=$serch_datas['select'];			
		$order_sql='LISTING_DATE DESC';
		$count=$this->obj_model->get_count($conditions);
		$data['table_rows']=$this->obj_model->get($order_sql,$conditions,$this->page_count_user,$page_vars['off_set'],$select);
		$data["sub_category_values"]=$this->sub_category->get_options();
		$data["category_values"]=$this->category->get_options();
		$data["city_values"]=$this->district->get_options();
		$data["type_values"]=$this->obj_model->get_type_values();
		$data["location_values"]=$this->location->get_options();
		$data['search_type']=1;
		$data['title']='Search';
		$data['header_tags']="";
		$data['change_url']='classifieds/search_result';
		$data['msg_level']='';
		$data['msg_value']='';
		$data['page_vars']=$page_vars;
		$data['record_count']=$count;
		$data['page_count']=round(ceil($count/$this->page_count_user));
		$data['page_vars']=$page_vars;		
		$this->load->library('jpagination');
		$config=get_admin_pagination();
		$config['base_url'] = site_url('classifieds/search_result'.'/'.$page_vars['col_id'].'/'.$page_vars['ord_id']);
		$config['script_url']='doPostBack';
		$config['col_id'] = $page_vars['col_id'];
		$config['ord_id'] = $page_vars['ord_id'];
		$config['cur_page'] = $page_vars['off_set'];
		$config['uri_segment'] = 5;
		$config['num_links'] = 4;
		$config['total_rows'] = $count;
		$config['per_page'] = $this->page_count_user;
		$this->jpagination->initialize($config); 
		$this->load->view('classifieds/search',$data); 
		
		
	}
	
	
	
	//  function for search by category name
	
	function category_search()
	{
		$category_id=$this->uri->segment(3);
		$page_vars=$this->_get_pagination_vars();
		$order_sql='LISTING_DATE DESC';
		$conditions=array();
		$conditions[]="listing.CATEGORY_ID ='$category_id'";
		$conditions[]='listing.IS_ACTIVE =1';
		$select=array();
		//$conditions['CATEGORY_ID']=$category_id;
		$count=$this->obj_model->get_count($conditions);
		$data["sub_category_values"]=$this->sub_category->get_options();
		$data["category_values"]=$this->category->get_options();
		$data["city_values"]=$this->district->get_options();
		$data["type_values"]=$this->obj_model->get_type_values();
		$data["location_values"]=$this->location->get_options();
		$data['table_rows']=$this->obj_model->get($order_sql,$conditions,$this->page_count_user,$page_vars['off_set'],$select);
		$data['title']='Category Search';
		$data['header_tags']="";
		$data['change_url']='classifieds/category_search';
		$data['msg_level']=$msg_level;
		$data['msg_value']=$message;
		$data['page_vars']=$page_vars;
		$data['record_count']=$count;
		$data['page_count']=round(ceil($count/$this->page_count_user));
		$data['page_vars']=$page_vars;
		$data['search_type']=2;		
		$data['id']=$category_id;
		$this->load->library('jpagination');
		$config=get_admin_pagination();
		$config['base_url'] = site_url('classifieds/category_search'.'/'.$page_vars['col_id'].'/'.$page_vars['ord_id']);
		$config['script_url']='doPostBack';
		$config['col_id'] = $page_vars['col_id'];
		$config['ord_id'] = $page_vars['ord_id'];
		$config['cur_page'] = $page_vars['off_set'];
		$config['uri_segment'] = 5;
		$config['num_links'] = 4;
		$config['total_rows'] = $count;
		$config['per_page'] = $this->page_count_user;
		$this->jpagination->initialize($config); 
		$this->load->view('classifieds/search',$data); 
		
		
	}
	
	
	// function for showing all the details of a classified
	
	function details()
	{
		
		$id=$this->uri->segment(3);
		$row=$this->obj_model->get_by_id($id);
		
		$view_row=$this->obj_model->get_view_count($id);
		if(!$view_row)
		{
			$table['LISTING_VIEW_COUNT']=1;
			$table['LISTING_ID']=$id;
			$this->obj_model->add_view_count($table);
		}
		else
		{
			$table['LISTING_VIEW_COUNT']=($view_row->LISTING_VIEW_COUNT) +1;
			$this->obj_model->update_view_count($table,$id);
		}
		$data['listing_row']=$row;
		$data['id']=$id;
		$data["sub_category_values"]=$this->sub_category->get_options();
		$data["category_values"]=$this->category->get_options();
		$data["city_values"]=$this->district->get_options();
		$data["type_values"]=$this->obj_model->get_type_values();
		$data["location_values"]=$this->location->get_options();
		$this->load->view('classifieds/details',$data);
		return;
	}
	
	//  function for search by sub category name
	
	function subcategory_search()
	{
		
		$sub_category_id=$this->uri->segment(3);
		$page_vars=$this->_get_pagination_vars();
		$order_sql='LISTING_DATE DESC';
		$conditions=array();
		$conditions[]="listing.SUB_CATEGORY_ID ='$sub_category_id'";
		$conditions[]='listing.IS_ACTIVE =1';
		$select=array();
		//$conditions['SUB_CATEGORY_ID']=$sub_category_id;
		$count=$this->obj_model->get_count($conditions);
		$data["sub_category_values"]=$this->sub_category->get_options();
		$data["category_values"]=$this->category->get_options();
		$data["city_values"]=$this->district->get_options();
		$data["type_values"]=$this->obj_model->get_type_values();
		$data["location_values"]=$this->location->get_options();
		$data['table_rows']=$this->obj_model->get($order_sql,$conditions,$this->page_count_user,$page_vars['off_set'],$select);
		$data['title']='Category Search';
		$data['header_tags']="";
		$data['change_url']='classifieds/subcategory_search';
		$data['msg_level']=$msg_level;
		$data['msg_value']=$message;
		$data['page_vars']=$page_vars;
		$data['record_count']=$count;
		$data['page_count']=round(ceil($count/$this->page_count_user));
		$data['page_vars']=$page_vars;
		$data['search_type']=3;		
		$data['id']=$sub_category_id;
		$this->load->library('jpagination');
		$config=get_admin_pagination();
		$config['base_url'] = site_url('classifieds/subcategory_search'.'/'.$page_vars['col_id'].'/'.$page_vars['ord_id']);
		$config['script_url']='doPostBack';
		$config['col_id'] = $page_vars['col_id'];
		$config['ord_id'] = $page_vars['ord_id'];
		$config['cur_page'] = $page_vars['off_set'];
		$config['uri_segment'] = 5;
		$config['num_links'] = 4;
		$config['total_rows'] = $count;
		$config['per_page'] = $this->page_count_user;
		$this->jpagination->initialize($config); 
		$this->load->view('classifieds/search',$data); 
		
		
	}
	
	
	
	// funhction for list all classifieds of a user 
	
	function listall_user()
	{
		
		$user_id=$this->uri->segment(3);
		$listing_id=$this->uri->segment(4);
		if(! $user_id || ! $listing_id)
		{
			redirect('home');
		}
		$page_vars=$this->_get_pagination_vars();
		$order_sql='LISTING_DATE DESC';
		$conditions=array();
		$conditions[]="listing.USER_ID ='$user_id'";
		$conditions[]="listing.LISTING_ID !=$listing_id";
		$conditions[]='listing.IS_ACTIVE =1';
		 $select=array();
		//$conditions['SUB_CATEGORY_ID']=$sub_category_id;
		$count=$this->obj_model->get_count($conditions);
		$data["sub_category_values"]=$this->sub_category->get_options();
		$data["category_values"]=$this->category->get_options();
		$data["city_values"]=$this->district->get_options();
		$data["type_values"]=$this->obj_model->get_type_values();
		$data["location_values"]=$this->location->get_options();
		$data['table_rows']=$this->obj_model->get($order_sql,$conditions,$this->page_count_user,$page_vars['off_set'],$select);
		$data['title']='Search';
		$data['header_tags']="";
		$data['change_url']='classifieds/subcategory_search';
		$data['record_count']=$count;
		$data['page_count']=round(ceil($count/$this->page_count_user));
		$data['page_vars']=$page_vars;
		$data['search_type']=4;		
		$this->load->library('jpagination');
		$config=get_admin_pagination();
		$config['base_url'] = site_url('classifieds/subcategory_search'.'/'.$page_vars['col_id'].'/'.$page_vars['ord_id']);
		$config['script_url']='doPostBack';
		$config['col_id'] = $page_vars['col_id'];
		$config['ord_id'] = $page_vars['ord_id'];
		$config['cur_page'] = $page_vars['off_set'];
		$config['uri_segment'] = 5;
		$config['num_links'] = 4;
		$config['total_rows'] = $count;
		$config['per_page'] = $this->page_count_user;
		$this->jpagination->initialize($config); 
		$this->load->view('classifieds/search',$data); 
		
		
	}
	
	
	// function for getting sub categories of selected category
	
	function get_subcategory()
	{
		$cat_id=$this->uri->segment(3);
		$data['sub_category_values']=$this->sub_category->get_by_category($cat_id);
		$this->load->view('classifieds/subcategory',$data);
	}
	
	
	function get_category_type()
	{
		$cat_id=$this->uri->segment(3);
		$cat_row=$this->category->get_by_id($cat_id);
		echo $cat_row->CATEGORY_TYPE;
	}
	
	function get_subcategory_user()
	{
		$cat_id=$this->uri->segment(3);
		$data['sub_category_values']=$this->sub_category->get_by_category($cat_id);
		$this->load->view('classifieds/subcategory_user',$data);
	}
	
	
	function activate()
	{
		$id=$this->uri->segment(3);
		$table['IS_ACTIVE']=1;
		$this->obj_model->update($table,$id);
		$this->redirect_page($this->change_url,2,"Classified activated successfully");
	}
	
	function deactivate()
	{
		$id=$this->uri->segment(3);
		$table['IS_ACTIVE']=2;
		$this->obj_model->update($table,$id);
		$this->redirect_page($this->change_url,2,"Classified deactivated successfully");
	}

	
	
	function reply()
	{
		$id=$this->uri->segment(3);
		$row=$this->obj_model->get_by_id($id);
		$name=$this->input->post('name',true);
		$email=$this->input->post('email',true);
		$phone=$this->input->post('phone',true);
		$message=$this->input->post('message',true);
		$user_email=$this->input->post('email',true);
		$table['REPLY_NAME']=$name;
		$table['REPLY_EMAIL']=$email;
		$table['REPLY_PHONE']=$phone;
		$table['REPLY_MESSAGE']=$message;
		$table['LISTING_ID']=$id;
		
		$table['REPLY_DATE']=date(SQL_DATE_TIME_FORMAT);
		$admin_mail=$this->admin->get_email();
		$this->obj_model->add_reply($table);
		$table['user_email']=$row->USER_EMAIL;
		$table['title']=$row->LISTING_TITLE;
		$this->reply_mail($table,$admin_mail);
		redirect('classifieds/details/'.$id);
	}
	
	
	function reply_mail($datas,$admin_mail)
	{ 
	  		
		
		
		$to = $datas['user_email'];
		$subject = "Reply for a product in SFC";
        $message = $this->load->view('templates/reply_mail',$datas,TRUE);
	    //$message ='test';
		//$from = $datas['email'];
		$from =$datas['REPLY_EMAIL'];
 		$headers = "From:" . $from."\r\n";

		$headers .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";

 		mail($to,$subject,$message,$headers);
 		return;
		
		
		
		
	}
	
	
	function delete_image()
	{
		$image=trim($this->uri->segment(3));
		
		$this->_delete_file($image);
		 session_start();
	    foreach($_SESSION['images'] as $key=>$val)
		{
			
			if($image == trim($val))
			{
				unset($_SESSION['images'][$key]);
			}	
		}
		
	}
	
	
	function delete_image_exist()
	{
		$image=trim($this->uri->segment(3));
		$this->obj_model->delete_image(trim($image));
		$this->_delete_file($image);
		
		session_start();
	    foreach($_SESSION['images'] as $key=>$val)
		{
			
			if($image == trim($val))
			{
				unset($_SESSION['images'][$key]);
			}	
		}
		
	}
	
	// function for uploading images
	
	function upload_image()
	{
		
		$this->load->library('upload');
		$this->upload->initialize($this->_get_upload_config(1));
		$uploaded=false;
		$file_name='fileToUpload';
		$uploaded=$this->upload->do_upload($file_name);	
		$error = "";
		$msg="";
		if ( ! $uploaded )
		{
			 $upload_valid=false;
			 $error =$this->upload->display_errors();
			
		}
		if($uploaded)
		{
		  $file_data = $this->upload->data();
		  $file=$file_data['file_name'];				
		 
		} 
		session_start();
		if(!isset($_SESSION['images']))
		{
			
			$_SESSION['images']=array();
		} 
		if($uploaded)
		{
			$old_data=$_SESSION['images'];
			$old_data[]=$file_data['file_name'];
			$_SESSION['images']=$old_data;
	   		$msg= $file;
		}	
		
		//echo 'success';
		
		//echo $msg;
		
		echo "{";
	    echo				"error: '" . $error . "',\n";
	    echo				"msg: '" . $msg . "'\n";
	    echo "}"; 
		  
		 				 
		
		
	}

	
	// function for edit category
	
	function beforeedit($message_level=0,$action=0,$message="")
	{
		$this->admin_entry->is_admin();
		$id=$this->uri->segment(3);
		if(!$row=$this->obj_model->get_by_id($id))
	    {
			$this->redirect_page($this->change_url,1,"Invalid $this->table_desc");
			return;
		}
		$this->form_validation->set_rules($this->_get_rules(2));
		
		$data["header_tags"]="";
		//$data['msg_level']=$message_level;
		$data['row']=$row;
		//$data["msg_value"]=getMessage($message_level,$action,$message);
		$data["sub_category_values"]=$this->sub_category->get_options();
		$data["title"]=$this->title_values['edit'];
		$this->load->view($this->edit_view,$data);

	}
	
	// function for edit category

	function edit()
	{
	    $this->admin_entry->is_admin();
        $admin_type=$this->admin_entry->get_admin_type();
      	$this->form_validation->set_rules($this->_get_rules(0));
	    $this->form_validation->set_error_delimiters('<div  class="error">', '</div>');
		$id = $this->input->post($this->obj_model->primary_key);
		if(!$row=$this->obj_model->get_by_id($id))
	    {
			$this->redirect_page($this->change_url,1,"Invalid $this->table_desc");
			return;
		}

		$data["header_tags"]="";
		$data["title"]=$this->title_values['edit'];
		$data["sub_category_values"]=$this->sub_category->get_options();
    	if ($this->form_validation->run() == FALSE)
		{ 
			$this->load->view($this->edit_view,$data);
			return;
		}
		if($this->obj_model->unique_exists($this->input->post($this->obj_model->unique_field,true),$id))// check all other rows
		{
			$data['msg_level']=1;
			$data["msg_value"]="$this->unique_desc  already exists";
			$this->load->view($this->edit_view,$data);
			return;
		}
		$table_data=$this->_get_table_data();
	   
			
		if(!$this->obj_model->update($table_data,$id))
		{
			$data['msg_level']=1;
			$data["msg_value"]="An error occured while updating";
			$this->load->view($this->edit_view,$data);
			return;
		}
		$this->redirect_page($this->change_url,2,"$this->table_desc information updated successfully");
		return;
    }  //end edit
	
	// function for delete category
	
	function beforedelete()
	{
		$this->admin_entry->is_admin();
       	$id = $this->uri->segment(3);
		$row =$this->obj_model->get_by_id($id);
		
		if(!$row)
		{
			$this->redirect_page($this->change_url,1,"Invalid $this->table_desc");
			return;
		}
		
		$data["title"]=$this->title_values['delete'];
		$data["header_tags"]="";
		$data["sub_category_values"]=$this->sub_category->get_options();
		$data['row']=$row;
		$this->load->view($this->delete_view,$data);
	}
	
	// function for delete category

	function delete()
	{
	    $this->admin_entry->is_admin();
        $id = $this->input->post($this->obj_model->primary_key);
		if(!$row=$this->obj_model->get_by_id($id))
	    {
			
			$this->redirect_page($this->change_url,1," Invalid $this->table_desc, Please retry");
			return;
		}

		if(!$this->obj_model->delete($id))
		{
			$data['msg_level']=1;
			$data["msg_value"]="An error occured while deleting";
			$this->load->view($this->delete_view,$data);
			return;
		}
		$this->redirect_page($this->change_url,2,"$this->table_desc information removed successfully");
		return;
    }
	
	
	
	function replies()
	{
		
	    
		$this->user_entry->is_user();
		$user=$this->user_entry->get_user();
		$user_row=$this->user->get_by_email(trim($user));
		$data['user_row']=$user_row;
		$id=$this->uri->segment(3);
		if(!$id)
		{
			redirect('user/options');
			return;
		}
		$user_id=$user_row->USER_ID;
		$page_vars=$this->_get_pagination_vars();
		$order_sql='REPLY_DATE DESC';
		$conditions=array();
		$count=$this->obj_model->get_count_replies($user_id);
		$data['table_rows']=$this->obj_model->get_replies($order_sql,$id,100,$page_vars['off_set']);
		$data['title']='Replies';
		$data['header_tags']="";
		$data['change_url']='classifieds/replies';
		$data['record_count']=$count;
		$data['page_count']=round(ceil($count/100));
		$data['page_vars']=$page_vars;
		$data['search_type']=4;		
		$this->load->library('jpagination');
		$config=get_admin_pagination();
		$config['base_url'] = site_url('classifieds/replies'.'/'.$page_vars['col_id'].'/'.$page_vars['ord_id']);
		$config['script_url']='doPostBack';
		$config['col_id'] = $page_vars['col_id'];
		$config['ord_id'] = $page_vars['ord_id'];
		$config['cur_page'] = $page_vars['off_set'];
		$config['uri_segment'] = 5;
		$config['num_links'] = 4;
		$config['total_rows'] = $count;
		$config['per_page'] = 100;
		$this->jpagination->initialize($config); 
		$this->load->view('user/replies',$data); 
		
		
	}
	
	
	
	function delete_post()
	{
	    $this->user_entry->is_user();
        $id = $this->uri->segment(3);;
		if(!$row=$this->obj_model->get_by_id($id))
	    {
			
			$this->redirect_page('user/options',1," Invalid $this->table_desc, Please retry");
			return;
		}

		if(!$this->obj_model->delete($id))
		{
			$data['msg_level']=1;
			$data["msg_value"]="An error occured while deleting";
			//$this->load->view($this->delete_view,$data);
			return;
		}
		
	/*	if(!$this->obj_model->delete($id))
		{
			$data['msg_level']=1;
			$data["msg_value"]="An error occured while deleting";
			//$this->load->view($this->delete_view,$data);
			return;
		} */
		
		$this->redirect_page('user/options',2,"$this->table_desc information removed successfully");
		return;
    }
	
	
	
	/* OTHER METHODS */
	
	
	function _get_fields($update=0)
	{
		$fields["LISTING_TITLE"]	= '';
		$fields["SUB_CATEGORY_ID"]	= '';
		$fields["CATEGORY_ID"]	= '';
		$fields["BI_CATEGORY_ID"]	= '';
		$fields["LISTING_DETAILS"]	= '';
		$fields["DISTRICT_ID"]	= '';
		$fields["LOCATION_ID"]	= '';
		$fields["LISTING_PRICE"]	= '';
		$fields["LISTING_TYPE"]	= '';
		return $fields;
	}
	function _get_rules($update=0)
	{
			
		
		$config=array();
		$config[] = array(
                     'field'   => 'CATEGORY_ID', 
                     'label'   => 'Category', 
                     'rules'   => 'required'
                     );
		
		
            if($this->input->post('CATEGORY_ID'))
			{      
				  
			$config[] = array(
                     'field'   => 'SUB_CATEGORY_ID', 
                     'label'   => 'Sub Category', 
                     'rules'   => 'required'
                  );	
				  
			}	  
			
              
				  
			$config[] = array(
                     'field'   => 'BI_CATEGORY_ID', 
                     'label'   => 'Bicategory', 
                     'rules'   => ''
                  );	
				  
			$config[] = array(
                     'field'   => 'LISTING_DETAILS', 
                     'label'   => 'Details', 
                     'rules'   => 'required'
                  );
		   $config[] = array(
                     'field'   => 'LISTING_TITLE', 
                     'label'   => 'Title', 
                     'rules'   => 'required'
                  );
		   $config[] = array(
                     'field'   => 'DISTRICT_ID', 
                     'label'   => 'City', 
                     'rules'   => 'required'
                  );
				  
		   $config[] = array(
                     'field'   => 'LOCATION_ID', 
                     'label'   => 'Location', 
                     'rules'   => 'required'
                  );	
				  
				  if($update == 1 && !$this->user_entry-> is_logged_in())
				  {
				  
					$config[] = array(
                    	 'field'   => 'LISTING_EMAIL', 
                    	 'label'   => 'Email', 
                    	 'rules'   => 'required|valid_email'
                  	);	
					
					 $config[] = array(
                     'field'   => 'LISTING_PHONE', 
                     'label'   => 'Mobile', 
                     'rules'   => ''
                 	 );	
						    		  		  	    		  			  		  		 
				  }
				  	
			
				  
			
			
				  $config[] = array(
                     'field'   => 'JOB_TYPE', 
                     'label'   => 'Job Type', 
                     'rules'   => ''
                  );	
				  $config[] = array(
                     'field'   => 'DESIGNATION', 
                     'label'   => 'Designation', 
                     'rules'   => ''
                  );	
				  $config[] = array(
                     'field'   => 'EXPERIENCE', 
                     'label'   => 'Experience', 
                     'rules'   => ''
                  );	
				  $config[] = array(
                     'field'   => 'COMPENSATION', 
                     'label'   => 'Compensation', 
                     'rules'   => ''
                  );
				  
				   $config[] = array(
                     'field'   => 'EVENT_START_DATE', 
                     'label'   => 'Start Date', 
                     'rules'   => ''
                  );
				   $config[] = array(
                     'field'   => 'EVENT_START_TIME', 
                     'label'   => 'Start Time', 
                     'rules'   => ''
                  );
				   $config[] = array(
                     'field'   => 'EVENT_END_DATE', 
                     'label'   => 'End Date', 
                     'rules'   => ''
                  );
				   $config[] = array(
                     'field'   => 'EVENT_END_TIME', 
                     'label'   => 'End Time', 
                     'rules'   => ''
                  );			    		  	
	
		return $config;
		
	}
	
	function  _get_table_data()
	{
		$data='';
		if (is_array($this->_get_fields()) AND count($this->_get_fields()) > 0)
		{
			foreach ($this->_get_fields() as $key => $val)
			{
				$data[$key] = $this->input->post($key); 
                                $data[$key]=mysql_real_escape_string(trim($data[$key]));
			}
		}
		return $data;
	}//_get_table_data
	
	function _get_upload_config($type){
	            $upload_config=array();
				$upload_config['upload_path'] = './'.$this->upload_folder.'/'; 
				if($type==1)
				{
					$upload_config['allowed_types'] = 'gif|jpg|png|jpeg';
					$upload_config['max_width']  = '2000';
					$upload_config['max_height']  = '2000';
					$upload_config['max_size']	= '50';					
				}
				if($type==2)
				{
					$upload_config['allowed_types'] = 'gif|jpg|png|jpeg';
					$upload_config['max_width']  = '600';
					$upload_config['max_height']  = '600';
					$upload_config['max_size']	= '50';					
				}
				if($type==3)
				{
					$upload_config['allowed_types'] = 'pdf|txt|doc';
					$upload_config['max_size']	= '1200';					
				}				
				$upload_config['encrypt_name']=TRUE;
				return $upload_config;
	}

    //upload depended function 2
	function _delete_file($file_name){
	        if(is_string($file_name)){
			  $my_file = ROOT_FOLDER.$this->upload_folder."/".$file_name;
			    if(is_file($my_file)){
                   unlink($my_file);
			    }
			}
			if(is_array($file_name)){
			  foreach($file_name as $key=>$value){
			    $my_file = ROOT_FOLDER.$this->upload_folder."/".$value;
				  if(is_file($my_file)){
				     unlink($my_file);
				  }
			  }
			}
	}
	
	 function redirect_page($url,$msg_level,$msg_value)
	{
		  $data['title']='Message';
		  $data['redirect']=true;
		  $data['redirect_url']=site_url($url);
		  $data['msg_level']=$msg_level;
		  $data['msg_value']=$msg_value;
		  $this->load->view('admin_redirect',$data);
    }//redirect_page
	
	function _get_pagination_vars()
	{
	   $page_vars=array('col_id' => 0,'ord_id' => 0,'off_set' => 0 );
	   $page_vars['col_id']=$this->input->post('COL_ID')==''?-1:$this->input->post('COL_ID');
	   $page_vars['ord_id']=$this->input->post('ORD_ID')==''?0:$this->input->post('ORD_ID');
	   $page_vars['off_set']=$this->input->post('OFF_SET')==''?0:$this->input->post('OFF_SET');
	   return $page_vars;
	}//_get_pagination_vars 

	function _get_order_by($sel_column_id="",$sel_order_id="")
	{
	   $blocks = array('');
	   $field_keys=array_keys($this->_get_fields(1));
	   $orders=array(0 => ' ASC ', 1 => ' DESC ');
	   
	   if (!isset($field_keys[$sel_column_id]))
	   {
		  return $this->obj_model->sort_field;
	   }
	   if (($field_keys[$sel_column_id] == "") || ($orders[$sel_order_id] == ""))
	   {
		  return $this->obj_model->sort_field;
	   }
	   if(in_array($sel_column_id,$blocks))
	   {
		  return $this->obj_model->sort_field;
	   }
	    return $field_keys[$sel_column_id].'  '.$orders[$sel_order_id];
	   
	}//_get_order_by
	
	function _get_search_fields($condition=0)
	{
		$config=array();
		$config[] = array(
                     'field'   => 'CATEGORY_ID', 
                     'label'   => 'Category', 
                     'rules'   => ''
                     );
		$config[] = array(
                     'field'   => 'SUB_CATEGORY_ID', 
                     'label'   => 'Sub Category', 
                     'rules'   => ''
                     );
		$config[] = array(
                     'field'   => 'DISTRICT_ID', 
                     'label'   => 'City', 
                     'rules'   => ''
                     );
					 
		$config[] = array(
                     'field'   => 'LOCATION_ID', 
                     'label'   => 'Location', 
                     'rules'   => ''
                     );
					 
		$config[] = array(
                     'field'   => 'LISTING_TYPE', 
                     'label'   => 'Ad Type', 
                     'rules'   => ''
                     );
					 
		$config[] = array(
                     'field'   => 'KEYWORD', 
                     'label'   => 'keyword', 
                     'rules'   => ''
                     );	
					 
		$config[] = array(
                     'field'   => 'LISTING_PRICE', 
                     'label'   => 'price', 
                     'rules'   => ''
                     );				 		 			 			 			 			 

		return $config;
	}//_get_search_fields
	
	
	
	
	function _get_admin_search_fields($condition=0)
	{
		$config=array();
		$config[] = array(
                     'field'   => 'CATEGORY_ID_S', 
                     'label'   => 'Category', 
                     'rules'   => ''
                     );
		$config[] = array(
                     'field'   => 'SUB_CATEGORY_ID_S', 
                     'label'   => 'Sub Category', 
                     'rules'   => ''
                     );
		$config[] = array(
                     'field'   => 'LISTING_TITLE_S', 
                     'label'   => 'Tile', 
                     'rules'   => ''
                     );
					 
				 		 			 			 			 			 

		return $config;
	}//_get_search_fields
	
	
	function _get_search_conditions()
	{
		$conditions=array();
		$select=array();
		$category=$this->input->post("CATEGORY_ID", true);
		$sub_category=$this->input->post("SUB_CATEGORY_ID", true);
		$location=$this->input->post("LOCATION_ID", true);
		$city=$this->input->post("DISTRICT_ID", true);
		$type=$this->input->post("LISTING_TYPE", true);
		$price=$this->input->post("LISTING_PRICE", true);
		$keyword=$this->input->post("KEYWORD", true);
		if($category)
		{
			$conditions[]="CATEGORY_ID ='$category'";
		}
		if($sub_category)
		{
			$conditions[]="SUB_CATEGORY_ID ='$sub_category'";
		}
		
		if($city)
		{
			$conditions[]="DISTRICT_ID ='$city'";
		}
		if($type)
		{
			$conditions[]="LISTING_TYPE ='$type'";
		}
		if($location)
		{
			$conditions[]="LOCATION_ID ='$location'";
		}
		
		if($price)
		{
			$conditions[]="LISTING_PRICE <=$price";
		}
		
		
		if($keyword)
		{
			$keyword=$this->filter_string($keyword);
			//BOOLEAN & ALL WORDS
		  		   
				 if($result=createKeywords_All($keyword,'+')) 		 
				 {					
					$keywords=$result['str'];
					$return_datas['keywords']=$result['array'];
					$match_condition=TRUE;
					$select[]="((2.3 * (MATCH( listing.LISTING_TITLE,listing.LISTING_DETAILS,listing.LOCATION ) AGAINST ('+" . $keywords . "' IN BOOLEAN MODE)))+ (.9 * (MATCH( listing.LISTING_TITLE,listing.LISTING_DETAILS,listing.LOCATION ) AGAINST ('+" . $keywords . "' IN BOOLEAN MODE)))) AS RELEVENCE"; 
					$conditions[] = "MATCH( listing.LISTING_TITLE,listing.LISTING_DETAILS,listing.LOCATION ) AGAINST ('+" . $keywords . "' IN BOOLEAN MODE)";
				 }
		}	
		
		
		$return_datas['select']=$select;
		$return_datas['conditions']=$conditions;	
		return $return_datas;	
	}//_get_search_conditions	
	
	
	function filter_string($str)
{
   $filtered_string = str_replace(array("'","(",")","&","."," ","\"","/","!","@","#","$","%","^","*","+","=","[","]",":","|","{","}","`","~",">","<","\\"),
					  array(" "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "),
					  $str);
	$filtered_string = preg_replace("/(_){2,}/i","_",$filtered_string);
	$filtered_string=trim($filtered_string,"_");					  
	return $filtered_string;
}





function _get_admin_search_conditions()
	{
		$conditions=array();
		$select=array();
		$category=$this->input->post("CATEGORY_ID_S", true);
		$sub_category=$this->input->post("SUB_CATEGORY_ID_S", true);
		$title=$this->input->post("LISTING_TITLE_S", true);
		
		if($category)
		{
			$conditions[]="CATEGORY_ID ='$category'";
		}
		if($sub_category)
		{
			$conditions[]="SUB_CATEGORY_ID ='$sub_category'";
		}
		
		if($title)
		{
			$conditions[]="LISTING_TITLE LIKE '$title'";
		}
				
		$return_datas['select']=$select;
		$return_datas['conditions']=$conditions;	
		return $conditions;	
	}//_get_search_conditions	
	
	
	

	 
}
?>
