<?php

class Listallcomments extends CI_Controller  
{
		var $title_values=Array('add'=>'New comments',
	                        'edit'=>'Update comments',
							'listall'=>'comments',
							'delete'=>'Delete comments',
							'details'=>'comments'
							);
	var $add_view='roundtablecomments/commentsadd';
	var $change_url='roundtablecomments/commentslist';
	var $change_url2='roundtablecomments/commentslistapproved';
	var $edit_view='roundtablecomments/commentsedit';
	var $delete_view='roundtablecomments/commentsdelete';
	//var $details_view='panelistcomments/category';
	var $unique_desc='comments';
	var $table_desc='comments';
	var $page_count='25';
	//var $upload_folder='uploads/category';
	

	function Listallcomments()
	{
		//parent::Controller();
		parent::__construct();


		$this->load->model('roundtablecomments_model','obj_model',TRUE);
		$this->load->model('topics_model','topics',TRUE);
		$this->load->model('panelist_model','panelist');
		$this->load->model('admin_model','admin');
		$this->load->helper(array('text','error','resize','form','date','url','sort'));
		$this->load->library('admin_entry');
		$this->load->library('user_entry');
	}
	/*CONTROLLER METHODS*/
	function index()
	{
		 $this->listall();
	}
	
	
	
	//  Function for  add
	
	function add()
	{
	    $this->admin_entry->is_admin();
      	$fields=$this->_get_fields();
      
      	$panelist=$this->admin_entry->get_admin();//getting the login person ie moderator here
      	
      //	echo $panelist;
      	
      	$panelist_row=$this->panelist->get_by_user_login_name(trim($panelist));//take user  of panelist
      	
		//print_r($panelist_row);//panelist row from usertable
		
      	
		$this->load->library('upload');
		$this->form_validation->set_rules($this->_get_rules());
		$this->form_validation->set_error_delimiters('<div  class="error">', '</div>');
		$data["header_tags"]="";
		$data["title"]=$this->title_values['add'];
		$data["comments_values"]=$this->obj_model->get_comments_options();
		$data["topics_values"]=$this->topics->get_topics_options();
		$data["publicuser_values"]=$this->admin->get_options_publicuser();
		//$data["gender_values"]=$this->obj_model->get_gender_options();
		
		

		
		
		
		
		if ($this->form_validation->run() == FALSE)
		{   
		   
			$this->load->view($this->add_view,$data);
			return;
		}
		if($this->obj_model->unique_exists($this->input->post($this->obj_model->unique_field,true),-1))// check all other rows
		{
			$data['msg_level']=1;
			$data["msg_value"]="$this->unique_desc  already exists";
			$this->load->view($this->add_view,$data);
			return;
		}
		$table_data=$this->_get_table_data();
		
		//file upload code
		
		/*$upload_valid=true;	
		$file_name=	'CATEGORY_IMAGE';
		$file_data=array();
		$upload_error='';
		$this->upload->initialize($this->_get_upload_config(1));
		//$image_name=$this->input->post('CATEGORY_IMAGE');
		$uploaded=$this->upload->do_upload($file_name);		
		
	//	if ( ( isset($_FILES[$file_name]['name']) && trim($_FILES[$file_name]['name'])!="" ) && (! $uploaded ))
	if ( (! $uploaded ))
		{
			  $upload_valid=false;
			  $upload_error='For image  : '.$this->upload->display_errors();
		}
		if($uploaded)
		{
			  $file_data = $this->upload->data();				
			  $table_data['CATEGORY_IMAGE']=$file_data['file_name'];
			  
			 				 
		}
		
		if (!$upload_valid)
		{  
			   	$data['msg_level']=1;
				$data["msg_value"]=$upload_error;
				$data['upload_folder']=$this->upload_folder;
				$data["header_tags"]="";
			    $this->load->view($this->add_view,$data);
			    return;
		 }*/
		 
		 
		//$id='';
		//$id = $this->input->post($this->obj_model->primary_key);//eg
		//$table_data['roundtable_moderator_id']=2;//eg
		//$table_data['user_type']=2;/eg
		
		$moderator_id=$moderator_row->user_id;
		//echo "</br>moderatorid=$moderator_id</br>";
		
		$table_data['roundtable_moderator_id']=$moderator_id;
		$currentdate=date("Y/m/d");
		$table_data['roundtable_topic_post_date	']=$currentdate;
		//echo"$currentdate</br>";
		
		//$currenttime=date("h:i:sa");
		$currenttime=date("Y-m-d H:i:s"); 
		//echo"$currenttime</br>";
		
		
		
		if(!$id=$this->obj_model->add_new($table_data,true))
		{
			$data['msg_level']=1;
			$data["msg_value"]="An error occured while adding";
			$this->load->view($this->add_view,$data);
			return;
		} 
		
		$this->redirect_page($this->change_url,2,"New $this->table_desc information added successfully");
		return;		
	}//add
	
	// function for list all 
	function listall($id=0,$msg_level=0,$message='')
	{
	    $this->admin_entry->is_admin();
	    
	    $topic_id   = $this->uri->segment(3);
      
            $data['topic_id']=$topic_id;//passs it as topic_id in add view form
       
        	//echo"topic_id =$topic_id </br>";
       
       
	
	
      		 //$data['topic_id']=$topic_id;//passs it as topic_id in add view form
       
       
      		 //$data['comment_id']=$commentid ;//pass it is comment_id in add view form
       
       
       
       		$searchfields=$this->_get_search_fields();
		$this->form_validation->set_rules($searchfields);
		$page_vars=$this->_get_pagination_vars();
		$order_sql=$this->_get_order_by($page_vars['col_id'],$page_vars['ord_id']);
		$conditions=$this->_get_search_conditions();
		$count=$this->obj_model->get_count($conditions);
		//echo"count=$count</br>";
		
		$data["publicuser_values"]=$this->admin->get_options_publicuser();
		
		$data["comments_values"]=$this->obj_model->get_comments_options();
		//$data["comments_countspending"]=$this->obj_model->get_count_pending($topic_id );//pending
		//$data["comments_counts"]=$this->obj_model->get_count_all($topic_id);//total
		
		$data["topics_values"]=$this->topics->get_topics_options();
		
		//$data['gender_values']=$this->obj_model->get_gender_options();
		
		$data['table_rows']=$this->obj_model->getcomments($order_sql,$conditions,$topic_id,$this->page_count,$page_vars['off_set']);
		//print_r($data['table_rows']);
		
		$data['title']=$this->title_values['listall'];
		$data['header_tags']="";
		$data['change_url']=$this->change_url;
		$data['msg_level']=$msg_level;
		$data['msg_value']=$message;
		$data['page_vars']=$page_vars;
		$data['record_count']=$count;
		$data['page_count']=round(ceil($count/$this->page_count));
		$data['page_vars']=$page_vars;		
		$this->load->library('jpagination');
		$config=get_admin_pagination();
		//$config=array();
		$config['base_url'] = site_url($this->change_url.'/'.$page_vars['col_id'].'/'.$page_vars['ord_id']);
		$config['script_url']='doPostBack';
		$config['col_id'] = $page_vars['col_id'];
		$config['ord_id'] = $page_vars['ord_id'];
		$config['cur_page'] = $page_vars['off_set'];
		$config['uri_segment'] = 5;
		$config['num_links'] = 4;
		$config['total_rows'] = $count;
		$config['per_page'] = $this->page_count;
		$config['use_page_numbers'] = TRUE;
		$config['page_query_string'] = TRUE;
		$this->jpagination->initialize($config); 
		$this->load->view($this->change_url,$data); 
	} //listall

	// function for list all approved 
	function listallapproved($id=0,$msg_level=0,$message='')
	{
	    $this->admin_entry->is_admin();
	    
	    $topic_id   = $this->uri->segment(3);
      
            $data['topic_id']=$topic_id;//passs it as topic_id in add view form
       
           //echo"topic_id =$topic_id </br>";
       
       
	
	
           //$data['topic_id']=$topic_id;//passs it as topic_id in add view form
       
       
           //$data['comment_id']=$commentid ;//pass it is comment_id in add view form
       
       
       
       		$searchfields=$this->_get_search_fields();
		$this->form_validation->set_rules($searchfields);
		$page_vars=$this->_get_pagination_vars();
		$order_sql=$this->_get_order_by($page_vars['col_id'],$page_vars['ord_id']);
		$conditions=$this->_get_search_conditions();
		$count=$this->obj_model->get_count1($conditions);
		//echo"count=$count</br>";
		
		$data["publicuser_values"]=$this->admin->get_options_publicuser();
		
		$data["comments_values"]=$this->obj_model->get_comments_options();
		//$data["comments_countspending"]=$this->obj_model->get_count_pending($topic_id );//pending
		//$data["comments_counts"]=$this->obj_model->get_count_all($topic_id);//total
		
		$data["topics_values"]=$this->topics->get_topics_options();
		
		//$data['gender_values']=$this->obj_model->get_gender_options();
		
		$data['table_rows']=$this->obj_model->getcomments1($order_sql,$conditions,$topic_id,$this->page_count,$page_vars['off_set']);
		//print_r($data['table_rows']);
		
		$data['title']=$this->title_values['listall'];
		$data['header_tags']="";
		$data['change_url']=$this->change_url2;
		$data['msg_level']=$msg_level;
		$data['msg_value']=$message;
		$data['page_vars']=$page_vars;
		$data['record_count']=$count;
		$data['page_count']=round(ceil($count/$this->page_count));
		$data['page_vars']=$page_vars;		
		$this->load->library('jpagination');
		$config=get_admin_pagination();
		//$config=array();
		$config['base_url'] = site_url($this->change_url2.'/'.$page_vars['col_id'].'/'.$page_vars['ord_id']);
		$config['script_url']='doPostBack';
		$config['col_id'] = $page_vars['col_id'];
		$config['ord_id'] = $page_vars['ord_id'];
		$config['cur_page'] = $page_vars['off_set'];
		$config['uri_segment'] = 5;
		$config['num_links'] = 4;
		$config['total_rows'] = $count;
		$config['per_page'] = $this->page_count;
		$config['use_page_numbers'] = TRUE;
		$config['page_query_string'] = TRUE;
		$this->jpagination->initialize($config); 
		$this->load->view($this->change_url2,$data); 
	} //listall approved


	// function for edit 
	function beforeedit($message_level=0,$action=0,$message="")
	{
		
		
		$this->admin_entry->is_admin();
		$id=$this->uri->segment(3);
		if(!$row=$this->obj_model->get_by_id($id))
	    {
			$this->redirect_page($this->change_url,1,"Invalid $this->table_desc");
			return;
		}
		$this->form_validation->set_rules($this->_get_rules(2));
		
		$data["header_tags"]="";
		//$data['msg_level']=$message_level;
		$data['row']=$row;
		//$data["msg_value"]=getMessage($message_level,$action,$message);
		$data["topics_values"]=$this->topics->get_topics_options();
		$data["comments_values"]=$this->obj_model->get_comments_options();
		$data["publicuser_values"]=$this->admin->get_options_publicuser();
		//$data["gender_values"]=$this->obj_model->get_gender_options();
		$data["title"]=$this->title_values['edit'];
		$this->load->view($this->edit_view,$data);

	}
	
	// function for edit 

	function edit()
	{
	    $this->admin_entry->is_admin();
        $admin_type=$this->admin_entry->get_admin_type();
      	$this->form_validation->set_rules($this->_get_rules(0));
	    $this->form_validation->set_error_delimiters('<div  class="error">', '</div>');
		$id = $this->input->post($this->obj_model->primary_key);
		if(!$row=$this->obj_model->get_by_id($id))
	    {
			$this->redirect_page($this->change_url,1,"Invalid $this->table_desc");
			return;
		}
		$data["row"]=$row;
		//print_r($row);
		$data["header_tags"]="";
		$data["title"]=$this->title_values['edit'];
		$data["publicuser_values"]=$this->admin->get_options_publicuser();
		$data["comments_values"]=$this->obj_model->get_comments_options();
		$data["topics_values"]=$this->topics->get_topics_options();
		
		//$data["comments_values"]=$this->comments->get_comments_options();
		//$data["topics_values"]=$this->obj_model->get_topics_options();
		
		//$data["gender_values"]=$this->obj_model->get_gender_options();
		
    	if ($this->form_validation->run() == FALSE)
		{ 
			$this->load->view($this->edit_view,$data);
			return;
		}
		if($this->obj_model->unique_exists($this->input->post($this->obj_model->unique_field,true),$id))// check all other rows
		{
			$data['msg_level']=1;
			$data["msg_value"]="$this->unique_desc  already exists";
			$this->load->view($this->edit_view,$data);
			return;
		}
		
		
        $table_data=$this->_get_table_data();
        //print_r($table_data);
        
        
        //file upload codes 
	   /* $table_data['CATEGORY_IMAGE']=$row->CATEGORY_IMAGE;
		$old_image=$row->CATEGORY_IMAGE;
		$upload_valid=true;	
		$file_name=	'CATEGORY_IMAGE';
		$file_data=array();
		$upload_error='';
		$this->load->library('upload');
		$this->upload->initialize($this->_get_upload_config(1));
		//$image_name=$this->input->post('CATEGORY_IMAGE');
		$uploaded=$this->upload->do_upload($file_name);		
		
		if ( ( isset($_FILES[$file_name]['name']) && trim($_FILES[$file_name]['name'])!="" ) && (! $uploaded ))
		{
			  $upload_valid=false;
			  $upload_error='For image  : '.$this->upload->display_errors();
		}
		if($uploaded)
		{
			  $file_data = $this->upload->data();				
			  $table_data['CATEGORY_IMAGE']=$file_data['file_name'];
			  
			 				 
		}
		
		if (!$upload_valid)
		{  
			   	$data['msg_level']=1;
				$data["msg_value"]=$upload_error;
				$data['upload_folder']=$this->upload_folder;
				$data["header_tags"]="";
			    $this->load->view($this->edit_view,$data);
			    return;
		 }
			
		
		$del_file= $this->input->post("IS_DELETE");
		if($del_file==1)
		{
				$deldata['CATEGORY_IMAGE']='';
				$this->obj_model->delete_upload($deldata,$id);		
				$this->_delete_file( $table_data['CATEGORY_IMAGE']);			
		}	
		if($uploaded)
		{
			  $this->_delete_file($old_image);
		}*/
		//update query 
		if(!$this->obj_model->update($table_data,$id))
		{
			$data['msg_level']=1;
			$data["msg_value"]="An error occured while updating";
			$this->load->view($this->edit_view,$data);
			return;
		}
		
		$this->redirect_page($this->change_url,2,"$this->table_desc information updated successfully");
		return;
    }  //end edit
	
	// function for delete 
	function beforedelete()
	{
		$this->admin_entry->is_admin();
       	$id = $this->uri->segment(3);
       	 echo "id= $id </br>";
		$row =$this->obj_model->get_by_id($id);
		
		if(!$row)
		{
			$this->redirect_page($this->change_url,1,"Invalid $this->table_desc");
			return;
		}
		
		$data["title"]=$this->title_values['delete'];
		$data["header_tags"]="";
				$data["publicuser_values"]=$this->admin->get_options_publicuser();
		$data["comments_values"]=$this->obj_model->get_comments_options();
		$data["topics_values"]=$this->topics->get_topics_options();
		//$data["comments_values"]=$this->comments->get_comments_options();
		//$data["topics_values"]=$this->obj_model->get_topics_options();
		$data['row']=$row;
		$this->load->view($this->delete_view,$data);
	}
	
	// function for delete 
	function delete()
	{
	    $this->admin_entry->is_admin();
        $id = $this->input->post($this->obj_model->primary_key);
        echo"id=$id</br>";
		if(!$row=$this->obj_model->get_by_id($id))
	    {
			
			$this->redirect_page($this->change_url,1," Invalid $this->table_desc, Please retry");
			return;
		}

		//$image=$row->CATEGORY_IMAGE;
		if(!$this->obj_model->delete($id))
		{
			$data['msg_level']=1;
			$data["msg_value"]="An error occured while deleting";
			$this->load->view($this->delete_view,$data);
			return;
		}
		 //$this->_delete_file($image);
		 
		$this->redirect_page($this->change_url,2,"$this->table_desc information removed successfully");
		return;
    }
	
	
	
	/* OTHER METHODS */
	
	
	function _get_fields($update=0)
	{
		$fields["roundtable_user_id"] = 'roundtable_user_id';
		$fields["roundtable_comments"]	= 'roundtable_comments';
		$fields["roundtable_comments_post_date"]= 'roundtable_comments_post_date';
		
		$fields["roundtable_topic_status"]	= 'roundtable_topic_status';
		
			//$fields["user_type"]	= 2;
		return $fields;
	}
	function _get_rules($update=0)
	{
			
		
		$config=array();
		$config[] = array(
                     'field'   => 'roundtable_user_id', 
                     'label'   => 'User', 
                     'rules'   => 'required'
                  );	
		$config[] = array(
                     'field'   => 'roundtable_comments', 
                     'label'   => 'Comments', 
                     'rules'   => 'required'
                     );
		$config[] = array(
                     'field'   => 'roundtable_comments_post_date', 
                     'label'   => 'Comments Post Date', 
                     'rules'   => 'required'
                  );	
		$config[] = array(
                     'field'   => 'roundtable_comment_status', 
                     'label'   => 'Status', 
                     'rules'   => 'required'
                  );
				  
				  
		
		if($update==0)
		{		  
				  			  		  		 
				
				
		}
			
		
			
		return $config;
		
	}
	
	function  _get_table_data()
	{
		$data='';
		if (is_array($this->_get_fields()) AND count($this->_get_fields()) > 0)
		{
			foreach ($this->_get_fields() as $key => $val)
			{
				$data[$key] = $this->input->post($key); 
                                $data[$key]=mysql_real_escape_string(trim($data[$key]));
			}
		}
		return $data;
	}//_get_table_data
	
	function _get_upload_config($type)

		{
	           	 $upload_config=array();
				$upload_config['upload_path'] = './'.$this->upload_folder.'/'; 
				if($type==1)
				{
					$upload_config['allowed_types'] = 'gif|jpg|png|jpeg|PNG';
					$upload_config['max_width']  = '800';
					$upload_config['max_height']  = '800';
					$upload_config['max_size']	= '50';					
				}
				if($type==2)
				{
					$upload_config['allowed_types'] = 'gif|jpg|png|jpeg';
					$upload_config['max_width']  = '600';
					$upload_config['max_height']  = '600';
					$upload_config['max_size']	= '50';					
				}
				if($type==3)
				{
					$upload_config['allowed_types'] = 'pdf|txt|doc';
					$upload_config['max_size']	= '1200';					
				}				
				$upload_config['encrypt_name']=TRUE;
				return $upload_config;
	 }

    //upload depended function 2
	function _delete_file($file_name)
	{
	        if(is_string($file_name))
			{
			  $my_file = ROOT_FOLDER.$this->upload_folder."/".$file_name;
			    if(is_file($my_file))
			    {
                   unlink($my_file);
			    }
			}
			if(is_array($file_name))
			{
			  foreach($file_name as $key=>$value)
				{
			    $my_file = ROOT_FOLDER.$this->upload_folder."/".$value;
				  if(is_file($my_file))
					{
				     unlink($my_file);
				        }
			         }
			}
	}
	
	 function redirect_page($url,$msg_level,$msg_value)
	{
		  $data['title']='Message';
		  $data['redirect']=true;
		  $data['redirect_url']=site_url($url);
		  $data['msg_level']=$msg_level;
		  $data['msg_value']=$msg_value;
		  $this->load->view('admin_redirect',$data);
    }//redirect_page
	
	function _get_pagination_vars()
	{
	   $page_vars=array('col_id' => 0,'ord_id' => 0,'off_set' => 0 );
	   $page_vars['col_id']=$this->input->post('COL_ID')==''?-1:$this->input->post('COL_ID');
	   $page_vars['ord_id']=$this->input->post('ORD_ID')==''?0:$this->input->post('ORD_ID');
	   $page_vars['off_set']=$this->input->post('OFF_SET')==''?0:$this->input->post('OFF_SET');
	   return $page_vars;
	}//_get_pagination_vars 

	function _get_order_by($sel_column_id="",$sel_order_id="")
	{
	   $blocks = array('');
	   $field_keys=array_keys($this->_get_fields(1));
	   $orders=array(0 => ' ASC ', 1 => ' DESC ');
	   
	   if (!isset($field_keys[$sel_column_id]))
	   {
		  return $this->obj_model->sort_field;
	   }
	   if (($field_keys[$sel_column_id] == "") || ($orders[$sel_order_id] == ""))
	   {
		  return $this->obj_model->sort_field;
	   }
	   if(in_array($sel_column_id,$blocks))
	   {
		  return $this->obj_model->sort_field;
	   }
	    return $field_keys[$sel_column_id].'  '.$orders[$sel_order_id];
	   
	}
//_get_order_by
	
	function _get_search_fields($condition=0)
	{
		$config=array();
		$config[] = array(
                     'field'   => 'roundtable_comments', 
                     'label'   => 'Round table comments', 
                     'rules'   => ''
                     );

		return $config;
	}//_get_search_fields
	
	function _get_search_conditions()
	{
		$conditions=array();
		$name=$this->input->post("roundtable_comments", true);
		if($name)
		{
			 $name = trim($name);
			$conditions[]="roundtable_comments LIKE '%$name%'";
		}
		return $conditions;
	}//_get_search_conditions	
	
	
	function options()
	{
		$this->user_entry->is_user();// is user login
		$user=$this->user_entry->get_user();//moderator 
		$user_row=$this->obj_model->get_by_user_login_name(trim($user_login_name));//take user  of moderator
		//print_r($user_row);
		
		//$data['user_row']=$user_row;
		//$data['rows']=$this->classifieds->get_by_user($user_row->USER_ID);
		//$this->load->view('user/options',$data);
		return;
	}


	 
}
?>
