<?php
class Complaintbox extends CI_Controller  
{
	
	function complaintbox()
	{
		parent::__construct();	
		$this->load->model('site_complaintbox_model','obj_model',TRUE);
		$this->load->helper(array('form', 'url'));
		$this->load->library('pagination'); 
		
	}
	/*CONTROLLER METHODS*/
	function index()
	{ 	
		
		/** Pagination **/
		$page_num                    	=	$this->uri->segment(3)?$this->uri->segment(3):0;  		
        	$config['base_url']         	=	base_url().'index.php/complaintbox/index';
        	$config['use_page_numbers'] 	=	TRUE;
        	$config['per_page']		=	3;		
        	$config['next_link']		= 	'&rsaquo;';
        	$config['prev_link']		= 	'&lsaquo;';
        	$config["uri_segment"] 		= 	3;	
		
		$data['complaints']		=	$this->obj_model->getComplaints($config['per_page'],$page_num);	
		
		$config['total_rows'] 		= 	$this->obj_model->getComplaintscount();	
		$data['total_rows'] 		= 	$config['total_rows'];	
		$data['per_page']		=       $config['per_page'];
		$data['page_no']		= 	$page_num;  	
		$this->pagination->initialize($config);		
		
		$data['category'] = $this->obj_model->getCategory(); 
		$this->load->view('complaints/site_complaintbox',$data);
	}
	
	
	function savePost()
	{	
		date_default_timezone_set('Asia/Kolkata');
		
		$username = $this->input->post('username');
		$password = md5($this->input->post('password'));			
		$signup_check = $this->obj_model->signup_check($username,$password); // to get user details				
		$user_id = $signup_check['user_id'];
		$new_email = $signup_check['user_email'];
		
		$this->_send_email($new_email);
		$maxid = $this->obj_model->getMaxid(); 
		$complaint_no = $maxid['id']+1;
		
		// Insertion in complaint table
		$complaint = array(
		         'complaint' => mysql_real_escape_string(trim($this->input->post('post'))),	
		         'complaint_no'	=> 'cmp'.$complaint_no.date('ymd'),         
		         'complaint_post_date' => date('Y-m-d H:i:s'),
		         'user_id' =>$user_id ,
		         'category_id' => mysql_real_escape_string(trim($this->input->post('category_id'))),
		         'answer_status' => mysql_real_escape_string(trim($this->input->post('user_type'))),
			 'place' =>mysql_real_escape_string(trim($this->input->post('place'))),
		         'pincode'=>mysql_real_escape_string(trim($this->input->post('pincode')))
		);
		 $insert = $this->obj_model->insertPost($complaint); 
		 
		 // Insertion of uploaded files
				$config['upload_path'] =  './uploads/complaintbox/';
				$config['allowed_types'] = 'gif|jpg|jpeg|png|doc|docx|pdf';	
				$this->load->library('upload', $config);	
				
					for($i=1;$i<=3;$i++)
					{														
						if($this->upload->do_upload('attach_'.$i))
						{ 
							$upload_data= $this->upload->data();
							
							$data = array('complaint_id' =>$complaint_no,
											   'complaint_no'=>'cmp'.$complaint_no.date('ymd'),
											   'file_upload' =>$upload_data['file_name']
											 );

							$this->obj_model->insertAttach($data);						
						}
					}
	      redirect('/complaintbox/index', 'refresh');
		     
	}
	
	  /************************Common Functions*****************************/

	/** Upload User photo using Ajax **/
	function signUpcheck()
	{		
		$username = mysql_real_escape_string(trim($_POST['username']));
		$password = md5($_POST['password']);
				
		$signup_check = $this->obj_model->signup_check($username,$password); 
		if($signup_check)
		{ 
			if($signup_check['block_status']== 2)
			{
				echo 'blocked';
			
			}else
			{
				setcookie('username',$username,strtotime( '+30 days' ));	                
                                setcookie('password',$_POST['password'],strtotime( '+30 days' ));                
				echo 1;
			}	
		}else
		{
			echo 2; // if signup fails
		}	
		
	}
	function Regcheck()
	{	
		date_default_timezone_set('Asia/Kolkata');	
			
		$email = $_POST['email'];		
		$reg_check = $this->obj_model->reg_check($email); 
		if($reg_check)
		{ 
			echo 'error';			
		}else
		{			
			$new_user  = $this->input->post('username');
			$new_email = $this->input->post('email');
			$new_pass  = $this->randomPassword();
			if($this->input->post('user_photo'))
			{
				$new_image = $this->input->post('user_photo');
			}else
			{
				$new_image = 'anonymous.jpg';
			}
			$new_gen   = $this->input->post('gender');
						
			$user_details = array('user_name'=>$new_user ,
								  'user_login_name'=>$new_user,
								  'user_gender' =>$new_gen,
								  'user_email' =>$new_email,
								  'user_photo'=>$new_image,
								  'user_password' =>md5($new_pass),
								  'user_reg_date' =>date('Y-m-d'),
								  'user_type' => 4,
								  'status'=>2 );
			 $user_id = $this->obj_model->insertUser($user_details);	  	
			 
			 $this->_send_pass_email($new_email,$new_pass);					  
				
			echo $user_id;
		}			
	 }
	public function upload_file()
 	{
			$user_id = $this->uri->segment(3); 
			$file_element_name = 'user_photo';
			$config['upload_path'] =  './uploads/user/';
			$config['allowed_types'] = 'gif|jpg|png|jpeg';       
	 
			 $this->load->library('upload', $config);
	 
			if (!$this->upload->do_upload($file_element_name))
			{
				$status = 'error';
				$msg = $this->upload->display_errors('', '');
			}
			$data = $this->upload->data();
                        
                        /** Water Mark **/                   
			$watermark['source_image']    = $data['full_path'];
			$watermark['wm_text'] = 'Copyright 2015 - Womenpoint';
			$watermark['wm_type'] = 'text';
			$watermark['wm_font_size']    = '2';
			$watermark['wm_font_color'] = '#6f171d';
			$watermark['wm_vrt_alignment'] = 'top';
			$watermark['wm_hor_alignment'] = 'left';
			$watermark['wm_padding'] = '20';                            
			$this->load->library('image_lib');
			$this->image_lib->initialize($watermark);
			$this->image_lib->watermark();   
			/** Water Mark **/  

			$value = array('user_photo'=>$data['file_name']);
			$this->obj_model->updateUser($user_id,$value);
			echo json_encode(array('status' => 1));

	 }
	function _send_email($emailid)
   	 {     
			
			$this->load->library('form_mailer');			
			$this->form_mailer->_set_format(2);
			$this->form_mailer->from('support@saasvaap.com','womenpoint');
			$this->form_mailer->to($emailid);
			$this->form_mailer->subject("Complaints ");			
            
			$message='You are successfully submitted the Complaint.Will be answered shortly';			
			
			$this->form_mailer->message($message);
			if(!$this->form_mailer->send())
			{				
			return ;
			}			
			$this->form_mailer->clearall();
			return;
    	} 
    	function _send_pass_email($emailid,$password)
    	{     
			
			$this->load->library('form_mailer');			
			$this->form_mailer->_set_format(2);
			$this->form_mailer->from('support@saasvaap.com','womenpoint');
			$this->form_mailer->to($emailid);
			$this->form_mailer->subject("Login Details ");			
            
			$message='You are successfully registered.Your login password is '.$password.'';			
			
			$this->form_mailer->message($message);
			if(!$this->form_mailer->send())
			{				
			return ;
			}			
			$this->form_mailer->clearall();
			return;
   	} 
    	function randomPassword() 
    	{
			$alphabet = "abcdefghijklmnopqrstuwxyzABCDEFGHIJKLMNOPQRSTUWXYZ0123456789";
			$pass = array(); 
			$alphaLength = strlen($alphabet) - 1; 
			for ($i = 0; $i < 8; $i++) 
			{
				$n = rand(0, $alphaLength);
				$pass[] = $alphabet[$n];
			}
			return implode($pass); 
	}
 
	
}?>