<?php 
class Admin_model extends CI_Model  
{
   var $sort_field="user_login_name";
   var $table_name='user';
   var $primary_key="user_id";
   var $unique_key="user_name";
   var $unique_field1="user_id";
   var $sort_field1="user_name";
  // var $sort_field="user_id";
   //echo "table=<$tablename</br>";
   
    function Admin_model()
    {
        // Call the Model constructor
       parent::__construct();

    }
	function add_manager($data)
	{
	  $this->db->insert('user',$data);
	  return true;
	}//
	function unique_exists($unique_value,$exclude_id=-1)
	{
		
		$this->db->from("user");
		$this->db->where('user_login_name',$unique_value);
		$this->db->where("user_id !=",$exclude_id);
		$query = $this->db->get();
		return $query->result_array();
	}//
	function set_login_datetime($user_login_name,$fields)
	{
	 $this->db->where('user_login_name',$user_login_name);
	 $this->db->update($this->table_name, $fields);
	 return true;
	}//
	function get_count($search_fields)
	{
		$count=0;
		$this->db->select("count(*) as count");
		$this->db->where('user_type = 2');
		   $this->db->where("status",2);
		foreach($search_fields as $val)
		{
			$this->db->where($val);	
		}
		$query = $this->db->get('user');
		if ($query->num_rows() > 0)
		{
		   $row = $query->row(); 
		   $count=$row->count;
		}
		return $count;
	}//
function get_count_allusers($search_fields)
	{
		$count=0;
		$this->db->select("count(*) as count");
		$this->db->where('user_type = 4');
		  // $this->db->where("status",2);
		foreach($search_fields as $val)
		{
			$this->db->where($val);	
		}
		$query = $this->db->get('user');
		if ($query->num_rows() > 0)
		{
		   $row = $query->row(); 
		   $count=$row->count;
		}
		return $count;
	}//
	function get($sort_field,$search_fields,$limit,$offset)
	{
		$this->db->orderby($sort_field);
		
		$this->db->from('user');
		$this->db->where('user_type = 2');
		   $this->db->where("status",2);
		foreach($search_fields as $val)
		{
			$this->db->where($val);	
		}
		//echo $this->db->_compile_select();
		$query = $this->db->get('',$limit,$offset);
		if($query->num_rows() >0)
		{
			return $query->result_array();
		}
		else
		{
			return array();
		}
	}//
	

	function get_alluser($sort_field1,$search_fields,$limit,$offset)
	{
		$this->db->order_by($sort_field1);
		//$this->db->order_by($primary_key);
		$this->db->from('user');
		$this->db->where('user_type = 4');
		$this->db->where('(user.status = 1 or user.status = 2 or user.status = 3)');
		foreach($search_fields as $val)
		{
			$this->db->where($val);	
		}
		//echo $this->db->_compile_select();
		$query = $this->db->get('',$limit,$offset);
		if($query->num_rows() >0)
		{
			return $query->result_array();
		}
		else
		{
			return array();
		}
	}//
	function get_by_id($id)
	{
		$this->db->from("user");
		$this->db->where("user_id",$id);
		//echo $this->db->_compile_select();
		$query = $this->db->get();
		//echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
	 }//
	 function get_by_user()
	{
		$this->db->from("user");
		$this->db->where("user_type",2);
                $this->db->where("status",2);
		//echo $this->db->_compile_select();
		$query = $this->db->get();
 		// echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
	 }//
	function get_active_options()
	{
		return array(
						1=>"Active",
						0=>"Not Active"								
					);
	}
	//	
	
	/*function mark_as_deleted($id)
	{
	   $fields['IS_DELETED']=1;
	   $this->db->where("user_id",$id);
	   $this->db->update("user",$fields);
	   return true;
	   
	}*/
	//
	function get_status($user_login_name)
	{
	  $this->db->select('status');
	  $this->db->where('user_login_name',$user_login_name);
	  $query=$this->db->get('user');
	  $row=$query->row();
	 // echo $this->db->last_query();
	  return $row->status;
	}//
	
	function get_type($user_login_name)
	{
	  $this->db->select('user_type');
	  $this->db->where('user_login_name',$user_login_name);
	  $query=$this->db->get('user');
	  $row=$query->row();
	  //echo $this->db->last_query();
	  return $row->user_type;
	}//
    function check($user_login_name,$user_password)
    {
        $this->db->from('user');
		$this->db->where("user_login_name",$user_login_name);
	
		$this->db->where("user_password",$user_password);
		//echo $this->db->_compile_select() ;
		$query = $this->db->get();
	    // echo $this->db->last_query();
		return $query->row();
    }
	function load_by_name($user_login_name)
    {
        $this->db->from('user');
		$this->db->where("user_login_name",$user_login_name);
		$query = $this->db->get();
		return $query->row();
    }
	function check_by_id($user_id,$user_password)
    {
        $this->db->from('user');
		$this->db->where("user_id",$user_id);
	
		$this->db->where("user_password",$user_password);
		$query = $this->db->get();
		return $query->row();
    }
	function get_email()
    {
        $this->db->select('user_email');
        $this->db->from('user');
		$this->db->where("user_id",1);
              //$this->db->where("status",2);
		$query = $this->db->get();
		$user=$query->row();
		return $user->user_email;
    }
		function get_gm_emails()
    {
        $this->db->select('user_email');
        $this->db->from('user');
		
		$this->db->where("user_type",2);
                //$this->db->where("status",2);
		$query = $this->db->get();
		$emails=$query->result_array();
		return $emails;
    }
function add_new($fields)
	{
		
		//print_r($fields);

		$this->db->insert($this->table_name, $fields);
		return true;
	}
	function update($user_id,$fields)
	{
		$this->db->where('user_id', $user_id);
		$this->db->update('user', $fields);// echo $this->db->last_query();
		return true;
	}
	function get_by_user_login_name($user_login_name)
	{
		// get the information for given id
	        $this->db->from($this->table_name);
		$this->db->where('user_login_name',$user_login_name);
		$query = $this->db->get();
		//echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
    }
function get_options_user_status($user_id)
	{
	   	// $options=array();
		//$this->db->order_by($this->scheme_amount_sort_field);
		$this->db->from($this->table_name);
		$this->db->where('user.user_id',$user_id);
		//$this->db->where("user.status",1); 
		$query = $this->db->get();
		//echo $this->db->last_query();
		$results=$query->result_array();
		//return $results;
	  
		//exit;
		$row = $query->row(); 
	        return $row;
	}//////////////////

function get_status_approve($user_id,$datastatus)
	{

		
		$this->db->where($this->primary_key,$user_id);
		$this->db->update($this->table_name,$datastatus);
		// echo "status updated</br>";
		//echo $this->db->last_query();
		 return true;
    }
function get_status_reject($user_id,$datastatus)
	{
   		$this->db->where($this->primary_key,$user_id);
		$this->db->update($this->table_name,$datastatus);
		//echo $this->db->last_query();
		return true;
   	 }
    
 function get_options_moderator(){
	        $options=array();
		$this->db->order_by($this->sort_field);
		//$this->db->select($this->primary_key);
		//$this->db->select($this->unique_key);
		$this->db->from($this->table_name);
		$this->db->where("user_type",2);
                $this->db->where("status",2);
		$query = $this->db->get();

		//echo $this->db->last_query();
		$results=$query->result_array();
		foreach($results as $result){
		  $options[$result[$this->primary_key]]=$result[$this->unique_key];
		}
				
		return $options;
	}
    
    function get_options_panelist(){
	        $options=array();
		$this->db->order_by($this->sort_field);
		//$this->db->select($this->primary_key);
		//$this->db->select($this->unique_key);
		$this->db->from($this->table_name);
		$this->db->where("user_type",3);
                $this->db->where("status",2);
		$query = $this->db->get();

		//echo $this->db->last_query();
		$results=$query->result_array();
		foreach($results as $result){
		  $options[$result[$this->primary_key]]=$result[$this->unique_key];
		}
				
		return $options;
	}
	
    //another method for the above function
    
    function get_options_panelist_topic_mapping($topic_id){
	    $options=array();
		$this->db->order_by('topicpanelist_mapping_id');
		//$this->db->select('panelist_id');
		
		$this->db->from("topic_panelist_mapping");
		 $this->db->join('user','user.user_id = topic_panelist_mapping.panelist_id','inner');//usertable user login
		//$this->db->where("panelist_id",$panelist_id);
                $this->db->where("topic_panelist_mapping.roundtable_topic_id",$topic_id);
                $query = $this->db->get();

		//echo $this->db->last_query();
		$results=$query->result_array();
		foreach($results as $result){
		  $options[$result['panelist_id']]=$result['user_name'];

		}
				
		return $options;
	}
	//////////////////////////////// block status
function get_options_publicuser_status($id)
	{
	   // $options=array();
		//$this->db->order_by($this->scheme_amount_sort_field);
		$this->db->from($this->table_name);
		$this->db->where('user.user_id',$id);
		//$this->db->where('user.block_status',1);
		$query = $this->db->get();
		//$results=$query->result_array();
		//return $results;
	        // echo $this->db->last_query();
		$row = $query->row(); 
	    return $row;
	}
//////////////////////////////// block moderator if thet moderator is not in user
function get_options_moderator_status($id)
	{
	   // $options=array();
		//$this->db->order_by($this->scheme_amount_sort_field);
		$this->db->from($this->table_name);
		$this->db->where('user.user_id',$id);
		//$this->db->where('user.block_status',1);
		$query = $this->db->get();
		//$results=$query->result_array();
		//return $results;
	        // echo $this->db->last_query();
		$row = $query->row(); 
	    return $row;
	}
	//////////////////////////////// all users 
	function get_options_publicuser(){
	        $options=array();
		$this->db->order_by($this->sort_field);
		//$this->db->select($this->primary_key);
		//$this->db->select($this->unique_key);
		$this->db->from($this->table_name);
		$this->db->where("user_type",4);
		$query = $this->db->get();
		//echo $this->db->last_query();
		$results=$query->result_array();
		foreach($results as $result){
		  $options[$result[$this->primary_key]]=$result[$this->unique_key];
		}
				
		return $options;
	}/////////////////////image delete uploaded one 
function delete_upload($fields,$id)
	{
		$this->db->where($this->primary_key, $id);
		$this->db->update($this->table_name, $fields);
		return true;
	}
	//////////////////////////////// block user
function get_status_block($user_id,$datastatus)
	{
      // echo"eduschemeid=$schemeid</nbr>";
		
		$this->db->where($this->primary_key,$user_id);
		$this->db->update($this->table_name,$datastatus);
		
		//echo $this->db->last_query();
		return true;
       }
	////////////////////////////////unblock user 
function get_status_unblock($user_id,$datastatus)
	{
      // echo"eduschemeid=$schemeid</nbr>";
		
		$this->db->where($this->primary_key,$user_id);
		$this->db->update($this->table_name,$datastatus);
		
		//echo $this->db->last_query();
		return true;
    }
//////////////////
}
?>
