<?
class Talent_model extends CI_Model 
{
	var $table_name="talent";
	var $primary_key="talent_id";
	var $unique_field="talent_id";
	var $unique_field1="talent_title"; 
// var $sort_field="talent_id";
   var $sort_field="date_of_post";
    //////////////////comment table 
    var $table_debatecomment="debate_comments";
	var $primary_debatecomment="debate_comment_id"; 

	//var $file_name="";
	
    function Talent_model()
    {
        // Call the Model constructor
        parent::__construct();
    }

	function add_new($fields,$insert_id)
	{
		$this->db->insert($this->table_name, $fields);
		if($insert_id){
                 return $this->db->insert_id();
                 }
		return true;
	}

	function add_new_talent_attachment_table($table_talent_attachment,$ret_insert_id)
	{
		$this->db->insert('talent_attachments', $table_talent_attachment);
		if($ret_insert_id){
		  return $this->db->insert_id();
		  }
		return true;
	}
/////////////////////////add to track table //////////for tracking the updated details in different logins/////////////////////////////////

	
	function add_new_track_table($table_data_track,$ret_insert_id)
	{
		$this->db->insert('talent_track', $table_data_track);
		if($ret_insert_id){
		  return $this->db->insert_id();
		  }
		return true;
	}
	function add_new_attachment_track_table($table_attachment_track,$ret_insert_id)
	{
		$this->db->insert('talent_attachments_track', $table_attachment_track);
		if($ret_insert_id){
		  return $this->db->insert_id();
		  }
		return true;
	}
	
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	//single field 
	function unique_exists($unique_value,$exclude_id=-1)
	{
		$query=$this->db->query("SELECT $this->unique_field FROM $this->table_name WHERE $this->unique_field='$unique_value' AND $this->primary_key!=$exclude_id");
		//echo $this->db->last_query();
	   return $query->result();
	}
	/*/function unique_exists($unique_value,$unique_value1,$exclude_id=-1)
	{
		
		//$this->db->join('topic_panelist_mapping','topic_panelist_mapping.roundtable_topic_id = roundtable_debate.roundtable_topic_id','inner');
	//	$this->db->join('user','user.user_id = roundtable_debate.roundtable_moderator_id','inner');//usertable user login
		//$this->db->where('user.user_type' ,3);//is the panelist  is  in user table ie registered one (panelist)
	  //  $this->db->where('user.user_status' ,1);
		
		$query=$this->db->query("SELECT $this->unique_field, $this->unique_field1 FROM $this->table_name inner join topic_panelist_mapping on  roundtable_debate.roundtable_topic_id=topic_panelist_mapping.roundtable_topic_id inner join user on user.user_id=topic_panelist_mapping.panelist_id
		 WHERE $this->unique_field='$unique_value' AND $this->unique_field1='$unique_value1'  AND roundtable_debate.roundtable_topic_id!=$exclude_id ");
	   
	    //echo $this->db->last_query();
	   
	    return $query->result();
	}*/

	function get_count($search_fields)
	{
		$count=0;
		$this->db->select("count(*) as count");
		//$this->db->where("roundtable_topic_status= 2");
		//this->db->where("roundtable_topic",);
	
		if($search_fields)
		{
			foreach($search_fields as $val)
			{
				$this->db->where($val);	
			}
		}
		$query = $this->db->get($this->table_name);
//echo $this->db->last_query();
		if ($query->num_rows() > 0)
		{
		   $row = $query->row(); 
		   $count=$row->count;
		}
		return $count;
	}
////////////////////////////////used/////////////////////////////////////////////////
	function get($order_sql,$search_fields,$limit,$offset)
	{
		if($order_sql==$this->sort_field)
		{
			$this->db->order_by($order_sql,'desc');
	    	}else
	    	{
			$this->db->order_by($order_sql);
		}
		$this->db->order_by("talent.talent_id","desc");
		//$this->db->where('user.user_type',2);
		$this->db->select('talent.*,talent_attachments.*,youngpoint_category.*,talent.talent_id as talent_id,talent.publish_status as publish,talent.active_status as active');
		$this->db->from($this->table_name);
	   	$this->db->join('talent_attachments','talent_attachments.talent_id = talent.talent_id','left');//attachment table
		$this->db->join('youngpoint_category','youngpoint_category.category_id= talent.category_id','inner'); //category table
		if($search_fields)
		{		
			foreach($search_fields as $val)
			{
				$this->db->where($val);	
			}
		}			
		$query = $this->db->get('',$limit,$offset);
		if($query->num_rows() >0)
		{
			return $query->result_array();
		}
		else
		{
			return array();
			// return a blank areray to keep the calling function happy because it expects an array
		}
	}
/////////////////////////////////////used////////////////////////////////////////
	function get_by_id($id)
	{
		// get the information for given id
		$this->db->select('talent.*,talent_attachments.*,youngpoint_category.*,talent.talent_id as talent_id,talent.publish_status as publish,talent.active_status as active');
	    $this->db->from($this->table_name);
		//$this->db->join('debate_comments','debate_comments.debate_id =talent.debate_id','left');//debate_deatils and it comment table left join 
		$this->db->where("talent.talent_id",$id);
	   	$this->db->join('talent_attachments','talent_attachments.talent_id = talent.talent_id','left');//attachment table
		$this->db->join('youngpoint_category','youngpoint_category.category_id= talent.category_id','inner'); //category table
		//$this->db->where($this->primary_key,$id);
		//$this->db->where("roundtable_topic_status",2);
		$query = $this->db->get();
		//echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
     	 }
	function get_by_id_talent_user_comments($id)
	{
		 $this->db->from($this->table_name);
		$this->db->join('talent_comments','talent_comments.talent_id =talent.talent_id','left');//talent_deatils and it comment table left join 
		$this->db->where("talent.talent_id",$id);
		//$this->db->where($this->primary_key,$id);
		//$this->db->where("roundtable_topic_status",2);
		$query = $this->db->get();
		//echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
     	 }
	function get_by_talent($talent)
	{
		// get the information for given id
	    $this->db->from($this->table_name);
		$this->db->where('talent',$talent);
		//$this->db->where("roundtable_topic_status",2);
		$query = $this->db->get();
		// echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
    	}
    
    function get_talent_title(){
	        $options=array();
		$this->db->order_by($this->sort_field);
		//$this->db->select($this->primary_key);
		//$this->db->select($this->unique_field);
		$this->db->from($this->table_name);
		//$this->db->where('region_id',$id);
		$query = $this->db->get();
 		//echo $this->db->last_query();
		$results=$query->result_array();
		foreach($results as $result){
		 $options[$result[$this->primary_key]]=$result[$this->unique_field];
		}
				
		return $options;
	}
////////function used in  controller for getting modeartor comments posting details

	function get_by_id_whole_comments($user_id,$talent_id)
	{
		// get the information for given id
		$this->db->from($this->table_name);
		$this->db->join('talent_comments','talent_comments.talent_id =talent.talent_id','left');//talent_deatils and it comment table left join 
	   	$this->db->join('user','user.user_id = talent_comments.talent_user_id','inner');//usertable user login
		$this->db->where("talent_comments.talent_user_id",$user_id);
		$this->db->where("talent.talent_id",$talent_id);
		$this->db->where('user.user_type' ,4);//public user
		//$this->db->where("roundtable_topic_status",2);
		$query = $this->db->get();
 		//echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
    }
    function get_by_id_talent($talent_id)
	{
		// get the information for given id
	    $this->db->from("talent");
	  
		//$this->db->join('talent','talent.talent_id =talent_comments.talent_id','left');//usertable user login
		//$this->db->join('user','user.user_id =talent_comments.talent_user_id','inner');//usertable user login
		//$this->db->where("user.user_id",$user_id);
		$this->db->where("talent.talent_id",$talent_id);
		//$this->db->where('user.user_type' ,4);//public user 
		//$this->db->where("roundtable_topic_status",2);
		$query = $this->db->get();
 		//echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
    }
	/*function get_by_id_talent($user_id,$talent_id)
	{
		// get the information for given id
	    $this->db->from("talent_comments");
		$this->db->join('user','user.user_id =talent_comments.talent_user_id','inner');//usertable user login
		$this->db->where("user.user_id",$user_id);
		$this->db->where("talent_comments.talent_id",$talent_id);
		$this->db->where('user.user_type' ,4);//public user 
		//$this->db->where("roundtable_topic_status",2);
		$query = $this->db->get();
 		//echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
    }*/
 
function get_by_id_public($talent_id)
	{
		//echo"jaya";
		$this->db->from("talent_comments");
		$this->db->join('user','user.user_id = talent_comments.talent_user_id','inner');//usertable user login
		$this->db->where("talent_comments.talent_id",$talent_id);
		$this->db->where('user.user_type' ,4);//public user type=4
		//$this->db->where('roundtable_comments.roundtable_comment_status',2);//active comments
		//$this->db->where('user.status',2);//active user
		//$this->db->where("roundtable_topic_status",2);
		//$this->db->where('roundtable_comments.roundtable_comment_status3);
		$this->db->where('(talent_comments.talent_comment_status = 1   or talent_comments.talent_comment_status = 2  or talent_comments.talent_comment_status= 3)' );
		$query = $this->db->get();
 		//echo $this->db->last_query();
		//$row = $query->row(); 
		//return $row;
		$result = $query->result_array(); 
		return $result;
       }
     ///////////////////same moderator posting different comment for the same topic cheque  
        function get_topic($talenttitle,$moderator_id)
	{
		$count=0;
		
		  // echo"panelistid=$panelist_id</br>";
		$this->db->select("count(*) as count");
		$this->db->join('talent_comments','talent_comments.talent_id = talent.talent','left');
		$this->db->where("talent.moderator_id",$moderator_id);
	    $this->db->where("talent.talent_title",$talenttitle);
		//$this->db->where("roundtable_topic_status= 2");
		//this->db->where("roundtable_topic",);	
		$query = $this->db->get($this->table_name);
		// echo $this->db->last_query();
		if ($query->num_rows() > 0)
		{
		   $row = $query->row(); 
		   $count=$row->count;
		}
		return $count;
	}
	///////////////////////////////////
    function get_count_talenttitle($talenttitle)
	{
		$count=0;
		
		
		$this->db->select("count(*) as count");
		 $this->db->join('user','user.user_id = talent_comments.user_id','inner');//usertable user login
	     $this->db->where("talent.talent_title",$talenttitle);
	     $this->db->where('user.user_type' ,4);//is the user is  in user table ie registered one (panelist)
	      $this->db->where('user.status',1);
		//$this->db->where("roundtable_topic_status= 2");
		//this->db->where("roundtable_topic",);	
		$query = $this->db->get($this->table_name);
		 //echo $this->db->last_query();
		if ($query->num_rows() > 0)
		{
		   $row = $query->row(); 
		   $count=$row->count;
		}
		return $count;
	}
	/*function check($user_login_name,$user_password)
    {
        $this->db->from('user');
		$this->db->where("user_login_name",$user_login_name);
	
		$this->db->where("user_password",$user_password);
		//echo $this->db->_compile_select() ;
		$query = $this->db->get();
	     //echo $this->db->last_query();
		return $query->row();
    }*/
    
	function update($fields,$id)
	{
		$this->db->where($this->primary_key, $id);
		$this->db->update($this->table_name, $fields);
		//echo $this->db->last_query();
		return true;
	}
	 function update_attachment($fields,$id)
	{
		$this->db->where("talent_attachments.talent_id", $id);
		$this->db->update("talent_attachments", $fields);
		//echo $this->db->last_query();
		return true;
	}
	
	function update_talentcomments($fields,$id)
	{
		$this->db->where($this->primary_talentcomment, $id);
		$this->db->update($this->table_talentcomment, $fields);
		//echo $this->db->last_query();
		return true;
	}
	
		function delete($id)
	{
		$this->db->where($this->primary_key, $id);
		$this->db->delete($this->table_name);
		return true;
	}
	function delete_attachment($id)
	{
		
		//cho"id=$id</br>";
		
		$this->db->where("talent_attachments.talent_id", $id );
		$this->db->delete("talent_attachments");
		return true;
	}
	
	
	function get_all(){
	
	        $this->db->from($this->table_name);
		$query = $this->db->get();
		$result = $query->result_array(); 
		return $result;
		
	}
 	function get_options(){
	        $options=array();
		$this->db->order_by($this->sort_field);
		$this->db->select($this->primary_key);
		$this->db->select($this->unique_field);
		$this->db->from($this->table_name);
		$query = $this->db->get();
		$results=$query->result_array();
		foreach($results as $result){
		$options[$result[$this->primary_key]]=$result[$this->unique_field];
		}
		return $options;
	}
	
	function delete_upload($fields,$id)
	{
		$this->db->where($this->primary_key, $id);
		$this->db->update($this->table_name, $fields);
		return true;
	}
	/////////////
function get_options_talent_publishstatus($talent_id)
	{
	   // $options=array();
		//$this->db->order_by($this->scheme_amount_sort_field);
		$this->db->from($this->table_name);
		$this->db->where('talent.talent_id',$talent_id);
	    $this->db->where("talent.active_status",2); 
		$this->db->where("talent.publish_status",1); 
		
		$query = $this->db->get();
		//$results=$query->result_array();
		//return $results;
	        //echo $this->db->last_query();
		 $row = $query->row(); 
	         return $row;
	}
function get_options_talent_publishstatus2($talent_id)
	{
	   // $options=array();
	 //$this->db->order_by($this->scheme_amount_sort_field);
		$this->db->from($this->table_name);
		$this->db->where('talent.talent_id',$talent_id);
	    $this->db->where("talent.active_status",2); 
		$this->db->where("talent.publish_status",2); 
		$query = $this->db->get();
		//$results=$query->result_array();
		//return $results;
	       // echo $this->db->last_query();
		 $row = $query->row(); 
	         return $row;
	}
	//////////////////////////
      function get_status_notpublish($talent_id,$datastatus)
	{

		
		$this->db->where($this->primary_key,$talent_id);
		$this->db->update($this->table_name,$datastatus);
		
		//echo $this->db->last_query();
		return true;
    	}
	
	////////////////////////////////

	function get_status_publish($talent_id,$datastatus)
	{

		
		$this->db->where($this->primary_key,$talent_id);
		$this->db->update($this->table_name,$datastatus);
		
		//echo $this->db->last_query();
		return true;
    	}
	
	////////////////////////////////
	function get_type_options()
	{
		return array(
		             '1'=>'Admin',
					 '2'=>'Moderator',
		             '3'=>'Panelist',
					 '0'=>'Nil Type'
					 
					);
	}
	function get_gender_options()
	{
		return array(
		             '1'=>'Female',
					 '2'=>'Male',
		           
					 '0'=>'Nil Gender'
					 
					);
	}
	function get_talent_options()
	{
		return array(
		             '1'=>'Inactive',
					 '2'=>'Active',
		           
					 '0'=>'Nil Status'
					 
					);
	}
	function get_priority_options()
	{
		return array(
		             '1'=>'1',
					 '2'=>'2',
		   
					 '3'=>'3',
					 '4'=>'4',
					 '5'=>'5',
		    
					 '6'=>'6',
					 '7'=>'7',
					 '8'=>'8',
		     
					 '9'=>'9',
					 '10'=>'10',
					 '11'=>'11',
		      
					 '12'=>'12',
					 '13'=>'13',
					 '14'=>'14',
		      
					 '15'=>'15',
					 '16'=>'16',
					 '17'=>'17',
		      
					 '18'=>'18',
					 '19'=>'19',
					 '20'=>'20',
				
					 '21'=>'21',
					 '22'=>'22',
					 '23'=>'23',
		      
					 '24'=>'24',
					 '25'=>'25'
					  
					);
	}
	
	
	function get_by_user_login_name($user_login_name)
	{
		// get the information for given id
	    $this->db->from($this->table_name);
		$this->db->where('user_login_name',$user_login_name);
		$query = $this->db->get();
		//echo $this->db->last_query();
		$row = $query->row(); 
		return $row;
    }
/////////////////////// new functionality 
	function add_new_talent_table($table_talent_comments,$ret_insert_id)
	{
		$this->db->insert('talent_comments', $table_talent_comments);

		if($ret_insert_id){
		  return $this->db->insert_id();

		  }
		return true;
	//echo"talent table</br.";

	}
	

	
    
/////////////////////////////////////////////////////used/////////////
function get_options_talent_status($talent_id)
	{
	   // $options=array();
		//$this->db->order_by($this->scheme_amount_sort_field);
		$this->db->from($this->table_name);
		$this->db->where('talent.talent_id',$talent_id);
		//$this->db->where('user.status',1);
		$query = $this->db->get();
		$results=$query->result_array();
		//return $results;
	  // echo $this->db->last_query();
		$row = $query->row(); 
	    return $row;
	}
///////////////////////////////////////////////////////////////////
function get_status_delete($talent_id,$datastatus)
	{

		
		$this->db->where($this->primary_key,$talent_id);
		$this->db->update($this->table_name,$datastatus);
		
		//echo $this->db->last_query();
		return true;
    }
	////////////////////////////////
	//////////////////////////
	function get_status_approve($talent_id,$datastatus)
	{

		
		$this->db->where($this->primary_key,$talent_id);
		$this->db->update($this->table_name,$datastatus);
		
		//echo $this->db->last_query();
		return true;
    }
	////////////////////////////////
function get_status_reject($talent_id,$datastatus)
	{
  // echo"talent_idgrrrrrrr=$talent_id</br>";
		$this->db->where($this->primary_key,$talent_id);
		$this->db->update($this->table_name,$datastatus);
		
		//echo $this->db->last_query();
		return true;
    }

}




?>
