<html>
<head>

<title><?=$title?></title>
<?php if($redirect):?>
 <meta http-equiv='refresh' content='1; url=<?=$redirect_url?>' >
<?php endif; ?>

<style type="text/css">

	body { 
	background-color:	#ffffff; 
	margin:				50px; 
	font-family:		Verdana, Arial, Tahoma, Trebuchet MS, Sans-serif;
	font-size:			11px;
	color:				#000;
	background-color:	#fff;
	}
	
	a {
	font-family:		Verdana, Arial, Tahoma, Trebuchet MS, Sans-serif;
	letter-spacing:		.09em;
	text-decoration:	none;
	color:              #000099;
	background-color:   transparent;
	}
	  
	a:visited {
	color:				#000099;
	background-color:	transparent;
	}
	
	a:active {
	color:				#000099;
	background-color:	transparent;
	}
	
	a:hover {
	color:				#000099;
	text-decoration:    underline;
	background-color:	transparent;
	}
	
	#content  {
	border:				#000 1px dashed;
	background-color: 	#FEF1F3;
	padding:			22px 25px 14px 25px;
	}
	
	h1 {
	font-weight:		bold;
	font-size:			14px;
	}
	
	p {
		font-size: 			12px;
		font-weight: 		normal;
		margin-top: 		12px;
		margin-bottom: 		14px;
	}
    .error{
	  color:red;
	  font-weight:bold;
	}
    .success{
	  color:green;
	  font-weight:bold;
	}

</style>

</head>

<body>

<div id="content">

<?php 
		$heading="";
		$image="";
		$message="";
		if(!isset($msg_value))
		{
			$msg_value="";
		}
		if(is_string($msg_value)){
			$message="$msg_value</div>";
		}
		if(is_array($msg_value))
		{
			foreach(array_values($msg_value) as $msg)
			{
			  $message.="$msg<br>";
			}
			$message.="</div>";
		 
		}
		
		switch($msg_level)
		{
			case 1:
					$image='<img src="'.base_url().'images/admin/default_theme/icon-error.gif" />';
					$heading="<div class='error'>$image<b>Errors!!</b>";
					break;
			case 2:
					$image='<img src="'.base_url().'images/admin/default_theme/icon-success.gif" />';
					$heading="<div class='success'>$image<b>Success!!</b>";
					break;
		}


		$str_message='<div align="center">';
		$str_message.= 		'<small>';
		$str_message.= 		"$heading<br>";
		$str_message.=		"$message";
		$str_message.= 		'</small>';
		$str_message.= '</div>';


?>  



<h1><?=$title?></h1>

<p><?=$str_message?></p>

<?php if($redirect):?>
 <p><a href='<?=$redirect_url?>'>Click here if you are not redirected automatically</a></p>
<?php else: ?>
<?php endif;?>


</div>

</body>

</html>