<!doctype html>
<html>
<head>
  
   <?php include("../english/english/includes/header.php"); ?>

    <?php date_default_timezone_set('Asia/Kolkata'); ?>

   
</head>
<style>
.pagination-div a{
color: #abc;	
}
form label
{
	color: inherit; 
}
</style>

<body>

<div class="fluid-container">


<?php include("../english/english/includes/inner_head.php"); ?>


<div class="row cont_cont">

<?php $this->load->view('site_includes/left_menu'); ?>

<div class="col-md-7 col-sm-7 col-md-offset-1 col-sm-offset-1">
<!--content-->

<h3>Complaint Box</h3>
<p>As a woman if you have a complaint, submit here. We will bring it to the notice of the concerned authorities. If you wish to remain anonymous, we respect your privacy. You can also submit connected documents here. </p>
<br>
<?php echo form_open_multipart('complaintbox/savePost');?>
<div class="row">
<div class="col-md-12 col-sm-12">
<div class="form-group">
	<textarea class="form-control id='post_cnt' textfieldbox" id='post_cnt' name='post' rows="3"  maxlength='500' placeholder='Type here..'></textarea>	
	<span id='post_err' style='display:none;color:red;font-size:12px;'><?php if($error){ echo $error; } ?></span> 
</div>
</div>
<input type='hidden' id='category_id' value='' name='category_id' />
<div class="col-md-6 col-sm-6">
<div class="col-md-4 col-sm-4">
<div class="radio text-left">
<label title="Your personal information will be visible to the public users along with your Complaint" ><input type="radio"  name="user_type" id='user_type' value="2">Publish</label></div></div>
<div class="col-md-4 col-sm-4">
<div class="radio text-left">
<label title="Your personal information will be unknown to the public users along with your Complaint" ><input type="radio"  name="user_type" id='user_type' value="1" >Publish as Anonymous</label></div></div>
<div class="col-md-4 col-sm-4">
<div class="radio text-left">
<label title="Your Complaint will not publish in website.Answer will be sent to your email." ><input type="radio"  name="user_type" id='user_type' value="3">Confidential</label></div></div>
</div>

<div class="col-md-6 col-sm-6 text-right pull-right">
<button class="btn btn-default buttonbox" type="button" data-toggle="modal" data-target= ".bs-example-modal-sm4" >Attach File</button> 
<button class="btn btn-default buttonbox" data-toggle="modal" onclick='return post_check()' id='post' type="button">Submit</button></div>

</div>

<br><br><br><br><br>


<!-- Modal complaints -->
<div class="modal fade bs-example-modal-sm" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
<div class="modal-dialog modal-sm">
<div class="modal-content">
<button type="button" class="close" id="close" data-dismiss="modal" aria-hidden="true">&times;&nbsp; </button>
<!--cont-->
<div class="row logpad">
Type of Complaint <span id='cat_err' style='display:none;float:right;color:#000'>Please Select Type of Complaint.</span><br><br>
<?php
	   $i=0;
	   foreach($category as $row) { ?>
		<div class="radio-inline">
		<label >
			<input type="radio" id='cat_<?php echo $i; ?>' name="category" class='category' value="<?php echo $row['category_id']?>"> <?php echo stripslashes($row['category_name'])?>
		</label>
		</div>
	<?php $i++; } ?>

<br><br>
<div class="form-group">
<label class="col-md-12 control-label" for="text-input">Where it Happened?)</label>
<div class="col-md-5">
<input type="text" id="place" name="place" class="form-control form_login" placeholder="Place">
</div>
<div class="col-md-4">
<input type="text" id="pincode" name="pincode" class="form-control form_login" placeholder="Pincode" maxlength='6'>
</div>
</div>
<div class="clearfix"></div><br>
<div><button class="btn btn-default buttonalertbox" id='done' data-toggle="modal"  type="button" onclick='return select_category()'>Done</button></div>
</div>
<!--cont-->
</div>
</div>
</div>
<!-- Modal complaints -->

<!-- Modal register -->
<?php $this->load->view('site_includes/registration'); ?>
<!-- Modal register -->


<!-- Modal signin -->
<?php $this->load->view('site_includes/sign_up'); ?>
<!-- Modal signin -->

<!-- Modal Upload -->
<div class="modal fade bs-example-modal-sm4" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
	<div class="modal-dialog modal-sm">
	<div class="modal-content">
		<button type="button" class="close" id="close_upload" data-dismiss="modal"  aria-hidden="true">&times;</button>
	<!--cont-->
	
	<div class="row login_bg">
	<div class="col-md-2 col-sm-1"></div>
	<div class="col-md-11 col-sm-11 login_bgbig">
	<h4 class="modal-title" id="myModalLabel">You can upload your details here if you wish</h4>
	<br>
	<div class="form-group">
	<label class="col-md-5 control-label" for="file-input">File Upload</label>
	<div class="col-md-7">
	<input type="file" name="attach_1" id="attach_1" size="20" />
	<span id='upload_error_1' style='display:none;color:red;font-size:12px'></span>
	</div>
	
	</div>
	
	<div class="form-group">
	<label class="col-md-5 control-label" for="file-input">File Upload</label>
	<div class="col-md-7">
	<input type="file" name="attach_2" id="attach_2" size="20" />
	<span id='upload_error_2' style='display:none;color:red;font-size:12px'></span>
	</div>
	</div>
	
	<div class="form-group">
	<label class="col-md-5 control-label" for="file-input">File Upload</label>
	<div class="col-md-7">
	<input type="file" name="attach_3" id="attach_3" size="20" />
	<span id='upload_error_3' style='display:none;color:red;font-size:12px'></span>
	</div>
	</div>
	
    <div class="form-group">
	<label class="col-md-5 col-xs-12"></label>
	<div class="col-md-7 padd_bottm">
	<button class="btn btn-default buttonloginbox"  onclick='return upload()' type="button">Submit</button>
	
	</div>
	</div>

	</div>
	</div>

	<!--cont-->
	</div>
	</div>
	</div>

<!--Modal Upload -->

<!-- Modal alert -->
<div class="modal fade bs-example-modal-sm3" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
<div class="modal-dialog modal-sm">
<div class="modal-conten">
<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;&nbsp; </button>
<!--cont-->
<div class="row logpad text-center success_msg" style="height:320px;">
	<span id='sucess_msg'></span>
<!--
<br><br>You have Successfully Registered !!<br><br>
The submitted attachemnts will be shown in Public and your complaint will not be confidential. Now you can submit your complaint.<br><br> -->
<!--<button class="btn btn-default buttonalertbox " data-dismiss="modal" type="button" onclick="location.reload(true);" >OK</button>-->
<input type='submit' id='submit' Value='SUBMIT' />

</div>
</form>
<!--cont-->
</div>
</div>
</div>
<!-- Modal alert -->



<!---------------------- Page Contents  ---------------------->
<?php
$count = $total_rows - $page_no;
	

	if(count($complaints)>0)
	{
		$i=0;
		foreach($complaints as $row) { ?>
			
			<div class="row box_contask">
				<div class="col-md-3 col-sm-3">
					<img style='width:120px;height:138px;' src="<?php echo  base_url()."uploads/category/".$row['category_image'];?>" alt="">
					<!--<?php if($row['photo_status'] == 2){ ?> <!-- if status is set as show public 
						
						<img style='width:120px;height:138px;' src="<?php echo  base_url()."uploads/user/".$row['user_photo'];?>" alt="">
					<?php }else { ?>
						<img src="<?php echo  base_url() ?>english/img/anonymous.jpg" alt="">
					<?php } ?>	-->
				</div>
				<div class="col-md-9 col-sm-9 "><small><?php echo $row['complaint_no'].'. '; ?></small><?php echo stripslashes($row['complaint']); ?>
				
					<br><span class="text02">
						
						<?php if($row['answer_status'] == 2){ /*-- if status is set as show public --*/
							
						echo $row['user_name'].',';
						} else { ?>
						By Anonymous, 
						<?php }	?>
						<?php echo date('d F Y',strtotime($row['complaint_post_date']));?>
						</span>
						
						<?php 
						 if($row['answer_status'] == 2)
						 {
							 $files = explode(',',$row['fileupload']); 
							 if($files[0] !=''){
							?>
							<br><small>Attachments:</small> 
							<?php 							
									 for( $i = 0;$i<count($files);$i++) 
										   { ?>
														<a href="<?php echo  base_url().'uploads/complaintbox/'.$files[$i]; ?> " target='blank'>
																	<i class="fa fa-file-pdf-o attach"></i></a>
																	
							<?php  } 
									 
										 } 
						}		
							 ?>
				</div>
				<div class="col-md-3 col-sm-3">Answer:</div>
				<div class="col-md-9 col-sm-9 font_small">
					<?php echo stripslashes($row['complaint_answer']); ?>
				</div>
			</div>
		
	<?php } 
	} else {
		
	}
?>

<div class='pagination-div' style="text-align:center;"><?php echo $this->pagination->create_links(); ?></div>

<!---------------------- Page Contents  ---------------------->

<!--content-->
</div>
<div class="col-md-2 col-sm-2" style="padding-left:6%;" id="advertisement">
<?php $this->load->view('advertisement/listall_user'); ?>
</div>
</div>

<?php $this->load->view('site_includes/inner_footer'); ?>

<div id="footer">

</div>

</div>

    <?php include("../english/english/includes/footer.php"); ?>
</body>
</html>


<script>
function post_check()
{
	var jq = jQuery.noConflict();
	var post = jq('#post_cnt').val(); 
	var user_type = jq('input[name=user_type]:checked').val();
	if(post == "")
	{ 
		jq('#post_err').html('Please Enter Your Comments.');
		jq('#post_err').css('display','block');
		return false;
	}else
	{
		if(user_type)
		{
			jq('#post_err').css('display','none');			
			
		}else
		{			
			jq('#post_err').html('Please Select Privilege.');
			jq('#post_err').css('display','block');
			
			return false;
		}	
		jq('#post').attr('data-target','.bs-example-modal-sm');
		
	}	
}
function select_category()
{ 
	var jq = jQuery.noConflict();
	var cat = jq('input[name=category]:checked').val(); 
	var place = jq('#place').val(); 
	var pincode = jq('#pincode').val(); 
	if(cat == null)
	{		
	  	jq('#cat_err').css('display','block');	
	  	return false;	
	}else
	{
		jq('#cat_err').css('display','none');	
	}
	if(place == '')
	{		
		jq('#cat_err').html('Please Enter Place Where It Happened.');	
	  	jq('#cat_err').css('display','block');	
	  	return false;	
	}else
	{		
		jq('#cat_err').css('display','none');	
	}
	if(pincode == '')
	{	
		jq('#cat_err').html('Please Enter Pincode.');		
	  	jq('#cat_err').css('display','block');	
	  	return false;	
	}else
	{   
		if(pincode.length!=6)
		{
			jq('#cat_err').html('Invalid Pincode.');		
	  	    jq('#cat_err').css('display','block');	
	  	    return false;
		}else if(isNaN(pincode))
		{
			jq('#cat_err').html('Invalid Pincode.');		
	  	    jq('#cat_err').css('display','block');	
	  	    return false;
		}
		else
		{
			jq('#cat_err').css('display','none');	
		}
	}
	jq('#category_id').val(cat);
	jq('#done').attr('data-target','.bs-example-modal-sm1');
	document.getElementById('close').click();
}
function sign_up_check()
{
	var jq = jQuery.noConflict();
    jq('#reg_name').val('');
	jq('#reg_pass').val('');
	jq('#reg_email').val('');	
	jq('input[name=reg_gen]:checked').val('');
	
	
	var username = jq('#username').val();
	var password = jq('#password').val();
	
	if(username == '')
	{
		jq('#sign_error').html('Please enter your Email.');
		jq('#sign_error').css('display','block');
		return false;	
	}
	if(password == '')
	{
		jq('#sign_error').html('Please enter your password.');
		jq('#sign_error').css('display','block');
		return false;	
	}
	// jq('#submit_reg').attr('data-target','.bs-example-modal-sm3');
	jq.ajax({
		      type:'POST',		      
			  url:'<?php echo base_url();?>index.php/complaintbox/signUpcheck',
			  data:{ username :username,password:password},
			  success:function(data)
			  {	
				 if(data == 'blocked')
				  {
					 jq('#sign_error').html('Your are Blocked. Please contact our Admin.');
					 jq('#sign_error').css('display','block'); 
					 return false;
			         }
				  else if(data == 2)
				  {
					 jq('#sign_error').html('The email or password you entered is incorrect.');
					 jq('#sign_error').css('display','block'); 
					 return false;
			      }else
			      {	
					document.getElementById('close_sign').click();					 
					jq('#submit_reg').attr('data-target','.bs-example-modal-sm3');	
					jq('#sucess_msg').html('<br><br>You have Successfully Logged in. !!<br><br>Now you can submit your complaint.<br><br>');		    
					document.getElementById('submit_reg').click();
					
				  }
				   		
			  }
		
		});
		 	
		
}
function register()
{
	var jq = jQuery.noConflict();
	 jq('#username').val('');
	 jq('#password').val('');	
	
	var username = jq('#reg_name').val();	
	var email = jq('#reg_email').val();	
	var gender = jq('input[name=reg_gen]:checked').val();
	var file = jq('#user_photo').val();
	if(username == '')
	{
		jq('#reg_error').html('Please enter your name.');
		jq('#reg_error').css('display','block');
		return false;	
	}else
	{
		var name_regex    = 	/^[A-Za-z ]*$/; 
		if(!name_regex.test(username))
		{
			jq('#reg_error').html('Name Field allows alphabets and space only.');
			jq('#reg_error').css('display','block');
			return false;	
		}
	}
	if(email == '')
	{		
		jq('#reg_error').html('Please enter your email.');
		jq('#reg_error').css('display','block');
		return false;	
	}else
	{
		var email_regex    	= 	 /^[A-Za-z0-9](([_\.\-]?[a-zA-Z0-9]+)*)@([A-Za-z0-9]+)(([\.\-]?[a-zA-Z0-9]+)*)\.([A-Za-z]{2,})$/;// reg ex email check     
		if(!email_regex.test(email))
		{
			jq('#reg_error').html('Invalid email.');
			jq('#reg_error').css('display','block');
			return false;	
		}
	}
	if(gender==2)
	{
			jq('#reg_error').html('Portal will not allow Male user registration.');
			jq('#reg_error').css('display','block');
			return false;
	}
	
	if(jq('#user_photo').val())
	{
		var ext = jq('#user_photo').val().split('.').pop().toLowerCase();
		if(jq.inArray(ext, ['gif','png','jpg','jpeg']) == -1) 
		{
			jq('#reg_error').html('Invalid file type!');
			jq('#reg_error').css('display','block');
			return false;	
			
		}
	}
	
	/* jq('#submit_reg').attr('data-target','.bs-example-modal-sm3');*/
	jq.ajax({
		      type:'POST',		      
			  url:'<?php echo base_url();?>index.php/complaintbox/Regcheck',
			  data:{ email:email,username:username,gender:gender,user_photo:file},
			  success:function(data)
			  {	
				  if(data == 'error')
				  {
					 jq('#reg_error').html('This User already Exist.');
					 jq('#reg_error').css('display','block'); 
					 return false;
			      }else
			      {	
				if(file)
					{
					  jq.ajaxFileUpload({ 
							url :'<?php echo base_url();?>index.php/complaintbox/upload_file/'+data, 
							secureuri:false,
							fileElementId:'user_photo',
							dataType: 'json',								
							success	: function (data){
										
									}
							});						 
					 }	
					document.getElementById('close_reg').click();	
					jq('#reg_submit').attr('data-target','.bs-example-modal-sm1');		
					jq('#regblock').css('display','block');		
					jq('#new_reg_link').css('display','none');		    
					document.getElementById('reg_submit').click();				 
					
				  }
				   		
			  }
		
		});
		
}


function upload()
{
	var jq = jQuery.noConflict();
	 for(i=1;i<3;i++)
	 {
		if(jq('#attach_'+i).val())
		{
			var ext = jq('#attach_'+i).val().split('.').pop().toLowerCase();
			if(jq.inArray(ext, ['gif','jpg','jpeg','png','doc','docx','pdf']) == -1) 
			{
				jq('#upload_error_'+i).html('Invalid file type!');
				jq('#upload_error_'+i).css('display','block');
				jq('#attach_'+i).focus()
				return false;	
				
			}else
			{
				jq('#upload_error_'+i).css('display','none');
		    }
		}			
	 }
	document.getElementById('close_upload').click();		
		
}

</script>