<!doctype html>
 <?php
	$this->load->view('admin_header_new');
	$this->load->helper('form');
?>
<html>
<head>		
    
</head>

<body>

<div class="fluid-container fluid_padd">
<!--content-->
<h3>Add Books</h3>
<div class="panel panel-default">
<div class="panel-body">
<!--content_cont-->

<div class="row">
	<div  class="error" ><?php  echo $msg_value; ?></div>
<?=form_open_multipart('admin/resources/add_book/', array("class"=>"form-horizontal")); ?>
	<div class="col-md-6">
		<div class="panel panel-default border_none">
			<div class="panel-body">
				<div class="form-group">
				<label class="col-md-3 control-label" for="text-input">Topic</label>
					<div class="col-md-9">
					<select class="form-control" name='resource_topic_id' id='resource_topic_id'>
						<option value="">--Select Topics--</option>
						<?php echo stripslashes(get_option($resource_topics_values,set_value('resource_topic_id'))); ?>	
					</select>
					<?php echo form_error('resource_topic_id'); ?>
<span style="color:red;display:none" id="topic_err">The Topic field is required.</span>
					</div>
			</div>
			<div class="form-group">
				<label class="col-md-3 control-label" for="text-input">Title</label>
				<div class="col-md-9">
				<input type="text" id="resource_title" name="resource_title" class="form-control" value="<?php echo set_value('resource_title'); ?>" >
				<?php echo form_error('resource_title'); ?>
<span style="color:red;display:none" id="title_err">The Title field is required.</span>
				</div>
			</div>
			<div class="form-group">
				<label class="col-md-3 control-label" for="textarea-input">Description</label>
				<div class="col-md-9">
				<textarea id="resource_description" name="resource_description" rows="9" class="form-control"  ><?php echo set_value('resource_description'); ?></textarea>
				<?php echo form_error('resource_description'); ?>
<span style="color:red;display:none" id="description_err">The Description field is required.</span>
			</div>
		</div>
	</div>
	</div>
	</div>             
					
	<div class="col-md-6">
	<div class="panel panel-default border_none">
	<div class="panel-body">
	<div class="form-group">
	<label class="col-md-3 control-label" for="text-input">Written By</label>
	<div class="col-md-9">
	<input type="text" id="written_by" name="written_by" class="form-control" value="<?php echo set_value('written_by'); ?>">
	<?php echo form_error('written_by'); ?>
<span style="color:red;display:none" id="written_by_err">The Written By field is required.</span>
	</div>
	</div>
	<div class="form-group">
	<label class="col-md-3 control-label" for="file-input">Cover image Upload</label>
	<div class="col-md-9">
	<input type="file" id="attachment_photo" name="attachment_photo">
        <span style="color:red;display:none" id="photo_err">The Cover image  field is required.</span>		
	</div>
	</div>
	<div class="form-group">
	<label class="col-md-3 control-label" for="file-input">Audio Upload</label>
	<div class="col-md-9">
	<input type="file" id="attachment_audio" name="attachment_audio">	
	</div>
	</div>
	<div class="form-group">
	<label class="col-md-3 control-label" for="file-input">Pdf Upload</label>
	<div class="col-md-9">
	<input type="file" id="attachment_file" name="attachment_file">
	</div>
	</div>
	</div>
	</div>
	</div>

	<!--butn-->
	<div class="panel-footer col-md-12 pull-right text-right">
	<input type="submit" name="submit" class="btn btn-sm btn-danger" id="addbutton"  onclick="return show_proccessing();" value="Add">&nbsp;&nbsp;
	<?php echo anchor ('admin/resources/booksCategory', '<i class="btn btn-sm btn-primary ">Back</i>',array('title' => 'Back')).'';?> 
	</div>
	<!--butn-->

</form>
</div>

<!--content_cont-->
</div>
</div>
<!--content-->
</div>
<!-- javascript -->
<script type="text/javascript">


function show_proccessing()
{

var jq = jQuery.noConflict();

$topic=jq('#resource_topic_id').val();
$title=jq('#resource_title').val();
$desc=jq('#resource_description').val();
$coverphoto=jq('#attachment_photo').val();
$written=jq('#written_by').val();

if($topic=="")
{
jq('#topic_err').show();
return false;
}
else
{
jq('#topic_err').hide();
}

if($title=="")
{
jq('#title_err').show();
return false;
}
else
{
jq('#title_err').hide();
}


if($desc=="")
{
jq('#description_err').show();
return false;
}
else
{
jq('#description_err').hide();
}




if($written=="")
{
jq('#written_by_err').show();
return false;
}
else
{
jq('#written_by_err').hide();
}

/*
if( ! $coverphoto)
{
jq('#photo_err').show();
return false;
}
else
{
jq('#photo_err').hide();
}

*/

}

function isNumberKey(e)
      {
           var charCode = (e.which) ? e.which : event.keyCode
           if (charCode > 31 && (charCode < 48 || charCode > 57))
              return false;
              return true;
      }
</script>

<script src="http://code.jquery.com/jquery-latest.min.js"></script>
<script src="admin/js/bootstrap.min.js"></script>
<?php 

$this->load->view('admin_footer'); 
?>

</body>
</html>
